diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 1f08124..014a659 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -221,6 +221,7 @@ clean:
 	@ rm -f books/Makefile
 	@ rm -f books/Makefile.dvi
 	@ rm -f books/Makefile.pdf
+	@ rm -f books/axiom.bib
 	@ rm -f lsp/axiom.sty
 	@ rm -f lsp/Makefile lsp/Makefile.dvi lsp/Makefile.pdf
 	@ rm -rf lsp/gcl*
diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index 59dac4e..74df390 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -23,6 +23,7 @@ PDF=${AXIOM}/doc
 IN=${SPD}/books
 LATEX=latex
 MAKEINDEX=makeindex
+BIBTEX=bibtex
 DVIPDFM=dvipdfm
 DVIPS=dvips -Ppdf
 PS2PDF=ps2pdf
@@ -38,6 +39,7 @@ BOOKPDF=${PDF}/bookvol0.pdf    ${PDF}/bookvol1.pdf    ${PDF}/bookvol2.pdf \
         ${PDF}/bookvol11.pdf   ${PDF}/bookvol12.pdf   ${PDF}/bookvol13.pdf \
         ${PDF}/bookvolbib.pdf  
 
+
 OTHER=  ${PDF}/refcard.pdf     ${PDF}/endpaper.pdf    ${PDF}/rosetta.pdf
 
 all: announce ${BOOKPDF} ${PDF}/toc.pdf ${OTHER} spadedit 
@@ -53,7 +55,14 @@ finish:
 	@ echo FINISHED BUILDING PDF FILES books/Makefile
 	@ echo ==========================================
 
-${PDF}/%.pdf: ${IN}/%.pamphlet 
+${PDF}/axiom.bib:
+	@ echo ===========================================
+	@ echo making ${PDF}/axiom.bib from ${IN}/bookvolbib.pamphlet
+	@ echo ===========================================
+	@${BOOKS}/tanglec ${BOOKS}/bookvolbib.pamphlet axiom.bib \
+           >${PDF}/axiom.bib
+
+${PDF}/%.pdf: ${IN}/%.pamphlet ${PDF}/axiom.bib
 	@ echo ===========================================
 	@ echo making ${PDF}/$*.pdf from ${IN}/$*.pamphlet
 	@ echo ===========================================
@@ -67,6 +76,8 @@ ${PDF}/%.pdf: ${IN}/%.pamphlet
 	    ${RM} $*.toc ; \
 	    ${LATEX} $*.pamphlet ; \
 	    ${MAKEINDEX} $*.idx  1>/dev/null 2>/dev/null ; \
+	    ${BIBTEX} $*.aux ; \
+	    ${LATEX} $*.pamphlet >/dev/null ; \
 	    ${LATEX} $*.pamphlet >/dev/null ; \
 	    ${DVIPDFM} $*.dvi 2>/dev/null ; \
 	    ${RM} $*.aux $*.dvi $*.log $*.ps $*.idx $*.tex $*.pamphlet ; \
@@ -76,6 +87,8 @@ ${PDF}/%.pdf: ${IN}/%.pamphlet
 	    ${RM} $*.toc ; \
 	    ${LATEX} $*.pamphlet >${TMP}/trace ; \
 	    ${MAKEINDEX} $*.idx  1>/dev/null 2>/dev/null ; \
+	    ${BIBTEX} $*.aux  1>/dev/null 2>/dev/null ; \
+	    ${LATEX} $*.pamphlet >${TMP}/trace ; \
 	    ${LATEX} $*.pamphlet >${TMP}/trace ; \
 	    ${DVIPDFM} $*.dvi 2>${TMP}/trace ; \
 	    ${RM} $*.aux $*.dvi $*.log $*.ps $*.idx $*.tex $*.pamphlet ; \
diff --git a/books/bookvol0.pamphlet b/books/bookvol0.pamphlet
index 874493f..bcb7c0a 100644
--- a/books/bookvol0.pamphlet
+++ b/books/bookvol0.pamphlet
@@ -9790,7 +9790,7 @@ running on an IBM workstation, for example, issue
 Axiom can produce \TeX{} output for your \index{output formats!TeX
 @{\TeX{}}} expressions.  \index{TeX output format @{\TeX{}} output format}
 The output is produced using macros from the \LaTeX{} document
-preparation system by Leslie Lamport\cite{1}. The printed version
+preparation system by Leslie Lamport\cite{Lamp86}. The printed version
 of this book was produced using this formatter.
 
 To turn on \TeX{} output formatting, issue this.
@@ -88398,22 +88398,14 @@ SUCH DAMAGE.
 \end{verbatim}
 
 \eject
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} Lamport, Leslie, 
-{\it LaTeX: A Document Preparation System,} \\
-Reading, Massachusetts, 
-Addison-Wesley Publishing Company, Inc., 
-1986. ISBN 0-201-15790-X
-\bibitem{2} Knuth, Donald, {\it The \TeX{}book} \\
-Reading, Massachusetts, 
-Addison-Wesley Publishing Company, Inc., 
-1984. ISBN 0-201-13448-9
-\bibitem{3} Jenks, Richard D. and Sutor, Robert S.,\\
-{\it Axiom, The Scientific Computation System} \\
-Springer-Verlag, New York, NY 1992 ISBN 0-387-97855-0
-\bibitem{4} Daly, Timothy, ``The Axiom Literate Documentation''\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
+
diff --git a/books/bookvol1.pamphlet b/books/bookvol1.pamphlet
index ca534f1..ddc3fbb 100644
--- a/books/bookvol1.pamphlet
+++ b/books/bookvol1.pamphlet
@@ -534,7 +534,8 @@ source code for the interpreter, compiler, graphics, browser, and
 numerics is shipped with the system. There are several websites
 that host Axiom source code.
 
-Axiom is written using Literate Programming\cite{2} so each file is actually
+Axiom is written using Literate Programming\cite{Knut92} 
+so each file is actually
 a document rather than just machine source code. The goal is to make
 the whole system completely literate so people can actually read the
 system and understand it. This is the first volume in a series of books
@@ -924,8 +925,7 @@ interactive ``undo.''
 \label{sec:Starting Up and Winding Down}
 You need to know how to start the Axiom system and how to stop it.
 We assume that Axiom has been correctly installed on your
-machine. Information on how to install Axiom is available on 
-the wiki website\cite{3}.
+machine. 
 
 To begin using Axiom, issue the command {\bf axiom} to the
 operating system shell.
@@ -6839,7 +6839,7 @@ plotting functions of one or more variables and plotting parametric
 surfaces.  Once the graphics figure appears in a window, move your
 mouse to the window and click.  A control panel appears immediately
 and allows you to interactively transform the object. Refer to the
-original Axiom book\cite{1} and the input files included with Axiom
+original Axiom book\cite{Jenk92} and the input files included with Axiom
 for additional examples.
 
 This is an example of Axiom's graphics. From the Control Panel you can
@@ -9497,7 +9497,7 @@ domains and their functions and how to write your own functions.
 \index{Aldor!Spad}
 \index{Spad}
 \index{Spad!Aldor}
-There is a second language, called {\bf Aldor}\cite{4} that is 
+There is a second language, called {\bf Aldor}\cite{Watt03} that is 
 compatible with the {\bf Spad} language. They both can create
 programs than can execute under Axiom. Aldor is a standalone
 version of the {\bf Spad} language and contains some additional
@@ -11867,7 +11867,7 @@ running on an IBM workstation, for example, issue
 Axiom can produce \TeX{} output for your \index{output formats!TeX
 @{\TeX{}}} expressions.  \index{TeX output format @{\TeX{}} output format}
 The output is produced using macros from the \LaTeX{} document
-preparation system by Leslie Lamport\cite{5}. The printed version
+preparation system by Leslie Lamport\cite{Lamp86}. The printed version
 of this book was produced using this formatter.
 
 To turn on \TeX{} output formatting, issue this.
@@ -14300,31 +14300,17 @@ The command synonym  {\tt )apropos} is equivalent to
 {\tt )show} \index{)show}.
 
 \section{Makefile}
-This book is actually a literate program\cite{2} and can contain 
-executable source code. In particular, the Makefile for this book
-is part of the source of the book and is included below. Axiom 
-uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
+This book is actually a literate program\cite{Knut92} and can contain 
+executable source code. 
 \eject
-\begin{thebibliography}{99}
-\bibitem{1} Jenks, R.J. and Sutor, R.S. 
-``Axiom -- The Scientific Computation System''
-Springer-Verlag New York (1992)
-ISBN 0-387-97855-0
-\bibitem{2} Knuth, Donald E., ``Literate Programming''
-Center for the Study of Language and Information
-ISBN 0-937073-81-4
-Stanford CA (1992) 
-\bibitem{3} Daly, Timothy, ``The Axiom Wiki Website''\\
-{\bf http://axiom.axiom-developer.org}
-\bibitem{4} Watt, Stephen, ``Aldor'',\\
-{\bf http://www.aldor.org}
-\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
-Addison-Wesley, New York ISBN 0-201-52983-1
-\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
-Literate Programming''\\
-{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
-\bibitem{7} Daly, Timothy, "The Axiom Literate Documentation"\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
+
diff --git a/books/bookvol10.1.pamphlet b/books/bookvol10.1.pamphlet
index 05c94b7..f8fee1e 100644
--- a/books/bookvol10.1.pamphlet
+++ b/books/bookvol10.1.pamphlet
@@ -4,7 +4,7 @@
 \mainmatter
 \setcounter{chapter}{0} % Chapter 1
 \chapter{Interval Arithmetic}
-Lambov \cite{Lambov06} defines a set of useful formulas for 
+Lambov \cite{Lamb06} defines a set of useful formulas for 
 computing intervals using the IEEE-754 floating-point standard.
 
 The first thing to note is that IEEE floating point defaults to 
@@ -256,9 +256,9 @@ an exception. If it contains a negative part, the implementation will
 crop it to only its non-negative part to allow that computations
 such as $\sqrt{0}$ ca be carried out in exact real arithmetic.
 
-\chapter{Integration \cite{Bro98b}}
+\chapter{Integration}
 
-An {\sl elementary function}
+An {\sl elementary function}\cite{Bro98b}
 \index{elementary function}
 of a variable $x$ is a function that can
 be obtained from the rational functions in $x$ by repeatedly adjoining
@@ -289,7 +289,7 @@ last century, the difficulties posed by algebraic functions caused
 Hardy (1916) to state that ``there is reason to suppose that no such
 method can be given''. This conjecture was eventually disproved by
 Risch (1970), who described an algorithm for this problem in a series
-of reports \cite{Ost1845,Ris68,Ris69a,Ris69b}. 
+of reports \cite{Ostr1845,Risc68,Risc69a,Risc69b,Risc70}. 
 In the past 30 years, this procedure
 has been repeatedly improved, extended and refined, yielding practical
 algorithms that are now becoming standard and are implemented in most
@@ -413,7 +413,7 @@ approach is the need to factor polynomials over $\mathbb{R}$,
 $\mathbb{C}$, or $\overline{K}$, thereby introducing algebraic numbers
 even if the integrand and its integral are both in $\mathbb{Q}(x)$. On
 the other hand, introducing algebraic numbers may be necessary, for
-example it is proven in \cite{Ris69a} that any field containing an
+example it is proven in \cite{Risc69a} that any field containing an
 integral of $1/(x^2+2)$ must also contain $\sqrt{2}$. Modern research
 has yielded so-called ``rational'' algorithms that
 \begin{itemize}
@@ -423,8 +423,8 @@ calculations being done in $K(x)$, and
 express the integral
 \end{itemize}
 The first rational algorithms for integration date back to the
-$19^{{\rm th}}$ century, when both Hermite \cite{Her1872} and
-Ostrogradsky \cite{Ost1845} invented methods for 
+$19^{{\rm th}}$ century, when both Hermite \cite{Herm1872} and
+Ostrogradsky \cite{Ostr1845} invented methods for 
 computing the $v$ of \ref{Int4}
 entirely within $K(x)$. We describe here only Hermite's method, since
 it is the one that has been generalized to arbitrary elementary
@@ -445,7 +445,7 @@ finally that
 D_1=\frac{D/R}{{\rm gcd}(R,D/R)}
 \]
 Computing recursively a squarefree factorization of $R$ completes the
-one for $D$. Note that \cite{Yu76} presents a more efficient method for
+one for $D$. Note that \cite{Yun76} presents a more efficient method for
 this decomposition. Let now $f \in K(x)$ be our integrand, and write
 $f=P+A/D$ where $P,A,D \in K[x]$, gcd$(A,D)=1$, and\\
 ${\rm deg}(A)<{\rm deg}(D)$. 
@@ -487,7 +487,7 @@ follows from \ref{Int2} that
 where the $\alpha_i$'s are the zeros of $D$ in $\overline{K}$, and the
 $a_i$'s are the residues of $f$ at the $\alpha_i$'s. The problem
 is then to compute those residues without splitting $D$. Rothstein
-\cite{Ro77} and Trager \cite{Tr76} independently proved that the
+\cite{Roth77} and Trager \cite{Trag76} independently proved that the
 $\alpha_i$'s are exactly the zeros of
 \begin{equation}\label{Int5}
 R={\rm resultant}_x(D,A-tD^{\prime}) \in K[t]
@@ -502,7 +502,7 @@ where $R=\prod_{i=1}^m R_i^{e_i}$ is the irreducible factorization of
 $R$ over $K$. Note that this algorithm requires factoring $R$ into
 irreducibles over $K$, and computing greatest common divisors in
 $(K[t]/(R_i))[x]$, hence computing with algebraic numbers. Trager and
-Lazard \& Rioboo \cite{LR90} independently discovered that those
+Lazard \& Rioboo \cite{Laza90} independently discovered that those
 computations can be avoided, if one uses the subresultant PRS
 algorithm to compute the resultant of \ref{Int5}: let 
 $(R_0,R_1,\ldots R_k\ne 0,0,\ldots)$ be the subresultant PRS with
@@ -528,7 +528,7 @@ extension $K[t]/(Q_i)$. Even this step can be avoided: it is in fact
 sufficient to ensure that $Q_i$ and the leading coefficient with
 respect to $x$ of $R_{k_i}$ do not have a nontrivial common factor,
 which implies then that the remainder by $Q_i$ is nonzero, see
-\cite{Mul97} for details and other alternatives for computing
+\cite{Muld97} for details and other alternatives for computing
 ${\rm pp}_x(R_{k_i})(a,x)$
 
 \section{Algebraic Functions}
@@ -718,7 +718,7 @@ and $F=27x^4+108x^3+418x^2+108x+27$. The system \ref{Int10} admits a unique
 solution $f_1=f_2=0, f_3=-2$ and $f_4=(x+1)/x$, whose denominator is
 not coprime with $V$, so the Hermite reduction is not applicable.
 
-The above problem was first solved by Trager \cite{Tr84}, who proved 
+The above problem was first solved by Trager \cite{Trag84}, who proved 
 that if $w$ is an {\sl integral basis, i.e.} its elements generate 
 ${\bf O}_{K[x]}$ over $K[x]$, then the system \ref{Int8} always has a
 unique solution in $K(x)$ when $m > 1$, and that solution always has a
@@ -728,9 +728,9 @@ a factor of $FUV^{m-1}$ where $F \in K[x]$ is squarefree and coprime
 with $UV$. He also described an algorithm for computing an integral
 basis, a necessary preprocessing for his Hermite reduction. The main
 problem with that approach is that computing the integral basis,
-whether by the method of \cite{Tr84} or the local alternative \cite{vH94},
+whether by the method of \cite{Trag84} or the local alternative \cite{Hoei94},
 can be in general more expansive than the rest of the reduction
-process. We describe here the lazy Hermite reduction \cite{REF-Bro98}, which
+process. We describe here the lazy Hermite reduction \cite{Bron98}, which
 avoids the precomputation of an integral basis. It is based on the
 observation that if $m > 1$ and \ref{Int8} does not have a solution allowing
 us to perform the reduction, then either
@@ -745,7 +745,7 @@ also made up of integral elements, so that that $K[x]$-module
 generated by the new basis strictly contains the one generated by $w$:
 
 \noindent
-{\bf Theorem 1 (\cite{REF-Bro98})} {\sl Suppose that $m \ge 2$ and that 
+{\bf Theorem 1 (\cite{Bron98})} {\sl Suppose that $m \ge 2$ and that 
 $\{S_1,\ldots,S_n\}$ as given by \ref{Int9} are linearly dependent over $K(x)$,
 and let $T_1,\ldots,T_n \in K[x]$ be not all 0 and such that
 $\sum_{i=1}^n T_iS_i=0$. Then,
@@ -756,7 +756,7 @@ Furthermore, if $\gcd(T_1,\ldots,T_n)=1$ then
 $w_0 \notin K[x]w_1+\cdots+K[x]w_n$.}
 
 \noindent
-{\bf Theorem 2 (\cite{REF-Bro98})} {\sl Suppose that $m \ge 2$ and that
+{\bf Theorem 2 (\cite{Bron98})} {\sl Suppose that $m \ge 2$ and that
 $\{S_1,\ldots,S_n\}$ as given by \ref{Int9} are linearly independent over
 $K(x)$, and let $Q,T_1,\ldots,T_n \in K[x]$ be such that
 \[
@@ -771,7 +771,7 @@ Furthermore,
 if $\gcd(Q,T_1,\ldots,T_n)=1$ and $\deg(\gcd(V,Q)) \ge 1$, then
 $w_0 \notin K[x]w_1+\cdots+K[x]w_n$.}
 
-{\bf Theorem 3 (\cite{REF-Bro98})} {\sl Suppose that the denominator $F$ of
+{\bf Theorem 3 (\cite{Bron98})} {\sl Suppose that the denominator $F$ of
 some $w_i$ is not squarefree, and let $F=F_1F_2^2\cdots F_k^k$ be its
 squarefree factorization. Then,}
 \[
@@ -951,7 +951,7 @@ integration problem by allowing only new logarithms to appear linearly
 in the integral, all the other terms appearing in the integral being
 already in the integrand.
 
-{\bf Theorem 4 (Liouville \cite{Lio1833a,Lio1833b})} {\sl
+{\bf Theorem 4 (Liouville \cite{Liou1833a,Liou1833b})} {\sl
 Let $E$ be an algebraic extension of the rational function field
 $K(x)$, and $f \in E$. If $f$ has an elementary integral, then there
 exist $v \in E$, constants $c_1,\ldots,c_n \in \overline{K}$ and
@@ -960,9 +960,10 @@ $u_1,\ldots,u_k \in E(c_1,\ldots,c_k)^{*}$ such that}
 f=v^{\prime}+c_1\frac{u_1^{\prime}}{u_1}+\cdots+c_k\frac{u_k^{\prime}}{u_k}
 \end{equation}
 The above is a restriction to algebraic functions of the strong
-Liouville Theorem, whose proof can be found in \cite{Bro97,Ris69b}. An elegant
+Liouville Theorem, whose proof can be found in \cite{Bron97,Risc69b}. 
+An elegant
 and elementary algebraic proof of a slightly weaker version can be
-found in \cite{Ro72}. As a consequence, we can look for an integral of
+found in \cite{Rose72}. As a consequence, we can look for an integral of
 the form \ref{Int4}, Liouville's Theorem guaranteeing that there is no
 elementary integral if we cannot find one in that form. Note that the
 above theorem does not say that every integral must have the above
@@ -983,7 +984,7 @@ $c_1,\ldots,c_k$. Since $D$ is squarefree, it can be shown that
 $v \in {\bf O}_{K[x]}$ for any solution, and in fact $v$
 corresponds to the polynomial part of the integral of rational
 functions. It is however more difficult to compute than the integral
-of polynomials, so Trager \cite{Tr84} gave a change of variable that
+of polynomials, so Trager \cite{Trag84} gave a change of variable that
 guarantees that either $v^{\prime}=0$ or $f$ has no elementary integral. In
 order to describe it, we need to define the analogue for algebraic
 functions of having a nontrivial polynomial part: we say that 
@@ -1007,7 +1008,7 @@ and ${\rm deg}(C) \ge {\rm deg}(B_i)$ for each $i$.
 We say that the differential
 $\alpha{}dx$ is integral at infinity if 
 $\alpha x^{1+1/r} \in {\bf O}_\infty$ where $r$ is the smallest
-ramification index at infinity. Trager \cite{Tr84} described an
+ramification index at infinity. Trager \cite{Trag84} described an
 algorithm that converts an arbitrary integral basis $w_1,\ldots,w_n$
 into one that is also normal at infinity, so the first part of his
 integration algorithm is as follows:
@@ -1071,7 +1072,7 @@ $K(z)$, and $w$ is normal at infinity
 \end{itemize}
 A primitive element can be computed by considering linear combinations
 of the generators of $E$ over $K(x)$ with random coefficients in
-$K(x)$, and Trager \cite{Tr84} describes an absolute factorization
+$K(x)$, and Trager \cite{Trag84} describes an absolute factorization
 algorithm, so the above assumptions can be ensured, although those
 steps can be computationally very expensive, except in the case of
 simple radical extensions. Before describing the second part of
@@ -1131,7 +1132,8 @@ elementary, with the smallest possible number of logarithms. Steps 3
 to 6 requires computing in the splitting field $K_0$ of $R$ over $K$,
 but it can be proven that, as in the case of rational functions, $K_0$
 is the minimal algebraic extension of $K$ necessary to express the
-integral in the form \ref{Int4}. Trager \cite{Tr84} describes a representation
+integral in the form \ref{Int4}. Trager \cite{Trag84} 
+describes a representation
 of divisors as fractional ideals and gives algorithms for the
 arithmetic of divisors and for testing whether a given divisor is
 principal. In order to determine whether there exists an integer $N$
@@ -1141,7 +1143,7 @@ extension to one over a finite field $\mathbb{F}_{p^q}$ for some
 known that for every divisor $\delta=\sum{n_PP}$ such that
 $\sum{n_P}=0$, $M\delta$ is principal for some integer
 $1 \le M \le (1+\sqrt{p^q})^{2g}$, where $g$ is the genus of the curve
-\cite{We71}, so we compute such an $M$ by testing $M=1,2,3,\ldots$ until
+\cite{Weil71}, so we compute such an $M$ by testing $M=1,2,3,\ldots$ until
 we find it. It can then be shown that for almost all primes $p$, if
 $M\delta$ is not principal in characteristic 0, the $N\delta$ is not
 principal for any integer $N \ne 0$. Since we can test whether the
@@ -1149,7 +1151,7 @@ prime $p$ is ``good'' by testing whether the image in
 $\mathbb{F}_{p^q}$ of the discriminant of the discriminant of the
 minimal polynomial for $y$ over $K[z]$ is 0, this yields a complete
 algorithm. In the special case of hyperelliptic extensions, {\sl i.e.}
-simple radical extensions of degree 2, Bertrand \cite{Ber95} describes a
+simple radical extensions of degree 2, Bertrand \cite{Bert95} describes a
 simpler representation of divisors for which the arithmetic and
 principality tests are more efficient than the general methods.
 
@@ -1287,7 +1289,7 @@ new constant, and an exponential could in fact be algebraic, for
 example $\mathbb{Q}(x)(log(x),log(2x))=\mathbb{Q}(log(2))(x)(log(x))$
 and $\mathbb{Q}(x)(e^{log(x)/2})=\mathbb{Q}(x)(\sqrt{x})$. There are
 however algorithms that detect all such occurences and modify the
-tower accordingly \cite{Ris79}, so we can assume that all the logarithms
+tower accordingly \cite{Risc79}, so we can assume that all the logarithms
 and exponentials appearing in $E$ are monomials, and that 
 ${\rm Const}(E)=C$. Let now $k_0$ be the largest index such that
 $t_{k_0}$ is transcendental over $K=C(x)(t_1,\ldots,t_{k_0-1})$ and
@@ -1430,7 +1432,7 @@ $r_0,\ldots,r_{d-1} \in K$. Again, it is easy to verify that for any
 R=\frac{1}{{\rm deg}_t(S)}\frac{r_{d-1}}{c_d}\frac{S'}{S}+\overline{R}
 \]
 where $\overline{R} \in K[t]$ is such that $\overline{R}=0$ or
-${\rm deg}_t(\overline{R}) < e-1$. Furthermore, it can be proven \cite{Bro97}
+${\rm deg}_t(\overline{R}) < e-1$. Furthermore, it can be proven \cite{Bron97}
 that if $R+A/D$ has an elementary integral over $K(t)$, then 
 $r_{d-1}/{c_d}$ is a constant, which implies that
 \[
@@ -1480,7 +1482,7 @@ g=\sum_{i=1}^k\sum_{a|Q_i(a)=0} a\log(\gcd{}_t(D,A-aD'))
 Note that the roots of each $Q_i$ must all be constants, and that the
 arguments of the logarithms can be obtained directly from the
 subresultant PRS of $D$ and $A-zD'$ as in the rational function
-case. It can then be proven \cite{Bro97} that
+case. It can then be proven \cite{Bron97} that
 \begin{itemize}
 \item $f-g'$ is always ``simpler'' than $f$
 \item the splitting field of $Q_1\cdots Q_k$ over $K$ is the minimal
@@ -1555,7 +1557,7 @@ $z$ be a new indeterminante and compute
 \begin{equation}\label{Int16}
 R(z)={\rm resultant_t}({\rm pp_z}({\rm resultant_y}(G-tHD',F)),D) \in K[t]
 \end{equation}
-It can then be proven \cite{Bro90c} that if $f$ has an elementary integral
+It can then be proven \cite{Bron90c} that if $f$ has an elementary integral
 over $E$, then $R|\kappa(R)$ in $K[z]$.
 
 {\bf Example 12} {\sl
@@ -1607,7 +1609,7 @@ to $f_d$, either proving that \ref{Int18} has no solution, in which case $f$
 has no elementary integral, or obtaining the constant $v_{d+1}$, and
 $v_d$ up to an additive constant (in fact, we apply recursively a
 specialized version of the integration algorithm to equations of the
-form \ref{Int18}, see \cite{Bro97} for details). Write then
+form \ref{Int18}, see \cite{Bron97} for details). Write then
 $v_d=\overline{v_d}+c_d$ where $\overline{v_d} \in K$ is known and 
 $c_d \in {\rm Const}(K)$ is undetermined. Equating the coefficients of
 $t^{d-1}$ yields
@@ -1654,8 +1656,8 @@ The above problem is called a {\sl Risch differential equation over K}.
 Although solving it seems more complicated than solving $g'=f$, it
 is actually simpler than an integration problem because we look for
 the solutions $v_i$ in $K$ only rather than in an extension of
-$K$. Bronstein \cite{Bro90c,Bro91a,Bro97} and Risch
-\cite{Ris68,Ris69a,Ris69b} describe algorithms for solving this type
+$K$. Bronstein \cite{Bron90c,Bron91a,Bron97} and Risch
+\cite{Risc68,Risc69a,Risc69b} describe algorithms for solving this type
 of equation when $K$ is an elementary extension of the rational
 function field.
 
@@ -1708,7 +1710,7 @@ b
 where $at+b$ and $ct+d$ are the remainders module $t^2+1$ of $A$ and
 $V$ respectively. The above is a coupled differential system, which
 can be solved by methods similar to the ones used for Risch
-differential equations \cite{Bro97}. If it has no solution, then the
+differential equations \cite{Bron97}. If it has no solution, then the
 integral is not elementary, otherwise we reduce the integrand to 
 $h \in K[t]$, at which point the polynomial reduction either proves
 that its integral is not elementary, or reduce the integrand to an
@@ -1898,7 +1900,7 @@ whose solution is $v_2=2$, implying that $h=2y'$, hence that
 In the general case when $E$ is not a radical extension of $K(t)$, 
 \ref{Int21} is solved by bounding ${\rm deg}_t(v_i)$ and comparing the Puiseux
 expansions at infinity of $\sum_{i=1}^n v_iw_i$ with those of the form
-\ref{Int20} of $h$, see \cite{Bro90c,Ris68} for details.
+\ref{Int20} of $h$, see \cite{Bron90c,Risc68} for details.
 
 \subsection{The algebraic exponential case}
 The transcendental exponential case method also generalizes to the
@@ -2022,7 +2024,7 @@ $v=\sum_{i=1}^n v_iw_i/t^m$ where $v_1,\ldots,v_m \in K[t]$. We can
 compute $v$ by bounding ${\rm deg}_t(v_i)$ and comparing the Puiseux
 expansions at $t=0$ and at infinity of $\sum_{i=1}^n v_iw_i/t^m$ with
 those of the form \ref{Int20} of the integrand, 
-see \cite{Bro90c,Ris68} for details.
+see \cite{Bron90c,Risc68} for details.
 
 Once we are reduced to solving \ref{Int13} for $v \in K$, constants
 $c_1,\ldots,c_k \in \overline{K}$ and 
@@ -2032,13 +2034,14 @@ places above $t=0$ and at infinity in a manner similar to the
 algebraic logarithmic case, at which point the algorithm proceeds by
 constructing the divisors $\delta_j$ and the $u_j$'s as in that
 case. Again, the details are quite technical and can be found in 
-\cite{Bro90c,Ris68,Ris69a}.
+\cite{Bron90c,Risc68,Risc69a}.
 
-\chapter{Singular Value Decomposition \cite{Pu09}}
+\chapter{Singular Value Decomposition}
 \section{Singular Value Decomposition Tutorial}
 
 When you browse standard web sources like Wikipedia to learn about 
-Singular Value Decomposition or SVD you find many equations, but 
+Singular Value Decomposition \cite{Puff09} 
+or SVD you find many equations, but 
 not an intuitive explanation of what it is or how it works. SVD 
 is a way of factoring matrices into a series of linear approximations 
 that expose the underlying structure of the matrix. Two important 
@@ -2445,7 +2448,7 @@ are the same. We are trying to predict patterns of how words occur
 in documents instead of trying to predict patterns of how players 
 score on holes.
 \chapter{Quaternions}
-from \cite{Alt05}:
+from \cite{Altm05}:
 \begin{quotation}
 Quaternions are inextricably linked to rotations.
 Rotations, however, are an accident of three-dimensional space.
@@ -2467,8 +2470,8 @@ The Theory of Quaternions is due to Sir William Rowan Hamilton,
 Royal Astronomer of Ireland, who presented his first paper on the
 subject to the Royal Irish Academy in 1843. His Lectures on
 Quaternions were published in 1853, and his Elements, in 1866,
-shortly after his death. The Elements of Quaternions by Tait \cite{Ta1890} is
-the accepted text-book for advanced students.
+shortly after his death. The Elements of Quaternions by Tait \cite{Tait1890} 
+is the accepted text-book for advanced students.
 
 Large portions of this file are derived from a public domain version
 of Tait's book combined with the algebra available in Axiom.
@@ -7651,13 +7654,13 @@ i =
 \right]
 $$
 
-\chapter{Clifford Algebra \cite{Fl09}}
+\chapter{Clifford Algebra}
 
-This is quoted from John Fletcher's web page \cite{Fl09} (with permission).
+This is quoted from John Fletcher's web page \cite{Flet09} (with permission).
 
 The theory of Clifford Algebra includes a statement that each Clifford
 Algebra is isomorphic to a matrix representation. Several authors
-discuss this and in particular Ablamowicz \cite{Ab98} gives examples of
+discuss this and in particular Ablamowicz \cite{Abla98} gives examples of
 derivation of the matrix representation. A matrix will itself satisfy
 the characteristic polynomial equation obeyed by its own
 eigenvalues. This relationship can be used to calculate the inverse of
@@ -7672,7 +7675,8 @@ Clifford(2), Clifford(3) and Clifford(2,2).
 Introductory texts on Clifford algebra state that for any chosen
 Clifford Algebra there is a matrix representation which is equivalent.
 Several authors discuss this in more detail and in particular,
-Ablamowicz \cite{Ab98} shows that the matrices can be derived for each algebra
+Ablamowicz \cite{Abla98} 
+shows that the matrices can be derived for each algebra
 from a choice of idempotent, a member of the algebra which when
 squared gives itself.  The idea of this paper is that any matrix obeys
 the characteristic equation of its own eigenvalues, and that therefore
@@ -7687,7 +7691,7 @@ implementation. This knowledge is not believed to be new, but the
 theory is distributed in the literature and the purpose of this paper
 is to make it clear.  The examples have been first developed using a
 system of symbolic algebra described in another paper by this
-author \cite{Fl01}.  
+author \cite{Flet01}.  
 
 \section{Clifford Basis Matrix Theory}
 
@@ -8129,7 +8133,7 @@ simple cases of wide usefulness.
 
 \subsection{Example 3: Clifford (2,2)}
 
-The following basis matrices are given by Ablamowicz \cite{Ab98}
+The following basis matrices are given by Ablamowicz \cite{Abla98}
 
 \[
 \begin{array}{cc}
@@ -8379,7 +8383,7 @@ and
 \[n^{-1}_2 = \frac{n^3_2- 4n^2_2 + 8n_2 - 8}{4}\]
 
 This expression can be evaluated easily using a computer algebra
-system for Clifford algebra such as described in Fletcher \cite{Fl01}. 
+system for Clifford algebra such as described in Fletcher \cite{Flet01}. 
 The result is
 
 \[
@@ -8423,15 +8427,16 @@ It is well known that the most difficult part in constructing AG-code
 is the computation of a basis of the vector space ``L(D)'' where D is a
 divisor of the function field of an irreducible curve. To compute such
 a basis, PAFF used the Brill-Noether algorithm which was generalized
-to any plane curve by D. LeBrigand and J.J. Risler \cite{LR88}. In 
-\cite{Ha96}
+to any plane curve by D. LeBrigand and J.J. Risler \cite{LeBr88}. In 
+\cite{Hach96}
 you will find more details about the algorithmic aspect of the
 Brill-Noether algorithm. Also, if you prefer, as I do, a strictly
-algebraic approach, see \cite{Ha95}. This is the approach I used in my thesis
-(\cite{Ha96}) and of course this is where you will find complete details about
+algebraic approach, see \cite{Hach95}. This is the approach I used in my thesis
+(\cite{Hach96}) 
+and of course this is where you will find complete details about
 the implementation of the algorithm. The algebraic approach use the
 theory of algebraic function field in one variable : you will find in
-\cite{St93} a very good introduction to this theory and AG-codes.
+\cite{Stic93} a very good introduction to this theory and AG-codes.
 
 It is important to notice that PAFF can be used for most computation
 related to the function field of an irreducible plane curve. For
@@ -8444,7 +8449,7 @@ There is also the package PAFFFF which is especially designed to be
 used over finite fields. This package is essentially the same as PAFF,
 except that the computation are done over ``dynamic extensions'' of the
 ground field. For this, I used a simplify version of the notion of
-dynamic algebraic closure as proposed by D. Duval \cite{Du95}.
+dynamic algebraic closure as proposed by D. Duval \cite{Duva95}.
 
 Example 1
 
@@ -8484,7 +8489,7 @@ notation for the binomial coefficients
 There are $n$ factors in the numerator and $n$ in the denominator.
 Viewed as a function of $u$, $C(u+k,n)$ is a polynomial of degree $n$.
 
-The figure above, Hamming \cite{Ham62}
+The figure above, Hamming \cite{Hamm62}
 calls a lozenge diagram. A line starting at
 a point on the left edge and following some path across the page
 defines an interpolation formula if the following rules are used.
@@ -8560,182 +8565,13 @@ Gaussian Elimination
 \chapter{Diophantine Equations}
 Diophantine Equations
 
-\begin{thebibliography}{99}
-
-\bibitem[Ablamowicz 98]{Ab98} Ablamowicz, Rafal\\
-``Spinor Representations of Clifford Algebras: A Symbolic Approach''\\
-Computer Physics Communications
-Vol. 115, No. 2-3, December 11, 1998, pages 510-535.
-
-\bibitem[Altmann 05]{Alt05} Altmann, Simon L.\\
-``Rotations, Quaternions, and Double Groups''\\
-Dover Publications, Inc. 2005 ISBN 0-486-44518-6
-
-\bibitem[Bertrand 95]{Ber95} Bertrand, Laurent\\ 
-``Computing a hyperelliptic integral using arithmetic in the jacobian 
-of the curve''\\ 
-{\sl Applicable Algebra in Engineering, Communication and Computing}, 
-6:275-298, 1995
-
-\bibitem[Bronstein 90c]{Bro90c} Bronstein, M.\\
-``On the integration of elementary functions''\\
-{\sl Journal of Symbolic Computation} 9(2):117-173, February 1990
-
-\bibitem[Bronstein 91a]{Bro91a} Bronstein, M.\\
-``The Risch differential equation on an algebraic curve''\\
-in Watt [Wat91], pp241-246 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
-
-\bibitem[Bronstein 97]{Bro97} Bronstein, M.\\ 
-``Symbolic Integration I--Transcendental Functions.''\\
-Springer, Heidelberg, 1997 ISBN 3-540-21493-3
-\verb|evil-wire.org/arrrXiv/Mathematics/Bronstein,_Symbolic_Integration_I,1997.pdf|
-
-\bibitem[Bronstein 98b]{Bro98b} Bronstein, Manuel\\
-``Symbolic Integration Tutorial''\\
-INRIA Sophia Antipolis ISSAC 1998 Rostock
-
-\bibitem[Bronstein 98]{REF-Bro98} Bronstein, M.\\
-``The lazy hermite reduction''\\
-Rapport de Recherche RR-3562, INRIA, 1998
-
-\bibitem[Duval 95]{Du95} Duval, D.\\
-``Evaluation dynamique et cl\^oture alg\'ebrique en Axiom''.\\
-Journal of Pure and Applied Algebra, no99, 1995, pp. 267--295.
-
-\bibitem[Fletcher 01]{Fl01} Fletcher, John P.\\
-``Symbolic processing of Clifford Numbers in C++''\\
-Paper 25, AGACSE 2001.
-
-\bibitem[Fletcher 09]{Fl09} Fletcher, John P.\\
-``Clifford Numbers and their inverses calculated using the matrix 
-representation.''\\
-Chemical Engineering and
-Applied Chemistry, School of Engineering and Applied Science, Aston
-University, Aston Triangle, Birmingham B4 7 ET, U. K. \\
-\verb|www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php|
-
-\bibitem[Hathway 1896]{Ha1896} Hathway, Arthur S.\\
-``A Primer Of Quaternions''\\
-(1896)
-
-\bibitem[Hache 95a]{Ha95} Hach\'e, G.\\
-``Computation in algebraic function fields for effective 
-construction of algebraic-geometric codes''\\
-Lecture Notes in Computer Science, vol. 948, 1995, pp. 262--278.
-
-\bibitem[Hache 96]{Ha96} Hach\'e, G.\\
-``Construction effective des codes g\'eom\'etriques''\\
-Th\'ese de doctorat de l'Universit\'e Pierre et Marie Curie (Paris 6), 
-Septembre 1996.
-
-\bibitem[Hamming 62]{Ham62} Hamming R W.\\
-``Numerical Methods for Scientists and Engineers''\\
-Dover (1973) ISBN 0-486-65241-6
-
-\bibitem[Hermite 1872]{Her1872} Hermite, E.\\
-``Sur l'int\'{e}gration des fractions rationelles.''\\
-{\sl Nouvelles Annales de Math\'{e}matiques}
-($2^{eme}$ s\'{e}rie), 11:145-148, 1872
-
-\bibitem[van Hoeij 94]{vH94} van Hoeij, M.\\
-``An algorithm for computing an integral basis in an algebraic
-function field''\\
-Journal of Symbolic Computation, 18(4) pp353-363 Oct. 1994
-CODEN JSYCEH ISSN 0747-7171
-
-\bibitem[Le Brigand 88]{LR88} Le Brigand, D.; Risler, J.J.\\
-``Algorithme de Brill-Noether et codes de Goppa''\\
-Bull. Soc. Math. France, vol. 116, 1988, pp. 231--253.
-
-\bibitem[Lazard 90]{LR90} Lazard, Daniel; Rioboo, Renaud\\
-``Integration of rational functions: Rational computation of the 
-logarithmic part''\\
-{\sl Journal of Symbolic Computation}, 9:113-116:1990
-
-\bibitem[Liouville 1833a]{Lio1833a} Liouville, Joseph\\
-``Premier m\'{e}moire sur la
-d\'{e}termination des int\'{e}grales dont la valeur est
-alg\'{e}brique''\\
-{\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
-
-\bibitem[Liouville 1833b]{Lio1833b} Liouville, Joseph\\ 
-``Second m\'{e}moire sur la d\'{e}termination des int\'{e}grales 
-dont la valeur est alg\'{e}brique''\\
-{\sl Journal de l'Ecole Polytechnique}, 14:149-193, 1833
-
-\bibitem[Mulders 97]{Mul97} Mulders. Thom\\
-``A note on subresultants and a correction to the lazard/rioboo/trager 
-formula in rational function integration''\\
-{\sl Journal of Symbolic Computation}, 24(1):45-50, 1997
-
-\bibitem[Ostrogradsky 1845]{Ost1845} Ostrogradsky. M.W.\\
-``De l'int\'{e}gration des fractions rationelles.''\\
-{\sl Bulletin de la Classe Physico-Math\'{e}matiques de
-l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,}
-IV:145-167,286-300, 1845
-
-\bibitem[Puffinware 09]{Pu09} Puffinware LLC.\\
-``Singular Value Decomposition (SVD) Tutorial''\\
-\verb|www.puffinwarellc.com/p3a.htm|
-
-\bibitem[Risch 68]{Ris68} Risch, Robert\\
-``On the integration of elementary functions
-which are built up using algebraic operations''\\
-Research Report
-SP-2801/002/00, System Development Corporation, Santa Monica, CA, USA, 1968
-
-\bibitem[Risch 69a]{Ris69a} Risch, Robert\\
-``Further results on elementary functions''\\
-Research Report RC-2042, IBM Research, Yorktown Heights, NY, USA, 1969
-
-\bibitem[Risch 69b]{Ris69b} Risch, Robert\\
-``The problem of integration in finite terms''\\
-{\sl Transactions of the American Mathematical Society} 139:167-189, 1969
-
-\bibitem[Risch 79]{Ris79} Risch, Robert\\
-``Algebraic properties of the elementary functions of analysis''\\
-{\sl American Journal of Mathematics}, 101:743-759, 1979
-
-\bibitem[Rosenlicht 72]{Ro72} Rosenlicht, Maxwell\\
-``Integration in finite terms''\\
-{\sl American Mathematical Monthly}, 79:963-972, 1972
-
-\bibitem[Rothstein 77]{Ro77} Rothstein, Michael\\
-``A new algorithm for the integration of 
-exponential and logarithmic functions''\\
-In {\sl Proceedings of the 1977 MACSYMA Users Conference}, 
-pages 263-274. NASA Pub CP-2012, 1977
-
-\bibitem[Stichtenoth 93]{St93} Stichtenoth, H.\\
-``Algebraic function fields and codes''\\
-Springer-Verlag, 1993, University Text.
-
-\bibitem[Tait 1890]{Ta1890} Tait, P.G.\\
-``An Elementary Treatise on Quaternions''\\
-C.J. Clay and Sons, Cambridge University Press Warehouse, Ave Maria Lane 1890
-
-\bibitem[Trager 76]{Tr76} Trager, Barry\\
-``Algebraic factoring and rational function integration''\\
-In {Proceedings of SYMSAC'76} pages 219-226, 1976
-
-\bibitem[Trager 84]{Tr84} Trager, Barry\\
-``On the integration of algebraic functions''\\
-PhD thesis, MIT, Computer Science, 1984
-
-\bibitem[Lambov 06]{Lambov06} Lambov, Branimir\\
-``Interval Arithmetic Using SSE-2''\\
-in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
-(2006) pp102-113
-
-\bibitem[Weil 71]{We71} Weil, Andr\'{e}\\
-``Courbes alg\'{e}briques et vari\'{e}t\'{e}s Abeliennes''\\
-Hermann, Paris, 1971
-
-\bibitem[Yun 76]{Yu76} Yun, D.Y.Y.\\
-``On square-free decomposition algorithms''\\
-{\sl Proceedings of SYMSAC'76} pages 26-35, 1976
-
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 0015f59..4cad1e5 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -18303,9 +18303,10 @@ CharacterClass: Join(SetCategory, ConvertibleTo String,
 
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\section{domain CLIF CliffordAlgebra\cite{7,12}}
+\section{domain CLIF CliffordAlgebra}
 \subsection{Vector (linear) spaces}
-This information is originally from Paul Leopardi's presentation on
+This information is originally from Paul Leopardi's \cite{Leop03}
+presentation on
 the {\sl Introduction to Clifford Algebras} and is included here as
 an outline with his permission. Further details are based on the book
 by Doran and Lasenby called {\sl Geometric Algebra for Physicists}.
@@ -18372,7 +18373,7 @@ for $A$.
 {\bf Definition: Dimension} The dimension of a vector space is the 
 number of basis elements, which is unique since all bases of a 
 vector space have the same number of elements.
-\subsection{Quadratic Forms\cite{1}}
+\subsection{Quadratic Forms}
 For vector space $\mathbb{V}$ over field $\mathbb{F}$, characteristic 
 $\ne 2$:
 \begin{list}{}
@@ -18383,7 +18384,7 @@ $$b:\mathbb{V}{\rm\ x\ }\mathbb{V} \rightarrow \mathbb{F}{\rm\ ,given\ by\ }$$
 $$b(x,y):=\frac{1}{2}(f(x+y)-f(x)=f(y))$$
 is a symmetric bilinear form
 \end{list}
-\subsection{Quadratic spaces, Clifford Maps\cite{1,2}}
+\subsection{Quadratic spaces, Clifford Maps}
 \begin{list}{}
 \item A quadratic space is the pair($\mathbb{V}$,$f$), where $f$ is a 
 quadratic form on $\mathbb{V}$
@@ -18392,7 +18393,7 @@ $$\rho : \mathbb{V} \rightarrow \mathbb{A}$$
 where $\mathbb{A}$ is an associated algebra, and
 $$(\rho v)^2 = f(v),{\rm\ \ \ } \forall v \in \mathbb{V}$$
 \end{list}
-\subsection{Universal Clifford algebras\cite{1}}
+\subsection{Universal Clifford algebras}
 \begin{list}{}
 \item The {\sl universal Clifford algebra} $Cl(f)$ for the quadratic space
 $(\mathbb{V},f)$ is the algebra generated by the image of the Clifford
@@ -18402,7 +18403,7 @@ $\phi_{\mathbb{A}} \exists$ a homomorphism
 $$P_\mathbb{A}:Cl(f) \rightarrow \mathbb{A}$$
 $$\rho_\mathbb{A} = P_\mathbb{A}\circ\rho_f$$
 \end{list}
-\subsection{Real Clifford algebras $\mathbb{R}_{p,q}$\cite{2}}
+\subsection{Real Clifford algebras $\mathbb{R}_{p,q}$}
 \begin{list}{}
 \item The real quadratic space $\mathbb{R}^{p,q}$ is $\mathbb{R}^{p+q}$ with
 $$\phi(x):=-\sum_{k:=-q}^{-1}{x_k^2}+\sum_{k=1}^p{x_k^2}$$
@@ -18422,7 +18423,7 @@ $$\mathbb{P}(S):={\rm\ the\ }\ power\ set\ {\rm\ of\ }S$$
 \item For $m \le n \in \mathbb{Z}$, define
 $$\zeta(m,n):=\{m,m+1,\ldots,n-1,n\}\backslash\{0\}$$
 \end{list}
-\subsection{Frames for Clifford algebras\cite{9,10,11}}
+\subsection{Frames for Clifford algebras}
 \begin{list}{}
 \item A {\sl frame} is an ordered basis $(\gamma_{-q},\ldots,\gamma_p)$
 for $\mathbb{R}^{p,q}$ which puts a quadratic form into the canonical
@@ -18433,7 +18434,7 @@ $$\gamma:\zeta(-q,p) \rightarrow \mathbb{R}^{p,q}$$
 $$\rho:\mathbb{R}^{p,q} \rightarrow \mathbb{R}_{p,q}$$
 $$(\rho\gamma k)^2 = \phi\gamma k = {\rm\ sgn\ }k$$
 \end{list}
-\subsection{Real frame groups\cite{5,6}}
+\subsection{Real frame groups}
 \begin{list}{}
 \item For $p,q \in \mathbb{N}$, define the real {\sl frame group} $\mathbb{G}_{p,q}$
 via the map
@@ -18449,7 +18450,7 @@ $$(g_k)^2 =
 \right.$$
 $$g_kg_m = \mu g_mg_k{\rm\ \ \ }\forall k \ne m\rangle$$
 \end{list}
-\subsection{Canonical products\cite{1,3,4}}
+\subsection{Canonical products}
 \begin{list}{}
 \item The real frame group $\mathbb{G}_{p,q}$ has order $2^{p+q+1}$
 \item Each member $w$ can be expressed as the canonically ordered product
@@ -18457,7 +18458,7 @@ $$w=\mu^a\prod_{k \in T}{g_k}$$
 $$\ =\mu^a\prod_{k=-q,k\ne0}^p{g_k^{b_k}}$$
 where $T \subseteq \zeta(-q,p),a,b_k \in \{0,1\}$
 \end{list}
-\subsection{Clifford algebra of frame group\cite{1,4,5,6}}
+\subsection{Clifford algebra of frame group}
 \begin{list}{}
 \item For $p,q \in \mathbb{N}$ embed $\mathbb{G}_{p,q}$ into 
 $\mathbb{R}_{p,q}$ via the map
@@ -18471,7 +18472,7 @@ $$e:\mathbb{P}\zeta(-q,p) \rightarrow \mathbb{R}_{p,q},
 \item Each $a \in \mathbb{R}_{p,q}$ can be expressed as
 $$a = \sum_{T \subseteq \zeta(-q,p)}{a_T e_T}$$
 \end{list} 
-\subsection{Neutral matrix representations\cite{1,2,8}}
+\subsection{Neutral matrix representations}
 The {\sl representation map} $P_m$ and {\sl representation matrix} $R_m$
 make the following diagram commute:
 \begin{tabular}{ccc}
@@ -28603,7 +28604,7 @@ from /home/greg/Axiom/DFLOAT.nrlib/code
 So it is clear that he has added a new function called
 {\tt doubleFloatFormat} which takes a string argument that
 specifies the common lisp format control string (\"{}\~{},4,,F\"{}).
-For reference we quote from the common lisp manual \cite{1}.
+For reference we quote from the common lisp manual.
 On page 582 we find:
 
 \begin{quote}
@@ -156871,6 +156872,11 @@ Note that this code is not included in the generated catdef.spad file.
 \getchunk{domain XRPOLY XRecursivePolynomial}
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Index}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 65a295f..0847029 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -14767,7 +14767,7 @@ DistinctDegreeFactorize(F,FP): C == T
 The special functions in this section are developed as special cases
 but can all be expressed in terms of generalized hypergeomentric
 functions ${}_pF_q$ or its generalization, the Meijer G function.
-\cite{Luk169,Luk269}
+\cite{Luke69a,Luke69b}
 The long term plan is to reimplement these functions using the 
 generalized version.
 \begin{chunk}{DoubleFloatSpecialFunctions.input}
@@ -15716,7 +15716,7 @@ DoubleFloatSpecialFunctions(): Exports == Impl where
 \end{chunk}
 \subsection{The Exponential Integral}
 \subsubsection{The E1 function}
-(Quoted from Segletes\cite{2}):
+(Quoted from Segletes\cite{Segl98}):
 
 A number of useful integrals exist for which no exact solutions have
 been found. In other cases, an exact solution, if found, may be
@@ -15775,7 +15775,7 @@ exponential integral family may be analytically related. However, this
 technique only allows for the transformation of one integral into
 another. There remains the problem of evaluating $E_1(x)$. There is an
 exact solution to the integral of $(e^{-t}/t)$, appearing in a number
-of mathematical references \cite{4,5} which is obtainable by
+of mathematical references which is obtainable by
 expanding the exponential into a power series and integrating term by
 term. That exact solution, which is convergent, may be used to specify
 $E_1(x)$ as 
@@ -15789,7 +15789,7 @@ E_1(x)=-\gamma-ln(x)
 
 Euler's constant, $\gamma$, equal to $0.57721\ldots$, arises when the
 power series expansion for $(e^{-t}/t)$ is integrated and evaluated at
-its upper limit, as $x\rightarrow\infty$\cite{6}.
+its upper limit, as $x\rightarrow\infty$.
 
 Employing eqn (5), however, to evaluate $E_1(x)$ is problematic for
 finite $x$ significantly larger than unity. One may well ask of the
@@ -15857,8 +15857,8 @@ fit. While some steps are taken to make the fits intelligent ({\sl
 e.g.}, transformation of variables), the fits are all piecewise over
 the domain of the integral.
 
-Cody and Thatcher \cite{7} performed what is perhaps the definitive
-work, with the use of Chebyshev\cite{18,19} approximations to the exponential 
+Cody and Thatcher performed what is perhaps the definitive
+work, with the use of Chebyshev approximations to the exponential 
 integral $E_1$. Like others, they fit the integral over a piecewise
 series of subdomains (three in their case) and provide the fitting
 parameters necessary to evaluate the function to various required
@@ -16041,7 +16041,7 @@ $$E_{n+1}(z)=\frac{1}{n}\left(e^{-z}-zE_n(z)\right)\ \ \ (n=1,2,3,\ldots)$$
 
 The base case of the recursion depends on E1 above.
 
-The formula is 5.1.14 in Abramowitz and Stegun, 1965, p229\cite{4}.
+The formula is 5.1.14 in Abramowitz and Stegun, 1965, p229
 \begin{chunk}{package DFSFUN DoubleFloatSpecialFunctions}
         En(n:PI,x:R):OPR == 
           n=1 => E1(x) 
@@ -16051,12 +16051,12 @@ The formula is 5.1.14 in Abramowitz and Stegun, 1965, p229\cite{4}.
 
 \end{chunk}
 \subsection{The Ei Function}
-This function is based on Kin L. Lee's work\cite{8}. See also \cite{21}.
+This function is based on Kin L. Lee's work. 
 \subsubsection{Abstract}
 The exponential integral Ei(x) is evaluated via Chebyshev series
 expansion of its associated functions to achieve high relative
 accuracy throughout the entire real line. The Chebyshev coefficients
-for these functions are given to 30 significant digits. Clenshaw's\cite{20}
+for these functions are given to 30 significant digits. Clenshaw's
 method is modified to furnish an efficient procedure for the accurate
 solution of linear systems having near-triangular coefficient
 matrices.
@@ -16067,13 +16067,13 @@ Ei(x)=\int_{-\infty}^{X}{\frac{e^u}{u}}\ du=-E_1(-x), x \ne 0
 \end{equation}
 is usually based on the value of its associated functions, for
 example, $xe^{-x}Ei(x)$. High accuracy tabulations of integral (1) by
-means of Taylor series techniques are given by Harris \cite{9} and
-Miller and Hurst \cite{10}. The evaluation of $Ei(x)$ for
+means of Taylor series techniques are given by Harris and
+Miller and Hurst. The evaluation of $Ei(x)$ for
 $-4 \le x \le \infty$ by means of Chebyshev series is provided by
-Clenshaw \cite{11} to have the absolute accuracy of 20 decimal
+Clenshaw to have the absolute accuracy of 20 decimal
 places. The evaluation of the same integral (1) by rational
 approximation of its associated functions is furnished by Cody and
-Thacher \cite{12,13} for $-\infty < x < \infty$, and has the relative
+Thacher for $-\infty < x < \infty$, and has the relative
 accuracy of 17 significant figures.
 
 The approximation of Cody and Thacher from the point of view of
@@ -16089,7 +16089,7 @@ functions that are accurate to 30 significant figures by a
 modification of Clenshaw's procedure. To verify the accuracy of the
 several Chebyshev series, values of the associated functions were
 checked against those computed by Taylor series and those of Murnaghan
-and Wrench \cite{14} (see Remarks on Convergence and Accuracy).
+and Wrench (see Remarks on Convergence and Accuracy).
 
 Although for most purposes fewer than 30 figures of accuracy are
 required, such high accuracy is desirable for the following
@@ -16106,7 +16106,7 @@ approximated. To take account of the errors commited by these
 routines, the function values must have an accuracy higher than the
 approximation to be determined. Consequently, high-precision results
 are useful as a master function for finding approximations for (or
-involving) $Ei(x)$ (e.g. \cite{12,13}) where prescribed accuracy is
+involving) $Ei(x)$ where prescribed accuracy is
 less than 30 figures.
 
 \subsubsection{Discussion}
@@ -16199,10 +16199,10 @@ coefficients $A_k^{(0)}$ and $A_k^{(1)}$ can be obtained analytically
 (if possible) or by numerical quadrature. However, since each function
 in table 1 satisfies a linear differential equation with polynomial
 coefficients, the Chebyshev coefficients can be more readily evaluated
-by the method of Clenshaw \cite{16}.
+by the method of Clenshaw.
 
-There are several variations of Clenshaw's procedure (see,
-e.g. \cite{17}), but for high-precision computation, where multiple
+There are several variations of Clenshaw's procedure,
+but for high-precision computation, where multiple
 precision arithmetic is employed, we find his original procedure
 easiest to implement. However, straightforward application of it may
 result in a loss of accuracy if the trial solutions selected are not
@@ -16248,7 +16248,7 @@ p(pt+q)
 \end{equation}
 It can be demonstrated that if $B_k$ are the Chebyshev coefficients of
 a function $\Psi(t)$, then $C_k$, the Chebyshev coefficients of
-$t^r\Psi(t)$ for positive integers r, are given by \cite{16}
+$t^r\Psi(t)$ for positive integers r, are given by 
 \begin{equation}
 C_k=2^{-r}\sum_{i=0}^r\binom{r}{i}B_{\vert k-r+2i\vert}
 \end{equation}
@@ -16277,7 +16277,7 @@ p^2A_{k+1}^{(0)}\\
 \end{array}
 \right\}
 \end{equation}
-The relation \cite{16}
+The relation
 \begin{equation}
 2kA_k^{(0)}=A_{k-1}^{(1)}-A_{k+1}^{(1)}
 \end{equation}
@@ -16304,7 +16304,7 @@ p^2A_{k-1}+2p(2k+q-2)A_k+8q(k+1)A_{k+1}+2p(2k-q+6)A_{k+2}-p^2A_{k+3}\\
 \right\}
 \end{equation}
 The superscript of $A_k^{(0)}$ is dropped for simplicity. In order to
-solve the infinite system 20, Clenshaw \cite{11} essentially
+solve the infinite system 20, Clenshaw essentially
 considered the required solution as the limiting solution of the
 sequence of truncated systems consisting of the first $M+1$ equations
 of the same system, that is, the solution of the system
@@ -16380,7 +16380,7 @@ $S(\alpha)$ are equal, respectively, to the left members of equations
 designation holds for $R(\beta)$ and $S(\beta)$.)
 
 The quantities $\alpha_k$ and $\beta_k$ are known as trial solutions
-in reference \cite{12}. Clenshaw has pointed out that if $\alpha_k$
+in reference. Clenshaw has pointed out that if $\alpha_k$
 and $\beta_k$ are not sufficiently independent, loss of significance
 will occur in the formation of the linear combination 24, with
 consequent loss of accuracy. Clenshaw suggested the Gauss-Seidel
@@ -16728,7 +16728,7 @@ evaluation also checks with that of the function values of table 4
 (computed with 30-digit floating-point arithmetic using the
 coefficients of table 3) for at least 28-1/2 significant
 digits. Evaluation of Ei(x) using the coefficients of table 3 also
-checked with Murnaghan and Wrench \cite{14} for 28-1/2 significant
+checked with Murnaghan and Wrench for 28-1/2 significant
 figures. 
 
 {\vbox{\vskip 1cm}}
@@ -17555,7 +17555,7 @@ $\infty$ & -1.000 & 0.100000000 0000000000 00000000001 E 01\\
 32       &  1.000 & 0.103341356 4216241049 43493552567 E 01\\
 \end{tabular}
 
-\subsection{The Fresnel Integral\cite{PEA56,LOS60}}
+\subsection{The Fresnel Integral\cite{Pear56,Losc60}}
 The Fresnel function is
 \[C(x) - iS(x) = \int_0^x{i^{-t^2}}~dt = \int_0^x{\exp(-i\pi{}t^2/2)}~dt\]
 
@@ -17587,7 +17587,7 @@ $|\rm{arc\ }z| \le \pi-\epsilon$, ($\epsilon > 0$), for $|z| \gg 1$ is given by
 \left(1-\frac{1\cdot{}3}{(2z)^2}+\frac{1\cdot{}3\cdot{}5\cdot{}7}{(2z)^4}-
 \cdots\right)-\frac{\cos z}{\sqrt{2\pi{}z}}\left(\frac{1}{(2z)}-
 \frac{1\cdot{}3\cdot{}5}{(2z)^3}+\cdots\right)\]
-(Note: Pearcey has a sign error for the second term (\cite{PEA56},p7)
+(Note: Pearcey has a sign error for the second term (\cite{Pear56},p7)
 
 The first approximation is
 \[C(z) \approx \frac{1}{2} + \frac{\sin z}{\sqrt{2\pi{}z}}\]
@@ -52980,7 +52980,7 @@ IntegerFactorizationPackage(I): Exports == Implementation where
 
 \end{chunk}
 \subsection{PollardSmallFactor}
-This is Brent's\cite{1} optimization of Pollard's\cite{2} rho factoring.
+This is Brent's optimization of Pollard's rho factoring.
 Brent's algorithm is about 24 percent faster than Pollard's. Pollard;s
 algorithm has complexity $O(p^{1/2})$ where $p$ is the smallest prime
 factor of the composite number $N$.
@@ -140129,7 +140129,7 @@ PolynomialGcdPackage(E,OV,R,P):C == T where
           if degree gcd(uf,differentiate uf)=0 then return [uf,ltry]
 \end{chunk}
 
-In Gathen \cite{GG99} we find a discussion of applying the Euclidean
+In Gathen \cite{Gath99} we find a discussion of applying the Euclidean
 algorithm to elements of a field. In a field every nonzero rational
 number is a unit. If we want to define a single element such that
 \[gcd(f,g) \in {\bf Q}[x]\] we choose a monic polynomial, that is, the
@@ -175476,6 +175476,11 @@ ZeroDimensionalSolvePackage(R,ls,ls2): Exports == Implementation where
 \getchunk{package ZDSOLVE ZeroDimensionalSolvePackage}
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Index}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
diff --git a/books/bookvol10.5.pamphlet b/books/bookvol10.5.pamphlet
index 09485ba..5a36774 100644
--- a/books/bookvol10.5.pamphlet
+++ b/books/bookvol10.5.pamphlet
@@ -4,10 +4,10 @@
 \mainmatter
 \setcounter{secnumdepth}{0} % override the one in bookheader.tex
 \setcounter{chapter}{0} % Chapter 1
-\chapter{Numerical Analysis \cite{4}}
+\chapter{Numerical Analysis}
 We can describe each number as $x^{*}$ which has a machine-representable
 form which differs from the number $x$ it is intended to represent.
-Quoting Householder we get:
+Quoting Householder \cite{Hous81} we get:
 \[x^{*}=\pm(x_1\beta^{-1} + x_2\beta^{-2}+\cdots+x_\lambda\beta^\lambda)
 \beta^\sigma\]
 where $\beta$ is the base, usually 2 or 10, $\lambda$ is a positive
@@ -128,7 +128,7 @@ For real matrices, TRANSx=T and TRANSx=C have the same meaning.
 For Hermitian matrices, TRANSx=T is not allowed.
 For complex symmetric matrices, TRANSx=H is not allowed.
 
-There were 38 BLAS Level 1 routines defined in \cite{REF-LAW79}. They are
+There were 38 BLAS Level 1 routines defined in \cite{Laws79}. They are
 \begin{itemize}
 \item Dot product SDSDOT, DSDOT, DQ-IDOT DQ-ADOT C-UDOT C-CDOT DDOT SDOT
 \item Constant times a vector plus a vector CAXPY DAXPY SAXPY
diff --git a/books/bookvol10.pamphlet b/books/bookvol10.pamphlet
index c8f1684..6f77d64 100644
--- a/books/bookvol10.pamphlet
+++ b/books/bookvol10.pamphlet
@@ -19266,7 +19266,7 @@ clean:
 
 \chapter{Implementation}
 
-\section{Elementary Functions\cite{4}}
+\section{Elementary Functions}
 \subsection{Rationale for Branch Cuts and Identities}
 
 Perhaps one of the most vexing problems to be addressed when
@@ -19279,7 +19279,7 @@ issue facing the mathematical library developer is the plethora of
 possibilities, and while some choices are demonstrably inferior, there
 is rarely a choice which is clearly best.
 
-Following Kahan [1], we will refer to the mathematical formula we use
+Following Kahan\cite{Kaha86}, we will refer to the mathematical formula we use
 to define the principal branch of each such function as its principal
 expression. For the inverse trigonometric and inverse hyperbolic
 functions, this principal expression is given in terms of the
@@ -19469,18 +19469,13 @@ $\begin{array}{l}
 \end{tabular}
 
 \eject
-\begin{thebibliography}{99}
-\bibitem{1} Kahan, W., “Branch cuts for complex elementary functions, or, 
-Much ado about nothing's sign bit”, Proceedings of the joint IMA/SIAM 
-conference on The State of the Art in Numerical Analysis, University of 
-Birmingham, A. Iserles and M.J.D. Powell, eds, Clarendon Press, 
-Oxford,1987, 165-210.
-\bibitem{2} IEEE standard 754-1985 for binary floating-point arithmetic, 
-reprinted in ACM SIGPLAN Notices 22 \#2 (1987), 9-25.
-\bibitem{3} IEEE standard 754-2008  
-\bibitem{4} Numerical Mathematics Consortium 
-Technical Specification 1.0 (Draft)
-\verb|http://www.nmconstorium.org|
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
diff --git a/books/bookvol11.pamphlet b/books/bookvol11.pamphlet
index 01dbce1..5cfa64e 100644
--- a/books/bookvol11.pamphlet
+++ b/books/bookvol11.pamphlet
@@ -1,6 +1,9 @@
 \documentclass[dvipdfm]{book}
 \newcommand{\VolumeName}{Volume 11: Axiom Browser}
 \input{bookheader.tex}
+\mainmatter
+\setcounter{chapter}{0} % Chapter 1
+\setcounter{secnumdepth}{0} % override the one in bookheader.tex
 \chapter{Overview}
 This book contains the Firefox browser AJAX routines.
 
@@ -840,8 +843,6 @@ result sent from the server.
 This is the standard CSS style section that gets included with every
 page. We do this here but it could be a separate style sheet. It 
 hardly matters either way as the style sheet is trivial.
-\begin{verbatim}
-\end{verbatim}
 \begin{chunk}{style}
   <style>
 
@@ -50315,12 +50316,15 @@ static char axiom_bits[] = {
 \end{verbatim}
 
 \eject
-\begin{thebibliography}{99}
-\bibitem{1} Daly, Timothy, "The Axiom Literate Documentation"\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\bibitem{2} Daly, Timothy, ``The Axiom Wiki Website''\\
-{\bf http://axiom.axiom-developer.org}
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
 
+
diff --git a/books/bookvol12.pamphlet b/books/bookvol12.pamphlet
index c657af3..1121b03 100644
--- a/books/bookvol12.pamphlet
+++ b/books/bookvol12.pamphlet
@@ -246,7 +246,7 @@ it works
 </html>
 \end{chunk}
 \chapter{Other work}
-\section{Understanding the Dynamics of Complex Lisp Programs \cite{9}}
+\section{Understanding the Dynamics of Complex Lisp Programs \cite{Loet09}}
 {\bf Abstract}: Recent advances in web technologies and the
 availability of robust Lisp libraries supporting them have made it
 possible to think of new ways of understanding and debugging large
@@ -264,47 +264,22 @@ This paper is of interest, not for its lisp tracing output, but for
 its ability to pipeline output to a browser and the technology that
 underlies the whole of it.
 
-GTFL uses Hunchentoot \cite{10} as a common lisp web server. It uses
-CL-WHO \cite{11} as the Lisp/HTML markup language, HT-AJAX \cite{12}
+GTFL \cite{Loet00} uses 
+Hunchentoot \cite{Weit06} as a common lisp web server. It uses
+CL-WHO \cite{Weit03} as the Lisp/HTML markup language, HT-AJAX \cite{Mars07}
 as an AJAX framework. The combination of these tools with GTFL
-\cite{13} allows nicely formatted output that the browser can
+allows nicely formatted output that the browser can
 dynamically layout, expand, and contract.
 
 \eject
-\begin{thebibliography}{99}
-\bibitem{1} Jenks, R.J. and Sutor, R.S. 
-``Axiom -- The Scientific Computation System''
-Springer-Verlag New York (1992)
-ISBN 0-387-97855-0
-\bibitem{2} Knuth, Donald E., ``Literate Programming''
-Center for the Study of Language and Information
-ISBN 0-937073-81-4
-Stanford CA (1992) 
-\bibitem{3} Daly, Timothy, ``The Axiom Wiki Website''\\
-{\bf http://axiom.axiom-developer.org}
-\bibitem{4} Watt, Stephen, ``Aldor'',\\
-{\bf http://www.aldor.org}
-\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
-Addison-Wesley, New York ISBN 0-201-52983-1
-\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
-Literate Programming''\\
-{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
-\bibitem{7} Winograd, Terry ``Bringing Design to Software",
-ACM Press Books, Addison-Wesley Publishing, 1996
-\bibitem{8} Daly, Timothy, "The Axiom Literate Documentation"\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\bibitem{9} Loetzsch, Martin; Bleys, Joris; Wellens, Pieter
-``Understanding the Dynamics of Complex Lisp Programs''
-\verb|www.martin-loetzsch.de/papers/loetzsch09understanding.pdf|
-\bibitem{10} Weitz, E. ``HUNCHENTOOT - The Common Lisp web server
-formerly known as TBNL''
-\verb|www.weitz.de/hunchentoot/|
-\bibitem{11} Weitz, E. ``CL-WHO -Yet another Lisp markup language''
-\verb|www.weitz.de/cl-who/|
-\bibitem{12} Marshak, U. ``HT-AJAX - AJAX framework for Hunchentoot''
-\verb|common-lisp.net/project/ht-ajax/ht-ajax.html|
-\bibitem{13} Loetzsch, M. ``GTFL - A graphical terminal for Lisp''
-\verb|martin-loetzsch.de/gtfl/|
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
+
diff --git a/books/bookvol13.pamphlet b/books/bookvol13.pamphlet
index e3d0681..d761a42 100644
--- a/books/bookvol13.pamphlet
+++ b/books/bookvol13.pamphlet
@@ -5,6 +5,21 @@
 \mainmatter
 \setcounter{chapter}{0} % Chapter 1
 \begin{quote}
+{\bf In contrast to humans, computers are good at performing formal
+processes. There are people working hard on the project of actually
+formalizing parts of mathematics by computer, with actual formally
+correct formal deductions. I think this is a very big but very
+worthwhile project, and I am confident that we will learn a lot from
+it. The process will help simplify and clarify mathematics. In not too
+many years, I expect that we will have interactive computer programs
+that can help people compile significant chunks of formally complete
+and correct mathematics (based on a few perhaps shaky but at least
+explicit assumptions) and that they will become part of the standard
+mathematicians's working environment.}
+-- William P. Thurston \cite{Thur94}
+\end{quote}
+
+\begin{quote}
 {\bf Our basic premise is that the ability to construct and modify programs
 will not improve without a new and comprehensive look at the entire
 programming process. Past theoretical research, say, in the logic of
@@ -16,7 +31,7 @@ the means to describe the techniques of program construction and
 improvement in ways that properly link verification, documentation and
 adaptability.}
 
--- Scherlis and Scott (1983) in \cite{Mason86}
+-- Scherlis and Scott (1983) in \cite{Maso86}
 \end{quote}
 \chapter{Here is a problem}
 The goal is to prove that Axiom's implementation of 
@@ -86,6 +101,8 @@ the Spad-to-Lisp level.
 
 There is an LLVM to ACL2 translator which can be used to move from
 the GCL Lisp level to the hardware since GCL compiles to C.
+In particular, the "Vellvm: Verifying the LLVM" \cite{Zdan14}
+project is important.
 
 Quoting from Hardin \cite{Hard14}
 \begin{quote}
@@ -129,7 +146,7 @@ Note that you can see the intermediate form from clang with
 clang -O4 -S -emit-llvm foo.c
 \end{verbatim}
 
-Both Coq and the Hardin translator use OCAML \cite{OCAML} so we will have to
+Both Coq and the Hardin translator use OCAML \cite{OCAM14} so we will have to
 learn that language.
 
 \chapter{Theory}
@@ -194,50 +211,13 @@ let rec gcd a b = if b = 0 then a else gcd b (a mod b)
 val gcd : int -> int -> int = <fun>
 \end{verbatim}
 
-\begin{thebibliography}{99}
-\section{Coq Spad proofs}
-
-\bibitem[Bertot 04]{Bert04} Bertot, Yves; Cast\'eran, Pierre\\
-``Interactive Theorem Proving and Program Development''\\
-Springer ISBN 3-540-20854-2
-\bibitem[OCAML 14]{OCAML}.\\
-The OCAML website\\
-\verb|ocaml.org|
-
-\section{ACL2 Lisp proofs}
-
-\bibitem[Kaufmann 14]{Kauf14} Kaufmann, Matt; Moore, J Strother\\
-``ACL2 Version 6.4''\\
-\verb|www.cs.utexas.edu/users/moore/acl2|
-
-\section{Lisp to Hardware}
-
-\bibitem[Daly 10]{Daly10} Daly, Timothy\\
-``Intel Instruction Semantics Generator''\\
-\verb|daly.axiom-developer.org/TimothyDaly_files/publications/sei/intel/intel.pdf|
-
-\bibitem[Hardin 13]{Hard13} Hardin, David S.; McClurg, Jedidiah R.; 
-Davis, Jennifer A.\\
-``Creating Formally Verified Components for Layered Assurance with an LLVM to ACL2 Translator''\\
-\verb|www.jrmcclurg.com/papers/law_2013_paper.pdf|
-
-\bibitem[Hardin 14]{Hard14} Hardin, David S.; Davis, Jennifer A.; 
-Greve, David A.; McClurg, Jedidiah R.\\
-``Development of a Translator from LLVM to ACL2''\\
-\verb|arxiv.org/pdf/1406.1566|
-
-\bibitem[Mason 86]{Mason86} Mason, Ian A.\\
-``The Semantics of Destructive Lisp''\\
-Center for the Study of Language and Information ISBN 0-937073-06-7
-
-\bibitem[Wiki 14a]{Wiki14a} ProofWiki\\
-``Euclidean Algorithm''\\
-\verb|proofwiki.org/wiki/Euclidean_Algorithm|
-
-\bibitem[Wiki 14b]{Wiki14b} ProofWiki\\
-``Division Theorem''\\
-\verb|proofwiki.org/wiki/Division_Theorem|
-
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
diff --git a/books/bookvol14.pamphlet b/books/bookvol14.pamphlet
new file mode 100644
index 0000000..b448da0
--- /dev/null
+++ b/books/bookvol14.pamphlet
@@ -0,0 +1,2142 @@
+\documentclass[dvipdfm]{book}
+\newcommand{\VolumeName}{Volume 14: Algorithms}
+\usepackage{bbold}
+\usepackage{scrextend}
+\input{bookheader.tex}
+\mainmatter
+\setcounter{chapter}{0} % Chapter 1
+
+\begin{chunk}{Geddes}
+)abbrev package GEDDES Geddes
+++ Author: Mark Botch
+++ Date Created: 2014
+++ Description:
+++ These are Axiom implementation of algorithms from [Geddes 92]
+Geddes(): Exports == Implementation where
+ EEA ==> Record(gcd:Integer,s:Integer,t:Integer)
+ Exports ==> with
+ 
+  Euclid: (Integer,Integer) -> Integer
+    ++ Euclid algorithm from [Geddes 92], p 34
+  ExtendedEuclidean: (Integer,Integer) -> EEA
+    ++ Extended Euclidean algorithm from [Geddes 92], p 36
+
+ Implementation ==> add
+
+\getchunk{Geddes:Euclid}
+\getchunk{Geddes:ExtendedEuclidean}
+
+\end{chunk}
+\chapter{Euclidean Algorithm}
+
+\cite{Gedd92} p 34\\
+{\bf procedure} Euclid($a$,$b$)
+\begin{addmargin}{1em}
+-- Compute $g=\textrm{GCD}(a,b)$, where $a$ and $b$\\
+-- are from a Euclidean domain D\\
+$c \leftarrow n(a);\quad d \leftarrow n(b)$\\
+{\bf while} $d \ne 0$ {\bf do}\{
+\begin{addmargin}{1em}
+$r \leftarrow \textrm{rem}(c,d)$\\
+$c \leftarrow d$\\
+$d \leftarrow r$\}
+\end{addmargin}
+$g \leftarrow n(c)$\\
+{\bf return}(g)
+\end{addmargin}
+{\bf end}
+
+\subsection{Geddes:Euclid}
+\begin{chunk}{Geddes:Euclid}
+  Euclid(a:Integer,b:Integer):Integer ==
+    c:Integer:=unitCanonical(a)
+    d:Integer:=unitCanonical(b)
+    while d ~= 0 repeat
+      r:Integer:= c rem d
+      c:=d
+      d:=r
+    c
+
+\end{chunk}
+
+\subsection{Background}
+
+The Euclidean GCD function tries to compute the largest number that
+divides both arguments. This isn't unique since $30=5\times 6=-5\times -6$.
+To make it unique we define a unit (essentially the sign in the Integer).
+When we extract the sign then $\{6, -6\}$ are essentially the same and
+are called ``associates''. 
+
+Having put the associates together we pick one by rule and call it the
+canonical element. The rule for the Integers is to take the absolute
+value so 6 is the canonical element for the associates $\{6, -6\}$.
+We call this function {\bf unitCanonical} although it is simply
+the absolute value function in the domain Integer. Indeed, in 
+{\bf Volume 10.3: Domains} we find this line in the domain {\bf Integer}:
+\begin{verbatim}
+      unitCanonical x == abs x
+\end{verbatim}
+
+\subsection{Example}
+
+Euclid's algorithm collects the largest set of common factors. So for
+18 and 30 we see:
+\[18 = 2 \times 3 \times 3\]
+and
+\[30 = 2 \times 3 \times 5\]
+and the common set of factors is
+\[ 6 = 2 \times 3 \]
+
+Rather than factor the numbers it is more efficient to divide the
+two numbers which will yield a quotient and a remainder. So
+in this case:
+\begin{verbatim}
+c:=18
+d:=30
+  r:= c rem d -> 18 rem 30 -> 18
+  c:= 30
+  d:= 18
+  r:= c rem d -> 30 rem 18 -> 12
+  c:= 18
+  d:= 12
+  r:= c rem d -> 18 rem 12 -> 6
+  c:= 12
+  d:= 6
+  r:= c rem d -> 12 rem 6 -> 0
+  c:= 6
+  d:= 0
+result is c -> 6
+\end{verbatim}
+
+Since the quotient and remainder will share the same common factors
+as the original numbers we can continue this division loop until
+the result of the remainder is 0. If the only factor in common is 1
+then the numbers are called ``relatively prime''. Otherwise, as
+above, we end up with the largest number composed of the common factors.
+
+\chapter{Extended Euclidean}
+
+\cite{Gedd92} p 36\\
+{\bf procedure} ExtendedEuclidean$(a,b; s,t)$
+\begin{addmargin}{1em}
+-- Given $a$ and $b$ in a Euclidean domain D, compute\\
+-- $g = \textrm{GCD}(a,b)$ and also compute elements $s,t \in D$\\
+-- such that $g=sa+tb$\\
+$c \leftarrow n(a); d \leftarrow n(b)$\\
+$c_1 \leftarrow 1; d_1 \leftarrow 0$\\
+$c_2 \leftarrow 0; d_2 \leftarrow 1$\\
+{\bf while} $d \ne 0$ {\bf do} \{
+\begin{addmargin}{1em}
+$q \leftarrow \textrm{quo}(c,d);\quad r \leftarrow c-q\cdot d$\\
+$r_1 \leftarrow c_1-q\cdot d_1;\quad r_2 \leftarrow c_2-q\cdot d_2$\\
+$c \leftarrow d; \quad c_1 \leftarrow d_1;\quad c_2 \leftarrow d_2$\\
+$d \leftarrow r; \quad d_1 \leftarrow r_1;\quad d_2 \leftarrow r_2$ \}
+\end{addmargin}
+; Normalize GCD\\
+$g \leftarrow n(c)$\\
+$s \leftarrow c_1 / (u(a)\cdot u(c)); t \leftarrow c_2 / (u(b)\cdot u(c))$\\
+{\bf return}(g)
+\end{addmargin}
+{\bf end}
+
+\subsection{Geddes:ExtendedEuclidean}
+\begin{chunk}{Geddes:ExtendedEuclidean}
+  ExtendedEuclidean(a:Integer,b:Integer):EEA ==
+    c:Integer:=unitCanonical(a)
+    d:Integer:=unitCanonical(b)
+    c1:Integer:=1
+    d1:Integer:=0
+    c2:Integer:=0
+    d2:Integer:=1
+    while d ~= 0 repeat
+      q:Integer:= c quo d
+      r:Integer:= c-q*d
+      r1:Integer:= c1-q*d1
+      r2:Integer:= c2-q*d2
+      c  := d
+      c1 := d1
+      c2 := d2
+      d  := r
+      d1 := r1
+      d2 := r2
+    t1:Integer:= unitCanonical(c)
+    t2:Integer:= c1 quo (unitNormal(a).unit*unitNormal(c).unit)
+    t3:Integer:= c2 quo (unitNormal(b).unit*unitNormal(c).unit)
+    [t1,t2,t3]
+      
+
+\end{chunk}
+
+\subsection{Background}
+
+Since we are doing simple assignments the ExtendedEuclidean
+algorithm simply computes the $s$ and $t$ coefficients such that
+a result $g=\textrm{GCD}(a,b)$ can be expressed as a linear 
+combination of elements. So
+\[t1:=\textrm{ExtendedEuclidean}(18,30) 
+{\rm\ yields\ } [\textrm{gcd}= 6,s= 2,t= - 1]\]
+and
+\[ g = s\times a + t\times b -> 6 = 2\times 18 + (-1)\times 30 \]
+
+Here we introduce two functions, {\bf quo} and {\bf unitNormal}.
+
+The {\bf quo} function is defined in {\bf Volume 10.2: Domains} in
+the domain {\bf Integer} as
+\begin{verbatim}
+   x quo y == QUOTIENT2(x,y)$Lisp
+\end{verbatim}
+which resolves to the Lisp function in {\bf Volume 5: Interpreter}
+\begin{verbatim}
+   (defun quotient2 (x y)
+     (values (truncate x y)))
+\end{verbatim}
+which will return the integer portion of an integer division,
+ignoring the fractional portion.
+
+The {\bf unitNormal} function in {\bf Volume 10.2: Categories}
+in the category {\bf IntegralDomain} returns a portion of a Record.
+The Record is defined as:
+\begin{verbatim}
+   Record(unit:%,canonical:%,associate:%)
+\end{verbatim}
+holding three pieces of information, the unit, the canonical element,
+and the set of associates. We only need the unit information so we
+access the record structure using the unit selector thus:
+\begin{verbatim}
+   resultRecord.unit
+\end{verbatim}
+
+The actual definition of {\bf unitNormal} used here comes from 
+{\bf Volume 10.3: Domains} in domain {\bf Integer} which defines it as
+\begin{verbatim}
+   UCA ==> Record(unit:%,canonical:%,associate:%)
+   unitNormal x ==
+     x < 0 => [-1,-x,-1]$UCA
+     [1,x,1]$UCA
+\end{verbatim}
+which for the value $-6$ would resolve to 
+\begin{verbatim}
+   [unit= - 1,canonical= 6,associate= - 1]
+\end{verbatim}
+giving
+\begin{verbatim}
+   unitNormal(-6).unit -> -1
+\end{verbatim}
+and, as above, the {\bf unitCanonical} function is just the absolute
+value.
+
+We use the {\bf quo} operation at the final step rather than division.
+Integer is not a Field so the operation isn't available. The division
+operator would come from the domain {\bf Fraction(Integer)} with the
+signature
+\begin{verbatim}
+   ?/? : (Integer,Integer) -> %
+\end{verbatim}
+which takes two integers and returns an element of Fraction(Integer)
+which is not what we want at the result. We know that the Integer
+unit can only be $\pm 1$ so we use the {\bf quo} operation from
+{\bf Integer}  to form the quotient we need, with the signature
+\begin{verbatim}
+   ?quo? : (%,%) -> % 
+\end{verbatim}
+
+\subsection{Example}
+\begin{verbatim}
+ExtendedEuclidean(18,30)
+  c   d  c1  d1  c2  d2   q   r  r1  r2   c   c1  c2   d  d1  d2
+ 18  30   1   0   0   1   0  18   1   0   30   0   1  18   1   0
+                          1  12  -1   1   18   1   0  12  -1   1
+                          1   6   2  -1   12  -1   1   6   2  -1
+                          2   0  -5   3    6   2  -1   0  -5   3
+ unitNormal(a) -> unitNormal(18) -> 1
+ unitNormal(b) -> unitNormal(30) -> 1
+ unitNormal(c) -> unitNormal(6) -> 1
+ t1:=unitCanonical(c) -> unitCanonical(6) -> 6
+ t2:=c1 quo (unitNormal(a).unit*unitNormal(c).unit) -> 2/1 -> 2
+ t3:Integer:= c2 quo (unitNormal(b).unit*unitNormal(c).unit) -> -1/1 -> -1
+ [gcd= 6,s= 2,t= - 1]
+\end{verbatim}
+
+
+\chapter{Primitive Euclidean}
+
+\cite{Gedd92} p 57\\
+{\bf procedure} PrimitiveEuclidean$(a(x),b(x))$
+\begin{addmargin}{1em}
+-- Given polynomials $a(x), b(x) \in D[x]$\\
+-- where D is a UFD, we compute\\
+-- $g(x)=\textrm{GCD}(a(x),b(x))$\\
+$c(x) \leftarrow \textrm{pp}(a(x));\quad d(x) \leftarrow \textrm{pp}(b(x))$\\
+{\bf while} $d(x) \ne 0$ {\bf do} \{
+\begin{addmargin}{1em}
+$r(x) \leftarrow \textrm{prem}(c(x),d(x))$\\
+$c(x) \leftarrow d(x)$\\
+$d(x) \leftarrow \textrm{pp}(r(x))$ \}
+\end{addmargin}
+$\gamma \leftarrow \textrm{GCD}(\textrm{cont}(a(x)),\textrm{cont}(b(x)))$\\
+$g(x) \leftarrow \gamma c(x)$\\
+{\bf return}($g(x)$)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Multiprecision Integer Multiplication}
+
+\cite{Gedd92} p 113\\
+{\bf procedure} BigIntegerMultiply($a$,$b$,$B$)
+\begin{addmargin}{1em}
+-- Given two multiprecision integers $a$ and $b$ of\\
+-- lengths $m$ and $n$ with base $B$, we determine\\
+-- $c=a\cdot b = c_0+c_1B+\cdots+c_{m+n-1}B^{m+n-1}$\\
+{\bf for} $i$ {\bf from} 0 {\bf to} $m-1$ {\bf do} $c_i \leftarrow 0$\\
+{\bf for} $k$ {\bf from} 0 {\bf to} $n-1$ {\bf do} \{
+\begin{addmargin}{1em}
+$carry \leftarrow 0$\\
+{\bf for} $i$ {\bf from} 0 {\bf to} $m-1$ {\bf do} \{
+\begin{addmargin}{1em}
+$temp \leftarrow a_i\cdot b_k + c_{i+k} + carry$\\
+$c_{i+k} \leftarrow \textrm{rem}(temp,B)$\\
+$carry \leftarrow \textrm{quo}(temp,B)$
+\end{addmargin}
+$c_{k+m} \leftarrow carry$ \}
+\end{addmargin}
+{\bf return}$(c_0+c_1B+\cdots+c_{m+n-1}B^{m+n-1})$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Karatsuba's Multiplication}
+
+\cite{Gedd92} p 113\\
+{\bf procedure} Karatsuba$(a,b,n)$
+\begin{addmargin}{1em}
+-- Given multiprecision integers $a$ and $b$ with $n$ digits\\
+-- and base $B$ we compute their product $c=a\cdot b$\\
+-- The size $n$ must be a power of 2\\
+{\bf if} $n=1$ {\bf then return}$(a\cdot b)$\\
+{\bf else} \{
+\begin{addmargin}{1em}
+$c \leftarrow \textrm{sign}(a) \cdot \textrm{sign}(b)$\\
+$d \leftarrow |a|; \quad b^\prime \leftarrow |b|$\\
+$a_1 \leftarrow \textrm{first } n/2 \textrm{ digits of } d$\\
+$a_2 \leftarrow \textrm{last } n/2 \textrm{ digits of } d$\\
+$b_1 \leftarrow \textrm{first } \textrm{ digits of } b^\prime$\\
+$b_2 \leftarrow \textrm{last } n/2 \textrm{ digits of } b^\prime$\\
+$m1 \leftarrow \textrm{Karatsuba}(a1,b1,n/2)$\\
+$m2 \leftarrow \textrm{Karatsuba}(a1-a2,b2-b1,n/2)$\\
+$m3 \leftarrow \textrm{Karatsuba}(a2,b2,n/2)$\\
+$c \leftarrow c\cdot (m1\cdot B^n+(m1+m2+m3)\cdot B^{n/2}+m3)$\\
+{\bf return}$(c)$ \}
+\end{addmargin}
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Polynomial Trial Division}
+
+\cite{Gedd92} p 122\\
+{\bf procedure} TrialDivision$(a(x),b(x),m,n)$
+\begin{addmargin}{1em}
+-- Given two polynomials $a(x)$ and $b(x)$ with degrees $m$ and $n$ with\\
+-- $m \ge n$, determine if $b()$ divides into $a(x)$ by trial division at the\\
+-- points $x_0,\ldots,x_m$. If true then return the quotient $c(x)$\\
+{\bf for} i {\bf from} 0 {\bf to} m {\bf do} $\xi_i=a(x_i)/b(x_i)$\\
+$c(x) \leftarrow \textrm{PolyInterp}(\xi_0,\ldots,\xi_m)$\\
+{\bf if} $\textrm{deg}(c(x))=m-n$ {\bf then return}$(c(x))$\\
+{\bf else return}({\sl does not divide})
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Fast Fourier Transform}
+
+\cite{Gedd92} p 128\\
+{\bf procedure} FFT$(N,\varpi,a(x))$
+\begin{addmargin}{1em}
+-- Given $N$, a power of 2, $\varpi$ a primitive $N$-th root of\\
+-- unity and $a(x)$ a polynomial of degree $\le N-1$, we calculate\\
+-- the $N$ components of the Fourier transform of $a(x)$
+{\bf if} $N=1$ {\bf then} $A_0 \leftarrow a_0$\\
+{\bf else} \{\\
+\begin{addmargin}{1em}
+$\displaystyle{}b(x)\leftarrow \sum_{i=0}^{N/2-1} a_{2i}\cdot x^i; \quad
+\quad c(x) \leftarrow \sum_{i=0}^{N/2-1} a_{2i+1}\cdot x^i$\\
+$B \leftarrow \textrm{FFT}(N/2,\omega^2,b(x));$\quad
+$C \leftarrow\textrm{FFT}(N/2,\omega^2,c(x))$\\
+{\bf for} $i$ {\bf from} 0 {\bf to} $N/2-1$ {\bf do} \{
+\begin{addmargin}{1em}
+$A_i \leftarrow B_i+\omega^i \cdot C_i$\\
+$A_{N/2+i} \leftarrow B_i-\omega^i \cdot C_i$ \}\}
+\end{addmargin}
+\end{addmargin}
+{\bf return}($(A_0,A_1,\cdots,A_{N-1})$)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Fast Fourier Polynomial Multiplication}
+
+\cite{Gedd92} p 132\\
+{\bf procedure} FFTMultiply$(a(x),b(x),m,n)$
+\begin{addmargin}{1em}
+-- Given polynomials $a(x)$ and $b(x)$ of degree $m$ and $n$\\
+-- calculate $c(x)=a(x)\cdot b(x)$ using FFTs\\
+$N \leftarrow $ first power of 2 greater than $m+n$\\
+$\omega \leftarrow $ primitive $N$-th root of unity\\
+$A \leftarrow \textrm{FFT}(N,\omega,a(x))$\\
+$B \leftarrow \textrm{FFT}(N,\omega,b(x))$\\
+{\bf for} $i$ {\bf from} 0 {\bf to} $N-1$ {\bf do} $C_i=A_i\cdot B_i$\\
+$c \leftarrow N^{-1}\cdot \textrm{FFT}(N,\omega^{-1},C(x))$\\
+$c(x) \leftarrow \sum_{i=0}^{N-1} c_ix^i$\\
+{\bf return}($c(x)$)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Newton's Method for Power Series Inversion}
+
+\cite{Gedd92} p 140\\
+{\bf procedure} FastNewtonInversion$(a(x),n)$\\
+\begin{addmargin}{1em}
+-- Given a power series $a(x)$ in $x$ with $a(0) = a_0 \ne 0$\\
+-- find the first $2^n$ terms of the power series $1/a(x)$.\\
+$y \leftarrow 1/a_0$\\
+{\bf for} $k$ {\bf from} 0 {\bf to} $n-1$ {\bf do}
+\begin{addmargin}{1em}
+$y \leftarrow y\cdot (2-y\cdot a(x)) \textrm{ mod } x^{2^{k+1}}$
+\end{addmargin}
+{\bf return}($y$)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Newton's Method for Solving $P(y)=0$}
+\cite{Gedd92} p 144\\
+{\bf procedure} NewtonSolve$(P(y),y_0,n)$
+\begin{addmargin}{1em}
+-- Given $P(y) \in \textrm{F}[[x]][y]$, and a point $y_0$ satisfying\\
+-- $P(y_0)=0 \textrm{ mod }x$ and $P^\prime(y_0) \ne 0$, we determine the\\
+-- first $2^n$ terms of a solution to $P(y)=0$ via Newton's method\\
+$y \leftarrow y_0$\\
+{\bf for} $k$ {\bf from} 0 {\bf to} $n-1$ {\bf do}
+\begin{addmargin}{1em}
+$y \leftarrow y-(P(y)\cdot P^\prime(y)^-1\textrm{ mod }x^{2^{k+1}}$
+\end{addmargin}
+{\bf return}$(y)$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Garner's Chinese Remainder}
+\cite{Gedd92} p 180\\
+{\bf procedure} IntegerCRA$((m_0,\ldots,m_n),(u_0,\ldots,u_n))$\\
+\begin{addmargin}{1em}
+ -- Given positive moduli $m_i \in {\bf Z} (0 \le i \le n)$ which are pairwise\\
+ -- relatively prime and given corresponding residues $u_i \in {\bf Z}_{m_i}$\\
+ -- computing the unique integer $u \in {\bf Z}_m$ (where $m=\prod m_i$) such\\
+ -- that $u \equiv u_i (\textrm{mod }m_i), i=0,1,\ldots,n$  
+
+-- Step 1: Compute the required inverses using a procedure\\
+-- \quad\quad reciprocal$(a,q)$ which computes $a^{-1}(\textrm{mod }q)$\\
+{\bf for} $k$ {\bf from} 1 {\bf to} $n$ {\bf do} \{
+\begin{addmargin}{1em}
+$product \leftarrow \phi_{m_k}(m_0)$\\
+{\bf for} $i$ {\bf from} 1 {\bf to} $k-1$ {\bf do}
+\begin{addmargin}{1em}
+$product \leftarrow \phi_{m_k}(product\cdot m_i)$
+\end{addmargin}
+$\gamma \leftarrow \textrm{reciprocal}(product,m_k)$ \}
+\end{addmargin}
+
+-- Step 2: Compute the mixed radix coeffs \{$v_k$\}\\
+$v_0 \leftarrow u_0$\\
+{\bf for} $k$ {\bf from} 1 {\bf to} $n$ {\bf do} \{
+\begin{addmargin}{1em}
+$temp \leftarrow v_{k-1}$\\
+{\bf for} $j$ {\bf from} $k-2$ {\bf to} 0 {\bf by} -1 {\bf do} 
+\begin{addmargin}{1em}
+$temp \leftarrow \phi_{m_k}(temp\cdot m_j+v_j)$
+\end{addmargin}
+$v_k \leftarrow \phi_{m_k}((u_k-temp)\cdot \gamma_k)$ \}
+\end{addmargin}
+
+-- Step 3: Convert from mixed radix representation\\
+-- to standard representation\\
+$u \leftarrow v_n$\\
+{\bf for} $k$ {\bf from} $n-1$ {\bf to} 0 {\bf by} -1 {\bf do}
+\begin{addmargin}{1em}
+$u \leftarrow u\cdot m_k+v_k$
+\end{addmargin}
+{\bf return}$(u)$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Newton Interpolation}
+\cite{Gedd92} p 188\\
+{\bf procedure} NewtonInterp$((\alpha_0,\ldots,\alpha_v)(u_0,\ldots,u_v))$
+\begin{addmargin}{1em}
+-- Let $D={\bf Z}_p[y]$ denote a domain of polynomials in $v \ge 0$\\
+-- indeterminates $y=(y_1,\ldots,y_v)$ over a finite field ${\bf Z}_p$\\
+-- ($D={\bf Z}_p$ in case $v=0$). Given distinct evaluation points
+$\alpha_i \in {\bf Z}_p$\\
+-- $(0 \le i \le n)$ and given corresponding values 
+$u_i \in D (0 \le i \le n)$\\
+-- compute the unique polynomial $u(x) \in D[x]$ such that 
+deg$(u(x)) \le n$\\
+-- and $u(\alpha_i)=u_i, i=0,1,\ldots,n$
+
+-- Step 1: Compute the required inverses using a procedure\\
+--\quad\quad reciprocal$(a,q)$ which computes $a^{-1}(\textrm{mod }q)$\\
+{\bf for} $k$ {\bf from} 1 {\bf to} $n$ {\bf do} \{
+\begin{addmargin}{1em}
+$product \leftarrow \phi_p(\alpha_k-\alpha_0)$\\
+{\bf for} $i$ {\bf from} 1 {\bf to} $k-1$ {\bf do}
+\begin{addmargin}{1em}
+$product \leftarrow \phi_p(product \cdot (\alpha_k-\alpha_i))$
+\end{addmargin}
+$\gamma_k \leftarrow \textrm{reciprocal}(product,p)$ \}
+\end{addmargin}
+-- Step 2: Compute the Newton coefficients \{$v_k$\}\\
+$v_0 \leftarrow u_0$\\
+{\bf for} $k$ {\bf from} 1 {\bf to} $n$ {\bf do} \{
+\begin{addmargin}{1em}
+$temp \leftarrow v_{k-1}$\\
+{\bf for} $j$ {\bf from} $k-2$ {\bf to} 0 {\bf by} -1 do
+\begin{addmargin}{1em}
+$temp \leftarrow \phi_p(temp \cdot (\alpha_k-\alpha_j)+v_j)$
+\end{addmargin}
+$v_k \leftarrow \phi_p((u_k-temp)\cdot \gamma_k)$ \}
+\end{addmargin}
+-- Step 3: Convert from Newton form to standard form\\
+$u \leftarrow v_n$\\
+{\bf for} $k$ {\bf from} $n-1$ {\bf to} 0 {\bf by} -1 {\bf do}
+\begin{addmargin}{1em}
+$u \leftarrow \phi_p(u \cdot (x-\alpha_k)+v_k)$
+\end{addmargin}
+{\bf return}($u(x)$)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Univariate Hensel Lifting}
+\cite{Gedd92} p 233\\
+{\bf procedure} UnivariateHensel$(a,p,u^{(1)},w^{(1)},B,\gamma)$
+\begin{addmargin}{1em}
+-- INPUT\\
+-- (1) A primitive polynomial $a(x) \in {\bf Z}[x]$\\
+-- (2) A prime integer $p$ which does not divide lcoeff($a(x)$)\\
+-- (3) Two relatively prime polynomials 
+$u^{(1)}(x),w^{(1)}(x) \in {\bf Z}_p[x]$ such that\\
+--\quad\quad $a(x) \equiv u^{(1)}(x)w^{(1)}(x)(mod p)$\\
+-- (4) An integer $B$ which bounds the magnitudes of all integer coefficients\\
+--\quad appearing in $a(x)$ and in any of its possible factors with degrees\\
+--\quad not exceeding max\{deg($u^{(1)}(x)$),deg($w^{(1)}(x)$)\}\\
+-- (5) Optionally, an integer $\gamma \in {\bf Z}$ which is known to be a
+multiple of\\
+-- \quad lcoeff($u(x)$), where $u(x)$ (see OUTPUT) below) is one of the 
+factors of\\
+-- \quad $a(x)$ in {\bf Z}[x] to be computed.\\
+-- OUTPUT\\
+-- (1) If there exist polynomials $u(x),w(x) \in {\bf Z}[x]$ such that\\
+-- \quad\quad $a(x)=u(x)w(x) \in {\bf Z}[x]$\\
+-- \quad and\\
+-- \quad\quad {\bf n}$(u(x))\equiv {\bf n}(u^{(1)}(x)) (\textrm{mod }p)$,
+${\bf n}(w(x)) \equiv {\bf n}(w^{(1)}(x))(\textrm{mod }p)$\\
+-- \quad where {\bf n} denotes the normalization 
+"make the polynomial monic as an\\
+-- \quad element of the domain ${\bf Z}_p[x]$", then $u(x)$ and $w(x)$ will
+be computed.\\
+-- (2) Otherwise, the value returned will signal "no such factorization"\\
+
+-- 1. Define a new polynomial and its modulo $p$ factors\\
+$\alpha \leftarrow \textrm{lcoeff}(a(x))$\\
+{\bf if} $\gamma$ is undefined {\bf then} $\gamma \leftarrow \alpha$\\
+$a(x) \leftarrow \gamma\cdot a(x)$\\
+$u^{(1)}(x) \leftarrow \phi_p(\gamma\cdot {\bf n}(u^{(1)}(x)))$\\
+$w^{(1)}(x) \leftarrow \phi_p(\alpha\cdot {\bf n}(w^{(1)}(x)))$
+
+-- 2. Apply extended Euclidean algorithm to 
+$u^{(1)}(x),w^{(1)}(x) \in {\bf Z}_p[x]$\\
+$s(x),t(x) \leftarrow $ polynomials in ${\bf Z}_p[x]$ computed by the extended euclidean algorithm such that\\
+\quad\quad $s(x)u^{(1)}(x)+t(x)w^{(1)}(x) \equiv 1 (\textrm{mod } p)$\\
+
+-- 3. Initialization for the iteration\\
+$u(x) \leftarrow \textrm{replace\_lc}(u^{(1)}(x),\gamma)$\\
+$w(x) \leftarrow \textrm{replace\_lc}(w^{(1)}(x),\alpha)$\\
+$e(x) \leftarrow a(x)-u(x)\cdot w(x)$\\
+$modulus \leftarrow p$
+
+-- 4. Iterate until either the factorization in ${\bf Z}[x]$ is obtained or\\
+-- \quad\quad else the bound on {\sl modulus} is reached.\\
+{\bf while} $e(x) \ne 0$ {\bf and} $modulus < 2\cdot B\cdot \gamma$ {\bf do} \{
+\begin{addmargin}{1em}
+-- 4.1 Solve in the domain ${\bf Z}_p[x]$ the polynomial equation\\
+-- \quad\quad 
+$\sigma(x)u^{(1)}(x)+\tau(x)w^{(1)}(x) \equiv c(x)(\textrm{mod }p)$\\
+-- \quad\quad where $c(x) = e(x)/modulus$\\
+$c(x) \leftarrow e(x)/modulus$\\
+$\tilde{\sigma}(x) \leftarrow \phi_p(s(x)\cdot c(x))$\\
+$\tilde{\tau}(x) \leftarrow \phi_p(t(x)\cdot c(x))$\\
+$q(x),r(x) \leftarrow $ polynomials in ${\bf Z}_p[x]$ such that\\
+\hspace*{1cm} $\tilde{\sigma}(x) = w^{(1)}(x)q(x)+r(x) \in {\bf Z}_p[x]$\\
+$\sigma(x) \leftarrow r(x)$\\
+$\tau(x) \leftarrow \phi_p(\tilde{\tau}(x)+q(x)\cdot u^{(1)}(x))$\\
+
+-- 4.2 Update the factors and compute the error\\
+$u(x) \leftarrow u(x)+\tau(x)\cdot modulus;$\\
+$w(x) \leftarrow w(x)+\sigma(x)\cdot modulus$\\
+$e(x) \leftarrow a(x)-u(x)\cdot w(x)$\\
+$modulus \leftarrow modulus\cdot p$ \}
+\end{addmargin}
+-- 5. Check the termination status\\
+{\bf if} $e(x)=0$ {\bf then} \{
+\begin{addmargin}{1em}
+-- factorization obtained - remove contents\\
+$\delta \leftarrow \textrm{cont}(u(x))$\\
+$u(x) \leftarrow u(x)/\delta$\\
+$w(x) \leftarrow w(x)/(\gamma/\delta)$\\
+-- Note: $a(x) \leftarrow a(x)/\gamma$
+would restore $a(x)$ to its input value \}\\
+{\bf return}$(u(x),w(x))$
+\end{addmargin}
+{\bf else return}({\sl no such factorization exists})
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Multivariate Polynomial Diophantine Equations}
+\cite{Gedd92} p 268\\
+{\bf procedure} MultivariateDiophant$(a,c,I,d,p,k)$\\
+\begin{addmargin}{1em}
+-- Solve in the domain ${\bf Z}_{p^k}[x_1,\ldots,x_v]$ the multivariate
+polynomial\\
+-- diophantine equation\\
+--\quad $\sigma_1\times b_1+\cdots+\sigma_r\times b_r 
+\equiv c (\textrm{mod }<I^{d+1},p^k>)$\\
+-- where, in terms of the given list of polynomials $a_1,\ldots,a_r$,\\
+-- the polynomials $b_i, i=1,\ldots,r$, are defined by:\\
+--\quad
+$b_i=a_1\times\cdots\times a_{i-1}\times a_{i+1}\times\cdots\times a_r$.\\
+-- The unique solution $\sigma_i, i=1,\ldots,r$ will be computed such that\\
+--\quad degree$(\sigma_i,x_1) < $degree$(a_i,x_1)$\\
+--\\
+-- Conditions: $p$ must not divide lcoeff($a_i$ mod I),$i=1,\ldots,r$.\\
+-- $a_i \textrm{mod }<I,p>,i=1,\ldots,r$ must be pairwise relatively prime\\
+-- in ${\bf Z}_p[x_1]$; 
+and degree$(c,x_1) <$ sum(degree$(a_i,x_1),i-1,\ldots,r)$\\
+--\\
+-- INPUT\\
+-- (1) A list $a$ of $r > 1$ polynomials in the domain 
+${\bf Z}_{p^k}[x_1,\ldots,x_v]$\\
+-- (2) A polynomial $c \in {\bf Z}_{p^k}[x_1,\ldots,x_v]$\\
+-- (3) $l$, a list of equations 
+$[x_2=\alpha_2,x_3=\alpha_3,\ldots,x_v=\alpha_v]$\\
+--\quad (possibly null, in which case it is a univariate problem)\\
+--\quad representing an evaluation homomorphism;\\
+--\quad mathematically, we view it as the ideal\\
+--\quad\quad I=$<x_2-\alpha_2,x_3-\alpha_3,\ldots,x_n-\alpha_n>$\\
+-- (4) A nonnegative integer $d$ specifying the maximum total degree\\
+--\quad with respect to $x_2,\ldots,x_v$ of the desired result\\
+-- (5) A prime integer $p$\\
+-- (6) A positive integer $k$ specifying that the coefficient arithmetic\\
+--\quad is to be performed modulo $p^k$\\
+--\\
+-- OUTPUT
+-- The value returned is the list $\sigma = [\sigma_1,\ldots,\sigma_r]$\\
+--\\
+-- Remark: The mod operations must use the symmetric representation\\
+--\\
+-- 1. Initialization\\
+$r \leftarrow$ number of polynomials in $a$\\
+$v \leftarrow 1 +$ number of equations in $I$\\
+$x_v \leftarrow \textrm{lhs}(I_{v-1})$\\
+$\alpha_v \leftarrow \textrm{rhs}(I_{v-1})$\\
+{\bf if} $v > 1$ {\bf then} \{
+\begin{addmargin}{1em} %2
+-- 2.1 Multivariate case\\
+$A \leftarrow \textrm{product}(a_i,i=1,\ldots,r)$\\
+{\bf for} $j$ {\bf from} 1 {\bf to} $r$ {\bf do} \{
+$b_j \leftarrow \frac{A}{a_j}$ \}\\
+$anew \leftarrow$ substitute$(x_v=\alpha_v,a)$\\
+$cnew \leftarrow$ substitute$(x_v=\alpha_v,c)$\\
+$Inew \leftarrow$ updated list $i$ with $x_v=\alpha_v$ deleted\\
+$\sigma \leftarrow$ MultivariateDiophant$(anew,cnew,Inew,d,p,k)$\\
+$e \leftarrow (c-\textrm{sum}(\sigma_i b_i, i=1,\ldots,r))\textrm{ mod }p^k$\\
+$monomial \leftarrow 1$\\
+{\bf for} $m$ {\bf from} 1 {\bf to} $d$ {\bf while} $e \ne 0$ {\bf do} \{\\ 
+\begin{addmargin}{1em} %3
+$monomial \leftarrow monomial \times (x_v-\alpha_v)$\\
+$cm \leftarrow$ coeff of $(x_v-\alpha_v)^m$ in the Taylor expansion of $e$
+about $x_v=\alpha_v$\\
+{\bf if} $cm \ne 0$ {\bf then} \{
+\begin{addmargin}{1em} %4
+$\Delta s \leftarrow$ MultivariateDiophant$(anew,cm,Inew,d,p,k)$\\
+$\Delta s \leftarrow \Delta s\times monomial$ -- element-by-element operation\\
+$\sigma \leftarrow \sigma + \Delta s$ -- element-by-element operation\\
+$e \leftarrow (e-\textrm{sum}(\Delta s_i b_i,i=1,\ldots,r))
+\textrm{ mod }p^k$ \} \} \}
+\end{addmargin} %4
+\end{addmargin} %3
+{\bf else} \{
+\begin{addmargin}{1em} %5
+-- 2.2 Univariate case\\
+$x_1 \leftarrow$ the variable appearing in $a$\\
+-- Method: For each power of $x_1$, call UnivariateDiophant\\
+$\sigma \leftarrow$ zero list of length $r$\\
+{\bf for} each term $z$ in $c$ {\bf do} \{
+\begin{addmargin}{1em} %6
+$m \leftarrow \textrm{degree}(z,x_1)$\\
+$cm \leftarrow \textrm{lcoeff}(z)$\\
+$\Delta s \leftarrow$ UnivariateDiophant$(a,x_1,m,p,k)$\\
+$\Delta s \leftarrow \Delta s \times cm$ -- element-by-element operations\\
+$\sigma \leftarrow \sigma + \Delta s$ -- element-by-element-operations \} \}
+\end{addmargin} %6
+\end{addmargin} %5
+\end{addmargin} %2
+{\bf return}($\sigma$ mod $p^k$)
+\end{addmargin} %1
+{\bf end}
+
+\cite{Gedd92} p 270\\
+{\bf procedure} UnivariateDoiophant$(a,x,m,p,k)$
+\begin{addmargin}{1em}
+-- Solve in ${\bf Z}_{p^k}[x]$ the univariate polynomial diophantine equation\\
+--\quad $\sigma_1\times b_1+\cdots +\sigma_r\times b_r 
+\equiv x^m (\textrm{ mod } p^k)$\\
+-- where, in terms of the given list of polynomials $a_1,\ldots,a_r$\\
+-- the polynomials $b_i,i=1,\ldots,r$, are defined by\\
+--\quad $b_i=a_i\times\cdots\times a_{i-1}
+\times a_{i+1}\times\cdots\times a_r$\\
+-- The unique solution $\sigma_1,\ldots,\sigma_r$ will be computed such that\\
+--\quad $\textrm{deg}(\sigma_i) < \textrm{deg}(a_i)$\\
+--\\
+-- Conditions: $p$ must not divide lcoeff($a_i$), $i=1,\ldots,r$\\
+--\quad $a_i\textrm{ mod }p,i=1,\ldots,r$, ust be pairwise relatively
+prime in ${\bf Z}_p[x]$\\
+--\\
+-- OUTPUT\\
+-- The value returned is the list $\sigma = [\sigma_1,\ldots,\sigma_r]$
+
+$r \leftarrow$ number of polynomials in $a$\\
+{\bf if} $r > 2$ {\bf then} \{
+\begin{addmargin}{1em} %2
+$s \leftarrow$ MultiTermEEAlift$(a,p,k)$\\
+$result \leftarrow []$\\
+{\bf for} $j$ {\bf from} 1 to $r$ {\bf do} \{
+\begin{addmargin}{1em} %3
+$result \leftarrow \textrm{append}(result,
+\textrm{rem}(x^ms_j,a_j)\textrm{ mod }p^k)$ \} \}
+\end{addmargin} %3
+\end{addmargin} %2
+{\bf else} \{
+\begin{addmargin}{1em} %4
+$s \leftarrow \textrm{EEAlift}(a_2,a_1,p,k)$\\
+$q \leftarrow \textrm{quo}(x^ms_1,a_1)\textrm{ mod }p^k$\\
+$result \leftarrow [\textrm{rem}(x^ms_1,a_1)\textrm{ mod }p^k,
+(x^ms_2 + q a_2)\textrm{ mod }p^k]$ \}
+\end{addmargin} %4
+{\bf return}({\sl result})
+\end{addmargin} %1
+{\bf end}
+
+\cite{Gedd92} p 270-271\\
+{\bf procedure} MultiTermEEAlift$(a,p,x)$\\
+\begin{addmargin}{1em} %1
+-- MultiTermEEAlift computes $s_1,\ldots,s_r$ such that\\
+--\quad $s_1\times b_1+\cdots+s_r\times b_r \equiv 1 (\textrm{mod }p^k)$\\
+-- with $\textrm{deg}(s_j) < \textrm{deg}(a_j)$ where, in terms of the 
+given list of\\
+-- polynomials $a_1,\ldots,a_r$, the polynomials $b_i$ are defined by:\\
+--\quad $b_i=a_1\times\cdots\times a_{i-1}\times a_{i+1}\times\cdots
+\times a_r, i=1,\ldots,r$\\
+--\\
+-- Conditions: $p$ must not divide $\textrm{lcoeff}(a_i),i=1,\ldots,r$\\
+-- $a_i$ mod $p,i=1,\ldots,r$, must be pairwise relatively prime in
+${\bf Z}_p[x]$\\
+$r \leftarrow$ number of polynomials in $a$\\
+$q_{r-1} \leftarrow a_r$\\
+{\bf for} $j$ {\bf from} $r-2$ {\bf by} -1 {\bf to} 1 {\bf do} \{\\
+\begin{addmargin}{1em} %2
+$q_j \leftarrow a_{j+1}\times q_{j+1}$ \}
+\end{addmargin} %2
+$\beta_0 \leftarrow 1$\\
+{\bf for} $j$ {\bf from} 1 {\bf to} $r-1$ {\bf do} \{
+\begin{addmargin}{1em} %3
+$\sigma \leftarrow 
+\textrm{MultivariateDiophant}([q_j,a_j],\beta_{j-1},0,p,k)$\\
+$\beta_j \leftarrow \sigma_1$\\
+$s_j \leftarrow \sigma_2$ \}\\
+\end{addmargin} %3
+$s_r \leftarrow \beta_{r-1}$\\
+{\bf return}($[s_1,\ldots,s_r]$)
+\end{addmargin} %1
+{\bf end}
+
+\cite{Gedd92} p 271\\
+{\bf procedure} EEAlift$(a,b,p,k)$\\
+\begin{addmargin}{1em}
+-- EEAlift computes $s,t$ such that $s a + t b \equiv 1 (\textrm{mod }p^k)$\\
+-- with $\textrm{deg}(s) < \textrm{deg}(b)$ and
+$\textrm{deg}(t) < \textrm{deg}(a)$\\
+-- Assumption: GCD($a$ mod $p$, $b$ mod $p) = 1$ in ${\bf Z}_p[x]$\\
+$x \leftarrow $ the variable appearing in $a$ and $b$\\
+$amodp \leftarrow a \textrm{ mod }p$\\
+$bmodp \leftarrow b \textrm{ mod }p$\\
+$s,t \leftarrow $ polynomials in ${\bf Z}_p[x]$ computing by the
+Extended Euclidean Algorithm such that\\
+\hspace*{1cm} $s\ amodp + t\ bmodp \equiv 1 (\textrm{mod }p)$\\
+$smodp \leftarrow s$\\
+$tmodp \leftarrow t$\\
+$modulus \leftarrow p$\\
+{\bf for} $j$ {\bf from} 1 {\bf to} $k-1$ {\bf do} \{
+\begin{addmargin}{1em}
+$e \leftarrow 1-s\times a-t\times b$\\
+$c \leftarrow \frac{e}{modulus} \textrm{ mod }p$\\
+$\overline{\sigma} \leftarrow smodp\times c$\\
+$\overline{\tau} \leftarrow tmodp\times c$\\
+$q \leftarrow \textrm{quo}(\overline{\sigma},bmodp)\textrm{ mod }p$\\
+$\sigma \leftarrow \textrm{rem}(\overline{\sigma},bmodp)\textrm{ mod }p$\\
+$\tau \leftarrow (\overline{\tau}+q\times amodp)\textrm{ mod }p$\\
+$s \leftarrow s + \sigma\times modulus$\\
+$t \leftarrow t + \tau\times modulus$\\
+$modulus \leftarrow modulus\times p$ \}
+\end{addmargin}
+{\bf return}($[s,t]$)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Multivariate Hensel Lifting}
+\cite{Gedd92} p 272\\
+{\bf procedure} MultivariateHensel$(a,I,p,l,u,lcU)$
+\begin{addmargin}{1em} %1
+-- INPUT\\
+-- (1) A multivariate polynomial 
+$a(x_1,\ldots,a_v) \in {\bf Z}[x_1,\ldots,x_v]$\\
+--\quad which is primitive as a polynomial in the special variable $x_1$\\
+-- (2) I, a list of equations 
+$[x_2=\alpha_2,x_3=\alpha_3,\ldots,x_v=\alpha_v]$\\
+--\quad representing the evaluation homomorphism used; mathematically,\\
+--\quad we view it as the ideal 
+I$=<x_2-\alpha_2,x_3-\alpha_3,\ldots,x_v-\alpha_v>$\\
+--\quad and the following conditions must hold: 
+lcoeff($a,x_1)\ne 0 (\textrm{mod I})$\\
+-- (3) A prime integer $p$ which does not divide lcoeff($a$ mod I)\\
+-- (4) A positive integer $l$ such that $p^l/2$ bounds the magnitude of all\\
+--\quad integers appearing in $a$ and in any of its factors to be computed\\
+-- (5) A list $u$ of $n>1$ univariate polynomials in ${\bf Z}_{p^l}[x_1]$
+which are\\
+--\quad pairwise relatively prime in the Euclidean domain ${\bf Z}_p[x_1]$,\\
+--\quad such that 
+$a \equiv u_1\times u_2\times\cdots\times u_n (\textrm{mod }<I,p^l>)$\\
+-- (6) a list $lcU$ of the $n$ correct multivariate leading coefficients\\
+--\quad corresponding to the univariate factors $u$\\
+--\\
+-- OUTPUT\\
+-- (1) If there exist $n$ polynomials 
+$U_1,U_2,\ldots,U_n \in {\bf Z}[x_1,\ldots,x_v]$\\
+--\quad such that $a=U_1\times U_2\times\cdots\times U_n$ and for each 
+$i=1,2,\ldots,n$\\
+--\quad $U_i/\textrm{lcoeff}(U_i,x_1)\equiv u_i/\textrm{lcoeff}(u_i,x_i)
+(\textrm{ mod }<I,p^l>)$\\
+--\quad (where the divisions here are in the ring of integers mod $p^l$)\\
+--\quad then the list $U=\{U_1,U_2,\ldots,U_n\}$ will be the value returned\\
+-- (2) Otherwise, the value returned will signal "no such factorization"\\
+--\\
+-- Remark: The mod operation must use the symmetric representation\\
+--\\
+-- 1. Initialization for the multivariate iteration\\
+$v \leftarrow 1+$ number of equations in $I$\\
+$A_v \leftarrow a$\\
+{\bf for} $j$ {\bf from} $v$ {\bf by} -1 {\bf to} 2 {\bf do} \{
+\begin{addmargin}{1em} %2
+$x_j \leftarrow \textrm{lhs}(I_{j-1})$\\
+$\alpha_j \leftarrow \textrm{rhs}(I_{j-1})$\\
+$A_{j-1} \leftarrow 
+\textrm{substitute}(x_j=\alpha_j,A_j)\textrm{ mod }p^l$ \}
+\end{addmargin} %2
+$maxdeg \leftarrow \textrm{max}(\textrm{degree}(a,x_i),i=2,\ldots,v)$\\
+$U \leftarrow u$\\
+$n \leftarrow$ number of polynomials in $u$\\
+-- 2. Variable-by-variable Hensel iteration\\
+{\bf for} $j$ {\bf from} 2 {\bf to} $v$ {\bf do} \{
+\begin{addmargin}{1em} %3
+$U1 \leftarrow U$\\
+$monomial \leftarrow 1$\\
+{\bf for} $m$ {\bf from} 1 {\bf to} $n$ {\bf do} \{
+\begin{addmargin}{1em} %4
+{\bf if} $lcU_m \ne 1$ {\bf then} \{
+\begin{addmargin}{1em} %5
+$coef \leftarrow \textrm{substitute}(\{I[j],\ldots,I[v-1]\},lcU_m)
+\textrm{ mod }p^l$\\
+$U \leftarrow$ updated list $U$ with 
+lcoeff($U_m,x_1$) replaced by $coef$ \} \}
+\end{addmargin} %5
+\end{addmargin} %4
+$e \leftarrow A_j-\textrm{product}(U_i,i=1,\ldots,n)$\\
+{\bf for} $k$ {\bf from} 1 {\bf to} degree($A_j,x_j$) 
+{\bf while} $e\ne 0$ {\bf do} \{
+\begin{addmargin}{1em} %6
+$monomial \leftarrow monomial\times (x_j-\alpha_j)$\\
+$c \leftarrow$ coeff of $(x_j-\alpha_j)^k$ in the Taylor expansion
+of $e$ about $x_j=\alpha_j$\\
+{\bf if} $c\ne 0$ {\bf then} \{
+\begin{addmargin}{1em} %7
+$\Delta U \leftarrow 
+\textrm{MultivariateDiophant}(U1,c,[I[1],\ldots,I[j-2]],maxdeg,p,l)$\\
+$\Delta U \leftarrow \Delta U\times monomial$ 
+-- element-by-element operations\\
+$U \leftarrow (U + \Delta U) \textrm{ mod }p^l$
+-- element-by-element operations\\
+$e \leftarrow (A_j-\textrm{product}(U_i,i=1,\ldots,n))\textrm{ mod }p^l$
+\} \} \}
+\end{addmargin} %7
+\end{addmargin} %6
+\end{addmargin} %3
+-- 3. Check termination status\\
+{\bf if} $a=\textrm{product}(U_i,i=1,\ldots,n)$ {\bf then return}($U$)
+\begin{addmargin}{1em} %8
+{\bf else return}({\sl no such factorization exists})
+\end{addmargin} %8
+\end{addmargin} %1
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Modular GCD}
+\cite{Gedd92} p 307\\
+{\bf procedure} MGCD(A,B)\\
+\begin{addmargin}{1em}
+-- Given $A,B \in {\bf Z}[x_1,\ldots,x_k]$, nonzero, we determine the
+GCD of the\\
+-- two polynomials via modular reduction.\\
+-- Remove integer content\\
+$a \leftarrow \textrm{icont}(A)$\\
+$b \leftarrow \textrm{icont}(B)$\\
+$A \leftarrow A/a$\\
+$B \leftarrow B/b$\\
+-- Compute coefficient bound for GCD(A,B)\\
+$c \leftarrow \textrm{igcd}(a,b)$\\
+$g \leftarrow \textrm{igcd}(\textrm{lcoeff}(A),\textrm{lcoeff}(B))$\\
+$(q,H) \leftarrow (0,0)$\\
+$n \leftarrow \textrm{min}(\textrm{deg}_k(A),\textrm{deg}_k(B))$\\
+$limit \leftarrow 2^n\cdot |g|\cdot \textrm{min}(||A||_\infty,||B||_\infty)$\\
+{\bf while} true {\bf do} \{
+\begin{addmargin}{1em} %2
+$p \leftarrow \textrm{New}(LargePrime)$\\
+{\bf while} $p|q$ {\bf do} $p \leftarrow \textrm{New}(LargePrime)$\\
+$A_p \leftarrow A \textrm{ mod }p$\\
+$B_p \leftarrow B \textrm{ mod }p$\\
+$g_p \leftarrow \textrm{ mod }p$\\
+$C_p \leftarrow \textrm{PGCD}(A_p,B_p,p)$\\
+$m \leftarrow \textrm{deg}_k(C_p)$\\
+-- Normalize so that $g_p = \textrm{lcoeff}(C_p)$\\
+$C_p \leftarrow g_p\cdot \textrm{lcoeff}(C_p)^{-1}\cdot C_p$\\
+-- Test for unlucky homomorphisms\\
+{\bf if} $m < n$ {\bf then} \{
+\begin{addmargin}{1em} %3
+$(q,H) \leftarrow (p,C_p)$\\
+$n \leftarrow m$ \}
+\end{addmargin} %3
+{\bf elseif} $m=n$ {\bf then} \{
+\begin{addmargin}{1em} %4
+-- Test for completion. Update coefficients of\\
+-- GCD candidate H and modulus $q$ via integer CRA\\
+{\bf for all} coefficients $h_i$ in $H$ {\bf do} \{
+\begin{addmargin}{1em} %5
+$h_i \leftarrow \textrm{IntegerCRA}([q,p],[h_i,(C_p)_i])$\\
+$q \leftarrow q\cdot p$ \}
+\end{addmargin} %5
+\end{addmargin} %4
+{\bf if} $q > limit$ {\bf then} \{
+\begin{addmargin}{1em} %6
+-- Remove integer content of result and do division check\\
+$C \leftarrow \textrm{pp}(H)$\\
+{\bf if} $C|A$ {\bf and} $C|B$ {\bf then}
+\begin{addmargin}{1em} %7
+{\bf return}($c\cdot C$) \}
+\end{addmargin} %7
+\end{addmargin} %6
+{\bf elseif} $m=0$ {\bf then}
+\begin{addmargin}{1em} %8
+{\bf return}($c$) \}
+\end{addmargin} %8
+\end{addmargin} %2
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Multivariate GCD Reduction}
+\cite{Gedd92} p 309\\
+{\bf procedure} PGCD$(A,B,p)$
+\begin{addmargin}{1em}
+-- Given $A,B \in {\bf Z}_p[x_1,\ldots,x_k]$\\
+-- PGCD$(A,B,p)$ calculates the GCD of $A$ and $B$\\
+{\bf if} $k=1$ {\bf then} \{ -- Call univariate GCD algorithm
+\begin{addmargin}{1em} %2
+$C \leftarrow \textrm{UGCD}(A,B,p)$\\
+{\bf if} deg$(C)=0$ {\bf then} $C \leftarrow 1$\\
+{\bf return}$(C)$ \}
+\end{addmargin} %2
+-- Determine content of $A$ and $B$ considered as multivariate\\
+-- polynomials in ${\bf Z}_p[x_1,\ldots,x_{k-1}]$ with coefficients from
+${\bf Z}_p[x_k]$\\
+$a \leftarrow \textrm{cont}(A)$\\
+$b \leftarrow \textrm{cont}(B)$\\
+$A \leftarrow A/a$\\
+$B \leftarrow B/b$\\
+$c \leftarrow \textrm{UGCD}(a,b,p)$\\
+$g \leftarrow \textrm{UGCD}(\textrm{lcoeff}(A),\textrm{lcoeff}(B),p)$\\
+-- Notice that both $c$ and $g$ are in ${\bf Z}_p[x_k]$\\
+-- Main loop\\
+$(q,H) \leftarrow (1,1)$\\
+$n \leftarrow \textrm{min}(\textrm{deg}_k(A),\textrm{deg}_k(B))$\\
+$limit \leftarrow n + \textrm{deg}_k(g)$\\
+{\bf while} true {\bf do} \{
+\begin{addmargin}{1em} %3
+$b \leftarrow \textrm{New}(Member {\bf Z}_p)$ with $g(b) \ne 0$\\
+$A_b \leftarrow A\textrm{ mod }(x_k-b)$\\
+$B_b \leftarrow B\textrm{ mod }(x_k-b)$\\
+$C_b \leftarrow \textrm{PGCD}(A_b,B_b,p)$\\
+$m \leftarrow \textrm{deg}_{k-1}(C_b)$\\
+$g_b \leftarrow g(b)$\\
+-- Normalize $C_b$ so that lcoeff$(C_b)=g_b$\\
+$C_b \leftarrow g_b\cdot \textrm{lcoeff}(C_b)^{-1}C_b$\\
+-- Test for unlucky homomorphism\\
+{\bf if} $m<n$ {\bf then} \{
+\begin{addmargin}{1em} %4
+$(q,H) \leftarrow (1,1)$\\
+$n \leftarrow m$ \}
+\end{addmargin} %4
+{\bf elseif} $m=n$ {\bf then}
+\begin{addmargin}{1em} %5
+-- Use previous result to continue building $H$ via\\
+-- polynomial interpolation (i.e. via polynomial CRA)\\
+$(q,H) \leftarrow \textrm{PolyInterp}(q,H,b,C_b,p)$
+\end{addmargin} %5
+--Test for completion\\
+{\bf if} $\textrm{lcoeff}(H)=g$ {\bf then} \{
+\begin{addmargin}{1em} %5
+$C \leftarrow \textrm{pp}(H)$\\
+{\bf if} $C|A$ and $C|B$ {\bf then return}$(c\cdot C)$\\
+{\bf elseif} $m=0$ {\bf then return}$(c)$ \} \}
+\end{addmargin} %5
+\end{addmargin} %3
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Extended Zassenhaus GCD}
+\cite{Gedd92} p 316\\
+{\bf procedure} EX-GCD$(A,B)$
+\begin{addmargin}{1em}
+-- Given two polynomials $A,B \in {\bf Z}[x,y_1,\ldots,y_k]$\\
+-- with $\textrm{deg}_x(A) \ge \textrm{deg}_x(B)$, we compute the triple\\
+-- $<A/C,B/C,C>$ where $C=\textrm{GCD}(A,B)$, using Hensel lifting\\
+-- Compute the content, primitive part, lcoeff, GCD, etc. all viewing $A$\\
+-- and $B$ as polynomials over the coefficient domain 
+${\bf Z}[y_1,\ldots,y_k]$\\
+$a \leftarrow \textrm{cont}(A)$\\
+$b \leftarrow \textrm{cont}(B)$\\
+$A \leftarrow A/a$\\
+$B \leftarrow B/a$\\
+$g \leftarrow \textrm{GCD}(a,b)$\\
+$a \leftarrow a/g$\\
+$b \leftarrow b/g$\\
+-- Find a valid evaluation prime\\
+$p \leftarrow \textrm{New}(Prime)$ with lcoeff($A$) mod $p\ne 0$ and
+lcoeff($B$) mod $p\ne 0$\\
+-- Find a valid evaluation point ${\bf b}=(b_1,\ldots,b_k)$\\
+-- with $0 \le b_i < p$ and as many $b_i's=0$ as possible\\
+$b \leftarrow \textrm{New}(EvaluationPoint)$ with lcoeff$(A)({\bf b})\ne 0$
+and lcoeff$(B)({\bf b})\ne 0$\\
+$A_I \leftarrow A({\bf b})$ mod $p$\\
+$B_I \leftarrow B({\bf b})$ mod $p$\\
+$C_I \leftarrow \textrm{UGCD}(A_I,B_I)$\\
+$d \leftarrow \textrm{deg}_x(C_I)$\\
+{\bf if} $d=0$ {\bf then return}$(<Aa,Bb,g>)$\\
+-- Double check the answer: Choose a new prime and evaluation point\\
+$p^\prime \leftarrow \textrm{New}(Prime)$ with lcoeff($A$) mod $p^\prime\ne 0$
+and lcoeff($B$) mod $p^\prime\ne 0$\\
+${\bf c} \leftarrow \textrm{New}(EvaluationPoint)$ with lcoeff($A)({\bf c})$ mod $p^\prime\ne 0$ and lceoff($B)({\bf c})\ne 0$\\
+$A_{I^\prime} \leftarrow A({\bf c}) \textrm{ mod }p^\prime$\\
+$B_{I^\prime} \leftarrow B({\bf c}) \textrm{ mod} p^\prime$\\
+$C_{I^\prime} \leftarrow \textrm{UGCD}(A_{I^\prime},B_{I^\prime})$\\
+$d_{I^\prime} \leftarrow \textrm{deg}_x(C_{I^\prime})$\\
+{\bf if} $d_{I^\prime} < d$ {\bf then} \{
+\begin{addmargin}{1em} %2
+-- Previous evaluation was bad, try again\\
+$A_I \leftarrow A_{I^\prime}$\\
+$B_I \leftarrow B_{I^\prime}$\\
+$C_I \leftarrow C_{I^\prime}$\\
+$d \leftarrow d_{I^\prime}$\\
+${\bf b} \leftarrow {\bf c}$\\
+{\bf goto} double check step \}
+\end{addmargin} %2
+{\bf elseif} $d_{I^\prime} > d$ {\bf then} \{
+\begin{addmargin}{1em} %3
+-- This evaluation was bad; repeat double check step\\
+{\bf goto} double check step \}
+\end{addmargin} %3
+-- Test for special cases\\
+{\bf if} $d = 0$ {\bf then return}$(<A\cdot a,B\cdot b,g>)$\\
+{\bf if} $d=\textrm{deg}_x(B)$ {\bf then} \{
+\begin{addmargin}{1em} %4
+{\bf if} $B|A$ {\bf then return}$(<a\cdot A/B,b,B\cdot g>)$\\
+{\bf else} \{
+\begin{addmargin}{1em} %5
+-- Bad evaluation, repeat the double check\\
+$d \leftarrow d-1$\\
+{\bf goto} double check step \} \}
+\end{addmargin} %5
+\end{addmargin} %4
+-- Check for relatively prime cofactors\\
+{\bf if} UGCD$(B_I,C_I)=1$ {\bf then} \{
+\begin{addmargin}{1em} %6
+$U_I \leftarrow B$\\
+$H_I \leftarrow B_I/C_I$\\
+$c \leftarrow b$ \}
+\end{addmargin} %6
+{\bf elseif} UCGD$(A_I,C_I)=1$ {\bf then} \{
+\begin{addmargin}{1em} %7
+$U_I \leftarrow A$\\
+$H_I \leftarrow A_I/C_I$\\
+$c \leftarrow a$ \}
+\end{addmargin} %7
+{\bf else return}(SGCD$(A,B,{\bf b},p)$)\\
+-- Lifting step\\
+$U_I \leftarrow c\cdot U_I$\\
+$c_I \leftarrow c({\bf b})\textrm{ mod }p$\\
+$C_I \leftarrow c_I\cdot C_I$\\
+$(C,E) \leftarrow \textrm{EZ\_LIFT}(U_I,C_I,H_I,{\bf b},p.c)$\\
+{\bf if} $U_I=C\cdot E$ {\bf then goto} double check step\\
+-- Final check\\
+$C \leftarrow \textrm{pp}(C)$\\
+{\bf if} $C|B$ {\bf and} $C|A$ {\bf then return}
+$(<a\cdot A/C,b\cdot B/C,g\cdot C>)$\\
+{\bf else goto} double check step
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{GCD Heuristic}
+\cite{Gedd92} p 330\\
+{\bf procedure} GCDHEU$(A,B)$
+\begin{addmargin}{1em} %1
+-- Given polynomials $A,B \in {\bf Z}[x_1,\ldots,x_k]$ we use\\
+-- a heuristic method for trying to determine $G=GCD(A,B)$\\
+$vars \leftarrow$ Indeterminates($A$) $\cup$ Indeterminates($B$)\\
+{\bf if} $\textrm{SizeOf}(vars)=0$ {\bf then return}$(\textrm{igcd}(A,B))$\\
+{\bf else} $x \leftarrow vars[1]$\\
+$\xi \leftarrow 2\cdot \textrm{min}(||A||_\infty,||B||_\infty)+2$\\
+{\bf to} 6 {\bf do} \{
+\begin{addmargin}{1em} %2
+{\bf if} $\textrm{length}(\xi)\cdot \textrm{max}(\textrm{deg}_x(A),
+\textrm{deg}_x(B))>5000$
+{\bf then}
+\begin{addmargin}{1em} %3
+Return\_To\_Top\_Level(fail\_flag)
+\end{addmargin} %3
+$\gamma \leftarrow \textrm{GCDHUE}(\phi_{x-\xi}(A),\phi_{x-\xi}(B))$\\
+{\bf if} $\gamma \ne fail\_flag$ {\bf then}
+\begin{addmargin}{1em} %4
+-- Generate polynomial $G$ from $\xi$-adic expansion of $\gamma$\\
+$G \leftarrow 0$\\
+{\bf for} $i$ {\bf from} 0 {\bf while} $\gamma \ne 0$ {\bf do} \{
+\begin{addmargin}{1em} %5
+$g_i \leftarrow \phi_\xi{\gamma}$\\
+$G \leftarrow G+g_i\cdot x^i$\\
+$\gamma \leftarrow (\gamma-g_i)/\xi$ \}
+\end{addmargin} %5
+{\bf if} $G|A$ {\bf and} $G|B$ {\bf then return}($G$)
+\end{addmargin} %4
+-- Create a new evaluation point using square of golden ratio\\
+$\eta \leftarrow \textrm{iquo}(\xi\times 73794, 27011)$ \}
+\end{addmargin} %2
+{\bf return}(fail\_flag)
+\end{addmargin} %1
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Square-Free Factorization}
+\cite{Gedd92} p 340\\
+{\bf procedure} SquareFree($a(x)$)
+\begin{addmargin}{1em}
+-- Given a primitive polynomial $a(x) \in {\bf R}[x]$, {\bf R} a UFD\\
+-- with characteristic zero, we calculate the\\
+-- square-free factorization of $a(x)$\\
+$i \leftarrow 1$\\
+Output $\leftarrow 1$\\
+$b(x) \leftarrow a^\prime(x)$\\
+$c(x) \leftarrow \textrm{GCD}(a(x),b(x))$\\
+$w(x) \leftarrow a(x)/c(x)$\\
+{\bf while} $c(x) \ne 1$ {\bf do} \{
+\begin{addmargin}{1em}
+$y(x) \leftarrow \textrm{GCD}(w(x),c(x))$\\
+$z(x) \leftarrow w(x)/y(x)$\\
+Output $\leftarrow$ Output$\cdot z(x)^i$\\
+$i \leftarrow i+1$\\
+$w(x) \leftarrow y(x)$\\
+$c(x) \leftarrow c(x)/y(x)$ \}
+\end{addmargin}
+Output $\leftarrow$ Output$\cdot w(x)^i$\\
+{\bf return}(Output)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Yun's Square-Free Factorization}
+\cite{Gedd92} p 342\\
+{\bf procedure} SquareFree2($a(x)$)
+\begin{addmargin}{1em}
+-- Given a primitive polynomial $a(x) \in {\bf R}[x]$, {\bf R} a\\
+-- UFD of characteristic zero, we calculate the square-free\\
+-- factorization of $a(x)$ using Yun's algorithm\\
+$i \leftarrow 1$\\
+Output $\leftarrow 1$\\
+$b(x) \leftarrow a^\prime(x)$\\
+$c(x) \leftarrow \textrm{GCD}(a(x),b(x))$\\
+{\bf if} $c(x)=1$ {\bf then} $w(x) \leftarrow a(x)$\\
+{\bf else} \{
+\begin{addmargin}{1em}
+$w(x) \leftarrow a(x)/c(x)$\\
+$y(x) \leftarrow b(x)/c(x)$\\
+$z(x) \leftarrow y(x)-w^\prime(x)$\\
+{\bf while} $z(x) \ne 0$ {\bf do} \{
+\begin{addmargin}{1em}
+$g(x) \leftarrow \textrm{GCD}(w(x),z(x))$\\
+Output $\leftarrow$ Output$\cdot g(x)^i$\\
+$i \leftarrow i+1$\\
+$w(x) \leftarrow w(x)/g(x)$\\
+$y(x) \leftarrow z(x)/g(x)$\\
+$z(x) \leftarrow y(x)-w^\prime(x)$ \} \}
+\end{addmargin}
+\end{addmargin}
+Output $\leftarrow$ Output$\cdot w(x)^i$\\
+{\bf return}(Output)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Finite Field Square-Free Factorization}
+\cite{Gedd92} p 345\\
+{\bf procedure} SquareFreeFF$(a(x),q)$
+\begin{addmargin}{1em}
+-- Given a monic polynomial $a(x) \in GF(q)[x]$, with $GF(q)$ a\\
+-- Galois field of order $q=p^m$, we calculate the\\
+-- square-free factorization of $a(x)$\\
+$i \leftarrow 1$\\
+Output $\leftarrow 1$\\
+$b(x) \leftarrow a^\prime(x)$\\
+{\bf if} $b(x) \ne 0$ {\bf then} \{
+\begin{addmargin}{1em}
+$c(x) \leftarrow \textrm{GCD}(a(x),b(x))$\\
+$w(x) \leftarrow a(x)/c(x)$\\
+{\bf while} $w(x) \ne 1$ {\bf do} \{
+\begin{addmargin}{1em}
+$y(x) \leftarrow \textrm{GCD}(w(x),c(x))$\\
+$z(x) \leftarrow w(x)/y(x)$\\
+Output $\leftarrow$ Output$\cdot z(x)^i$\\
+$i \leftarrow i+1$\\
+$w(x) \leftarrow y(x)$\\
+$c(x) \leftarrow c(x)/y(x)$ \}
+\end{addmargin}
+{\bf if} $c(x) \ne 1$ {\bf then} \{
+\begin{addmargin}{1em}
+$c(x) \leftarrow c(x)^{1/p}$\\
+Output $\leftarrow$ Output$\cdot (\textrm{SquareFreeFF}(c(x)))^p$ \}\}
+\end{addmargin}
+\end{addmargin}
+{\bf else} \{
+\begin{addmargin}{1em}
+$a(x) \leftarrow a(x)^{1/p}$\\
+Output $\leftarrow (\textrm{SquareFreeFF}(a(x)))^p$ \}
+\end{addmargin}
+{\bf return}(Output)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Berlekamp's Factoring}
+\cite{Gedd92} p 352\\
+{\bf procedure} Berlekamp$(a(x),q)$
+\begin{addmargin}{1em}
+-- Given a square-free polynomial $a(x) \in GF(q)[x]$\\
+-- calculate irreducible factors $a_1(x),\ldots,a_k(x)$ such\\
+-- that $a(x)=a_1(x)\cdots a_k(x)$\\
+$Q \leftarrow \textrm{FormMatrixQ}(a(x),q)$\\
+$v^{[1]},v^{[2]},\ldots,v^{[k]} \leftarrow \textrm{NullSpaceBasis}(Q-I))$\\
+-- Note we can ensure that $v^{[1]}=(1,0,\ldots,0)$\\
+$factors \leftarrow \{a(x)\}$\\
+$r \leftarrow 2$\\
+{\bf while} SizeOf$(factors) < k$ {\bf do} \{
+\begin{addmargin}{1em}
+{\bf foreach} $u(x) \in factors$ {\bf do} \{
+\begin{addmargin}{1em}
+{\bf foreach} $s \in GF(q)$ {\bf do} \{
+\begin{addmargin}{1em}
+$g(x) \leftarrow \textrm{GCD}(v^{[r]}(x)-s,u(x))$\\
+{\bf if} $g(x) \ne 1$ {\bf or} $g(x) \ne u(x)$ {\bf then} \{
+\begin{addmargin}{1em}
+Remove$(u(x),factors)$\\
+$u(x) \leftarrow u(x)/g(x)$\\
+Add$(\{u(x),g(x)\},factors)$ \}
+\end{addmargin}
+{\bf if} SizeOf$(factors) = k$ {\bf then return}$(factors)$ \}
+\end{addmargin}
+\end{addmargin}
+$r \leftarrow r+1$ \} \}
+\end{addmargin}
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Form Q Matrix}
+\cite{Gedd92} p 353\\
+{\bf procedure} FormMatrixQ$(a(x),q)$
+\begin{addmargin}{1em}
+-- Given a polynomial $a(x)$ of degree $n$ in $GF(q)[x]$, calculate\\
+-- the $Q$ matrix required by Berlekamp's algorithm\\
+$n \leftarrow \textrm{deg}(a(x))$\\
+${\bf r} \leftarrow (1,0,\ldots,0)$\\
+$Row(0,Q) \leftarrow {\bf r}$\\
+{\bf for} $m$ {\bf from} 1 {\bf to} $(n-1)q$ {\bf do} \{
+\begin{addmargin}{1em}
+${\bf r} \leftarrow (-r_{n-1}\cdot a_0,r_0-r_{n-1}\cdot a_1,\ldots,
+r_{n-2}-r_{n-1}\cdot a_{n-1})$\\
+{\bf if} $q|m$ {\bf then}
+\begin{addmargin}{1em}
+Row$(m/q,Q) \leftarrow {\bf r}$ \}
+\end{addmargin}
+\end{addmargin}
+{\bf return}($Q$)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Null Space Basis}
+\cite{Gedd92} p 356\\
+{\bf procedure} NullSpaceBasis$(M)$
+\begin{addmargin}{1em}
+-- Given a square matrix $M$, we return a basis $\{v^{[1]},\ldots,v^{[k]}\}$
+for the null\\
+-- space $\{ {\bf v}:{\bf v}\cdot M={\bf 0}\}$ of $M$. 
+This algorithm does this\\
+-- by transforming $M$ to triangular idempotent form\\
+$n \leftarrow \textrm{rowsize}(M)$\\
+{\bf for} $k$ {\bf from} 1 {\bf to} $n$ {\bf do} \{
+\begin{addmargin}{1em}
+-- Search for pivot element\\
+{\bf for} $i$ {\bf from} $k$ {\bf to} $n$ {\bf while} $M_{ki}=0$ {\bf do}
+$i \leftarrow i+1$\\
+{\bf if} $i \le n$ {\bf then} \{
+\begin{addmargin}{1em}
+-- Normalize column $i$ and interchange this with column $k$\\
+Column$(i,M) \leftarrow \textrm{Column}(i,M)\cdot M_{ki}^{-1}$\\
+SwitchColumn$(i,k,M)$\\
+-- Eliminate rest of row $k$ via column operations\\
+{\bf for} $i$ {\bf to} $n$ {\bf with} $i\ne k$ {\bf do}
+\begin{addmargin}{1em}
+Column$(i,M) \leftarrow Column(i,M)-Column(k,M)\cdot M_{ki}$ \} \}
+\end{addmargin}
+\end{addmargin}
+-- Convert $M$ to $M-I$\\
+{\bf for} $i$ {\bf from} 1 {\bf to} $n$ {\bf do} $M_{ii} \leftarrow M_{ii}-1$\\
+-- Read off nonzero rows of $M$\\
+$i \leftarrow 0$\\
+$j \leftarrow 1$\\
+{\bf while} $j \le n$ {\bf do} \{
+\begin{addmargin}{1em}
+{\bf while} Row$(j,M)=0$ {\bf and} $j \le n$ {\bf do} $j \leftarrow j+1$\\
+{\bf if} $j \le n$ {\bf then} \{
+\begin{addmargin}{1em}
+$i \leftarrow i+1$\\
+$v^{[i]} \leftarrow \textrm{Row}(j,M)$ \} \}
+\end{addmargin}
+\end{addmargin}
+\end{addmargin}
+{\bf return}$(\{v^{[1]},\ldots,v^{[i]}\})$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Big Prime Berlekamp Factoring}
+\cite{Gedd92} p 367\\
+{\bf procedure} BigPrimeBerlekamp$(a(x),p^m)$
+\begin{addmargin}{1em}
+-- Given a square-free polynomial $a(x) \in GF(p^m)[x]$\\
+-- calculate irreducible factors $a_1(x),\ldots,a_k(x)$ such\\
+-- that $a(x)=a_1(x)\cdots a_k(x)$ using the big prime\\
+-- variation of Berlekamp's algorithm\\
+$Q \leftarrow \textrm{BinaryPoweringFormQ}(a(x))$\\
+${\bf v}^{[1]},{\bf v}^{[2]},\ldots,{\bf v}^{[k]} 
+\leftarrow \textrm{NullSpaceBasis}(Q-I)$\\
+-- Note: we can ensure that ${\bf v}^{[1]}=(1,0,\ldots,0)$\\
+$factors \leftarrow \{a(x)\}$\\
+{\bf while} SizeOf$(factors) < k$ {\bf do} \{
+\begin{addmargin}{1em}
+{\bf foreach} $u(x) \in factors$ {\bf do} \{
+\begin{addmargin}{1em}
+$(c_1,\ldots,c_k) \leftarrow \textrm{RandomCoefficients}(GF(p^m))$\\
+$v(x) \leftarrow c_1v^{[1]}(x)+\cdots+c_kv^{[k]}(x)$\\
+{\bf if} $p=2$ {\bf then}
+\begin{addmargin}{1em}
+$v(x) \leftarrow v(x)+v(x)^2+\cdots+v(x)^{2^{m-1}}$
+\end{addmargin}
+{\bf else} $v(x) \leftarrow v(x)^{(p^m-1)/2}-1 \textrm{ mod }u(x)$\\
+$g(x) \leftarrow \textrm{GCD}(v(x),u(x))$\\
+{\bf if} $g(x)\ne 1$ {\bf and} $g(x)\ne u(x)$ {\bf then} \{
+\begin{addmargin}{1em}
+Remove$(u(x),factors)$\\
+$u(x) \leftarrow u(x)/g(x)$\\
+Add$(\{u(x),g(x)\},factors)$\\
+{\bf if} SizeOf$(factors) = k$ {\bf then return}$(factors)$ \} \} \}
+\end{addmargin}
+\end{addmargin}
+\end{addmargin}
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Partial Distinct Degree Factorization}
+\cite{Gedd92} p 371\\
+{\bf procedure} PartialFactorDD$(a(x),q)$
+\begin{addmargin}{1em}
+-- Given a square-free polynomial $a(x)$ in $GF(q)[x]$\\
+-- we calculate the partial distinct degree factorization\\
+-- $a_1(x)\cdots a_d(x)$ of $a(x)$\\
+$i \leftarrow 1$\\
+$w(x) \leftarrow x$\\
+$a_0(x) \leftarrow 1$\\
+{\bf while} $i \le \textrm{degree}(a(x))/2$ {\bf do} \{
+\begin{addmargin}{1em}
+$w(x) \leftarrow w(x)^q\textrm{ mod }a(x)$\\
+$a_i(x) \leftarrow \textrm{GCD}(a(x),w(x)-x)$\\
+{\bf if} $a_i(x) \ne 1$ {\bf then} \{
+\begin{addmargin}{1em}
+$a(x) \leftarrow a(x)/a_i(x)$\\
+$w(x) \leftarrow w(x)\textrm{ mod }a(x)$ \}
+\end{addmargin}
+$i \leftarrow i+1$ \}
+\end{addmargin}
+{\bf return}$(a_0(x)\cdots a_{i-1}(x)a(x))$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Splitting Distinct Degree Factorization}
+\cite{Gedd92} p 373\\
+{\bf procedure} SplitDD$(a(x),n,p^m)$
+\begin{addmargin}{1em}
+-- We assume that $a(x)$ is a polynomial in $GF(p^m)$\\
+-- made up of factors all of degree $n$. We split $a(x)$\\
+-- into its complete factorization via Cantor-Zassenhaus method\\
+{\bf if} deg$(a,x) \le n$ {\bf then return}$(\{a(x)\})$\\
+-- each factor has degree given by:\\
+$m \leftarrow \textrm{deg}(a(x),x)/n$\\
+$factors \leftarrow \{a(x)\}$\\
+{\bf while} SizeOf$(factors) < m$ {\bf do} \{
+\begin{addmargin}{1em}
+$v(x) \leftarrow \textrm{RandomPoly}(\textrm{degree}=2n-1)$\\
+{\bf if} $p=2$ {\bf then}
+\begin{addmargin}{1em}
+$v(x) \leftarrow v(x)+v(x)^2+\cdots+v(x)^{2^{n\cdot m-1}}$
+\end{addmargin}
+{\bf else}
+\begin{addmargin}{1em}
+$v(x) \leftarrow v(x)^{(q^n-1)/2}-1$
+\end{addmargin}
+$g(x) \leftarrow \textrm{GCD}(a(x),v(x))$\\
+{\bf if} $g(x) \ne 1$ {\bf and} $g(x) \ne a(x)$ {\bf then}\\
+$factors \leftarrow \textrm{SplitDD}(g(x),n,p^m) \cup 
+\textrm{SplitDD}(a(x)/g(x),n,p^m)$ \}
+\end{addmargin}
+{\bf return}($factors$)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Factorization over Algebraic Number Fields}
+\cite{Gedd92} p 383\\
+{\bf procedure} AlgebraicFactorization$(a(z),m(x),\alpha)$
+\begin{addmargin}{1em}
+-- Given a square-free polynomial $a(z) \in F(\alpha)[z]$, $\alpha$\\
+-- an algebraic number with minimal polynomial $m(x)$\\
+-- of degree $n$, we factor $a$. We consider $a$ as\\
+-- a bivariate polynomial in $\alpha$ and $z$.\\
+--\\
+-- Find $s$ such that Norm$(a_s(z))$ is square-free\\
+$s \leftarrow 0$\\
+$a_s(\alpha,z) \leftarrow a(\alpha,z)$\\
+Norm$(a_s) \leftarrow \textrm{res}_x(m(x),a_x(x,z))$\\
+{\bf while} deg(GCD(Norm$(a_s)$,Norm$(a_s)^\prime))\ne 0$ {\bf do} \{
+\begin{addmargin}{1em}
+$s\leftarrow s+1$\\
+$a_s(\alpha,z) \leftarrow a_s(\alpha,z-\alpha)$\\
+Norm$(a_s) \leftarrow \textrm{res}_x(m(x),a_s(x,z))$ \}
+\end{addmargin}
+-- Factor Norm$(a_s)$ in $F[z]$ and lift resutls to $F(\alpha)[z]$\\
+$b \leftarrow$ factors(Norm$(a_s)$)\\
+{\bf if} SizeOf$(b)=1$ {\bf then return}$(a(z))$\\
+{\bf else}
+\begin{addmargin}{1em}
+{\bf foreach} $a_i(z) \in b$ {\bf do} \{
+\begin{addmargin}{1em}
+$a_i(\alpha,z) \leftarrow \textrm{GCD}(a_i(z),a_s(\alpha,z))$\\
+$a_i(\alpha,z) \leftarrow a_i(\alpha,z+s\cdot\alpha)$\\
+substitute$(a_i(x) \leftarrow a_i(\alpha,z),b)$ \}
+\end{addmargin}
+\end{addmargin}
+{\bf return}$(b)$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Fraction-Free Gaussian Elimination}
+\cite{Gedd92} p 398\\
+{\bf procedure} FractionFreeElim$(A)$
+\begin{addmargin}{1em}
+-- Given an $m\times m$ matrix $A$ (with entries $a_{ij}$),\\
+-- reduce it to upper echelon form \\
+$sign \leftarrow 1$\\
+$divisor \leftarrow 1$\\
+$r \leftarrow 1$\\
+-- Eliminate below row $r$, with pivot in column $k$\\
+{\bf for} $k$ {\bf from} 1 {\bf to} $n$ {\bf while} $r \le m$ {\bf do} \{
+\begin{addmargin}{1em}
+-- Find a nonzero pivot\\
+{\bf for} $p$ {\bf from} $r$ {\bf to} $m$ 
+{\bf while} $a_{pk}=0$ {\bf do} \{\}\\
+{\bf if} $p \le m$ {\bf then} \{
+\begin{addmargin}{1em}
+-- Pivot is in row $p$, so switch rows $p$ and $r$\\
+{\bf for} $j$ {\bf from} $k$ {\bf to} $n$ {\bf do} 
+\{ interchange $a_{pj}$ and $a_{rj}$ \}\\
+-- Keep track of sign changes due to row exchange\\
+{\bf if} $r\ne p$ {\bf then} $sign \leftarrow -sign$\\
+{\bf for} $i$ {\bf from} $r+1$ {\bf to} $m$ {\bf do} \{
+\begin{addmargin}{1em} 
+{\bf for} $j$ {\bf from} $k+1$ {\bf to} $n$ {\bf do} \{
+\begin{addmargin}{1em} 
+$a_{ij} \leftarrow (a_{rk}a_{ij}-a_{rj}a_{ik})/divisor$ \}
+\end{addmargin}
+$a_{ik} \leftarrow 0$ \}
+\end{addmargin}
+$divisor \leftarrow a_{rk}$\\
+$r \leftarrow r+1$ \} \}
+\end{addmargin}
+\end{addmargin}
+-- Optionally, compute the determinant for square\\
+-- or augmented matrices\\
+{\bf if} $r=m+1$ {\bf then} $det \leftarrow sign\cdot divisor$
+{\bf else} $det \leftarrow 0$\\
+{\bf return}$(A)$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Nonlinear Elimination}
+\cite{Gedd92} p 417\\
+{\bf procedure} NonlinearElim$(P)$
+\begin{addmargin}{1em}
+-- Given a set of polynomials \\
+-- $P=\{p_1,\ldots,p_k\} \subset \tilde{F}[x_1,\ldots,x_r]$\\
+-- none of which are constants or multiples of any others, construct\\
+-- a reduced system if possible.\\
+-- Note that we always remove the (multivariate) content,\\
+-- cecause of exponential coefficient growth\\
+--\\
+-- Distribute the $p_i$ into subsets (by domains); also note\\
+-- all pairs of (distinct) polnomials in each subset\\
+{\bf for} $i$ {\bf from} 1 {\bf to} $r$ {\bf do} \{
+$E_i \leftarrow \emptyset; B_i \leftarrow \emptyset \}$\\
+$E_{r+1} \leftarrow \emptyset$\\
+{\bf foreach} $p \in P$ {\bf do} \{
+\begin{addmargin}{1em}
+{\bf if} $p\in\tilde{F}[x_j,\ldots,x_r]-\tilde{F}[x_{j+1},\ldots,x_r]$
+{\bf then} \{
+\begin{addmargin}{1em}
+$B_j \leftarrow B_j \cup \{ [q,\textrm{pp}(p)]:q \in E_j \}$\\
+$E_j \leftarrow E_j \cup \{ \textrm{pp}(p) \} \} \}$
+\end{addmargin}
+\end{addmargin}
+-- Compute resultants until each $E_i$ has a member, or\\
+-- no more resultants are left\\
+{\bf do until} $(E_i\ne\emptyset, 1 \le i\le r)$ 
+{\bf or} $(B_i = \emptyset, 1 \le i \le r-1)$ \{
+\begin{addmargin}{1em}
+$k \leftarrow \textrm{max} \{ i: B_i \ne \emptyset \}$\\
+$[f,g] \leftarrow$ an element of $B_k$\\
+$B_k \leftarrow B_k- \{ [f,g] \}$\\
+$p \leftarrow \textrm{pp}(\textrm{res}_k(f,g))$\\
+{\bf if} $p \ne 0$ {\bf then} \{
+\begin{addmargin}{1em}
+{\bf if} $p=1$ {\bf then return}($no solutions$)\\
+{\bf else if} 
+$p \in \tilde{F}[x_j,\ldots,x_r]-\tilde{F}[x_{j+1},\ldots,x_r]$ {\bf and}\\
+\begin{addmargin}{1em}
+(no $s \in E_j$ divides $p$) {\bf then} \{
+\end{addmargin}
+$B_j\leftarrow B_j\cup\{[s,p]:s\in E_j\}$\\
+$E_j\leftarrow E_j\cup \{p\}\}\}\}$
+\end{addmargin}
+\end{addmargin}
+{\bf return}$(\{E_1,\ldots,E_r\})$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Solution of a Nonlinear System of Equations}
+\cite{Gedd92} p 421\\
+{\bf procedure} NonlinearSolve$(P)$
+\begin{addmargin}{1em}
+-- Given a set $P \subset \tilde{F}[x_1,\ldots,x_r]$ corresponding to a\\
+-- system of $k$ nonlinear equations $(k\ge r)$ with finitely\\
+-- many solutions, find the common roots of $P$\\
+$G \leftarrow \textrm{NonlinearElim}(P)$\\
+$roots \leftarrow \emptyset$\\
+-- If we obtain a nonzero constant, there are no solutions\\
+{\bf if} no solutions exist {\bf then return}$(roots)$\\
+{\bf else} \{
+\begin{addmargin}{1em}
+-- The reduced system $G$ has the form $\{E_1,\ldots,E_r\}$\\
+-- Find the roots of the univariate polynomials\\
+$q \leftarrow$ GCD( polynomials in $E_r$)\\
+$roots \leftarrow roots \cup \{ (\alpha):q(\alpha)=0 \}$\\
+-- Now extend each partial root by back-solving\\
+{\bf for} $j$ {\bf from} $r-1$ {\bf by} -1 {\bf to} 1 {\bf do} \{
+\begin{addmargin}{1em}
+$R \leftarrow \emptyset$\\
+{\bf foreach} $(\alpha_{j+1},\ldots,\alpha_r)\in roots$ {\bf do} \{
+\begin{addmargin}{1em}
+$U_j \leftarrow \{e(x_j,\alpha_{j+1},\ldots,\alpha_r):e \in E_j\}-\{0\}$\\
+$q \leftarrow$ GCD( polynomials in $U_j$)\\
+-- Note that $q$ may sometimes be constant\\
+$R \leftarrow R \cup \{(\alpha,\alpha_{j+1},\ldots,\alpha_r):q(\alpha)=0\}$\\
+\end{addmargin}
+\end{addmargin}
+$roots \leftarrow R$ \}
+\end{addmargin}
+{\bf return}$(roots)$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Full Reduction}
+\cite{Gedd92} p 436\\
+{\bf procedure} Reduce$(p,Q)$
+\begin{addmargin}{1em}
+-- Given a polynomial $p$ and a set of polynomials $Q$\\
+-- from the ring $F[x]$, find a $q$ such that $p \mapsto^* q$\\
+-- Start with the whole polynomial\\
+$r \leftarrow p$\\
+$q \leftarrow 0$\\
+-- If no reducers exist, strip off the leading monomial\\
+-- otherwise, continue to reduce\\
+{\bf while} $r\ne 0$ {\bf do} \{
+\begin{addmargin}{1em}
+{\bf while} $R_{r,Q} \ne \emptyset$ {\bf do} \{
+\begin{addmargin}{1em}
+$f \leftarrow \textrm{selectpoly}(R_{r,Q})$\\
+$r \leftarrow r-\frac{M(r)f}{M(f)}$ \}
+\end{addmargin}
+$q \leftarrow q+M(r)$\\
+$r \leftarrow r-M(r)$ \}
+\end{addmargin}
+{\bf return}$(q)$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Buchberger's Algorithm for Gr\"obner Bases}
+\cite{Gedd92} p 446\\
+{\bf procedure} Gbasis$(P)$
+\begin{addmargin}{1em}
+-- Given a set of polynomials $P$, compute $G$ such\\
+-- that $<G>=<P>$ and $G$ is a Gr\"obner Basis\\
+$G \leftarrow P$\\
+$k \leftarrow length(G)$\\
+-- We denote the $i$-th element of the ordered set $G$ by $G_i$\\
+$B \leftarrow \{ [i,j]:1 \le i < j \le k \}$\\
+{\bf while} $B \ne \emptyset$ {\bf do} \{
+\begin{addmargin}{1em}
+$[i,j] \leftarrow \textrm{selectpair}(B,G)$\\
+$B \leftarrow B - \{[i,j]\}$\\
+$h \leftarrow \textrm{Reduce}(\textrm{Spoly}(G_i,G_j),G)$\\
+{\bf if} $h\ne 0$ {\bf then} \{
+\begin{addmargin}{1em}
+$G \leftarrow G \cup \{h\}$\\
+$k \leftarrow k+1$\\
+$B \leftarrow B \cup \{[i,k]:1\le i < k\} \}\}$
+\end{addmargin}
+\end{addmargin}
+{\bf return}$(G)$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Consruction of a Reduced Ideal Basis}
+\cite{Gedd92} p 448\\
+{\bf procedure} ReduceSet$(E)$
+\begin{addmargin}{1em}
+-- Given a set $E$ (not necessarily a Gr\"obner basis),\\
+-- compute $(\tilde{E})$ such that 
+$<E>=<\tilde{E}>$ and $\tilde{E}$ is reduced\\
+-- First, remove any redundant elements\\
+$R \leftarrow E$\\
+$P \leftarrow \emptyset$\\
+$h \leftarrow \textrm{Reduce}(h,P)$\\
+{\bf while} $R \ne \emptyset$ {\bf do} \{
+\begin{addmargin}{1em}
+$h \leftarrow \textrm{selectpoly}(R)$\\
+$R \leftarrow R-\{h\}$\\
+{\bf if} $h \ne 0$ {\bf then} \{
+\begin{addmargin}{1em}
+$Q \leftarrow \{q\in P$ such that hterm$(h)$ $|$ hterm$(q)$ \}\\
+$R \leftarrow R \cup Q$\\
+$P \leftarrow P - Q \cup \{h\}$ \}\}
+\end{addmargin}
+\end{addmargin}
+-- Ensure each element is reduced modulo the others\\
+$(\tilde{E}) \leftarrow \emptyset$\\
+$S \leftarrow P$\\
+{\bf foreach} $h \in P$ {\bf do} \{
+\begin{addmargin}{1em}
+$h \leftarrow \textrm{Reduce}(h,S-\{h\})$\\
+$\tilde{E} \leftarrow \tilde{E} \cup \{h\}$ \}
+\end{addmargin}
+{\bf return}$(\tilde{E})$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Improved Construction of Reduced Gr\"obner Basis}
+\cite{Gedd92} p 450\\
+{\bf procedure} Gbasis$(P)$
+\begin{addmargin}{1em}
+-- Given polynomials $P$, find the corresponding reduced\\
+-- Gr\"obner basis $G$\\
+-- First, pre-reduce the raw input set\\
+-- optionally, just set $G \leftarrow P$\\
+$G \leftarrow \textrm{ReduceSet}(P)$\\
+$k \leftarrow \textrm{length}(G)$\\
+$B \leftarrow \{ [i,j] : 1\le i < j\le k \}$\\
+{\bf while} $B \ne \emptyset$ {\bf do} \{
+\begin{addmargin}{1em}
+$[i,j] \leftarrow \textrm{selectpair}(B,G)$\\
+$B \leftarrow B - \{[i,j]\}$\\
+{\bf if} criterion1$([i,j],G)$ {\bf and} 
+criterion2$([i,j],B,G)$ {\bf then} \{
+\begin{addmargin}{1em}
+$h \leftarrow \textrm{Reduce}(\textrm{Spoly}(G_i,G_j),G)$\\
+{\bf if} $h \ne 0$ {\bf then} \{
+\begin{addmargin}{1em}
+$G \leftarrow G \cup \{h\}$\\
+$k \leftarrow k+1$\\
+$B \leftarrow B \cup \{[i,k] : 1\le i < k\} \}\}\}$
+\end{addmargin}
+\end{addmargin}
+\end{addmargin}
+-- Discard redundant elements and inter-reduce\\
+$R \leftarrow \{ g\in G \textrm{ such that } R_{g,G}-\{g\}\ne \emptyset\}$\\
+{\bf return}(ReduceSet($G-R)$)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Solution of Systems for One Variable}
+\cite{Gedd92} p 457\\
+{\bf procedure} Solve1$(P,\tilde{x})$
+\begin{addmargin}{1em}
+-- Given a system $P$ with finitely many solutions, find\\
+-- the smallest polynomial containing the solutions in $\tilde{x}$\\
+$G \leftarrow \textrm{Gbasis}(P)$\\
+-- Assume a polynomial of form $\sum{a_k\tilde{x}^k}$\\
+-- then require that\\
+--\quad Reduce$(\sum{a_k\tilde{x}^k},G)=
+\sum{a_k\textrm{Reduce}(\tilde{x}^k,G)}=0$\\
+$k \leftarrow 0$\\
+-- If $G$ does not satify the termination theorem, the loop may be infinite\\
+{\bf do} \{
+\begin{addmargin}{1em}
+$p_k \leftarrow \textrm{Reduce}(\tilde{x}^k,G)$\\
+{\bf if} $\exists (a_0,\ldots,a_k)\ne (0,\ldots,0)$
+such that $\sum_{j=0}^k{a_jp_j}=0$ {\bf then}
+\begin{addmargin}{1em}
+{\bf return}$(a_k^{-1}\cdot \sum_{j=0}^k{a_j\tilde{x}^j})$
+\end{addmargin}
+{\bf else} $k \leftarrow k+1$ \}
+\end{addmargin}
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Complete Solutions of a System}
+\cite{Gedd92} p 458\\
+{\bf procedure} Gr\"obnerSolve$(P)$
+\begin{addmargin}{1em}
+-- Given system $P \subset F[x]$ with finitely many solutions\\
+-- find these solutions over an ``approprite'' extension of $F$\\
+-- We store partially refined bases and partial roots in $Q$\\
+$Q \leftarrow \{ [P,()] \}$\\
+{\bf for} $k$ {\bf from} $n$ {\bf by} -1 {\bf to} 1 {\bf do} \{
+\begin{addmargin}{1em}
+$S \leftarrow \emptyset$\\
+-- Refined/extend each element of $Q$ one more level\\
+{\bf foreach} $[G,(\alpha_{k+1},\ldots,\alpha_n)] \in Q$ {\bf do} \{
+\begin{addmargin}{1em}
+$\tilde{G} \leftarrow 
+\{ g(x_1,\ldots,x_k,\alpha_{k+1},\ldots,\alpha_n) : g \in G \}$\\
+$\tilde{G} \leftarrow \textrm{Gbasis}(\tilde{G})$\\
+$p \leftarrow \textrm{Solve1}(\tilde{G},x_k)$\\
+-- The roots of $p$ in $x_k$ yield several new partial roots\\
+{\bf if} $p \ne 1$ {\bf then}
+\begin{addmargin}{1em}
+$S \leftarrow S \cup 
+\{[\tilde{G},(\alpha,\alpha_{k+1},\ldots,\alpha_n)]: p(\alpha) = 0\}$ \}
+\end{addmargin}
+\end{addmargin}
+$Q \leftarrow S$ \}
+\end{addmargin}
+$roots \leftarrow \emptyset$\\
+{\bf foreach} $[G,(\alpha_1,\ldots,\alpha_n)] \in Q$ {\bf do} \{
+\begin{addmargin}{1em}
+$roots \leftarrow roots \cup \{ (\alpha_1,\ldots,\alpha_n)\}$ \}
+\end{addmargin}
+{\bf return}$(roots)$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Solution using Lexicographic Gr\"obner Basis}
+\cite{Gedd92} p 461\\
+{\bf procedure} LexSolve$(P)$
+\begin{addmargin}{1em}
+-- First, find a reduced Gr\"obner basis with respect to $<_L$\\
+-- for the ideal generated by $P \subset F[x]$\\
+$G \leftarrow \textrm{Gbasis}(P)$\\
+$roots \leftarrow \emptyset$\\
+-- If $P$ has finitely many solutions, we proceed to\\
+-- solve the univariate polynomial in $x_n$\\
+$p \leftarrow \textrm{selectpoly}(G \cap F[x_n])$\\
+$roots \leftarrow roots \cup \{ (\alpha) : p(\alpha) = 0 \}$\\
+-- Now, backsolve\\
+{\bf for} $k$ {\bf from} $n-1$ {\bf by} -1 {\bf to} 1 {\bf do} \{
+\begin{addmargin}{1em}
+$S \leftarrow \emptyset$\\
+$G_k \leftarrow G \cup F[x_k,\ldots,x_n]-F[x_{k+1},\ldots,x_n]$\\
+{\bf foreach} $(\alpha_{k+1},\ldots,\alpha_n) \in roots$ {\bf do} \{
+\begin{addmargin}{1em}
+$\tilde{G} \leftarrow \{g(x_k,\alpha_{k+1},\ldots,\alpha_n) : g \in G_k\}$\\
+$\tilde{G} \leftarrow \textrm{Gbasis}(\tilde{G})$\\
+$p \leftarrow \textrm{selectpoly}(\tilde{G} \cap F[x_k])$\\
+{\bf if} $p\ne 1$ {\bf then}
+\begin{addmargin}{1em}
+$S \leftarrow S \cup \{ (\alpha,\alpha_{k+1},\ldots,\alpha_n):p(\alpha)=0\}$\}
+\end{addmargin}
+$roots \leftarrow S$ \}
+\end{addmargin}
+\end{addmargin}
+{\bf return}$(roots)$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Hermite's Method for Rational Functions}
+\cite{Gedd92} p 485\\
+{\bf procedure} HermiteReduction$(p,q,x)$
+\begin{addmargin}{1em}
+-- Given a rational function $p/q$ in $x$, this algorithm\\
+-- uses Hermite's method to reduce $\int{p/q}$\\
+-- Determine polynomial part of integral\\
+poly\_part $\leftarrow \textrm{quo}(p,q)$\\
+$r \leftarrow \textrm{rem}(p,q)$\\
+-- Calculate the square-free factorization of $q$, returning a list\\
+-- $q[1],\ldots,q[k]$ of polynomials\\
+$(q[1],\ldots,q[k]) \leftarrow \textrm{SquareFree}(q)$\\
+-- Calculate the partial fraction decomposition for $r/q$, returning\\
+-- numerators $r[i,j]$ for $q[i]^j$\\
+$r \leftarrow \textrm{PartialFractions}(r,q[1],\ldots,q[k])$\\
+rational\_part $\leftarrow 0$\\
+integral\_part $\leftarrow 0$\\
+{\bf for} $i$ {\bf from} 1 {\bf to} $k$ {\bf do} \{
+\begin{addmargin}{1em}
+integral\_part $\leftarrow$ integral\_part$+r[i,1]/q[i]$\\
+{\bf for} $j$ {\bf from} 2 {\bf to} $i$ {\bf do} \{
+\begin{addmargin}{1em}
+$n \leftarrow j$\\
+{\bf while} $n>1$ {\bf do} \{
+\begin{addmargin}{1em}
+solve$(s\cdot q[i]+t\cdot q[i]^\prime = r[i,n])$ for $s$ and $t$\\
+$n \leftarrow n-1$\\
+rational\_part $\leftarrow$ rational\_part-$t/n/q[i]^n$\\
+$r[i,n] \leftarrow s+t^\prime/n$ \}
+\end{addmargin}
+integral\_part $\leftarrow$ integral\_part+$r[i,1]/q[i]$ \} \}
+\end{addmargin}
+\end{addmargin}
+{\bf return}(rational\_part$+\int$poly\_part$+\int$integral\_part)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Horowitz Reduction for Rational Functions}
+\cite{Gedd92} p 490\\
+{\bf procedure} HorowitzReduction$(p,q,x)$
+\begin{addmargin}{1em}
+-- For a given rational function $p/q$ in $x$, this algorithm calculates\\
+-- the reduction of $\int{p/q}$ into a polynomial part and logarithmic part\\
+-- via Horowitz' algorithm\\
+poly\_part $\leftarrow$ quo$(p,q)$\\
+$p \leftarrow \textrm{rem}(p,q)$\\
+$d \leftarrow \textrm{GCD}(q,q^\prime)$\\
+$b \leftarrow \textrm{quo}(q,d)$\\
+$m \leftarrow \textrm{deg}(b)$\\
+$n \leftarrow \textrm{deg}(d)$\\
+$a \leftarrow \sum_{i=0}^{m-1}{a[i]\cdot x^i}$\\
+$c \leftarrow \sum_{i=0}^{n-1}{c[i]\cdot x^i}$\\
+$r \leftarrow b\cdot c^\prime - 
+c\cdot\textrm{quo}(b\cdot d^\prime,d)+d\cdot a$\\
+{\bf for} $i$ {\bf from} 0 {\bf to} $m+n-1$ {\bf do}
+\begin{addmargin}{1em}
+$eqn[i] \leftarrow \textrm{coeff}(p,i)=\textrm{coeff}(r,i)$
+\end{addmargin}
+solve$(eqns,\{a[0],\ldots,a[m-1],c[0],\ldots,c[n-1]\})$\\
+{\bf return}$(\frac{c}{d}+\int$poly\_part$+\int\frac{a}{b})$
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Rothstein/Trager Method}
+\cite{Gedd92} p 499\\
+{\bf procedure} LogarithmicPartIntegral$(a,b,x)$
+\begin{addmargin}{1em}
+-- Given a rational function $a/b$ in $x$ with deg$(a) <$ deg$(b)$,\\
+-- $b$ monic and square-free, we calculate $\int\frac{a}{b}$\\
+$R(z) \leftarrow \textrm{pp}_x(\textrm{res}_x(a-z\cdot b^\prime,b))$\\
+$(r_1(z),\ldots,r_k(z)) \leftarrow \textrm{factors}(R(z))$\\
+integral $\leftarrow 0$\\
+{\bf for} $i$ {\bf from} 1 {\bf to} $k$ {\bf do} \{
+\begin{addmargin}{1em}
+$d \leftarrow \textrm{deg}(r_i(z))$\\
+{\bf if} $d=1$ {\bf then} \{
+\begin{addmargin}{1em}
+$c \leftarrow \textrm{solve}(r_i(z)=0,z)$\\
+$v \leftarrow \textrm{GCD}(a-c\cdot b^\prime,b)$\\
+$v \leftarrow v/\textrm{lcoeff}(v)$\\
+integral $\leftarrow$ integral $+c\cdot\textrm{log}(v)$ \}
+\end{addmargin}
+{\bf else} \{
+\begin{addmargin}{1em}
+-- Need to do GCD over algebraic number field\\
+$v \leftarrow \textrm{GCD}(a-\alpha\cdot b^\prime,b)$\\
+$v \leftarrow v/\textrm{lcoeff}(v)$\\
+--\quad\quad\quad (where $\alpha - \textrm{RootOf}(r_i(z))$)\\
+{\bf if} $d=2$ {\bf then} \{
+\begin{addmargin}{1em}
+-- Give answer in terms of radicals\\
+$c \leftarrow \textrm{solve}(r_i(z)=0,z)$\\
+{\bf for} $j$ {\bf from} 1 {\bf to} 2 {\bf do} \{
+\begin{addmargin}{1em}
+$v[j] \leftarrow \textrm{substitute}(\alpha=c[j],v)$\\
+integral $\leftarrow$ integral $+c[j]\cdot\textrm{log}(v[j])$\}\}
+\end{addmargin}
+\end{addmargin}
+{\bf else} \{
+\begin{addmargin}{1em}
+-- Need answer in RootOf notation\\
+{\bf for} $j$ {\bf from} 1 {\bf to} $d$ {\bf do} \{
+\begin{addmargin}{1em}
+$v[j] \leftarrow \textrm{substutite}(\alpha=c[j],v)$\\
+integral $\leftarrow$ integral$+ c[j]\cdot\textrm{log}(v[j])$\\
+--\quad (where $c[j]=\textrm{RootOf}(r_i(z))$) \} \} \} \}
+\end{addmargin}
+\end{addmargin}
+\end{addmargin}
+\end{addmargin}
+{\bf return}(integral)
+\end{addmargin}
+{\bf end}
+
+\subsection{Background}
+
+\subsection{Example}
+
+\chapter{Lazard/Rioboo/Trager Improvement}
+\cite{Gedd92} p 506\\
+{\bf procedure} LogarithmicPartIntegral$(a,b,x)$
+\begin{addmargin}{1em}
+-- Given a rational function $a/b$ in $x$, with deg($a$) $<$ deg($b$)\\
+-- $b$ monic and square-free, we calculate $\int a/b$\\
+-- Calculate (via the subresultant algorithm)\\
+$R(z) = \textrm{res}_x(a-z\cdot b^\prime,b)$\\
+$S_i(x,z) =$ remainder of degree $i$ in $x$ in this computation\\
+$(R_1(x),\ldots,R_k(z)) \leftarrow \textrm{SquareFree}(R(z))$\\
+-- Process nontrivial square-free factors in $R(z)$\\
+integral $\leftarrow 0$\\
+{\bf for} $i$ {\bf from} 1 {\bf to} $k$ {\bf with} $R_i(z)\ne 1$ {\bf do} \{
+\begin{addmargin}{1em}
+-- Normalize to make results monic\\
+$w(z) = \textrm{lcoeff}_x(S_i(x,z))$\\
+$EEA(w(z),R_i(z); s(z),t(z))$\\
+$S_i(x,z)= \textrm{pp}_z(\textrm{rem}(s(z)\cdot S_i(x,z),R_i(z)))$\\
+-- Convert the $S_i(x,c)$ for $c$ a root of $R_i(z)$ into simpler form\\
+-- (see LogarithmicPartIntegral on \cite{Gedd92} p 499)\\
+$(r_{i,1},\ldots,r_{i,k_i}) \leftarrow \textrm{factors}(R_i(z))$\\
+{\bf for} $j$ {\bf from} 1 {\bf to} $k_i$ {\bf do} \{
+\begin{addmargin}{1em}
+$d_j \leftarrow \textrm{deg}_z(r_{i,j}(z))$\\
+{\bf if} $d_j=1$ {\bf then} \{
+\begin{addmargin}{1em}
+$c \leftarrow \textrm{solve}(r_{i,j}(z)=0,z)$\\
+integral $\leftarrow$ integral$+c\cdot \textrm{log}(S_i(x,c))\}$
+\end{addmargin}
+{\bf elseif} $d_j=2$ {\bf then} \{ -- Give answers in terms of radicals\\
+\begin{addmargin}{1em}
+$c \leftarrow \textrm{solve}(r_{i,j}(z)=0,z)$\\
+{\bf for} $n$ {\bf from} 1 {\bf to} 2 {\bf do} \{
+\begin{addmargin}{1em}
+integral $\leftarrow$ integral$+c[n]\cdot \textrm{log}(S_i(x,c[n]))$ \}\}
+\end{addmargin}
+\end{addmargin}
+{\bf else} \{ -- need answer in RootOf notatin
+\begin{addmargin}{1em}
+{\bf for} $n$ {\bf from} 1 {\bf to} $d_j$ {\bf do} \{
+\begin{addmargin}{1em}
+integral $\leftarrow$ integral+$c[n]\cdot\textrm{log}(S_i(x,c[n]))$\\
+--\quad (where $c[n]=\textrm{RootOf}(r_{i,j}(z)))$ \}\}\}\}
+\end{addmargin}
+\end{addmargin}
+\end{addmargin}
+\end{addmargin}
+{\bf return}(integral)
+\end{addmargin}
+{\bf end}
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\printindex
+\end{document}
diff --git a/books/bookvol2.pamphlet b/books/bookvol2.pamphlet
index 60bcb0c..573db03 100644
--- a/books/bookvol2.pamphlet
+++ b/books/bookvol2.pamphlet
@@ -216,10 +216,9 @@ The functor F must take commuting diagrams to commuting diagrams.
 
 \chapter{Axiom Implementation Details}
 \section{Makefile}
-This book is actually a literate program\cite{2} and can contain 
+This book is actually a literate program\cite{Knut92} and can contain 
 executable source code. In particular, the Makefile for this book
-is part of the source of the book and is included below. Axiom 
-uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
+is part of the source of the book and is included below. 
 \chapter{Writing Spad Code}
 \section{The Description: label and the )describe command}
 The describe command will print out the comments associated with Axiom
@@ -353,26 +352,14 @@ all:
 
 \end{chunk}
 \eject
-\begin{thebibliography}{99}
-\bibitem{1} Jenks, R.J. and Sutor, R.S. 
-``Axiom -- The Scientific Computation System''
-Springer-Verlag New York (1992)
-ISBN 0-387-97855-0
-\bibitem{2} Knuth, Donald E., ``Literate Programming''
-Center for the Study of Language and Information
-ISBN 0-937073-81-4
-Stanford CA (1992) 
-\bibitem{3} Daly, Timothy, ``The Axiom Wiki Website''\\
-{\bf http://axiom.axiom-developer.org}
-\bibitem{4} Watt, Stephen, ``Aldor'',\\
-{\bf http://www.aldor.org}
-\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
-Addison-Wesley, New York ISBN 0-201-52983-1
-\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
-Literate Programming''\\
-{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
-\bibitem{7} Daly, Timothy, "The Axiom Literate Documentation"\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
+
diff --git a/books/bookvol3.pamphlet b/books/bookvol3.pamphlet
index c5b324b..8383361 100644
--- a/books/bookvol3.pamphlet
+++ b/books/bookvol3.pamphlet
@@ -5,31 +5,17 @@
 \setcounter{chapter}{0} % Chapter 1
 \chapter{Details for Programmers}
 \section{Makefile}
-This book is actually a literate program\cite{2} and can contain 
+This book is actually a literate program\cite{Knut92} and can contain 
 executable source code. In particular, the Makefile for this book
-is part of the source of the book and is included below. Axiom 
-uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
+is part of the source of the book and is included below. 
 \eject
-\begin{thebibliography}{99}
-\bibitem{1} Jenks, R.J. and Sutor, R.S. 
-``Axiom -- The Scientific Computation System''
-Springer-Verlag New York (1992)
-ISBN 0-387-97855-0
-\bibitem{2} Knuth, Donald E., ``Literate Programming''
-Center for the Study of Language and Information
-ISBN 0-937073-81-4
-Stanford CA (1992) 
-\bibitem{3} Daly, Timothy, ``The Axiom Wiki Website''\\
-{\bf http://axiom.axiom-developer.org}
-\bibitem{4} Watt, Stephen, ``Aldor'',\\
-{\bf http://www.aldor.org}
-\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
-Addison-Wesley, New York ISBN 0-201-52983-1
-\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
-Literate Programming''\\
-{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
-\bibitem{7} Daly, Timothy, "The Axiom Literate Documentation"\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
diff --git a/books/bookvol4.pamphlet b/books/bookvol4.pamphlet
index f29ec1b..b2a45ff 100644
--- a/books/bookvol4.pamphlet
+++ b/books/bookvol4.pamphlet
@@ -440,7 +440,7 @@ ZIPS=/research/test/zips
 \section{The runtime structure of Axiom}
 \begin{center}
 \includegraphics[scale=0.5]{ps/v4architecture.eps}\\
-{\bf Runtime Structure \cite{Ba14}}
+{\bf Runtime Structure \cite{Bake14}}
 \end{center}
 
 \subsection{The build step}
@@ -6841,27 +6841,18 @@ The explanation for the steps follow. The steps are:
 \end{enumerate}
 
 \section{Makefile}
-This book is actually a literate program\cite{Kn92} and can contain 
+This book is actually a literate program\cite{Knut92} and can contain 
 executable source code. In particular, the Makefile for this book
-is part of the source of the book and is included below. Axiom 
-uses the ``noweb'' literate programming system by Norman Ramsey\cite{Ra03}.
+is part of the source of the book and is included below. 
 \eject
-\begin{thebibliography}{99}
-
-\bibitem[Baker 14]{Ba14} Baker, Martin\\
-``Axiom Architecture''\\
-\verb|www.euclideanspace.com/prog/scratchpad/internals/ccode|
-
-\bibitem[Knuth 92]{Kn92} Knuth, Donald E.\\
-``Literate Programming''\\
-Center for the Study of Language and Information
-ISBN 0-937073-81-4 Stanford CA (1992) 
-
-\bibitem[Ramsey 03]{Ra03} Ramsey, Norman\\
-``Noweb--A Simple, Extensible Tool for Literate Programming''\\
-\verb|www.eecs.harvard.edu/~nr/noweb|
-
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
 
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 8186a56..7e36a46 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -623,6 +623,7 @@ data structure is the core data structure of the ``zipper'' parser.
 
 The ``zipper'' parser is unique to Axiom. It was invented by Bill
 Burge who did research in recursive techniques, including parsing.
+For insight, see his article on Stream Procesing Functions \cite{Burg74}.
 
 \subsection{Creating a Delay -- incString}
 The \bfref{intloopProcessString} has the nested function call
@@ -29022,7 +29023,7 @@ example:
    development)
 \end{verbatim}
 The list contains (the names in bold are accessor names that can be
-found in {\bf property.lisp.pamphlet\cite{1}}. Look for "setName".):
+found in {\bf property.lisp.pamphlet}. Look for "setName".):
 \begin{list}{}
 \item {\bf 1} {\sl Name} the keyword the user will see. In this example
 the user would say "{\bf )set output userlevel}".
@@ -46083,9 +46084,9 @@ See Steele Common Lisp 1990 pp305-307
 \end{chunk}
 
 \chapter{OpenMath}
-\section{A Technical Overview\cite{4}}
+\section{A Technical Overview}
 
-OpenMath is a standard for representing mathematical data in as
+OpenMath\cite{Dewa} is a standard for representing mathematical data in as
 unambiguous a way as possible. It can be used to exchange mathematical
 objects between software packages or via email, or as a persistent
 data format in a database. It is tightly focussed on representing
@@ -46415,10 +46416,11 @@ to use the XML encoding, to guarantee a degree of interoperability.
 This is an area where the standard is expected to evolve as more 
 OpenMath applications become available.
 
-\section{Technical Details\cite{3}}
+\section{Technical Details}
 
-This chapter describes the Axiom implementation of the OpenMath project
-at INRIA \cite{3}. The code enables the exchange of OpenMath objects
+This chapter describes the Axiom implementation of the 
+OpenMath project\cite{Dalm97}
+at INRIA. The code enables the exchange of OpenMath objects
 between two processes and more generally the input and output of OpenMath
 objects. First we describe the library API and then we implement the
 functions used by Axiom.
@@ -60540,16 +60542,13 @@ undo recording. It is initially set to T in initvars.
 This is part of the undo mechanism.
 
 \eject
-\begin{thebibliography}{99}
-\bibitem{1} Daly, Timothy, "The Axiom Literate Documentation"\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\bibitem{2} Daly, Timothy, ``The Axiom Wiki Website''\\
-{\bf http://axiom.axiom-developer.org}
-\bibitem{3} Stephane Dalmas and Olivier Arsac ``OpenMath''
-Project SAFIR, INRIA Sophia Antipolis
-\bibitem{4} OpenMath Technical Overview
-\verb|www.openmath.org/overview/technical.html|
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
diff --git a/books/bookvol6.pamphlet b/books/bookvol6.pamphlet
index f31e5c5..14deb02 100644
--- a/books/bookvol6.pamphlet
+++ b/books/bookvol6.pamphlet
@@ -50,16 +50,16 @@ In detail, the command options are:
 \begin{verbatim}
   [-ht    |-noht]      whether to use HyperDoc
 \end{verbatim}
-{\tt Hyperdoc}\cite{7} is the documentation tool for Axiom. The
+{\tt Hyperdoc} is the documentation tool for Axiom. The
 {\tt -ht} option, enabled by default, will start this tool.
-See Jenks\cite{1} Chapter 3 for further information on the 
+See Jenks\cite{Jenk92} Chapter 3 for further information on the 
 {\tt hyperdoc} subsystem.
 
 \subsection{[-gr $\vert$ -nogr]}
 \begin{verbatim}
   [-gr    |-nogr]      whether to use Graphics
 \end{verbatim}
-The {\tt graphics}\cite{8} subsystem is enabled using the 
+The {\tt graphics} subsystem is enabled using the 
 {\tt -gr} option, enabled by default. Graphics will appear as a
 result of a draw command, such as
 \begin{verbatim}
@@ -67,7 +67,7 @@ result of a draw command, such as
 \end{verbatim}
 Note that attempting to use draw commands when the graphics is
 disabled will simply hang the interpreter waiting for a response.
-See Jenks\cite{1} Chapter 7 for further information on the 
+See Jenks\cite{Jenk92} Chapter 7 for further information on the 
 {\tt graphics} subsystem.
 
 \subsection{[-clef $\vert$ -noclef]}
@@ -98,7 +98,8 @@ special keyboard keys.
 \item RIGHTARROW move right on the line
 \item INSERT toggle insert/overstrike
 \end{itemize}
-See Jenks\cite{1} page 21 for further information on the {\tt clef} command.
+See Jenks\cite{Jenk92} page 21 for 
+further information on the {\tt clef} command.
 
 \subsection{[-noiw $\vert$ -iw]}
 \begin{verbatim}
@@ -169,7 +170,8 @@ gives:
                              Type: PositiveInteger
 \end{verbatim}
 and now the two windows share the same frame space. 
-See Jenks\cite{1} page 579 for further information on the {\tt frame} command.
+See Jenks\cite{Jenk92} page 579 for further 
+information on the {\tt frame} command.
 
 \subsection{[-ihere $\vert$ -noihere]}
 \begin{verbatim}
@@ -298,7 +300,7 @@ memory allocator which may enhance performance. AIX uses a new
 memory management routine that does not zero {\tt malloc} memory
 and does not round up to the nearest power of 2, unlike most non-AIX
 systems. This can cause failures so we protect against that here.
-See the AIX Performance Tuning Guide\cite{9} for details.
+See the AIX Performance Tuning Guide\cite{Haya05} for details.
 \begin{chunk}{axiomcmd}
 
 MALLOCTYPE=3.1
@@ -6670,8 +6672,13 @@ ${OUT}/sman: ${LIB}/libspad.a
 	   ${CC} ${CCF} -o ${OUT}/sman sman.c libspad.a )
 
 \end{chunk}
-\begin{thebibliography}{99}
-\bibitem nothing
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
diff --git a/books/bookvol7.1.pamphlet b/books/bookvol7.1.pamphlet
index 1c25cb7..48e40fb 100644
--- a/books/bookvol7.1.pamphlet
+++ b/books/bookvol7.1.pamphlet
@@ -191448,6 +191448,14 @@ ${HYPER}/ht.db: ${BOOK}
             for i in `find . -name "*.Z"` ; do gunzip $$i ; done )
 
 \end{chunk}
-\eject
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
+
diff --git a/books/bookvol7.pamphlet b/books/bookvol7.pamphlet
index 1113a40..4a7814a 100644
--- a/books/bookvol7.pamphlet
+++ b/books/bookvol7.pamphlet
@@ -25077,6 +25077,13 @@ ${HYPER}/axbook: ${IN}/axbook.tgz
 	@( cd ${HYPER} ; tar -zxf ${IN}/axbook.tgz )
 
 \end{chunk}
-\eject
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
diff --git a/books/bookvol8.1.pamphlet b/books/bookvol8.1.pamphlet
index 3a799f5..5466d78 100644
--- a/books/bookvol8.1.pamphlet
+++ b/books/bookvol8.1.pamphlet
@@ -476,10 +476,11 @@ This ia parametrically defined curve
 in terms of three functions $f1$, $f2$, and $f3$ and an independent
 variable $t$.
 
-\chapter{CRC Standard Curves and Surfaces \cite{6}}
+\chapter{CRC Standard Curves and Surfaces}
 \section{Standard Curves and Surfaces}
 In order to have an organized and thorough evaluation of the Axiom
-graphics code we turn to the CRC Standard Curves and Surfaces (SCC).
+graphics code we turn to the CRC Standard Curves and Surfaces \cite{Segg93} 
+(SCC).
 This volume was written years after the Axiom graphics code was written so
 there was no attempt to match the two until now. However, the SCC volume
 will give us a solid foundation to both evaluate the features of the 
@@ -3709,8 +3710,8 @@ makeViewport2D(viewport1)
 \label{CRCp60-2.9.11.1-6}
 \index{figures!CRCp60-2.9.11.1-6}
 
-\chapter{Pasta by Design\cite{4}}
-This is a book that combines a taxonomy of pasta shapes with the
+\chapter{Pasta by Design}
+This is a book\cite{Lege11} that combines a taxonomy of pasta shapes with the
 Mathematica equations that realize those shapes in three dimensions.
 We implemented examples from this book as a graphics test suite for Axiom.
 
@@ -5902,29 +5903,13 @@ tomato sauces with peppers or courgettes, topped with cheese like
 Provolone.
 
 \newpage
-\begin{thebibliography}{99}
-\bibitem{1} Jenks, R.J. and Sutor, R.S. 
-``Axiom -- The Scientific Computation System''
-Springer-Verlag New York (1992)
-ISBN 0-387-97855-0
-\bibitem{2} Knuth, Donald E., ``Literate Programming''
-Center for the Study of Language and Information
-ISBN 0-937073-81-4
-Stanford CA (1992) 
-\bibitem{3} Daly, Timothy, ``The Axiom Wiki Website''\\
-{\bf http://axiom.axiom-developer.org}
-\bibitem{4} Legendre, George L.
-``Pasta by Design''
-Thames and Hudson, ISBN 978-0-500-51580-8 (2011)
-\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
-Addison-Wesley, New York ISBN 0-201-52983-1
-\bibitem{6} Daly, Timothy, "The Axiom Literate Documentation"\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\bibitem{6}
-von Seggern, David Henry
-``CRC Standard Curves and Surfaces''
-CRC Press (1993) ISBN 0-8493-0196-3
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
diff --git a/books/bookvol8.pamphlet b/books/bookvol8.pamphlet
index 871a4e8..db34746 100644
--- a/books/bookvol8.pamphlet
+++ b/books/bookvol8.pamphlet
@@ -25537,7 +25537,7 @@ Prior to using the Unix 98 pty naming scheme the naming scheme
 used 16 ptyp/ttyp names, ttyp0-ttypF (where F is a hex number).
 Later this was extended to ttyq0-ttyqF and so on, eventually
 wrapping around to ttya0-ttyaF. Linux also allows larger numbers
-such as ttypNNN.\cite{2}
+such as ttypNNN.
 
 \begin{chunk}{openpty.c}
 
@@ -30166,28 +30166,13 @@ libspad.a: ${BOOK}
 	 ${CC} ${CCF} -c edible.c )
 
 \end{chunk}
-\begin{thebibliography}{99}
-\bibitem{1} Jenks, R.J. and Sutor, R.S. 
-``Axiom -- The Scientific Computation System''
-Springer-Verlag New York (1992)
-ISBN 0-387-97855-0
-\bibitem{2} Knuth, Donald E., ``Literate Programming''
-Center for the Study of Language and Information
-ISBN 0-937073-81-4
-Stanford CA (1992) 
-\bibitem{3} Daly, Timothy, ``The Axiom Website''\\
-{\bf http://axiom.axiom-developer.org}
-\bibitem{4} Watt, Stephen, ``Aldor'',\\
-{\bf http://www.aldor.org}
-\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
-Addison-Wesley, New York ISBN 0-201-52983-1
-\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
-Literate Programming''\\
-{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
-\bibitem{7} Daly, Timothy, "The Axiom Literate Documentation"\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\bibitem{8} von Seggern, David "CRC Standard Curves and Surfaces"
-CRC Press, Inc. 1993 ISBN 0-8493-0196-3
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index b4af2ce..cece827 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -5,10 +5,9 @@
 \setcounter{chapter}{0} % Chapter 1
 \chapter{The Axiom Compiler}
 \section{Makefile}
-This book is actually a literate program\cite{2} and contains
+This book is actually a literate program\cite{Knut92} and contains
 executable source code. In particular, the Makefile for this book
-is part of the source of the book and is included below. Axiom 
-uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
+is part of the source of the book and is included below. 
 
 \chapter{Overview}
 The Spad language is a mathematically oriented language intended for
@@ -2619,11 +2618,11 @@ EQ
 \section{Global Data Structures}
 \section{Pratt Parsing}
 Parsing involves understanding the association of symbols and operators.
-Vaughn Pratt \cite{8} poses the question ``Given a substring AEB where A 
+Vaughn Pratt \cite{Prat73} poses the question ``Given a substring AEB where A 
 takes a right argument, B a left, and E is an expression, does E associate
 with A or B?''.
 
-Floyd \cite{9} associates a precedence with operators, storing them
+Floyd \cite{Floy63} associates a precedence with operators, storing them
 in a table, called ``binding powers''. The expression E would associate
 with the argument position having the highest binding power. This leads
 to a large set of numbers, one for every situation.
@@ -26827,33 +26826,13 @@ The current input line.
 
 \end{chunk}
 \eject
-\begin{thebibliography}{99}
-\bibitem{1} Jenks, R.J. and Sutor, R.S. 
-``Axiom -- The Scientific Computation System''
-Springer-Verlag New York (1992)
-ISBN 0-387-97855-0
-\bibitem{2} Knuth, Donald E., ``Literate Programming''
-Center for the Study of Language and Information
-ISBN 0-937073-81-4
-Stanford CA (1992) 
-\bibitem{3} Daly, Timothy, ``The Axiom Wiki Website''\\
-{\bf http://axiom.axiom-developer.org}
-\bibitem{4} Watt, Stephen, ``Aldor'',\\
-{\bf http://www.aldor.org}
-\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
-Addison-Wesley, New York ISBN 0-201-52983-1
-\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
-Literate Programming''\\
-{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
-\bibitem{7} Daly, Timothy, "The Axiom Literate Documentation"\\
-{\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\bibitem{8} Pratt, Vaughn ``Top down operator precedence''
-POPL '73 Proceedings of the 1st annual ACM SIGACT-SIGPLAN symposium on
-Principles of programming languages 
-\verb|hall.org.ua/halls/wizzard/pdf/Vaughan.Pratt.TDOP.pdf|
-\bibitem{9} Floyd, R. W. ``Semantic Analysis and Operator Precedence''
-JACM 10, 3, 316-333 (1963)
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \printindex
 \end{document}
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 3a8b2b7..a1d44a1 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1,66 +1,136 @@
 \documentclass[dvipdfm]{book}
 \newcommand{\VolumeName}{Volume Bibliography: Axiom Literature Citations}
 \input{bookheader.tex}
-\eject
+\mainmatter
+\setcounter{chapter}{0} % Chapter 1
+\chapter{The Axiom Bibliography}
 A bibliography of Axiom references which are used throughout
 Axiom. The first section contains literature that mentions Axiom,
 initially derived with permission from Nelson Beebe's collection.
 The second section contains references from Axiom to the literature.
 The third section sorts papers by topic.
-
-\begin{thebibliography}{999}
+\chapter{The Bibliography}
 \section{Axiom Citations in the Literature}
 
 \subsection{A} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[ACM 89]{ACM89} ACM, editor\\
+\begin{chunk}{ignore}
+\bibitem[ACM 89]{ACM89} ACM, editor
 Proceedings of the ACM-SIGSAM 1989 International
 Symposium on Symbolic and Algebraic Computation, ISSAC '89 ACM Press, 
-New York, NY 10036, USA, 1989, ISBN 0-89791-325-6, LCCN QA76.95.I59 1989
+New York, NY 10036, USA, 1989, , LCCN QA76.95.I59 
+  year = "1989",
+  isbn = "0-89791-325-6",
+  keywords = "axiomref",
 
-\bibitem[ACM 94]{ACM94} ACM, editor\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[ACM 94]{ACM94} ACM, editor
 ISSAC '94. Proceedings of the International
 Symposium on Symbolic and Algebraic Computation. ACM Press, New York, NY,
-10036, USA, 1994, ISBN 0-89791-638-7. LCCN QA76.95.I59 1994
-
-\bibitem[ACS 91]{ACS91} D. Augot; P. Charpin; N. Sendrier\\
-``The miniumum distance of some binary codes via the Newton's identities''\\
-In Cohen and Charping [CC91], pages 65-73 ISBN 0-387-54303-1 (New York), 
-3-540-54303-1 (Berlin). LCCN QA268.E95 1990
-
-\bibitem[Adams 94]{AL94} Adams, William W.; Loustaunau, Philippe\\
-``An Introduction to Gr\"obner Bases''\\
-American Mathematical Society (1994) ISBN 0-8218-3804-0
-
-\bibitem[Andrews 84]{And84} George E. Andrews\\
-``Ramanujan and SCRATCHPAD''\\
-In Golden and Hussain [GH84], pages 383-??
-
-\bibitem[Andrews 88]{And88} G. E. Andrews\\
-``Application of Scratchpad to problems in special functions 
-and combinatorics''\\
-In Janssen [Jan88], pages 158-?? ISBN 3-540-18928-9, 
-0-387-18928-9 LCCN QA155.7.E4T74 1988
-
-\bibitem[Anon 91]{Ano91} Anonymous editor\\ 
+10036, USA, 1994, . LCCN QA76.95.I59 
+  year = "1994",
+  isbn = "0-89791-638-7",
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Augo91,
+  author = "Augot, D. and  Charpin, P. and Sendrier, N.",
+  title = "The miniumum distance of some binary codes via the Newton's identities",
+  journal = "Cohen and Charping [CC91]",
+  year = "1991",
+  pages = "65-73",
+  isbn = "0-387-54303-1",
+  misc = "3-540-54303-1 (Berlin). LCCN QA268.E95 1990",
+  keywords = "axiomref",
+  paper = "Augo91.pdf"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Adams 94]{AL94} 
+  author = "Adams, William W. and Loustaunau, Philippe",
+  title = "An Introduction to Gr\"obner Bases",
+  year = "1994",
+American Mathematical Society (1994) 
+  isbn = "0-8218-3804-0",
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Andrews 84]{And84} 
+  author = "Andrews, George E.",
+  title = "Ramanujan and SCRATCHPAD",
+  year = "1984",
+  pages = "383-??",
+  keywords = "axiomref",
+In Golden and Hussain [GH84]
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Andrews 88]{And88} 
+  author = "Andrews, G. E.",
+  title = "Application of Scratchpad to problems in special functions and combinatorics",
+  year = "1988"
+  pages = "158-??",
+  isbn = "3-540-18928-9",
+  keywords = "axiomref",
+In Janssen [Jan88], pages 158-?? ISBN 
+0-387-18928-9 LCCN QA155.7.E4T74 
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Anon 91]{Ano91} 
+  author = "Anonymous",
+  year = "1991,
+  keywords = "axiomref",
 Proceedings 1991 Annual Conference, American Society for
 Engineering Education. Challenges of a Changing World. ASEE, Washington, DC
-USA 1991 2 vol.
+ 2 vol.
+
+\end{chunk}
 
-\bibitem[Anon 92]{Ano92} Anonymous\\
-Programming environments for high-level scientific problem solving.\\
+\begin{chunk}{ignore}
+\bibitem[Anon 92]{Ano92} 
+  author = "Anonymous",
+  year = "1992",
+  keywords = "axiomref",
+Programming environments for high-level scientific problem solving.
 IFIP TC2/WG 2.5 working conference. IFIP Transactions. A Computer Science 
-and Technology, A-2:??, 1992. CODEN ITATEC. ISSN 0926-5473
+and Technology, A-2:??, CODEN ITATEC. ISSN 0926-5473
 
-\bibitem[Anono 95]{Ano95} Anonymous\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Anono 95]{Ano95} 
+  author =Anonymous
+  keywords = "axiomref",
+  year = "1995",
 GAMM 94 annual meeting. Zeitschrift fur Angewandte Mathematik und
-Physik, 75 (suppl. 2), 1995, CODEN ZAMMAX, ISSN 0044-2267
+Physik, 75 (suppl. 2), CODEN ZAMMAX, ISSN 0044-2267
+
+\end{chunk}
 
 \subsection{B} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Baclawski 14]{Bac14} Baclawski, Krystian\\
-``SPAD language type checker''\\
-\verb|github.com/cahirwpz/phd|
+\begin{chunk}{axiom.bib}
+@article{Bacl14,
+  author = "Baclawski, Krystian",
+  title = "SPAD language type checker",
+  journal = "unknown",
+  year = "2014",
+  url = "http://github.com/cahirwpz/phd",
+  keywords = "axiomref"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 The project aims to deliver a new type checker for SPAD language.
@@ -74,22 +144,41 @@ Several improvements over current type checker are planned.
 \end{itemize}
 \end{adjustwidth}
 
-\bibitem[Blair 70]{BGJ70} Blair, Fred W; Griesmer, James H.; 
-Jenks, Richard D.\\
-``An interactive facility for symbolic mathematics''\\
-Proc. International Computing Symposium, Bonn, Germany, 1970 pp394-419
+\begin{chunk}{ignore}
+\bibitem[Blair 70]{BGJ70} 
+  author = "Blair, Fred W and Griesmer, James H. and Jenks, Richard D.",
+  title = "An interactive facility for symbolic mathematics",
+  year = "1970",
+  pages = "394-419",
+  keywords = "axiomref",
+Proc. International Computing Symposium, Bonn, Germany, 
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Blair 70a]{BJ70} 
+  author = "Blair, Fred W. and Jenks, Richard D.",
+  title = "LPL: LISP programming language",
+  year = "1970",
+  keywords = "axiomref",
+IBM Research Report, RC3062 Sept 
+
+\end{chunk}
 
-\bibitem[Blair 70a]{BJ70} Blair, Fred W.; Jenks, Richard D.\\
-``LPL: LISP programming language''\\
-IBM Research Report, RC3062 Sept 1970
+\begin{chunk}{ignore}
+\bibitem[Broadbery 95]{BGDW95} 
+  author = "Broadbery, P. A. and G{\'o}mez-D{\'\i}az, T. and Watt, S. M.",
+  title = "On the Implementation of Dynamic Evaluation",
+  year = "1995",
+  pages = "77-84",
+  keywords = "axiomref",
+  isbn = "0-89791-699-9",
+  url = "http://pdf.aminer.org/000/449/014/on_the_implementation_of_dynamic_evaluation.pdf",
+  paper = "BGDW95.pdf"
+In Levelt [Lev95] 0-89791-699-9 LCCN QA76.95 I59 1995
+ACM order number 505950
 
-\bibitem[Broadbery 95]{BGDW95} Broadbery, P. A.; G{\'o}mez-D{\'\i}az, T.;
-Watt, S. M.\\
-``On the Implementation of Dynamic Evaluation''\\
-In Levelt [Lev95] pages 77-84 ISBN 0-89791-699-9 LCCN QA76.95 I59 1995
-ACM order number 505950\\
-\verb|pdf.aminer.org/000/449/014/on_the_implementation_of_dynamic_evaluation.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/BGDW95.pdf|
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Dynamic evaluation is a technique for producing multiple results
@@ -110,11 +199,18 @@ execution. The second implementation uses the Unix ``fork'' operation
 to form new processes to explore alternative branches in parallel.
 \end{adjustwidth}
 
-\bibitem[Boehm 89]{Boe89} Boehm, Hans-J.\\
-``Type Inference in the Presence of Type Abstraction''\\
-ACM SIGPLAN Notices, 24(7) pp192-206 July 1989 CODEN SINODQ ISSN 0362-1340\\
-\verb|www.acm.org/pubs/citations/proceedings/pldi/73141/p192-boehm|
-%\verb|axiom-developer.org/axiom-website/papers/Boe89.pdf|
+\begin{chunk}{ignore}
+\bibitem[Boehm 89]{Boe89} 
+  author = "Boehm, Hans-J.",
+  title = "Type Inference in the Presence of Type Abstraction",
+  year = "1989",
+  pages = "192-206",
+  keywords = "axiomref",
+  url = "http://www.acm.org/pubs/citations/proceedings/pldi/73141/p192-boehm",
+  paper = "Boe89.pdf",
+ACM SIGPLAN Notices, 24(7) pp July CODEN SINODQ ISSN 0362-1340
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 A number of recent programming language designs incorporate a type
@@ -133,11 +229,16 @@ present an efficient algorithm for its solution. We argue that the
 restriction is sufficiently weak to be unobtrusive in practice.
 \end{adjustwidth}
 
-\bibitem[Boulton 04]{BHGM04} Boulton, Richard; Hardy, Ruth; 
-Gottliebsen, Hanne; Martin, Ursula\\
-``Design verification for control engineering''\\
+\begin{chunk}{ignore}
+\bibitem[Boulton 04]{BHGM04} 
+  author = "Boulton, Richard and Hardy, Ruth and Gottliebsen, Hanne and Martin, Ursula",
+  title = "Design verification for control engineering",
+  year = "2004",
+  month = "April",
 Proc Fourth International Conference on Integrated Formal Methods,
-April 2004
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We introduce control engineering as a new domain of application for
@@ -151,18 +252,39 @@ with reference to a standard reference model drawn from military
 avionics.
 \end{adjustwidth}
 
-\bibitem[Boulanger 91]{Bou91} Boulanger, Jean-Louis\\
-``Etude de la compilation de scratchpad 2''\\
-Rapport de DEA Universite dl lille 1, Sept 1991
+\begin{chunk}{ignore}
+\bibitem[Boulanger 91]{Bou91} 
+  author = "Boulanger, Jean-Louis",
+  title = "Etude de la compilation de scratchpad 2",
+  year = "1991",
+  month = "September",
+Rapport de DEA Universite dl lille 1
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Bou93a,
+  author = "Boulanger, Jean-Louis",
+  title = "Axiom, language fonctionnel \`a d\'evelopement objet",
+  year = "1993",
+  month = "October",
+  paper = "Bou93a.pdf",
+  keywords = "axiomref"
+}
 
-\bibitem[Boulanger 93a]{Bou93a} Boulanger, Jean-Louis\\
-``Axiom, language fonctionnel \`a d\'evelopement objet''\\
-IT 255, Oct 1993
-%\verb|axiom-developer.org/axiom-website/papers/Bou93a.pdf|
+\end{chunk}
 
-\bibitem[Boulanger 93b]{Bou93b} Boulanger, Jean-Louis\\
-``AXIOM, A Functional Language with Object Oriented Development''
-%\verb|axiom-developer.org/axiom-website/papers/Bou93b.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Bou93b,
+  author = "Boulanger, Jean-Louis",
+  title = "AXIOM, A Functional Language with Object Oriented Development",
+  year = "1993",
+  paper = "Bou93b.pdf",
+  keywords = "axiomref"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present in this paper, a study about the computer algebra system
@@ -175,10 +297,18 @@ problems of running and development in Axiom. We can note that Aiom is
 the only system of this category.
 \end{adjustwidth}
 
-\bibitem[Boulanger 94]{Bou94} Boulanger, J.L.\\
-``Object Oriented Method for Axiom''\\
-ACM SIGPLAN Notices, 30(2) pp33-41 February 1995 CODEN SINODQ ISSN 0362-1340
-%\verb|axiom-developer.org/axiom-website/papers/Bou94.pdf|
+\begin{chunk}{ignore}
+\bibitem[Boulanger 94]{Bou94} 
+  author = "Boulanger, J.L.",
+  title = "Object Oriented Method for Axiom",
+  year = "1995",
+  month = "February",
+  pages = "33-41",
+  paper = "Bou94.pdf",
+ACM SIGPLAN Notices, 30(2) CODEN SINODQ ISSN 0362-1340
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Axiom is a very powerful computer algebra system which combines two
@@ -191,13 +321,27 @@ development, it uses two levels of class and some operations such that
 evolution. These notions introduce the concept of multi-view.
 \end{adjustwidth}
 
-\bibitem[Bronstein 87]{Bro87} Bronstein, Manuel\\
-``Integration of Algebraic and Mixed Functions''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 87]{Bro87} 
+  author = "Bronstein, Manuel",
+  title = "Integration of Algebraic and Mixed Functions",
+  year = "1987",
 in [Wit87], p18
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Bronstein 89]{Bro89} 
+  author= "Bronstein, M.",
+  title = "Simplification of real elementary functions",
+  year = "1989",
+  pages = "207-211",
+  isbn = "0-89791-325-6",
+ACM [ACM89] pages   LCCN QA76.95.I59 1989
+  keywords = "axiomref",
 
-\bibitem[Bronstein 89]{Bro89} Bronstein, M.\\
-``Simplification of real elementary functions''\\
-ACM [ACM89] pages 207-211 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We describe an algorithm, based on Risch's real structure theorem, that
@@ -207,10 +351,22 @@ implementation that illustrate the advantages over the use of complex
 logarithms and exponentials.
 \end{adjustwidth}
 
-\bibitem[Bronstein 91a]{Bro91a} Bronstein, M.\\
-``The Risch differential equation on an algebraic curve''\\
-in Watt [Wat91], pp241-246 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
-%\verb|axiom-developer.org/axiom-website/papers/Bro91a.pdf| REF:00120
+\begin{chunk}{axiom.bib}
+\bibitem[Bronstein 91a]{Bro91a} 
+@inproceedings{Bron91a,
+  author = "Bronstein, M.",
+  title = "The Risch Differential Equation on an Algebraic Curve",
+  booktitle = "Proc. 1991 Int. Symp. on Symbolic and Algebraic Computation",
+  series = "ISSAC'91",
+  year = "1991",
+  pages = "241-246",
+  isbn = "0-89791-437-6",
+  publisher = "ACM, NY",
+  keywords = "axiomref",
+  paper = "Bro91a.pdf"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present a new rational algorithm for solving Risch differential
@@ -221,11 +377,17 @@ the general ("mixed function") case, this algorithm finds the
 denominator of any solution of the equation.
 \end{adjustwidth}
 
-\bibitem[Bronstein 91c]{Bro91c} Bronstein, Manuel\\
-``Computer Algebra and Indefinite Integrals''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 91c]{Bro91c} 
+  author = "Bronstein, Manuel",
+  title = "Computer Algebra and Indefinite Integrals",
+  year = "1991",
+  paper = "Bro91c.pdf",
 in Computer Aided Proofs in Analysis, K.R. Meyers et al. (eds) 
 Springer-Verlag, NY (1991)
-%\verb|axiom-developer.org/axiom-website/papers/Bro91c.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We give an overview, from an analytical point of view, of decision
@@ -236,10 +398,16 @@ closed form, and mention the current implementation of various computer
 algebra systems.
 \end{adjustwidth}
 
-\bibitem[Bronstein 92]{Bro92} Bronstein, M.\\
-``Linear Ordinary Differential Equations: Breaking Through the Order 2 Barrier''\\
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac92.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Bro92.pdf|
+\begin{chunk}{ignore}
+\bibitem[Bronstein 92]{Bro92} 
+  author = "Bronstein, M.",
+  title = "Linear Ordinary Differential Equations: Breaking Through the Order 2 Barrier",
+  year = "1992",
+  url = "http://www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac92.ps.gz",
+  paper = "Bro92.pdf",
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 A major subproblem for algorithms that either factor ordinary linear
@@ -259,25 +427,63 @@ complete Singer algorithm for $n=2,3$ based on this building block is
 in progress.
 \end{adjustwidth}
 
-\bibitem[Bronstein 93]{Bro93} Bronstein, Manuel (ed)\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 93]{Bro93} 
+  author = "Bronstein, Manuel (ed)",
+  year = "1993",
+  month = "July"
+  isbn = "0-89791-604-2",
 ISSAC'93: proceedings of the 1993 International Symposium on Symbolic 
-and Algebraic Computation, July 6-8, 1993, Kiev, Ukraine,
-ACM Press New York, NY 10036, USA, 1993 ISBN 0-89791-604-2 
+and Algebraic Computation, Kiev, Ukraine,
+ACM Press New York, NY 10036, USA, ISBN 
 LCCN QA76.95 I59 1993 ACM order number 505930
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Brunelli 08]{Brun08} 
+  author = "Brunelli, J.C.",
+  title = "Streams and Lazy Evaluation Applied to Integrable Models",
+  year = "2008",
+  url = "http://arxiv.org/PS_cache/nlin/pdf/0408/0408058v1.pdf",
+  paper = "Brun08.pdf",
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+Computer algebra procedures to manipulate pseudo-differential
+operators are implemented to perform calculations with integrable
+models. We use lazy evaluation and streams to represent and operate
+with pseudo-differential operators. No order of truncation is needed
+since terms are produced on demand. We give a series of concrete
+examples using the computer algebra language MAPLE.
+\end{adjustwidth}
+
+\begin{chunk}{ignore}
+\bibitem[Bronstein 93]{BS93} 
+  author = "Bronstein, Manuel and Salvy, Bruno",
+  title = "Full Partial Fraction Decomposition of Rational Functions",
+  year = "1993",
+  pages = "157-160",
+  isbn = "0-89791-604-2",
+In Bronstein [Bro93]   LCCN QA76.95 I59 1993
+  keywords = "axiomref",
 
-\bibitem[Brunelli 09]{Bru08} Brunelli, J.C.\\
-``Streams and Lazy Evaluation Applied to Integrable Models''\\
-\verb|arxiv.org/PS_cache/nlin/pdf/0408/0408058v1.pdf|
+\end{chunk}
 
-\bibitem[Bronstein 93]{BS93} Bronstein, Manuel; Salvy, Bruno\\ 
-``Full Partial Fraction Decomposition of Rational Functions''\\
-In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993\\
-\verb|www.acm.org/pubs/citations/proceedings/issac/164081/p157-bronstein|
+\begin{chunk}{axiom.bib}
+@misc{Bro92a,
+  author = "Bronstein, Manuel",
+  title = "Integration and Differential Equations in Computer Algebra",
+  year = "1992",
+  url = "http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.42.576",
+  paper = "Bro92a.pdf",
+  keywords = "axiomref"
+}
 
-\bibitem[Bronstein 92a]{Bro92a} Bronstein, Manuel\\
-``Integration and Differential Equations in Computer Algebra''
-\verb|citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.42.576|
-%\verb|axiom-developer.org/axiom-website/papers/Bro92a.pdf|
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We describe in this paper how the problems of computing indefinite
@@ -289,16 +495,31 @@ algorithms) and the recent improvements on those algorithms which has
 allowed them to be implemented.
 \end{adjustwidth}
 
-\bibitem[Beneke 94]{BS94} Beneke, T.; Schwippert, W.\\
-``Double-track into the future: MathCAD will gain new users with Standard 
-and Plus versions''\\
-Elektronik, 43(15) pp107-110, July 1994, CODEN EKRKAR ISSN 0013-5658
+\begin{chunk}{ignore}
+\bibitem[Beneke 94]{BS94} 
+  author = "Beneke, T. and Schwippert, W.",
+  title = "Double-track into the future: MathCAD will gain new users with Standard and Plus versions",
+  year = "1994",
+  month = "July",
+  pages = "107-110",
+  keywords = "axiomref",
+Elektronik, 43(15) CODEN EKRKAR ISSN 0013-5658
 
-\bibitem[Bronstein 97a]{Bro97a} Bronstein, Manuel; Weil, Jacques-Arthur\\
-``On Symmetric Powers of Differential Operators''\\
-ISSAC'97 pp 156-163 ACM NY (1997)
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
-%\verb|axiom-developer.org/axiom-website/papers/Bro97a.pdf|
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Bronstein 97a]{Bro97a} 
+  author = "Bronstein, Manuel and Weil, Jacques-Arthur",
+  title = "On Symmetric Powers of Differential Operators",
+  year = "1997",
+  pages = "156-163",
+  keywords = "axiomref",
+  url = "http://www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html"
+  paper = "Bro97a.pdf",
+  publisher = "ACM, NY",
+ISSAC'97 
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present alternative algorithms for computing symmetric powers of
@@ -311,18 +532,44 @@ involving cyclic vector techniques, such as exterior powers of
 differential or difference operators.
 \end{adjustwidth}
 
-\bibitem[Borwein 00]{Bor00} Borwein, Jonathan\\
-``Multimedia tools for communicating mathematics''\\
-Springer-Verlag ISBN 3-540-42450-4 p58
-
-\bibitem[Brown 94]{BT94} Brown, R.; Tonks, A.\\
-``Calculations with simplicial and cubical groups in AXIOM''\\
-Journal of Symbolic Computation 17(2) pp159-179 February 1994
-CODEN JSYCEH ISSN 0747-7171
-
-\bibitem[Brown 95]{BD95} Brown, Ronald; Dreckmann, Winfried\\
-``Domains of data and domains of terms in AXIOM''
-%\verb|axiom-developer.org/axiom-website/papers/DB95.pdf|
+\begin{chunk}{ignore}
+\bibitem[Borwein 00]{Bor00} 
+  author = "Borwein, Jonathan",
+  title = "Multimedia tools for communicating mathematics",
+  year = "2000",
+  pages = "58",
+  isbn = "3-540-42450-4",
+  publisher = "Springer-Verlag",
+  keywords = "axiomref"
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{BT94,
+  author = "Brown, R. and Tonks, A.",
+  title = "Calculations with simplicial and cubical groups in AXIOM",
+  journal = "Journal of Symbolic Computation",
+  volume =  "17",
+  number = "2",
+  pages = "159-179",
+  year = "1994",
+  month = "February",
+  misc = "CODEN JSYCEH ISSN 0747-7171",
+  keywords = "axiomref"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Brow95,
+  author = "Brown, Ronald and Dreckmann, Winfried",
+  title = "Domains of data and domains of terms in AXIOM",
+  year = "1995",
+  keywords = "axiomref",
+  paper = "DB95.pdf"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 The main new concept we wish to illustrate in this paper is a
@@ -336,100 +583,232 @@ contexts. We shall show how this concept may be used for the coding of
 free categories and groupoids on directed graphs.
 \end{adjustwidth}
 
-\bibitem[Buchberger 85]{BC85} Buchberger, Bruno; Caviness, Bob F. (eds)\\
+\begin{chunk}{ignore}
+\bibitem[Buchberger 85]{BC85}  Buchberger, Bruno and Caviness, Bob F. (eds)
 EUROCAL '85: European Conference on Computer Algebra, Linz, Austria, 
-April 1-3, 1985;
-proceedings, volume 204 of Lecture Notes in Computer Science. Springer-Verlag,
-Berlin, Germany / Heidelberg, Germany / London, UK / etc., 1985,
-ISBN 0-387-15983-5 (vol. 1), 0-387-15984-3 (vol. 2) LLCN QA155.7.E4 E86 1985
-Two volumes
-
-\bibitem[Buhl 05]{Buh05} Buhl, Soren L.\\
-``Some Reflections on Integrating a Computer Algebra System in R''\\
-
-\bibitem[Burge 91]{Bur91} Burge, W.H.\\
-``Scratchpad and the Rogers-Ramanujan identities''\\
-In Watt [Wat91], pp189-190 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
-
-\bibitem[Burge 87]{BW87} Burge, W.; Watt, S.\\
-``Infinite structures in SCRATCHPAD II''\\
-Technical Report RC 12794 (\#57573) IBM Thomas J. Watson Research Center,
-Box 218, Yorktown Heights, NY 10598, USA 1987
-
-\bibitem[Burge 87a]{BWM87} Burge, William H.; Watt, Stephen M.; 
-Morrison, Scott C.\\
-``Streams and Power Series''\\
+LLCN QA155.7.E4 E86 
+  isbn = "0-387-15983-5, 0-387-15984-3",
+  year = "1985",
+  month = "April",
+  publisher = "Springer-Verlag, Berlin, Germany",
+  keywords = "axiomref",
+  misc = "Lecture Notes in Computer Science, Vol 204",
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Buh05, 
+  author = "Buhl, Soren L.",
+  title = "Some Reflections on Integrating a Computer Algebra System in R",
+  year = "2005",
+  keywords = "axiomref"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Burge 91]{Burg91} 
+  author = "Burge, W.H.",
+  title = "Scratchpad and the Rogers-Ramanujan identities",
+  year = "1991",
+  pages = "189-190",
+  isbn = "0-89791-437-6",
+  keywords = "axiomref",
+In Watt [Wat91],   LCCN QA76.95.I59
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+This note sketches the part played by Scratchpad in obtaining new
+proofs of Euler's theorem and the Rogers-Ramanujan Identities.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@techreport{BW87,
+  author = "Burge, W. and Watt, S.",
+  title = "Infinite structures in SCRATCHPAD II",
+  year = "1987",
+  institution = "IBM Research",
+  type = "Technical Report",
+  number = "RC 12794",
+  keywords = "axiomref"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Burge 87a]{BWM87} 
+  author = "Burge, William H. and Watt, Stephen M. and Morrison, Scott C.",
+  title = "Streams and Power Series",
+  year = "1987",
+  pages = "9-12",
+  keywords = "axiomref",
 in [Wit87], pp9-12
 
-\bibitem[Burge 89]{BW89} Burge, W. H.; Watt, S. M.\\
-``Infinite structures in Scratchpad II''\\
-in Davenport [Dav89], pp138-148 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Burge 89]{BW89} 
+  author = "Burge, W. H. and Watt, S. M.",
+  title = "Infinite structures in Scratchpad II",
+  year = "1989",
+  pages = "138-148",
+  isbn = "3-540-51517-8",
+  keywords = "axiomref",
+in Davenport [Dav89], LCCN QA155.7.E4E86 1987
+
+\end{chunk}
 
 \subsection{C} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Calmet 94]{Cal94} Calmet, J. (ed)\\
+\begin{chunk}{ignore}
+\bibitem[Calmet 94]{Cal94} Calmet, J. (ed)
 Rhine Workshop on Computer Algebra, Proceedings.
 Universit{\"a}t Karsruhe, Karlsruhe, Germany 1994
+  keywords = "axiomref",
 
-\bibitem[Camion 92]{CCM92} Camion, Paul; Courteau, Bernard; Montpetit, Andre\\ 
-``Un probl{\`{e}}me combinatoire dans les graphs de Hamming et sa solution 
-en Scratchpad''\\
-``A combinatorial problem in Hamming Graphs and its solution in
-Scratchpad''\\
-Rapports de recherche 1586, Institut National de Recherche en
-Informatique et en Automatique, Le Chesnay, France, January 1992, 12pp
-
-\bibitem[Caprotti 00]{CCR00} Caprotti, Olga; Cohen, Arjeh M.; Riem, Manfred\\
-``Java Phrasebooks for Computer Algebra and Automated Deduction''\\
-\verb|www.sigsam.org/bulletin/articles/132/paper8.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/CCR00.pdf|
-
-\bibitem[Capriotti 99]{CC99} Capriotti, O.; Carlisle, D.\\
-``OpenMath and MathML: Semantic Mark Up for Mathematics''\\
-\verb|www.acm.org/crossroads/xrds6-2/openmath.html|
-
-\bibitem[Capriotti (a)]{CCCS} Capriotti, Olga; Cohen, Arjeh M.; 
-Cuypers, Hans;  Sterk, Hans\\
-``OpenMath Technology for Interactive Mathematical Documents''\\
-\verb|www.win.tue.nl/~hansc/lisbon.pdf|
-
-\bibitem[Carpent]{CCxx} Carpent, Quentin; Conil, Christophe\\
-``Utilisation de logiciels libres pour la r\'ealisation de TP MT26'' (2004)
-%\verb|axiom-developer.org/axiom-website/papers/CCxx.pdf|
-
-\bibitem[Chudnovsky 85]{Chu85} Chudnovsky, D.V; Chudnovsky, G.V.\\
-``Elliptic Curve Calculations in Scratchpad II''\\
-Scratchpad II Newsletter 1 (1) (1985)
+\end{chunk}
 
-\bibitem[Chudnovsky 87]{Chu87} Chudnovsky, D.V; Chudnovsky, G.V.\\
-``New Analytic Methods of Polynomial Root Finding''\\
-in [Wit87], p2
-
-\bibitem[Chudnovsky 89]{Chu89}Chudnovsky, D.V. and Chudnovsky, G.V.\\
-``The computation of classical constants''\\
-Proc. Natl. Acad. Sci. USA Vol 86 pp8178-8182, Nov 1989
-
-\bibitem[Chudnovsky 86]{CJ86} Chudnovsky, David; Jenks, Richard\\
-``Computers in Mathematics''\\
-International Conference on Computers and Mathematics July29-Aug1 1986
-Marcel Dekker, Inc (1990) ISBN 0-8247-8341-7
-
-\bibitem[Cohen]{CCBS} Cohen, Arjeh; Cuypers, M.;  Barreiro, Hans; 
-Reinaldo, Ernesto; Sterk, Hans\\
-``Interactive Mathematical Documents on the Web''\\
-Springer 9783540002576-c1.pdf
-
-\bibitem[Cohen 91]{CC91} Cohen, G.; Charpin, P.; (ed)\\ 
+\begin{chunk}{ignore}
+\bibitem[Camion 92]{CCM92} 
+  author = "Camion, Paul and Courteau, Bernard and Montpetit, Andre",
+  title = "A combinatorial problem in Hamming Graphs and its solution in Scratchpad",
+  year = "1992",
+  month = "January",
+  keywords = "axiomref",
+Rapports de recherche 1586, Institut National de Recherche en
+Informatique et en Automatique, Le Chesnay, France, 12pp
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Caprotti 00]{CCR00} 
+  author = "Caprotti, Olga and Cohen, Arjeh M. and Riem, Manfred",
+  title = "Java Phrasebooks for Computer Algebra and Automated Deduction",
+  url = "http://www.sigsam.org/bulletin/articles/132/paper8.pdf",
+  paper = "CCR00.pdf",
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{CC99,
+  author = "Capriotti, O. and Carlisle, D.",
+  title = "OpenMath and MathML: Semantic Mark Up for Mathematics",
+  year = "1999",
+  url = "http://www.acm.org/crossroads/xrds6-2/openmath.html",
+  keywords = "axiomref"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Capr99,
+  author = "Capriotti, Olga and Cohen, Arjeh M. and Cuypers, Hans and Sterk, Hans",
+  title = "OpenMath Technology for Interactive Mathematical Documents",
+  year = "2002",
+  pages = "51-66",
+  publisher = "Springer-Verlag, Berlin, Germany",
+  url = "http://www.win.tue.nl/~hansc/lisbon.pdf",
+  paper = "Capr99.pdf",
+  misc = "in Multimedia Tools for Communicating Mathematics",
+  keywords = "axiomref"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Carp04,
+  author = "Carpent, Quentin and Conil, Christophe",
+  title = "Utilisation de logiciels libres pour la r\'ealisation de TP MT26",
+  year = "2004",
+  paper = "Carp04.pdf",
+  keywords = "axiomref"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Chu85,
+  author = "Chudnovsky, D.V and Chudnovsky, G.V.",
+  title = "Elliptic Curve Calculations in Scratchpad II",
+  year = "1985",
+  institution = "Mathematics Dept., IBM Research",
+  type = "Scratchpad II Newsletter 1 (1)",
+  keywords = "axiomref"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Chudnovsky 87]{Chu87} 
+  author = "Chudnovsky, D.V and Chudnovsky, G.V.",
+  title = "New Analytic Methods of Polynomial Root Finding",
+  year = "1987",
+  pages = "2",
+  keywords = "axiomref",
+in [Wit87]
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Chudnovsky 89]{Chu89}
+  author = "Chudnovsky, D.V. and Chudnovsky, G.V.",
+  title = "The computation of classical constants",
+  year = "1989",
+  month = "November",
+  pages = "8178-8182",
+  keywords = "axiomref",
+Proc. Natl. Acad. Sci. USA Vol 86 
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@proceedings{CJ86,
+  editor = "Chudnovsky, David and Jenks, Richard",
+  title = "Computers in Mathematics",
+  year = "1986",
+  month = "July",
+  isbn = "0-8247-8341-7",
+  note = "International Conference on Computers and Mathematics",
+  publisher = "Marcel Dekker, Inc",
+  keywords = "axiomref"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Cohe03,
+  author = "Cohen, Arjeh and Cuypers, M. and Barreiro, Hans and Reinaldo, Ernesto and Sterk, Hans",
+  title = "Interactive Mathematical Documents on the Web",
+  year = "2003",
+  pages = "289-306",
+  editor = "Joswig, M. and Takayma, N.",
+  publisher = "Springer-Verlag, Berlin, Germany",
+  keywords = "axiomref",
+  misc = "in Algebra, Geometry and Software Systems"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Cohen 91]{CC91} Cohen, G.; Charpin, P.; (ed) 
 EUROCODE '90 International Symposium on
 Coding Theory and Applications Proceedings. Springer-Verlag, Berlin, Germany
 / Heidelberg, Germany / London, UK / etc., 1991 ISBN 0-387-54303-1 
 (New York), 3-540-54303-1 (Berlin), LCCN QA268.E95 1990
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Conrad (a)]{CFMPxxa} Conrad, Marc; French, Tim; Maple, Carsten; 
-Pott, Sandra\\
-``Approaching Inheritance from a Natural Mathematical Perspective and from
-a Java Driven Viewpoint: a Comparative Review''
-%\verb|axiom-developer.org/axiom-website/papers/CFMPxxa.pdf|
+\begin{chunk}{ignore}
+\bibitem[Conrad (a)]{CFMPxxa} 
+  author = "Conrad, Marc and French, Tim and Maple, Carsten and Pott, Sandra",
+  title = "Approaching Inheritance from a Natural Mathematical Perspective and from a Java Driven Viewpoint: a Comparative Review",
+  keywords = "axiomref",
+  paper = "CFMPxxa.pdf",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 It is well-known that few object-oriented programming languages allow
@@ -443,11 +822,15 @@ represents the dynamic and evolving characteristic of problems and
 algorithms.
 \end{adjustwidth}
 
-\bibitem[Conrad (b)]{CFMPxxb} Conrad, Marc; French, Tim; Maple, Carsten; 
-Pott, Sandra\\
-``Mathematical Use Cases lead naturally to non-standard Inheritance
-Relationships: How to make them accessible in a mainstream language?''
-%\verb|axiom-developer.org/axiom-website/papers/CFMPxxb.pdf|
+\begin{chunk}{axiom.bib}
+@misc{CFMPxxb,
+  author = "Conrad, Marc and French, Tim and Maple, Carsten and Pott, Sandra",
+  title = "Mathematical Use Cases lead naturally to non-standard Inheritance Relationships: How to make them accessible in a mainstream language?",
+  paper = "CFMPxxb.pdf",
+  keywords = "axiomref"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Conceptually there is a strong correspondence between Mathematical
@@ -457,122 +840,265 @@ to strengthen this relationship. A discussion is initiated concerning
 the feasibility of each of these features.
 \end{adjustwidth}
 
-\bibitem[Cuypers]{CHK} Cuypers, Hans; Hendriks, Maxim; Knopper, Jan Willem\\
-``Interactive Geometry inside MathDox''\\
-\verb|www.win.tue.nl/~hansc/MathDox_and_InterGeo_paper.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Cuyp10,
+  author = "Cuypers, Hans and Hendriks, Maxim and Knopper, Jan Willem",
+  title = "Interactive Geometry inside MathDox",
+  year = "2010",
+  url = "http://www.win.tue.nl/~hansc/MathDox_and_InterGeo_paper.pdf",
+  paper = "Cuyp10",
+  keywords = "axiomref"
+}
 
-\subsection{D} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\end{chunk}
 
-\bibitem[Dalmas]{DGW} Dalmas, St\'ephane, Ga\"etano, Marc, and Watt, Stephen\\
-``An OpenMath 1.0 Implementation''\\
-\verb|citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.116.4401.pdf|
+\subsection{D} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Dalmas 92]{Dal92} Dalmas, S.\\
-``A polymorphic functional language applied to symbolic computation''\\
+\begin{chunk}{axiom.bib}
+@inproceedings{Dalm97,
+  author = {Dalmas, St\'ephane and Ga\"etano, Marc and Watt, Stephen},
+  title = "An OpenMath 1.0 Implementation",
+  booktitle = "Proc. 1997 Int. Symp. on Symbolic and Algebraic Computation",
+  series = "ISSAC'97",
+  year = "1997",
+  isbn = "0-89791-875-4",
+  location = "Kihei, Maui, Hawaii, USA",
+  pages = "241-248",
+  numpages = "8",
+  url = "http://doi.acm.org/10.1145/258726.258794",
+  doi = "10.1145/258726.258794",
+  acmid = "258794",
+  publisher = "ACM, New York, NY USA",
+  keywords = "axiomref"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dalmas 92]{Dal92} Dalmas, S.
+``A polymorphic functional language applied to symbolic computation''
 In Wang [Wan92] pp369-375 ISBN 0-89791-489-9 (soft cover) 0-89791-490-2 
 (hard cover) LCCN QA76.95.I59 1992
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Daly88,
+  author = "Daly, Timothy",
+  title = "Axiom in an Educational Setting, Axiom course slide deck",
+  year = "1988",
+  month = "January",
+  keywords = "axiomref"
+}
 
-\bibitem[Daly 88]{Dal88} Daly, Timothy\\
-``Axiom in an Educational Setting''\\
-Axiom course slide deck January 1988
+\end{chunk}
 
-\bibitem[Daly 02]{Dal02} Daly, Timothy\\
-``Axiom as open source''\\
+\begin{chunk}{ignore}TPDHERE
+\bibitem[Daly 02]{Dal02} Daly, Timothy
+``Axiom as open source''
 SIGSAM Bulletin (ACM Special Interest Group
 on Symbolic and Algebraic Manipulation) 36(1) pp28-?? March 2002
 CODEN SIGSBZ ISSN 0163-5824
+  keywords = "axiomref",
 
-\bibitem[Daly 03]{Dal03} Daly, Timothy\\
-``The Axiom Wiki Website''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Daly 03]{Dal03} Daly, Timothy
+``The Axiom Wiki Website''
 \verb|axiom.axiom-developer.org|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Daly 06]{Dal06} Daly, Timothy\\
-``Axiom Volume 1: Tutorial''\\
+\begin{chunk}{ignore}
+\bibitem[Daly 06]{Dal06} Daly, Timothy
+``Axiom Volume 1: Tutorial''
 Lulu, Inc. 860 Aviation Parkway,
-Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp\\
+Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp
 \verb|www.lulu.com/content/190827|
+  keywords = "axiomref",
 
-\bibitem[Daly 09]{Dal09} Daly, Timothy\\
-``The Axiom Literate Documentation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Daly 09]{Dal09} Daly, Timothy
+``The Axiom Literate Documentation''
 \verb|axiom-developer.org/axiom-website/documentation.html|
+  keywords = "axiomref",
+
+\end{chunk}
 
+\begin{chunk}{ignore}
 \bibitem[Daly 13]{Dal13} Daly, Timothy
 ``Literate Programming in the Large'' 
-April 8-9, 2013 Portland Oregon\\
-\verb|conf.writethedocs.org|\\
-\verb|daly.axiom-developer.org|\\
+April 8-9, 2013 Portland Oregon
+\verb|conf.writethedocs.org|
+\verb|daly.axiom-developer.org|
 \verb|www.youtube.com/watch?v=Av0PQDVTP4A|
+  keywords = "axiomref",
 
-\bibitem[Davenport 79a]{Dav79a} Davenport, J.H.\\
-``What can SCRATCHPAD/370 do?''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 79a]{Dav79a} Davenport, J.H.
+``What can SCRATCHPAD/370 do?''
 VM/370 SPAD.SCRIPTS August 24, 1979 SPAD.SCRIPT
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Davenport 80]{Dav80} Davenport, J.H.; Jenks, R.D.\\
-``MODLISP -- an Introduction''\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 80]{Dav80} Davenport, J.H.; Jenks, R.D.
+``MODLISP -- an Introduction''
 Proc LISP80, 1980, and IBM RC8357 Oct 1980
+  keywords = "axiomref",
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Davenport 84]{DGJ84} Davenport, J.; Gianni, P.; Jenks, R.;
 Miller, V.; Morrison, S.; Rothstein, M.; Sundaresan, C.; Sutor, R.; 
-Trager, B.\\
-``Scratchpad''\\
+Trager, B.
+``Scratchpad''
 Mathematical Sciences Department, IBM Thomas Watson Research Center 1984
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Davenport 84a]{Dav84a} Davenport, James H.\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 84a]{Dav84a} Davenport, James H.
 ``A New Algebra System''
 %\verb|axiom-developer.org/axiom-website/papers/Dav84a.pdf|
+  keywords = "axiomref",
 
-\bibitem[Davenport 85]{Dav85} Davenport, James H.\\
-``The LISP/VM Foundation of Scratchpad II''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 85]{Dav85} Davenport, James H.
+``The LISP/VM Foundation of Scratchpad II''
 The Scratchpad II Newsletter, Volume 1, Number 1, September 1, 1985
 IBM Corporation, Yorktown Heights, NY
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Davenport 88]{DST88} Davenport, J.H.; Siret, Y.; Tournier, E.\\
-Computer Algebra: Systems and Algorithms for Algebraic Computation. \\
-Academic Press, New York, NY, USA, 1988, ISBN 0-12-204232-9\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 88]{DST88} Davenport, J.H.; Siret, Y.; Tournier, E.
+Computer Algebra: Systems and Algorithms for Algebraic Computation. 
+Academic Press, New York, NY, USA, 1988, ISBN 0-12-204232-9
 \verb|staff.bath.ac.uk/masjhd/masternew.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/DST88.pdf|
+  keywords = "axiomref",
 
-\bibitem[Davenport 14]{Dav14} Davenport, James H.\\
-``Computer Algebra textbook''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 14]{Dav14} Davenport, James H.
+``Computer Algebra textbook''
 \verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Dav14.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Davenport 89]{Dav89} Davenport, J.H. (ed)\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 89]{Dav89} Davenport, J.H. (ed)
 EUROCAL '87 European Conference on Computer Algebra Proceedings 
 Springer-Verlag, Berlin, Germany / Heidelberg, Germany / London,
 UK / etc., 1989 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
+  keywords = "axiomref",
 
-\bibitem[Davenport 90]{DT90} Davenport, J. H.; Trager, B. M.\\
-``Scratchpad's view of algebra I: Basic commutative algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 90]{DT90} Davenport, J. H.; Trager, B. M.
+``Scratchpad's view of algebra I: Basic commutative algebra''
 In Miola [Mio90], pp40-54. ISBN 0-387-52531-9 (New York),
 3-540-52531-9 (Berlin). LCCN QA76.9.S88I576 1990 also in AXIOM Technical
 Report, ATR/1, NAG Ltd., Oxford, 1992
-
-\bibitem[Davenport 91]{DGT91} Davenport, J. H.;, Gianni, P.; Trager, B. M.\\
-``Scratchpad's view of algebra II: A categorical view of factorization''\\
-In Watt [Wat91], pp32-38 ISBN 0-89791-437-6 LCCN QA76.95.I59 
-also in: AXIOM Technical Report, ATR/2, NAG Ltd., Oxford, 1992
-
-\bibitem[Davenport 92]{DGT92} Davenport, J. H.;, Gianni, P.; Trager, B. M.\\
-``Scratchpad's view of algebra II: A categorical view of factorization''\\
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@inproceedings{Dave91,
+ author = "Davenport, J. H. and Gianni, P. and Trager, B. M.",
+ title = "Scratchpad's View of Algebra II: A Categorical View of Factorization",
+ booktitle = "Proc. 1991 International Symposium on Symbolic and Algebraic Computation",
+ series = "ISSAC '91",
+ year = "1991",
+ isbn = "0-89791-437-6",
+ location = "Bonn, West Germany",
+ pages = "32--38",
+ numpages = "7",
+ url = "http://doi.acm.org/10.1145/120694.120699",
+ doi = "10.1145/120694.120699",
+ acmid = "120699",
+ publisher = "ACM",
+ address = "New York, NY, USA",
+ keywords = "axiomref",
+ paper = "Dave91.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+This paper explains how Scratchpad solves the problem of presenting a
+categorical view of factorization in unique factorization domains, i.e.
+a view which can be propagated by functors such as SparseUnivariatePolynomial
+or Fraction. This is not easy, as the constructive version of the classical
+concept of UniqueFactorizationDomain cannot be so propagated. The solution
+adopted is based largely on Seidenberg's conditions (F) and (P), but there
+are several additional points that have to be borne in mind to produce
+reasonably efficient algorithms in the required generality.
+
+The consequence of the algorithms and interfaces presented in this
+paper is that Scratchpad can factorize in any extension of the
+integers or finite fields by any combination of polynomial, fraction
+and algebraic extensions: a capability far more general than any other
+computer algebra system possesses. The solution is not perfect: for
+example we cannot use these general constructions to factorize
+polyinmoals in $\overline{Z[\sqrt{-5}]}[x]$ since the domain
+$Z[\sqrt{-5}]$ is not a unique factorization domain, even though
+$\overline{Z[\sqrt{-5}]}$ is, since it is a field. Of course, we can
+factor polynomials in $\overline{Z}[\sqrt{-5}][x]$
+\end{adjustwidth}
+
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 92]{DGT92} Davenport, J. H.;, Gianni, P.; Trager, B. M.
+``Scratchpad's view of algebra II: A categorical view of factorization''
 Technical Report TR4/92 (ATR/2) (NP2491), Numerical Algorithms Group, Inc., 
-Downer's Grove, IL, USA and Oxford, UK, December 1992\\
+Downer's Grove, IL, USA and Oxford, UK, December 1992
 \verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Davenport 92a]{Dav92a} Davenport, J. H.\\
-``The AXIOM system''\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 92a]{Dav92a} Davenport, J. H.
+``The AXIOM system''
 AXIOM Technical Report TR5/92 (ATR/3)
 (NP2492) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
-Oxford, UK, December 1992 \\
+Oxford, UK, December 1992 
 \verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+  keywords = "axiomref",
 
-\bibitem[Davenport 92b]{Dav92b} Davenport, J. H.\\
-``How does one program in the AXIOM system?''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 92b]{Dav92b} Davenport, J. H.
+``How does one program in the AXIOM system?''
 AXIOM Technical Report TR6/92 (ATR/4)(NP2493) 
 Numerical Algorithms Group, Inc., Downer's
-Grove, IL, USA and Oxford, UK December 1992\\
+Grove, IL, USA and Oxford, UK December 1992
 \verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 %\verb|axiom-developer.org/axiom-website/papers/Dav92b.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Axiom is a computer algebra system superficially like many others, but
@@ -582,24 +1108,36 @@ lecture notes, we will explain, by example, the methodology that the
 author uses for programming substantial bits of mathematics in Axiom.
 \end{adjustwidth}
 
-\bibitem[Davenport 92c]{DT92} Davenport, J. H.; Trager, B. M.\\
-``Scratchpad's view of algebra I: Basic commutative algebra''\\
-DISCO 90 Capri, Italy April 1990 ISBN 0-387-52531-9 pp40-54\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 92c]{DT92} Davenport, J. H.; Trager, B. M.
+``Scratchpad's view of algebra I: Basic commutative algebra''
+DISCO 90 Capri, Italy April 1990 ISBN 0-387-52531-9 pp40-54
 Technical Report TR3/92 (ATR/1)(NP2490), Numerical
 Algorithms Group, Inc., Downer's Grove, IL, USA and Oxford, UK, 
-December 1992. \\
+December 1992. 
 \verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+  keywords = "axiomref",
 
-\bibitem[Davenport 93]{Dav93} Davenport, J. H.\\
-``Primality testing revisited''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 93]{Dav93} Davenport, J. H.
+``Primality testing revisited''
 Technical Report TR2/93 (ATR/6)(NP2556) Numerical Algorithms Group, Inc., 
-Downer's Grove, IL, USA and Oxford, UK, August 1993\\
+Downer's Grove, IL, USA and Oxford, UK, August 1993
 \verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Davenport (a)]{DFxx} Davenport, James; Faure, Christ\'ele\\
+\begin{chunk}{ignore}
+\bibitem[Davenport (a)]{DFxx} Davenport, James; Faure, Christ\'ele
 ``The Unknown in Computer Algebra''
 \verb|axiom-wiki.newsynthesis.org/public/refs/TheUnknownInComputerAlgebra.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/DFxx.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Computer algebra systems have to deal with the confusion between
@@ -610,41 +1148,72 @@ is a symbol, but $x^p = x$ if $x \in GF(p)$. We show how we have
 extended Axiom to deal with this concept.
 \end{adjustwidth}
 
-\bibitem[Davenport 00]{Dav00} Davenport, James\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 00]{Dav00} Davenport, James
 ``13th OpenMath Meeting''
 James H. Davenport
 ``A New Algebra System''
-May 1984\\
+May 1984
 \verb|xml.coverpages.org/openmath13.html|
 %\verb|axiom-developer.org/axiom-website/papers/Dav00.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 12]{Dav12} Davenport, J.H.
+``Computer Algebra''
+\verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|
+  keywords = "axiomref",
 
-\bibitem[Davenport 12]{Dav12} Davenport, J.H.\\
-``Computer Algebra''\\
-\verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|\\
+\end{chunk}
 
-\bibitem[Davenport (b)]{DSTxx} Davenport, J. H.; Siret; Tournier\\
-``Computer Algebra''  \hfill\\
+\begin{chunk}{ignore}
+\bibitem[Davenport (b)]{DSTxx} Davenport, J. H.; Siret; Tournier
+``Computer Algebra''  \hfill
 \verb|staff.bath.ac.uk/masjhd/masternew.pdf|
+  keywords = "axiomref",
 
-\bibitem[Dewar 94]{Dew94} Dewar, M. C.\\
-``Manipulating Fortran Code in AXIOM and the AXIOM-NAG Link''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dewar 94]{Dew94} Dewar, M. C.
+``Manipulating Fortran Code in AXIOM and the AXIOM-NAG Link''
 Proceedings of the Workshop on Symbolic and Numeric Computing, ed by Apiola, H.
 and Laine, M. and Valkeila, E. pp1-12 University of Helsinki, Finland (1994)
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Dewar]{Dew} Dewar, Mike\\
-``OpenMath: An Overview''\\
-\verb|www.sigsam.org/bulletin/articles/132/paper1.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Dewa,
+ author = "Dewar, Mike",
+ title = "OpenMath: An Overview",
+ url = "http://www.sigsam.org/bulletin/articles/132/paper1.pdf",
+ paper = "Dewa.pdf",
+ keywords = "axiomref"
+}
 
-\bibitem[Dicrescenzo 89]{DD89} Dicrescenzo, C.; Duval, D.\\
-``Algebraic extensions and algebraic closure in Scratchpad II''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dicrescenzo 89]{DD89} Dicrescenzo, C.; Duval, D.
+``Algebraic extensions and algebraic closure in Scratchpad II''
 In Gianni [Gia89], pp440-446 ISBN 3-540-51084-2
 LCCN QA76.95.I57 1998 Conference held jointly with AAECC-6
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Dingle 94]{Din94} Dingle, Adam; Fateman, Richard\\
-``Branch Cuts in Computer Algebra''\\
-1994 ISSAC, Oxford (UK), July 1994\\
+\begin{chunk}{ignore}
+\bibitem[Dingle 94]{Din94} Dingle, Adam; Fateman, Richard
+``Branch Cuts in Computer Algebra''
+1994 ISSAC, Oxford (UK), July 1994
 \verb|www.cs.berkeley.edu/~fateman/papers/ding.ps|
 %\verb|axiom-developer.org/axiom-website/papers/Din94.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Many standard functions, such as the logarithms and square root
@@ -654,21 +1223,33 @@ lead computer algebra systems into various conundrums. We discuss how
 they can manipulate such functions in a useful fashion.
 \end{adjustwidth}
 
-\bibitem[DLMF]{DLMF}.\\
-``Digital Library of Mathematical Functions''\\
+\begin{chunk}{ignore}
+\bibitem[DLMF]{DLMF}.
+``Digital Library of Mathematical Functions''
 \verb|dlmf.nist.gov/software/#T1|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Dooley 99]{Doo99} Dooley, Sam editor.\\
+\begin{chunk}{ignore}
+\bibitem[Dooley 99]{Doo99} Dooley, Sam editor.
 ISSAC 99: July 29-31, 1999, Simon Fraser University,
 Vancouver, BC, Canada: proceedings of the 1999 International Symposium on
 Symbolic and Algebraic Computation. ACM Press, New York, NY 10036, USA, 1999.
 ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
+  keywords = "axiomref",
 
-\bibitem[Dos Reis 12]{DR12} Dos Reis, Gabriel\\
-``A System for Axiomatic Programming''\\
-Proc. Conf. on Intelligent Computer Mathematics, Springer (2012)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dos Reis 12]{DR12} Dos Reis, Gabriel
+``A System for Axiomatic Programming''
+Proc. Conf. on Intelligent Computer Mathematics, Springer (2012)
 \verb|www.axiomatics.org/~gdr/liz/cicm-2012.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/DR12.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present the design and implementation of a system for axiomatic
@@ -681,10 +1262,14 @@ concepts, in structured generic programming as practiced in
 computational mathematical systems.
 \end{adjustwidth}
 
-\bibitem[Doye 97]{Doy97} Doye, Nicolas James\\
-``Order Sorted Computer Algebra and Coercions''\\
+\begin{chunk}{ignore}
+\bibitem[Doye 97]{Doy97} Doye, Nicolas James
+``Order Sorted Computer Algebra and Coercions''
 Ph.D. Thesis University of Bath 1997
 %\verb|axiom-developer.org/axiom-website/papers/Doy97.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Computer algebra systems are large collections of routines for solving
@@ -718,16 +1303,24 @@ exists. Finally, we present a demonstration implementation of this
 automated coerion algorithm in Axiom.
 \end{adjustwidth}
 
-\bibitem[Doye 99]{Doy99} Doye, Nicolas J.\\
-``Automated coercion for Axiom''\\
+\begin{chunk}{ignore}
+\bibitem[Doye 99]{Doy99} Doye, Nicolas J.
+``Automated coercion for Axiom''
 In Dooley [Doo99], pp229-235
-ISBN 1-58113-073-2 LCCN QA76.95.I57 1999 ACM Press\\
+ISBN 1-58113-073-2 LCCN QA76.95.I57 1999 ACM Press
 \verb|www.acm.org/citation.cfm?id=309944|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Dominguez 01]{DR01} Dom\'inguez, C\'esar; Rubio, Julio\\
+\begin{chunk}{ignore}
+\bibitem[Dominguez 01]{DR01} Dom\'inguez, C\'esar; Rubio, Julio
 ``Modeling Inheritance as Coercion in a Symbolic Computation System''
 ISSAC 2001 ACM  1-58113-417-7/01/0007
 %\verb|axiom-developer.org/axiom-website/papers/DR01.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 In this paper the analysis of the data structures used in a symbolic
@@ -741,17 +1334,25 @@ algebraic specifications formalisms can be adapted, through the
 fragment.
 \end{adjustwidth}
 
-\bibitem[Dunstan 97]{Dun97} Dunstan, Martin; Ursula, Martin; Linton, Steve\\
-``Embedded Verification Techniques for Computer Algebra Systems''\\
-Grant citation GR/L48256 Nov 1, 1997-Feb 28, 2001\\
+\begin{chunk}{ignore}
+\bibitem[Dunstan 97]{Dun97} Dunstan, Martin and Ursula, Martin and Linton, Steve
+``Embedded Verification Techniques for Computer Algebra Systems''
+Grant citation GR/L48256 Nov 1, 1997-Feb 28, 2001
 \verb|www.cs.st-andrews.ac.uk/research/output/detail?output=ML97.php|
+  keywords = "axiomref",
+
+\end{chunk}
 
+\begin{chunk}{ignore}
 \bibitem[Adams 01]{DGKM01} Adams, Andrew; Dunstan, Martin; Gottliebsen, Hanne;
-Kelsey, Tom; Martin, Ursula; Owre, Sam\\
+Kelsey, Tom; Martin, Ursula; Owre, Sam
 ``Computer Algebra meets Automated Theorem Proving: Integrating Maple and PVS''
-TPHOLS 2001, Edinburgh\\
+TPHOLS 2001, Edinburgh
 \verb|www.csl.sri.com/~owre/papers/tphols01/tphols01.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/DGKM01.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We describe an interface between version 6 of the Maple computer
@@ -764,25 +1365,46 @@ library. These examples provide proofs which are both illustrative and
 applicable to genuine symbolic computation problems.
 \end{adjustwidth}
 
-\bibitem[Duval 92]{DJ92} Duval D.; Jung, F.\\
-``Examples of problem solving using computer algebra''\\
+\begin{chunk}{ignore}
+\bibitem[Duval 92]{DJ92} Duval D.; Jung, F.
+``Examples of problem solving using computer algebra''
 IFIP Transactions. A. Computer Science and Technology, A-2 pp133-141, 143 1992
 CODEN ITATEC. ISSN 0926-5473
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Duval 94]{Duv94} Duval, Dominique\\
-``Symbolic or algebraic computation?''\\
+\begin{chunk}{ignore}
+\bibitem[Duval 94]{Duv94} Duval, Dominique
+``Symbolic or algebraic computation?''
 Madrid Spain, NAG conference (private copy of paper)
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Duva95,
+  author = "Duval, D.",
+  title = "Evaluation dynamique et cl\^oture alg\'ebrique en Axiom",
+  journal = "Journal of Pure and Applied Algebra",
+  volume = "99",
+  year = "1995",
+  pages = "267--295.",
+  keywords = "axiomref"
+}
 
-\bibitem[Duval 95]{Du95} Duval, D.\\
-``Evaluation dynamique et cl\^oture alg\'ebrique en Axiom''.\\
-Journal of Pure and Applied Algebra, no99, 1995, pp. 267--295.
+\end{chunk}
 
 \subsection{E} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Erocal 10]{ES10} Er\"ocal, Burcin; Stein, William\\
-``The Sage Project''\\
+\begin{chunk}{ignore}
+\bibitem[Erocal 10]{ES10} Er\"ocal, Burcin; Stein, William
+``The Sage Project''
 \verb|wstein.org/papers/icms/icms_2010.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/ES10.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Sage is a free, open source, self-contained distribution of
@@ -795,21 +1417,33 @@ combinatorics to number theory and arithmetic geometry.
 
 \subsection{F} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Fateman 90]{Fat90} Fateman, R. J.\\
+\begin{chunk}{ignore}
+\bibitem[Fateman 90]{Fat90} Fateman, R. J.
 ``Advances and trends in the design and construction of algebraic 
-manipulation systems''\\
+manipulation systems''
 In Watanabe and Nagata [WN90], pp60-67 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Fateman 05]{Fat05} Fateman, R. J.\\
-``An incremental approach to building a mathematical expert out of software''\\
-4/19/2005\hfill\\
+\begin{chunk}{ignore}
+\bibitem[Fateman 05]{Fat05} Fateman, R. J.
+``An incremental approach to building a mathematical expert out of software''
+4/19/2005\hfill
 \verb|www.cs.berkeley.edu/~fateman/papers/axiom.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Fat05.pdf|
+  keywords = "axiomref",
 
-\bibitem[Fateman 06]{Fat06} Fateman, R. J.\\
-``Building Algebra Systems by Overloading Lisp''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Fateman 06]{Fat06} Fateman, R. J.
+``Building Algebra Systems by Overloading Lisp''
 \verb|www.cs.berkeley.edu/~fateman/generic/overload-small.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Fat06.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Some of the earliest computer algebra systems (CAS) looked like
@@ -831,16 +1465,24 @@ fairly-well articulated and difficult design issues in CAS for which
 other approaches are preferable.
 \end{adjustwidth}
 
-\bibitem[Faure 00a]{FDN00a} Faure, Christ\'ele; Davenport, James\\
+\begin{chunk}{ignore}
+\bibitem[Faure 00a]{FDN00a} Faure, Christ\'ele; Davenport, James
 ``Parameters in Computer Algebra''
+  keywords = "axiomref",
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Faure 00b]{FDN00b} Faure, Christ\'ele; Davenport, James; 
-Naciri, Hanane\\
-``Multi-values Computer Algebra''\\
+Naciri, Hanane
+``Multi-values Computer Algebra''
 ISSN 0249-6399 Institut National De Recherche en Informatique et en
 Automatique Sept. 2000 No. 4001
 \verb|hal.inria.fr/inria-00072643/PDF/RR-4401.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/FDN00b.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 One of the main strengths of computer algebra is being able to solve a
@@ -866,58 +1508,94 @@ zero. We show that it is also necessary when solving modular linear
 equations or deducing congruence conditions from complex expressions.
 \end{adjustwidth}
 
-\bibitem[Fitch 84]{Fit84} Fitch, J. P. (ed)\\
+\begin{chunk}{ignore}
+\bibitem[Fitch 84]{Fit84} Fitch, J. P. (ed)
 EUROSAM '84: International Symposium on Symbolic and
 Algebraic Computation, Cambridge, England, July 9-11, 1984, volume 174 of
 Lecture Notes in Computer Science. Springer-Verlag, Berlin, Germany /
 Heildelberg, Germany / London, UK / etc., 1984 ISBN 0-387-13350-X
 LCCN QA155.7.E4 I57 1984
+  keywords = "axiomref",
 
-\bibitem[Fitch 93]{Fit93} Fitch, J. (ed)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Fitch 93]{Fit93} Fitch, J. (ed)
 Design and Implementation of Symbolic Computation Systems
 International Symposium DISCO '92 Proceedings. Springer-Verlag, Berlin, 
 Germany / Heildelberg, Germany / London, UK / etc., 1993. ISBN 0-387-57272-4
 (New York), 3-540-57272-4 (Berlin). LCCN QA76.9.S88I576 1992
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Fogus 11]{Fog11} Fogus, Michael\\
-``UnConj''\\
+\begin{chunk}{ignore}
+\bibitem[Fogus 11]{Fog11} Fogus, Michael
+``UnConj''
 \verb|clojure.com/blog/2011/11/22/unconj.html|
+  keywords = "axiomref",
 
-\bibitem[Fortenbacher 90]{For90} Fortenbacher, A.\\
-``Efficient type inference and coercion in computer algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Fortenbacher 90]{For90} Fortenbacher, A.
+``Efficient type inference and coercion in computer algebra''
 In Miola [Mio90], pp56-60. ISBN 0-387-52531-9 (New York), 3-540-52531-9
 (Berlin). LCCN QA76.9.S88I576 1990
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Fouche 90]{Fou90} Fouche, Francois\\
-``Une implantation de l'algorithme de Kovacic en Scratchpad''\\
+\begin{chunk}{ignore}
+\bibitem[Fouche 90]{Fou90} Fouche, Francois
+``Une implantation de l'algorithme de Kovacic en Scratchpad''
 Technical report, Institut de Recherche Math{\'{e}}matique Avanc{\'{e}}e''
 Strasbourg, France, 1990 31pp
+  keywords = "axiomref",
 
-\bibitem[FSF 14]{FSF14} FSF\\
-``Free Software Directory''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[FSF 14]{FSF14} FSF
+``Free Software Directory''
 \verb|directory.fsf.org/wiki/Axiom|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Frisco ]{Fris} Frisco\\
-``Objectives and Results''\\
+\begin{chunk}{ignore}
+\bibitem[Frisco ]{Fris} Frisco
+``Objectives and Results''
 \verb|www.nag.co.uk/projects/frisco/frisco/node3.htm|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{G} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Gebauer 86]{GM86} Gebauer, R{\"u}diger; M{\"o}ller, H. Michael\\
-``Buchberger's algorithm and staggered linear bases''\\
+\begin{chunk}{ignore}
+\bibitem[Gebauer 86]{GM86} Gebauer, R{\"u}diger; M{\"o}ller, H. Michael
+``Buchberger's algorithm and staggered linear bases''
 In Bruce W. Char, editor. Proceedings of the 1986
 Symposium on Symbolic and Algebraic Computation: SYMSAC '86, July 21-23, 1986
 Waterloo, Ontario, pp218-221 ACM Press, New York, NY 10036, USA, 1986.
 ISBN 0-89791-199-7 LCCN QA155.7.E4 A281 1986 ACM order number 505860
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Gebauer 88]{GM88} Gebauer, R.; M{\"o}ller, H. M.\\
-``On an installation of Buchberger's algorithm''\\
+\begin{chunk}{ignore}
+\bibitem[Gebauer 88]{GM88} Gebauer, R.; M{\"o}ller, H. M.
+``On an installation of Buchberger's algorithm''
 Journal of Symbolic Computation, 6(2-3) pp275-286 1988
 CODEN JSYCEH ISSN 0747-7171
 \verb|www.sciencedirect.com/science/article/pii/S0747717188800488/pdf|
 \verb|?md5=f6ccf63002ef3bc58aaa92e12ef18980&|
 \verb|pid=1-s2.0-S0747717188800488-main.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/GM88.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Buchberger's algorithm calculates Groebner bases of polynomial
@@ -933,51 +1611,87 @@ installation of Buchberger's algorithm in SCRATCHPAD II and REDUCE
 computational properties of these installations.
 \end{adjustwidth}
 
-\bibitem[Geddes 92]{GCL92} Geddes, Keith; Czapor, O.; Stephen R.; 
-Labahn, George\\
-``Algorithms For Computer Algebra''\\
-Kluwer Academic Publishers ISBN 0-7923-9259-0 (Sept 1992)
+\begin{chunk}{axiom.bib}
+@book{Gedd92,
+  author = "Geddes, Keith and Czapor, O. and Stephen R. and Labahn, George",
+  title = "Algorithms For Computer Algebra",
+  publisher = "Kluwer Academic Publishers",
+  isbn = "0-7923-9259-0",
+  month = "September",
+  year = "1992",
+  keywords = "axiomref"
+}
+
+\end{chunk}
 
-\bibitem[Gianni 87]{Gia87} Gianni, Patrizia\\
-``Primary Decomposition of Ideals''\\
+\begin{chunk}{ignore}
+\bibitem[Gianni 87]{Gia87} Gianni, Patrizia
+``Primary Decomposition of Ideals''
 in [Wit87], pp12-13
+  keywords = "axiomref",
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Gianni 88]{Gia88} Gianni, Patrizia.; Trager, Barry.; 
-Zacharias, Gail.\\
-``Gr\"obner Bases and Primary Decomposition of Polynomial Ideals''\\
-J. Symbolic Computation 6, 149-167 (1988)\\
+Zacharias, Gail.
+``Gr\"obner Bases and Primary Decomposition of Polynomial Ideals''
+J. Symbolic Computation 6, 149-167 (1988)
 \verb|www.sciencedirect.com/science/article/pii/S0747717188800403/pdf|
 \verb|?md5=40c29b67947035884904fd4597ddf710&|
 \verb|pid=1-s2.0-S0747717188800403-main.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Gia88.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Gianni 89a]{Gia89} Gianni, P. (Patrizia) (ed)\\ 
+\begin{chunk}{ignore}
+\bibitem[Gianni 89a]{Gia89} Gianni, P. (Patrizia) (ed) 
 Symbolic and Algebraic Computation. 
 International Symposium ISSAC '88, Rome, Italy, July 4-8, 1988. Proceedings,
 volume 358 of Lecture Notes in Computer Science. Springer-Verlag, Berlin, 
 Germany / Heildelberg, Germany / London, UK / etc., 1989. ISBN 3-540-51084-2
 LCCN QA76.95.I57 1988 Conference held jointly with AAECC-6
+  keywords = "axiomref",
 
-\bibitem[Gianni 89b]{GM89} Gianni, P.; Mora, T.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gianni 89b]{GM89} Gianni, P.; Mora, T.
 ``Algebraic solution of systems of polynomial equations using 
-Gr{\"o}bner bases.''\\
+Gr{\"o}bner bases.''
 In Huguet and Poli [HP89], pp247-257 ISBN 3-540-51082-6 LCCN QA268.A35 1987
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Gil 92]{Gil92} Gil, I.\\ 
+\begin{chunk}{ignore}
+\bibitem[Gil 92]{Gil92} Gil, I. 
 ``Computation of the Jordan canonical form of a square matrix (using
-the Axiom programming language)''\\
+the Axiom programming language)''
 In Wang [Wan92], pp138-145. 
 ISBN 0-89791-489-9 (soft cover), 0-89791-490-2 (hard cover)
 LCCN QA76.95.I59 1992
+  keywords = "axiomref",
 
-\bibitem[Gomez-Diaz 92]{Gom92} G\'omez-D'iaz, Teresa\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gomez-Diaz 92]{Gom92} G\'omez-D'iaz, Teresa
 ``Quelques applications de l`\'evaluation dynamique''
 Ph.D. Thesis L'Universite De Limoges March 1992
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Gomez-Diaz 93]{Gom93} G\'omez-D\'iaz, Teresa\\
+\begin{chunk}{ignore}
+\bibitem[Gomez-Diaz 93]{Gom93} G\'omez-D\'iaz, Teresa
 ``Examples of using Dynamic Constructible Closure''
 IMACS Symposium SC-1993
 %\verb|axiom-developer.org/axiom-website/papers/Gom93.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present here some examples of using the ``Dynamic Constructible
@@ -988,30 +1702,50 @@ generalizes traditional evaluation and was first used to deal with
 algebraic numbers.
 \end{adjustwidth}
 
-\bibitem[Goodwin 91]{GBL91} Goodwin, B. M.; Buonopane, R. A.; Lee, A.\\
-``Using MathCAD in teaching material and energy balance concepts''\\
+\begin{chunk}{ignore}
+\bibitem[Goodwin 91]{GBL91} Goodwin, B. M.; Buonopane, R. A.; Lee, A.
+``Using MathCAD in teaching material and energy balance concepts''
 In Anonymous [Ano91], pp345-349 (vol. 1) 2 vols.
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Golden 4]{GH84} Golden, V. Ellen; Hussain, M. A. (eds)\\
+\begin{chunk}{ignore}
+\bibitem[Golden 4]{GH84} Golden, V. Ellen; Hussain, M. A. (eds)
 Proceedings of the 1984 MACSYMA Users' Conference: 
 Schenectady, New York, July 23-25, 1984, General Electric,
 Schenectady, NY, USA, 1984
+  keywords = "axiomref",
 
-\bibitem[Gonnet 96]{Gon96} Gonnet, Gaston H.\\
-``Official verion 1.0 of the Meta Content Dictionary''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gonnet 96]{Gon96} Gonnet, Gaston H.
+``Official verion 1.0 of the Meta Content Dictionary''
 \verb|www.inf.ethz.ch/personal/gonnet/ContDict/Meta|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Goodloe 93]{GL93} Goodloe, A.; Loustaunau, P.\\
+\begin{chunk}{ignore}
+\bibitem[Goodloe 93]{GL93} Goodloe, A.; Loustaunau, P.
 ``An abstract data type development of graded rings'' 
 In Fitch [Fit93], pp193-202. ISBN 0-387-57272-4 (New York),
 3-540-57272-4 (Berlin). LCCN QA76.9.S88I576 1992
+  keywords = "axiomref",
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Gottliebsen 05]{GKM05} Gottliebsen, Hanne; Kelsey, Tom; 
-Martin, Ursula\\
-``Hidden verification for computational mathematics''\\
-Journal of Symbolic Computation, Vol39, Num 5, pp539-567 (2005)\\
+Martin, Ursula
+``Hidden verification for computational mathematics''
+Journal of Symbolic Computation, Vol39, Num 5, pp539-567 (2005)
 \verb|www.sciencedirect.com/science/article/pii/S0747717105000295|
 %\verb|axiom-developer.org/axiom-website/papers/GKM05.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present hidden verification as a means to make the power of
@@ -1027,10 +1761,14 @@ of verification conditions, harnesses to ensure more reliable
 differential equation solvers, and verifiable look-up tables.
 \end{adjustwidth}
 
-\bibitem[Grabe 98]{Gra98} Gr\"abe, Hans-Gert\\
+\begin{chunk}{ignore}
+\bibitem[Grabe 98]{Gra98} Gr\"abe, Hans-Gert
 ``About the Polynomial System Solve Facility of Axiom, Macyma, Maple
 Mathematica, MuPAD, and Reduce''
 %\verb|axiom-developer.org/axiom-website/papers/Gra98.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We report on some experiences with the general purpose Computer
@@ -1041,36 +1779,50 @@ of the current power of the different systems in a special area
 concentrates on both CPU-times and the quality of the output.
 \end{adjustwidth}
 
-\bibitem[Grabmeier 91]{GHK91} Grabmeier, J.; Huber, K.; Krieger, U.\\
+\begin{chunk}{ignore}
+\bibitem[Grabmeier 91]{GHK91} Grabmeier, J.; Huber, K.; Krieger, U.
 ``Das ComputeralgebraSystem AXIOM bei kryptologischen und 
 verkehrstheoretischen Untersuchungen des
-Forschunginstituts der Deutschen Bundespost TELEKOM''\\ 
+Forschunginstituts der Deutschen Bundespost TELEKOM'' 
 Technischer Report TR 75.91.20, IBM Wissenschaftliches 
 Zentrum, Heidelberg, Germany, 1991
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Grabmeier 92]{GS92} Grabmeier, J.; Scheerhorn, A.\\
-``Finite fields in Axiom''\\
+\begin{chunk}{ignore}
+\bibitem[Grabmeier 92]{GS92} Grabmeier, J.; Scheerhorn, A.
+``Finite fields in Axiom''
 AXIOM Technical Report TR7/92 (ATR/5)(NP2522), 
 Numerical Algorithms Group, Inc., Downer's
-Grove, IL, USA and Oxford, UK, 1992\\
-\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|\\
+Grove, IL, USA and Oxford, UK, 1992
+\verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 and Technical Report, IBM Heidelberg Scientific Center, 1992
+  keywords = "axiomref",
+
+\end{chunk}
 
+\begin{chunk}{ignore}
 \bibitem[Grabmeier 03]{GKW03} Grabmeier, Johannes; Kaltofen, Erich; 
-Weispfenning, Volker (eds)\\
+Weispfenning, Volker (eds)
 Computer algebra handbook: foundations, applications, systems.
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
-2003. ISBN 3-540-65466-6 637pp Includes CDROM\\
-\verb|www.springer.com/sgw/cda/frontpage/|\\
+2003. ISBN 3-540-65466-6 637pp Includes CDROM
+\verb|www.springer.com/sgw/cda/frontpage/|
 \verb|0,11855,1-102-22-1477871-0,00.html|
+  keywords = "axiomref",
 
-\bibitem[Griesmer 71]{GJ71} Griesmer, J. H.; Jenks, R.D.\\
-``SCRATCHPAD/1 -- an interactive facility for symbolic mathematics''\\
-In Petrick [Pet71], pp42-58. LCCN QA76.5.S94 1971\\
-\verb|delivery.acm.org/10.1145/810000/806266/p42-griesmer.pdf|\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Griesmer 71]{GJ71} Griesmer, J. H.; Jenks, R.D.
+``SCRATCHPAD/1 -- an interactive facility for symbolic mathematics''
+In Petrick [Pet71], pp42-58. LCCN QA76.5.S94 1971
+\verb|delivery.acm.org/10.1145/810000/806266/p42-griesmer.pdf|
 SYMSAC'71 Proc. second ACM Symposium on Symbolic and Algebraic
 Manipulation pp45-48
 %\verb|axiom-developer.org/axiom-website/papers/GJ71.pdf| REF:00027
+  keywords = "axiomref",
 
 \begin{adjustwidth}{2.5em}{0pt}
 The SCRATCHPAD/1 system is designed to provide an interactive symbolic
@@ -1082,35 +1834,59 @@ library incorporates symbolic capabilities provided by such systems as
 SIN, MATHLAB, and REDUCE.
 \end{adjustwidth}
 
-\bibitem[Griesmer 72a]{GJ72a} Griesmer, J.; Jenks, R.\\
-``Experience with an online symbolic math system SCRATCHPAD''\\
+\begin{chunk}{ignore}
+\bibitem[Griesmer 72a]{GJ72a} Griesmer, J.; Jenks, R.
+``Experience with an online symbolic math system SCRATCHPAD''
 in Online'72 [Onl72] ISBN 0-903796-02-3 LCCN QA76.55.O54 1972 Two volumes
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Griesmer 72b]{GJ72b} Griesmer, James H.; Jenks, Richard D.\\
-``SCRATCHPAD: A capsule view''\\
+\begin{chunk}{ignore}
+\bibitem[Griesmer 72b]{GJ72b} Griesmer, James H.; Jenks, Richard D.
+``SCRATCHPAD: A capsule view''
 ACM SIGPLAN Notices, 7(10) pp93-102, 1972. Proceedings of the symposium
 on Two-dimensional man-machine communications. Mark B. Wells and 
 James B. Morris (eds.).
+  keywords = "axiomref",
 
-\bibitem[Griesmer 75]{GJY75} Griesmer, J.H.; Jenks, R.D.; Yun, D.Y.Y\\
-``SCRATCHPAD User's Manual''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Griesmer 75]{GJY75} Griesmer, J.H.; Jenks, R.D.; Yun, D.Y.Y
+``SCRATCHPAD User's Manual''
 IBM Research Publication RA70 June 1975
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Griesmer 76]{GJY76} Griesmer, J.H.; Jenks, R.D.; Yun, D.Y.Y\\
-``A Set of SCRATCHPAD Examples''\\
+\begin{chunk}{ignore}
+\bibitem[Griesmer 76]{GJY76} Griesmer, J.H.; Jenks, R.D.; Yun, D.Y.Y
+``A Set of SCRATCHPAD Examples''
 April 1976 (private copy)
+  keywords = "axiomref",
 
-\bibitem[Gruntz 94]{GM94} Gruntz, D.; Monagan, M.\\
-``Introduction to Gauss''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gruntz 94]{GM94} Gruntz, D.; Monagan, M.
+``Introduction to Gauss''
 SIGSAM Bulletin (ACM Special Interest Group on Symbolic and Algebraic 
 Manipulation), 28(3) pp3-19 August 1994 CODEN SIGSBZ ISSN 0163-5824
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Gruntz 96]{Gru96} Gruntz, Dominik\\
-``On Computing Limits in a Symbolic Manipulation System''\\
+\begin{chunk}{ignore}
+\bibitem[Gruntz 96]{Gru96} Gruntz, Dominik
+``On Computing Limits in a Symbolic Manipulation System''
 Thesis, Swiss Federal Institute of Technology Z\"urich 1996
-Diss. ETH No. 11432\\
+Diss. ETH No. 11432
 \verb|www.cybertester.com/data/gruntz.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Gru96.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This thesis presents an algorithm for computing (one-sided) limits
@@ -1133,98 +1909,166 @@ implemented in a symbolic manipulation system.
 
 \subsection{H} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Boyle 88]{Boyl88} Boyle, Ann\\
-``Future Directions for Research in Symbolic Computation''\\
+\begin{chunk}{ignore}
+\bibitem[Boyle 88]{Boyl88} Boyle, Ann
+``Future Directions for Research in Symbolic Computation''
 Soc. for Industrial and Applied Mathematics, Philadelphia (1990)
 \verb|www.eecis.udel.edu/~caviness/wsreport.pdf|
 %\verb|axiom-developer.org/axiom-website/Boyl88.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
+\begin{chunk}{ignore}
 \bibitem[Hassner 87]{HBW87} Hassner, Martin; Burge,  William H.;
-Watt,  Stephen M.\\
+Watt,  Stephen M.
 ``Construction of Algebraic Error Control Codes (ECC) on the Elliptic
-Riemann Surface''\\
+Riemann Surface''
 in [Wit87], pp5-8
+  keywords = "axiomref",
 
-\bibitem[Heck 01]{Hec01} Heck, A.\\
-``Variables in computer algebra, mathematics and science''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Heck 01]{Hec01} Heck, A.
+``Variables in computer algebra, mathematics and science''
 The International Journal of Computer Algebra in Mathematics Education
 Vol. 8 No. 3 pp195-210 (2001)
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Huguet 89]{HP89} Huguet, L.; Poli, A.  (eds).\\
+\begin{chunk}{ignore}
+\bibitem[Huguet 89]{HP89} Huguet, L.; Poli, A.  (eds).
 Applied Algebra, Algebraic Algorithms and Error-Correcting Codes. 
 5th International Conference AAECC-5 Proceedings.
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 1989. ISBN 3-540-51082-6. LCCN QA268.A35 1987
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{J} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Jacob 93]{JOS93} Jacob, G.; Oussous, N. E.; Steinberg, S. (eds)\\
+\begin{chunk}{ignore}
+\bibitem[Jacob 93]{JOS93} Jacob, G.; Oussous, N. E.; Steinberg, S. (eds)
 Proceedings SC 93
 International IMACS Symposium on Symbolic Computation. New Trends and
 Developments. LIFL Univ. Lille, Lille France, 1993
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Janssen 88]{Jan88} Jan{\ss}en, R. (ed)\\
+\begin{chunk}{ignore}
+\bibitem[Janssen 88]{Jan88} Jan{\ss}en, R. (ed)
 Trends in Computer Algebra, International Symposium
 Bad Neuenahr, May 19-21, 1987, Proceedings, volume 296 of Lecture Notes in
 Computer Science. 
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 1988 ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
+  keywords = "axiomref",
 
-\bibitem[Jenks 69]{Jen69} Jenks, R. D.\\
-``META/LISP: An interactive translator writing system''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jenks 69]{Jen69} Jenks, R. D.
+``META/LISP: An interactive translator writing system''
 Research Report International Business Machines, Inc., Thomas J.
 Watson Research Center, Yorktown Heights, NY, USA, 1969 RC2968 July 1970
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Jenks 71]{Jen71} Jenks, R. D.\\
-``META/PLUS: The syntax extension facility for SCRATCHPAD''\\
+\begin{chunk}{ignore}
+\bibitem[Jenks 71]{Jen71} Jenks, R. D.
+``META/PLUS: The syntax extension facility for SCRATCHPAD''
 Research Report RC 3259, International Business Machines, Inc., Thomas J.
 Watson Research Center, Yorktown Heights, NY, USA, 1971
 % REF:00040
+  keywords = "axiomref",
 
-\bibitem[Jenks 74]{Jen74} Jenks, R. D.\\ 
-``The SCRATCHPAD language''\\ 
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jenks 74]{Jen74} Jenks, R. D. 
+``The SCRATCHPAD language'' 
 ACM SIGPLAN Notices, 9(4) pp101-111 1974 CODEN SINODQ. ISSN 0362-1340
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Jen76]{Jen76} Jenks, Richard D.\\
-``A pattern compiler''\\
+\begin{chunk}{ignore}
+\bibitem[Jen76]{Jen76} Jenks, Richard D.
+``A pattern compiler''
 In Richard D. Jenks, editor,
 SYMSAC '76: proceedings of the 1976 ACM Symposium on Symbolic and Algebraic
 Computation, August 10-12, 1976, Yorktown Heights, New York, pp60-65,
 ACM Press, New York, NY 10036, USA, 1976. LCCN QA155.7.EA .A15 1976
 QA9.58.A11 1976
+  keywords = "axiomref",
 
-\bibitem[Jenks 79]{Jen79} Jenks, R. D.\\
-``MODLISP: An Introduction''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jenks 79]{Jen79} Jenks, R. D.
+``MODLISP: An Introduction''
 Proc EUROSAM 79, pp466-480, 1979 and IBMRC8073 Jan 1980
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Jenks 81]{JT81} Jenks, R.D.; Trager, B.M.\\
-``A Language for Computational Algebra''\\
+\begin{chunk}{ignore}
+\bibitem[Jenks 81]{JT81} Jenks, R.D.; Trager, B.M.
+``A Language for Computational Algebra''
 Proceedings of SYMSAC81, Symposium on Symbolic and Algebraic Manipulation,
 Snowbird, Utah August, 1981
+  keywords = "axiomref",
 
-\bibitem[Jenks 81a]{JT81a} Jenks, R.D.; Trager, B.M.\\
-``A Language for Computational Algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jenks 81a]{JT81a} Jenks, R.D.; Trager, B.M.
+``A Language for Computational Algebra''
 SIGPLAN Notices, New York: Association for Computing Machiner, Nov 1981
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Jenks 81b]{JT81b} Jenks, R.D.; Trager, B.M.\\
-``A Language for Computational Algebra''\\
+\begin{chunk}{ignore}
+\bibitem[Jenks 81b]{JT81b} Jenks, R.D.; Trager, B.M.
+``A Language for Computational Algebra''
 IBM Research Report RC8930 IBM Yorktown Heights, NY
+  keywords = "axiomref",
 
-\bibitem[Jenks 84a]{Jen84a} Jenks, Richard D.\\
-``The new SCRATCHPAD language and system for computer algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jenks 84a]{Jen84a} Jenks, Richard D.
+``The new SCRATCHPAD language and system for computer algebra''
 In Golden and Hussain [GH84], pp409-??
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Jenks 84b]{Jen84b} Jenks, Richard D.\\
-``A primer: 11 keys to New Scratchpad''\\
+\begin{chunk}{ignore}
+\bibitem[Jenks 84b]{Jen84b} Jenks, Richard D.
+``A primer: 11 keys to New Scratchpad''
 In Fitch [Fit84], pp123-147. ISBN 0-387-13350-X LCCN QA155.7.E4 I57 1984
+  keywords = "axiomref",
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Jenks 86]{JWS86} Jenks, Richard D.; Sutor, Robert S.;
-Watt, Stephen M.\\
-``Scratchpad II: An Abstract Datatype System for Mathematical Computation''\\
-Research Report RC 12327 (\#55257), Iinternational Business Machines, Inc., \\
-Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1986 23pp\\
+Watt, Stephen M.
+``Scratchpad II: An Abstract Datatype System for Mathematical Computation''
+Research Report RC 12327 (\#55257), Iinternational Business Machines, Inc., 
+Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1986 23pp
 \verb|www.csd.uwo.ca/~watt/pub/reprints/1987-ima-spadadt.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/JWS86.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Scratchpad II is an abstract datatype language and system that is
@@ -1239,65 +2083,110 @@ polymorphic packages of functions that may create datatypes. The use
 of categories makes these facilities as general as possible.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Jenks 87]{JWS87} Jenks, Richard D.; Sutor, Robert S.; 
-Watt, Stephen M. \\
-``Scratchpad II: an Abstract Datatype System for Mathematical Computation'' \\
+Watt, Stephen M. 
+``Scratchpad II: an Abstract Datatype System for Mathematical Computation'' 
 Proceedings Trends in Computer Algebra, Bad Neuenahr, LNCS 296,
 Springer Verlag, (1987)
+  keywords = "axiomref",
 
-\bibitem[Jenks 88]{JSW88} Jenks, R. D.;  Sutor, R. S.; Watt, S. M.\\
-``Scratchpad II: An abstract datatype system for mathematical computation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jenks 88]{JSW88} Jenks, R. D.;  Sutor, R. S.; Watt, S. M.
+``Scratchpad II: An abstract datatype system for mathematical computation''
 In Jan{\ss}en [Jan88],
 pp12-?? ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Jenks 88a]{Jen88a} Jenks, R. D.\\
-``A Guide to Programming in BOOT''\\
+\begin{chunk}{ignore}
+\bibitem[Jenks 88a]{Jen88a} Jenks, R. D.
+``A Guide to Programming in BOOT''
 Computer Algebra Group, Mathematical Sciences Department, IBM Research
 Draft September 5, 1988
+  keywords = "axiomref",
 
-\bibitem[Jenks 88b]{Jen88b} Jenks, Richard\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jenks 88b]{Jen88b} Jenks, Richard
 ``The Scratchpad II Computer Algebra System Interactive Environment Users 
-Guide''\\
+Guide''
  Spring 1988
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Jenks 88c]{JWS88} Jenks, R. D.; Sutor, R. S.; Watt, S. M.\\
-``Scratchpad II: an abstract datatype system for mathematical computation''\\
+\begin{chunk}{ignore}
+\bibitem[Jenks 88c]{JWS88} Jenks, R. D.; Sutor, R. S.; Watt, S. M.
+``Scratchpad II: an abstract datatype system for mathematical computation''
 In Jan{\ss}en
 [Jan88], pp12-37. ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
+  keywords = "axiomref",
 
-\bibitem[Jenks 92]{JS92} Jenks, Richard D.; Sutor, Robert S.\\
-``AXIOM: The Scientific Computation System''\\
-Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
-1992 ISBN 0-387-97855-0 (New York), 3-540-97855-0 (Berlin) 742pp
-LCCN QA76.95.J46 1992
-% REF:00116
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@book{Jenk92,
+  author = "Jenks, Richard D. and Sutor, Robert S.",
+  title = "AXIOM: The Scientific Computation System",
+  publisher = "Springer-Verlag, Berlin, Germany",
+  year = "1992",
+  isbn = "0-387-97855-0",
+  keywords = "axiomref"
+}
 
-\bibitem[Jenks 94]{JT94} Jenks, R. D.; Trager, B. M.\\
-``How to make AXIOM into a Scratchpad''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jenks 94]{JT94} Jenks, R. D.; Trager, B. M.
+``How to make AXIOM into a Scratchpad''
 In ACM [ACM94], pp32-40 ISBN 0-89791-638-7 LCCN QA76.95.I59 1994
 %\verb|axiom-developer.org/axiom-website/papers/JT94.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Joswig 03]{JT03} Joswig, Michael; Takayama, Nobuki\\
-``Algebra, geometry, and software systems''\\
+\begin{chunk}{ignore}
+\bibitem[Joswig 03]{JT03} Joswig, Michael; Takayama, Nobuki
+``Algebra, geometry, and software systems''
 Springer-Verlag ISBN 3-540-00256-1 p291
+  keywords = "axiomref",
 
-\bibitem[Joyner 06]{J006} Joyner, David\\
-``OSCAS - Maxima''\\
-SIGSAM Communications in Computer Algebra, 157 2006\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Joyner 06]{J006} Joyner, David
+``OSCAS - Maxima''
+SIGSAM Communications in Computer Algebra, 157 2006
 \verb|sage.math.washington.edu/home/wdj/sigsam/oscas-cca1.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Joyner 14]{JO14} Joyner, David\\
-``Links to some open source mathematical programs''\\
+\begin{chunk}{ignore}
+\bibitem[Joyner 14]{JO14} Joyner, David
+``Links to some open source mathematical programs''
 \verb|www.opensourcemath.org/opensource_math.html|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{K} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Kauers 08]{Kau08} Kauers, Manuel\\
+\begin{chunk}{ignore}
+\bibitem[Kauers 08]{Kau08} Kauers, Manuel
 ``Integration of Algebraic Functions: A Simple Heuristic for Finding
-the Logarithmic Part''\\
+the Logarithmic Part''
 ISSAC July 2008 ACM 978-1-59593-904 pp133-140
 \verb|www.risc.jku.at/publications/download/risc_3427/Ka01.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kau08.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 A new method is proposed for finding the logarithmic part of an
@@ -1308,24 +2197,36 @@ does, as we will show by a comparison with the built-in integrators of
 some computer algebra systems.
 \end{adjustwidth}
 
-\bibitem[Keady 94]{KN94} Keady, G.; Nolan, G.\\
+\begin{chunk}{ignore}
+\bibitem[Keady 94]{KN94} Keady, G.; Nolan, G.
 ``Production of Argument SubPrograms in the AXIOM -- NAG
-link: examples involving nonleanr systems''\\
+link: examples involving nonleanr systems''
 Technical Report TR1/94 
 ATR/7 (NP2680), Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
-Oxford, UK, 1994\\
+Oxford, UK, 1994
 \verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
+  keywords = "axiomref",
 
-\bibitem[Kelsey 99]{Kel99} Kelsey, Tom\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kelsey 99]{Kel99} Kelsey, Tom
 ``Formal Methods and Computer Algebra: A Larch Specification of AXIOM 
-Categories and Functors''\\
-Ph.D. Thesis, University of St Andrews, 1999\\
+Categories and Functors''
+Ph.D. Thesis, University of St Andrews, 1999
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Kelsey 00a]{Kel00a} Kelsey, Tom\\
-``Formal specification of computer algebra''\\
-University of St Andrews, 6th April 2000\\
+\begin{chunk}{ignore}
+\bibitem[Kelsey 00a]{Kel00a} Kelsey, Tom
+``Formal specification of computer algebra''
+University of St Andrews, 6th April 2000
 \verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbs.ps|
 %\verb|axiom-developer.org/axiom-website/papers/Kel00a.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We investigate the use of formal methods languages and tools in the
@@ -1337,50 +2238,86 @@ and (iii) interface specifications which assist the verification of
 pre- and post conditions of implemented code.
 \end{adjustwidth}
 
-\bibitem[Kelsey 00b]{Kel00b} Kelsey, Tom\\
-``Formal specification of computer algebra''\\
-(slides) University of St Andrews, Sept 21, 2000\\
-\verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbstalk.ps|\\
+\begin{chunk}{ignore}
+\bibitem[Kelsey 00b]{Kel00b} Kelsey, Tom
+``Formal specification of computer algebra''
+(slides) University of St Andrews, Sept 21, 2000
+\verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbstalk.ps|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Kendall 99a]{Ken99a} Kendall, W.S.\\
-``Itovsn3 in AXIOM: modules, algebras and stochastic differentials''\\
-\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|\\
+\begin{chunk}{ignore}
+\bibitem[Kendall 99a]{Ken99a} Kendall, W.S.
+``Itovsn3 in AXIOM: modules, algebras and stochastic differentials''
+\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|
 \verb|kendall/personal/ppt/328.ps.gz|
+  keywords = "axiomref",
 
-\bibitem[Kendall 99b]{Ken99b} Kendall, W.S.\\
-``Symbolic It\^o calculus in AXIOM: an ongoing story\\
-\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kendall 99b]{Ken99b} Kendall, W.S.
+``Symbolic It\^o calculus in AXIOM: an ongoing story
+\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|
 \verb|kendall/personal/ppt/327.ps.gz|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Kosleff 91]{Kos91} P.-V. Koseleff\\
-``Word games in free Lie algebras: several bases and formulas''\\
+\begin{chunk}{ignore}
+\bibitem[Kosleff 91]{Kos91} P.-V. Koseleff
+``Word games in free Lie algebras: several bases and formulas''
 Theoretical Computer Science 79(1) pp241-256 Feb. 1991 CODEN TCSCDI
 ISSN 0304-3975
+  keywords = "axiomref",
 
-\bibitem[Kusche 89]{KKM89} Kusche, K.; Kutzler, B.; Mayr, H.\\
-``Implementation of a geometry theorem proving package in SCRATCHPAD II''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kusche 89]{KKM89} Kusche, K.; Kutzler, B.; Mayr, H.
+``Implementation of a geometry theorem proving package in SCRATCHPAD II''
 In Davenport [Dav89] pp246-257 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{L} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Lahey 08]{Lah08} Lahey, Tim\\
-``Sage Integration Testing''\\
+\begin{chunk}{ignore}
+\bibitem[Lahey 08]{Lah08} Lahey, Tim
+``Sage Integration Testing''
 \verb|github.com/tjl/sage_int_testing| Dec. 2008
+  keywords = "axiomref",
 
-\bibitem[Lambe 89]{Lam89} Lambe, L. A.\\
-``Scratchpad II as a tool for mathematical research''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lambe 89]{Lam89} Lambe, L. A.
+``Scratchpad II as a tool for mathematical research''
 Notices of the AMS, February 1928 pp143-147
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Lambe 91]{Lam91} Lambe, L. A.\\
-``Resolutions via homological perturbation''\\
+\begin{chunk}{ignore}
+\bibitem[Lambe 91]{Lam91} Lambe, L. A.
+``Resolutions via homological perturbation''
 Journal of Symbolic Computation 12(1) pp71-87 July 1991 
 CODEN JSYCEH ISSN 0747-7171
+  keywords = "axiomref",
 
-\bibitem[Lambe 92]{Lam92} Lambe, Larry\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lambe 92]{Lam92} Lambe, Larry
 ``Next Generation Computer Algebra Systems AXIOM and the Scratchpad
-Concept: Applications to Research in Algebra''\\
+Concept: Applications to Research in Algebra''
 $21^{st}$ Nordic Congress of Mathematicians 1992
 %\verb|axiom-developer.org/axiom-website/papers/Lam92.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 One way in which mathematicians deal with infinite amounts of data is
@@ -1404,14 +2341,22 @@ shown how some complex problems in homologicial algebra were solved
 through the use of this system.
 \end{adjustwidth}
 
-\bibitem[Lambe 93]{Lam93} Lambe, Larry\\
-``On Using Axiom to Generate Code''\\
+\begin{chunk}{ignore}
+\bibitem[Lambe 93]{Lam93} Lambe, Larry
+``On Using Axiom to Generate Code''
 (preprint) 1993
+  keywords = "axiomref",
 
-\bibitem[Lambe 93a]{LL93} Lambe, Larry; Luczak, Richard\\
-``Object-Oriented Mathematical Programming and Symbolic/Numeric Interface''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lambe 93a]{LL93} Lambe, Larry; Luczak, Richard
+``Object-Oriented Mathematical Programming and Symbolic/Numeric Interface''
 $3^{rd}$ International Conf. on Expert Systems in Numerical Computing 1993
 %\verb|axiom-developer.org/axiom-website/papers/LL93.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 The Axiom language is based on the notions of ``categories'',
@@ -1425,61 +2370,97 @@ they point to very powerful methods for combining numeric and symbolic
 computational techniques.
 \end{adjustwidth}
 
-\bibitem[Lebedev 08]{Leb08} Lebedev, Yuri\\
-``OpenMath Library for Computing on Riemann Surfaces''\\
-PhD thesis, Nov 2008 Florida State University\\
+\begin{chunk}{ignore}
+\bibitem[Lebedev 08]{Leb08} Lebedev, Yuri
+``OpenMath Library for Computing on Riemann Surfaces''
+PhD thesis, Nov 2008 Florida State University
 \verb|www.math.fsu.edu/~ylebedev/research/HyperbolicGeometry.html|
+  keywords = "axiomref",
 
-\bibitem[LeBlanc 91]{LeB91} LeBlanc, S.E.\\
-``The use of MathCAD and Theorist in the ChE classroom''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[LeBlanc 91]{LeB91} LeBlanc, S.E.
+``The use of MathCAD and Theorist in the ChE classroom''
 In Anonymous [Ano91], pp287-299 (vol. 1) 2 vols.
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Lecerf 96]{Le96} Lecerf, Gr\'egoire\\
-``Dynamic Evaluation and Real Closure Implementation in Axiom''\\
-June 29, 1996 \\
+\begin{chunk}{ignore}
+\bibitem[Lecerf 96]{Le96} Lecerf, Gr\'egoire
+``Dynamic Evaluation and Real Closure Implementation in Axiom''
+June 29, 1996 
 \verb|lecerf.perso.math.cnrs.fr/software/drc/drc.ps|
 %\verb|axiom-developer.org/axiom-website/papers/Le96.ps|
-TPDHERE
-\bibitem[Lecerf 96a]{Le96a} Lecerf, Gr\'egoire\\
-``The Dynamic Real Closure implemented in Axiom''\\
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lecerf 96a]{Le96a} Lecerf, Gr\'egoire
+``The Dynamic Real Closure implemented in Axiom''
 \verb|lecerf.perso.math.cnrs.fr/software/drc/drc.ps|
+  keywords = "axiomref",
 
-\bibitem[Levelt 95]{Lev95} Levelt, A. H. M. (ed)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Levelt 95]{Lev95} Levelt, A. H. M. (ed)
 ISSAC '95: Proceedings of the 1995 International
 Symposium on Symbolic and Algebraic Computation: July 10-12, 1995, Montreal,
 Canada ISSAC-PROCEEDINGS-1995. ACM Press, New York, NY 10036, USA, 1995
 ISBN 0-89791-699-9 LCCN QA76.95 I59 1995 ACM order number 505950
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Li 06]{LM06} Li, Xin;  Maza, Moreno\\
+\begin{chunk}{ignore}
+\bibitem[Li 06]{LM06} Li, Xin;  Maza, Moreno
 ``Efficient Implementation of Polynomial Arithmetic in a Multiple-Level 
-Programming Environment''\\
+Programming Environment''
 Lecture Notes in
 Computer Science Springer Vol 4151/2006 ISBN 978-3-540-38084-9 pp12-23 
-Proceedings of International Congress of Mathematical Software ICMS 2006\\
+Proceedings of International Congress of Mathematical Software ICMS 2006
 \verb|www.csd.uwo.ca/~moreno//Publications/Li-MorenoMaza-ICMS-06.pdf|
+  keywords = "axiomref",
 
-\bibitem[Li 10]{YL10} Li, Yue; Dos Reis, Gabriel\\
-``A Quantitative Study of Reductions in Algebraic Libraries''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Li 10]{YL10} Li, Yue; Dos Reis, Gabriel
+``A Quantitative Study of Reductions in Algebraic Libraries''
 PASCO 2010
 \verb|www.axiomatics.org/~gdr/concurrency/quant-pasco10.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Li 11]{YL11} Li, Yue; Dos Reis, Gabriel\\
+\begin{chunk}{ignore}
+\bibitem[Li 11]{YL11} Li, Yue; Dos Reis, Gabriel
 ``An Automatic Parallelization Framework for Algebraic Computation
-Systems''\\
+Systems''
 ISSAC 2011
 \verb|www.axiomatics.org/~gdr/concurrency/oa-conc-issac11.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/YL11.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper proposes a non-intrusive automatic parallelization
 framework for typeful and property-aware computer algebra systems.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Ligatsikas 96]{Liga96} Ligatsikas, Zenon; Rioboo, Renaud;
-Roy, Marie Francoise\\
-``Generic computation of the real closure of an ordered field''\\
-Math. and Computers in Simulation 42 pp 541-549 (1996)\\
+Roy, Marie Francoise
+``Generic computation of the real closure of an ordered field''
+Math. and Computers in Simulation 42 pp 541-549 (1996)
 %\verb|axiom-developer.org/axiom-website/papers/Liga96.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper describes a generalization of the real closure computation
@@ -1487,74 +2468,122 @@ of an ordered field (Rioboo, 1991) enabling to use different technques
 to code a single real algebraic number.
 \end{adjustwidth}
 
-\bibitem[Linton 93]{Lin93} Linton, Steve\\
-``Vector Enumeration Programs, version 3.04''\\
+\begin{chunk}{ignore}
+\bibitem[Linton 93]{Lin93} Linton, Steve
+``Vector Enumeration Programs, version 3.04''
 \verb|www.cs.st-andrews.ac.uk/~sal/nme/nme_toc.html#SEC1|
+  keywords = "axiomref",
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Liska 97]{LD97} Liska, Richard; Drska, Ladislav; Limpouch, Jiri;
-Sinor, Milan; Wester, Michael; Winkler, Franz\\
-``Computer Algebra - algorithms, systems and applications''\\
-June 2, 1997 \\
+Sinor, Milan; Wester, Michael; Winkler, Franz
+``Computer Algebra - algorithms, systems and applications''
+June 2, 1997 
 \verb|kfe.fjfi.cvut.cz/~liska/ca/all.html|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Lucks 86]{Luc86} Lucks, Michael\\
-``A fast implementation of polynomial factorization''\\
+\begin{chunk}{ignore}
+\bibitem[Lucks 86]{Luc86} Lucks, Michael
+``A fast implementation of polynomial factorization''
 In Bruce W. Char, editor, Proceedings of the 1986 Symposium on Symbolic
 and Algebraic Computation: SYMSAC '86, July 21-23, 1986, Waterloo, Ontario,
 pp228-232 ACM Press, New York, NY 10036, USA, 1986. ISBN 0-89791-199-7
 LCCN QA155.7.E4 A281 1986 ACM order number 505860
+  keywords = "axiomref",
 
-\bibitem[Lueken 77]{Lue77} Lueken, E.\\ 
-``Ueberlegungen zur Implementierung eines Formelmanipulationssystems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lueken 77]{Lue77} Lueken, E. 
+``Ueberlegungen zur Implementierung eines Formelmanipulationssystems''
 Master's thesis, Technischen Universit{\"{a}}t Carolo-Wilhelmina zu
 Braunschweig. Braunschweig, Germany, 1977
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Lynch 91]{LM91} Lynch, R.; Mavromatis, H. A.\\
+\begin{chunk}{ignore}
+\bibitem[Lynch 91]{LM91} Lynch, R.; Mavromatis, H. A.
 ``New quantum mechanical perturbation technique
-using an 'electronic scratchpad' on an inexpensive computer''\\
+using an 'electronic scratchpad' on an inexpensive computer''
 American Journal of Pyhsics, 59(3) pp270-273, March 1991. 
 CODEN AJPIAS ISSN 0002-9505
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{M} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Mahboubi 05]{Mah05} Mahboubi, Assia\\ 
-``Programming and certifying the CAD algorithm inside the coq system''\\
+\begin{chunk}{ignore}
+\bibitem[Mahboubi 05]{Mah05} Mahboubi, Assia 
+``Programming and certifying the CAD algorithm inside the coq system''
 Mathematics, Algorithms, Proofs, volume 05021 of Dagstuhl
 Seminar Proceedings, Schloss Dagstuhl (2005)
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Mathews 89]{Mat89} Mathews, J.\\ 
-``Symbolic computational algebra applied to Picard iteration''\\
+\begin{chunk}{ignore}
+\bibitem[Mathews 89]{Mat89} Mathews, J. 
+``Symbolic computational algebra applied to Picard iteration''
 Mathematics and computer education, 23(2) pp117-122 Spring 1989 CODEN MCEDDA,
 ISSN 0730-8639
+  keywords = "axiomref",
 
-\bibitem[McJones 11]{McJ11} McJones, Paul\\
-``Software Presentation Group -- Common Lisp family''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[McJones 11]{McJ11} McJones, Paul
+``Software Presentation Group -- Common Lisp family''
 \verb|www.softwarepreservation.org/projects/LISP/common_lisp_family|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Melachrinoudis 90]{MR90} Melachrinoudis, E.; Rumpf, D. L.\\
-``Teaching advantages of transparent computer software -- MathCAD''\\
+\begin{chunk}{ignore}
+\bibitem[Melachrinoudis 90]{MR90} Melachrinoudis, E.; Rumpf, D. L.
+``Teaching advantages of transparent computer software -- MathCAD''
 CoED, 10(1) pp71-76, January-March 1990 CODEN CWLJDP ISSN 0736-8607
+  keywords = "axiomref",
 
-\bibitem[Miola 90]{Mio90} Miola, A. (ed)\\
-``Design and Implementation of Symbolic Computation Systems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Miola 90]{Mio90} Miola, A. (ed)
+``Design and Implementation of Symbolic Computation Systems''
 International Symposium DISCO '90, Capri, Italy, April 10-12, 1990, Proceedings
 volume 429 of Lecture Notes in Cmputer Science,
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 1990 ISBN 0-387-52531-9 (New York), 3-540-52531-9 (Berlin) LCCN QA76.9.S88I576
 1990
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Miola 93]{Mio93} Miola, A. (ed)\\
-``Design and Implementation of Symbolic Computation Systems''\\
+\begin{chunk}{ignore}
+\bibitem[Miola 93]{Mio93} Miola, A. (ed)
+``Design and Implementation of Symbolic Computation Systems''
 International Symposium DISCO '93 Gmunden, Austria, September 15-17, 1993:
 Proceedings. 
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 1993 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
+  keywords = "axiomref",
 
-\bibitem[Missura 94]{Miss94} Missura, Stephan A.; Weber, Andreas\\
-``Using Commutativity Properties for Controlling Coercions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Missura 94]{Miss94} Missura, Stephan A.; Weber, Andreas
+``Using Commutativity Properties for Controlling Coercions''
 \verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/|
 \verb|WeberA/MissuraWeber94a.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Miss94.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper investigates some soundness conditions which have to be
@@ -1571,32 +2600,52 @@ cannot. An algorithm is presented that detects such unresolvable
 ambiguities in expressions.
 \end{adjustwidth}
 
-\bibitem[Monagan 87]{Mon87} Monagan, Michael B.\\
-``Support for Data Structures in Scratchpad II''\\
+\begin{chunk}{ignore}
+\bibitem[Monagan 87]{Mon87} Monagan, Michael B.
+``Support for Data Structures in Scratchpad II''
 in [Wit87], pp17-18
+  keywords = "axiomref",
 
-\bibitem[Monagan 93]{Mon93} Monagan, M. B.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Monagan 93]{Mon93} Monagan, M. B.
 ``Gauss: a parameterized domain of computation system with
-support for signature functions''\\
+support for signature functions''
 In Miola [Mio93], pp81-94 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Mora 89]{Mor89}  Mora, T. (ed)\\
+\begin{chunk}{ignore}
+\bibitem[Mora 89]{Mor89}  Mora, T. (ed)
 Applied Algebra, Algebraic Algorithms and Error-Correcting
 Codes, 6th International Conference, AAECC-6, Rome, Italy, July 4-8, 1998,
 Proceedings, volume 357 of Lecture Notes in Computer Science
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 1989 ISBN 3-540-51083-4, LCCN QA268.A35 1988 Conference held jointly with
 ISSAC '88
+  keywords = "axiomref",
 
-\bibitem[Moses 71]{Mos71} Moses, Joel\\
-``Algebraic Simplification: A Guide for the Perplexed''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Moses 71]{Mos71} Moses, Joel
+``Algebraic Simplification: A Guide for the Perplexed''
 CACM August 1971 Vol 14 No. 8 pp527-537
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Moses 08]{Mos08} Moses, Joel\\
-``Macsyma: A Personal History''\\
-Invited Presentation in Milestones in Computer Algebra, May 2008, Tobago\\
+\begin{chunk}{ignore}
+\bibitem[Moses 08]{Mos08} Moses, Joel
+``Macsyma: A Personal History''
+Invited Presentation in Milestones in Computer Algebra, May 2008, Tobago
 \verb|esd.mit.edu/Faculty_Pages/moses/Macsyma.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Mos08.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 The Macsyma system arose out of research on mathematical software in
@@ -1615,10 +2664,14 @@ engineering systems.
 
 \subsection{N} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Naylor]{NPxx} Naylor, William;  Padget, Julian\\
+\begin{chunk}{ignore}
+\bibitem[Naylor]{NPxx} Naylor, William;  Padget, Julian
 ``From Untyped to Polymorphically Typed Objects in Mathematical Web 
 Services''
 %\verb|axiom-developer.org/axiom-website/papers/NPxx.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 OpenMath is a widely recognized approach to the semantic markup of
@@ -1638,10 +2691,14 @@ in a position to develop and deploy mathematical web services whose
 descriptions may be directly derived from Aldor's rich type language.
 \end{adjustwidth}
 
-\bibitem[Naylor 95]{N95} Naylor, Bill\\
-``Symbolic Interface for an advanced hyperbolic PDE solver''\\
+\begin{chunk}{ignore}
+\bibitem[Naylor 95]{N95} Naylor, Bill
+``Symbolic Interface for an advanced hyperbolic PDE solver''
 \verb|www.sci.csd.uwo.ca/~bill/Papers/symbInterface2.ps|
 %\verb|axiom-developer.org/axiom-website/papers/N95.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 An Axiom front end is described, which is used to generate
@@ -1658,10 +2715,14 @@ encountered and solved during the FORTRAN generation necessary to
 realise the object.  Finally we display some of our results.
 \end{adjustwidth}
 
-\bibitem[Naylor 00b]{ND00} Naylor, W.A.; Davenport, J.H.\\
-``A Monte-Carlo Extension to a Category-Based Type System''\\
+\begin{chunk}{ignore}
+\bibitem[Naylor 00b]{ND00} Naylor, W.A.; Davenport, J.H.
+``A Monte-Carlo Extension to a Category-Based Type System''
 \verb|www.sci.csd.uwo.ca/~bill/Papers/monteCarCat3.ps|
 %\verb|axiom-developer.org/axiom-website/papers/ND00.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 The normal claim for mathematics is that all calculations are 100\%
@@ -1679,82 +2740,142 @@ this with a specific example which uses Straight Line Program
 representation.
 \end{adjustwidth}
 
-\bibitem[Norman 75]{Nor75} Norman, A. C.\\
-``Computing with formal power series''\\
+\begin{chunk}{ignore}
+\bibitem[Norman 75]{Nor75} Norman, A. C.
+``Computing with formal power series''
 ACM Transactions on Mathematical Software, 1(4) pp346-356 
 Dec. 1975 CODEN ACMSCU ISSN 0098-3500
+  keywords = "axiomref",
 
-\bibitem[Norman 75a]{Nor75a} Norman, A.C.\\
-``The SCRATCHPAD Power Series Package''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Norman 75a]{Nor75a} Norman, A.C.
+``The SCRATCHPAD Power Series Package''
 IBM T.J. Watson Research RC4998
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{O} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Ollivier 89]{Oll89} Ollivier, F.\\
+\begin{chunk}{ignore}
+\bibitem[Ollivier 89]{Oll89} Ollivier, F.
 ``Inversibility of rational mappings and structural 
-identifiablility in automatics''\\
+identifiablility in automatics''
 In ACM [ACM89], pp43-54 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
+  keywords = "axiomref",
 
-\bibitem[Online 72]{Onl72}.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Online 72]{Onl72}.
 Online 72: conference proceedings ... international conference on online
 interactive computing, Brunel University, Uxbridge, England, 4-7 September
 1972 ISBN 0-903796-02-3 LCCN QA76.55.O54 1972 Two volumes.
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[OpenMath]{OpenMa}.\\
-``OpenMath Technical Overview''\\
+\begin{chunk}{ignore}
+\bibitem[OpenMath]{OpenMa}.
+``OpenMath Technical Overview''
 \verb|www.openmath.org/overview/technical.html|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{P} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Page 07]{Pa07} Page, William S.\\
-``Axiom - Open Source Computer Algebra System''\\
+\begin{chunk}{ignore}
+\bibitem[Page 07]{Pa07} Page, William S.
+``Axiom - Open Source Computer Algebra System''
 Poster ISSAC 2007 Proceedings Vol 41 No 3 Sept 2007 p114
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Petitot 90]{Pet90} Petitot, Michel\\
+\begin{chunk}{ignore}
+\bibitem[Petitot 90]{Pet90} Petitot, Michel
 ``Types r\'ecursifs en scratchpad, application aux polyn\^omes non
-commutatifs''\\
+commutatifs''
 LIFL, 1990
+  keywords = "axiomref",
 
-\bibitem[Petitot 93]{Pet93} Petitot, M.\\
-``Experience with Axiom''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Petitot 93]{Pet93} Petitot, M.
+``Experience with Axiom''
 In Jacob et al. [JOS93], page 240
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Petric 71]{Pet71} Petric, S. R. (ed)\\
+\begin{chunk}{ignore}
+\bibitem[Petric 71]{Pet71} Petric, S. R. (ed)
 Proceedings of the second symposium on Symbolic and
 Algebraic Manipulation, March 23-25, 1971, Los Angeles, California, ACM Press,
 New York, NY 10036, USA, 1971. LCCN QA76.5.S94 1971
+  keywords = "axiomref",
 
-\bibitem[Pinch 93]{Pin93} Pinch, R.G.E.\\
-``Some Primality Testing Algorithms''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Pinch 93]{Pin93} Pinch, R.G.E.
+``Some Primality Testing Algorithms''
 Devlin, Keith (ed.)
 Computers and Mathematics November 1993, Vol 40, Number 9 pp1203-1210
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Poll (b)]{Polxx} Poll, Erik\\
+\begin{chunk}{ignore}
+\bibitem[Poll (b)]{Polxx} Poll, Erik
 ``The type system of Axiom''
 %\verb|axiom-developer.org/axiom-website/papers/Polxx.pdf|
+  keywords = "axiomref",
 
-\bibitem[Purtilo 86]{Pur86} Purtilo, J.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Purtilo 86]{Pur86} Purtilo, J.
 ``Applications of a software interconnection system in mathematical
 problem solving environments'' In Bruce W. Char, editor. Proceedings of the
 1986 Symposium on Symbolic and Algebraic Computation: SYMSAC '86, July 21-23,
 ACM Press, New York, NY 10036, USA, 1986. ISBN 0-89791-199-7 LCCN QA155.7.E4
 A281 1986 ACM order number 505860
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{R} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Rainer 14]{Rain14} Joswig, Rainer\\
-``2014: 30+ Years Common Lisp the Language''\\
+\begin{chunk}{ignore}
+\bibitem[Rainer 14]{Rain14} Joswig, Rainer
+``2014: 30+ Years Common Lisp the Language''
 \verb|lispm.de/30ycltl|
+  keywords = "axiomref",
 
-\bibitem[Rioboo 03a]{Riob03a} Rioboo, Renaud\\
-``Quelques aspects du calcul exact avec des nombres r\'eels''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Rioboo 03a]{Riob03a} Rioboo, Renaud
+``Quelques aspects du calcul exact avec des nombres r\'eels''
 Ph.D. Thesis, Laboratoire d'Informatique Th\'eorique et Programmationg
 %\verb|axiom-developer.org/axiom-website/papers/Riob03a.ps|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Rioboo 03]{Riob03} Rioboo, Renaud\\
-``Towards Faster Real Algebraic Numbers''\\
+\begin{chunk}{ignore}
+\bibitem[Rioboo 03]{Riob03} Rioboo, Renaud
+``Towards Faster Real Algebraic Numbers''
 J. of Symbolic Computation 36 pp 513-533 (2003)
 %\verb|axiom-developer.org/axiom-website/papers/Riob03.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper presents a new encoding scheme for real algebraic number
@@ -1767,10 +2888,14 @@ numbers. This allows us to work in the ring of real algebraic integers
 instead of the field of read algebraic numbers avoiding many denominators.
 \end{adjustwidth}
 
-\bibitem[Robidoux 93]{Rob93} Robidoux, Nicolas\\
-``Does Axiom Solve Systems of O.D.E's Like Mathematica?''\\
+\begin{chunk}{ignore}
+\bibitem[Robidoux 93]{Rob93} Robidoux, Nicolas
+``Does Axiom Solve Systems of O.D.E's Like Mathematica?''
 July 1993
 %\verb|axiom-developer.org/axiom-website/papers/Rob93.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 If I were demonstrating Axiom and were asked this question, my reply
@@ -1787,11 +2912,15 @@ Consider the following system of O.D.E.'s
 This is a very simple system: $x_1$ is actually uncoupled from $x_2$
 \end{adjustwidth}
 
-\bibitem[Rioboo 92]{Rio92} Rioboo, R.\\
-``Real algebraic closure of an ordered field, implementation in Axiom''\\
+\begin{chunk}{ignore}
+\bibitem[Rioboo 92]{Rio92} Rioboo, R.
+``Real algebraic closure of an ordered field, implementation in Axiom''
 In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
 0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992
 %\verb|axiom-developer.org/axiom-website/papers/Rio92.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Real algebraic numbers appear in many Computer Algebra problems.  For
@@ -1804,54 +2933,114 @@ algebraic numbers. An implementation for the real algebraic closure
 has been done in Axiom (previously called Scratchpad).
 \end{adjustwidth}
 
-\bibitem[Roesner 95]{Roe95} Roesner, K. G.\\
+\begin{chunk}{ignore}
+\bibitem[Roesner 95]{Roe95} Roesner, K. G.
 ``Verified solutions for parameters of an exact solution for
 non-Newtonian liquids using computer algebra'' Zeitschrift fur Angewandte
 Mathematik und Physik, 75 (suppl. 2):S435-S438, 1995 ISSN 0044-2267
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{S} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Sage 14]{Sage14} Stein, William\\
-``Sage''\\
+\begin{chunk}{ignore}
+\bibitem[Sage 14]{Sage14} Stein, William
+``Sage''
 \verb|www.sagemath.org/doc/reference/interfaces/sage/interfaces/axiom.html|
+  keywords = "axiomref",
 
-\bibitem[Salvy 89]{Sal89} Salvy, B.\\
-``Examples of automatic asymptotic expansions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Salvy 89]{Sal89} Salvy, B.
+``Examples of automatic asymptotic expansions''
 Technical Report 114,
 Inst. Nat. Recherche Inf. Autom., Le Chesnay, France, Dec. 1989 18pp
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Salvy 91]{Sal91} Salvy, B.\\
-``Examples of automatic asymptotic expansions''\\
+\begin{chunk}{ignore}
+\bibitem[Salvy 91]{Sal91} Salvy, B.
+``Examples of automatic asymptotic expansions''
 SIGSAM Bulletin (ACM Special Interest Group on Symbolic and 
 Algebraic Manipulation), 25(2) pp4-17
 April 1991 CODEN SIGSBZ ISSN 0163-5824
-
-\bibitem[Schu 92]{Sch92} Sch\"u, J.\\
-``Implementing des Cartan-Kuranishi-Theorems in AXIOM''\\
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Saun80,
+ author = "Saunders, B. David",
+ title = "A Survey of Available Systems",
+ journal = "SIGSAM Bull.",
+ issue_date = "November 1980",
+ volume = "14",
+ number = "4",
+ month = "November",
+ year = "1980",
+ issn = "0163-5824",
+ pages = "12--28",
+ numpages = "17",
+ url = "http://doi.acm.org/10.1145/1089235.1089237",
+ doi = "10.1145/1089235.1089237",
+ acmid = "1089237",
+ publisher = "ACM",
+ address = "New York, NY, USA",
+ keywords = "axiomref,survey",
+ paper = "Saun80.pdf"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Schu 92]{Sch92} Sch\"u, J.
+``Implementing des Cartan-Kuranishi-Theorems in AXIOM''
 Master's diploma thesis (in german), Institut f\"ur Algorithmen und
 Kognitive Systeme, Universit\"t Karlsruhe 1992
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Schwarz 88]{Sch88} Schwarz, F.\\
+\begin{chunk}{ignore}
+\bibitem[Schwarz 88]{Sch88} Schwarz, F.
 ``Programming with abstract data types: the symmetry package SPDE
-in Scratchpad''\\ 
+in Scratchpad'' 
 In Jan{\ss}en [Jan88], pp167-176, ISBN 3-540-18928-9,
 0-387-18928-9 LCCN QA155.7.E4T74 1988
+  keywords = "axiomref",
 
-\bibitem[Schwarz 89]{Sch89} Schwarz, F.\\
-``A factorization algorithm for linear ordinary differential equations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Schwarz 89]{Sch89} Schwarz, F.
+``A factorization algorithm for linear ordinary differential equations''
 In ACM [ACM89], pp17-25 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Schwarz 91]{Sch91} Schwarz, F.\\
-``Monomial orderings and Gr{\"o}bner bases''\\
+\begin{chunk}{ignore}
+\bibitem[Schwarz 91]{Sch91} Schwarz, F.
+``Monomial orderings and Gr{\"o}bner bases''
 SIGSAM Bulletin (ACM Special Interest Group on Symbolic and Algebraic 
 Manipulation) 2591) pp10-23 Jan. 1991 CODEN SIGSBZ ISSN 0163-5824
+  keywords = "axiomref",
 
-\bibitem[Seiler 94]{Sei94} Seiler, Werner Markus\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Seiler 94]{Sei94} Seiler, Werner Markus
 ``Analysis and Application of the Formal Theory of Partial Differential
-Equations''\\
-PhD thesis, School of Physics and Materials, Lancaster University (1994)\\
+Equations''
+PhD thesis, School of Physics and Materials, Lancaster University (1994)
 \verb|www.mathematik.uni-kassel.de/~seiler/Papers/Diss/diss.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Sei94.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 An introduction to the formal theory of partial differential equations
@@ -1873,15 +3062,23 @@ the computer algebra system Axiom. The appendices contain among others
 brief introductions into Carten-K\"ahler Theory and Janet-Riquier Theory.
 \end{adjustwidth}
 
-\bibitem[Seiler 94a]{Sei94a} Seiler, W.M.\\
-``Completion to involution in AXIOM''\\
+\begin{chunk}{ignore}
+\bibitem[Seiler 94a]{Sei94a} Seiler, W.M.
+``Completion to involution in AXIOM''
 in Calmet [Cal94] pp103-104
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Sieler 94b]{Sei94b} Seiler, W.M.\\
-``Pseudo differential operators and integrable systems in AXIOM''\\
+\begin{chunk}{ignore}
+\bibitem[Sieler 94b]{Sei94b} Seiler, W.M.
+``Pseudo differential operators and integrable systems in AXIOM''
 Computer Physics Communications, 79(2) pp329-340 April 1994 CODEN CPHCBZ
 ISSN 0010-4655
 %\verb|axiom-developer.org/axiom-website/papers/Sei94b.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 An implementation of the algebra of pseudo differential operators in
@@ -1890,11 +3087,15 @@ the application of the package to typical computations in the theory
 of integrable systems is demonstrated.
 \end{adjustwidth}
 
-\bibitem[Seiler 95]{Sei95} Seiler, W.M.\\
-``Applying AXIOM to partial differential equations''\\
+\begin{chunk}{ignore}
+\bibitem[Seiler 95]{Sei95} Seiler, W.M.
+``Applying AXIOM to partial differential equations''
 Internal Report 95-17, Universit\"at Karlsruhe, Fakult\"at f\"ur Informatik
 1995
 %\verb|axiom-developer.org/axiom-website/papers/Sei95.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present an Axiom environment called JET for geometric computations
@@ -1908,10 +3109,14 @@ applications are given. An appendix contains tables of all exported
 functions.
 \end{adjustwidth}
 
-\bibitem[Seiler 95b]{SC95} Seiler, W.M.; Calmet, J.\\
+\begin{chunk}{ignore}
+\bibitem[Seiler 95b]{SC95} Seiler, W.M.; Calmet, J.
 ``JET -- An Axiom Environment for Geometric Computations with Differential
 Equations''
 %\verb|axiom-developer.org/axiom-website/papers/SC95.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 JET is an environment within the computer algebra system Axiom to
@@ -1923,9 +3128,13 @@ for setting up the determining equations for classical and
 non-classical point symmetries.
 \end{adjustwidth}
 
-\bibitem[Seiler 97]{Sei97} Seiler, Werner M.\\
-``Computer Algebra and Differential Equations: An Overview''\\
+\begin{chunk}{ignore}
+\bibitem[Seiler 97]{Sei97} Seiler, Werner M.
+``Computer Algebra and Differential Equations: An Overview''
 \verb|www.mathematik.uni-kassel.di/~seiler/Papers/Postscript/CADERep.ps.gz|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present an informal overview of a number of approaches to
@@ -1935,30 +3144,46 @@ ideal and Galois theory, dynamical systems and numerical analysis.  A
 large bibliography is provided.
 \end{adjustwidth}
 
-\bibitem[Seiler (a)]{Seixx} Seiler, W.M.\\
-``DETools: A Library for Differential Equations''\\
+\begin{chunk}{ignore}
+\bibitem[Seiler (a)]{Seixx} Seiler, W.M.
+``DETools: A Library for Differential Equations''
 \verb|iaks-www.ira.uka.de/iaks-calmet/werner/werner.html|
+  keywords = "axiomref",
 
-\bibitem[Shannon 88]{SS88} Shannon, D.; Sweedler, M.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Shannon 88]{SS88} Shannon, D.; Sweedler, M.
 ``Using Gr{\"o}bner bases to determine algebra
 membership, split surjective algebra homomorphisms determine birational
-equivalence''\\
+equivalence''
 Journal of Symbolic Computation 6(2-3) pp267-273 
 Oct.-Dec. 1988 CODEN JSYCEH ISSN 0747-7171
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Sit 89]{Sit89} Sit, W.Y.\\
+\begin{chunk}{ignore}
+\bibitem[Sit 89]{Sit89} Sit, W.Y.
 ``On Goldman's algorithm for solving first-order multinomial
 autonomous systems'' In Mora [Mor89], pp386-395 ISBN 3-540-51083-4
 LCCN QA268.A35 1998 Conference held jointly with ISSAC '88
+  keywords = "axiomref",
 
-\bibitem[Sit 92]{Sit92} Sit, W.Y.\\
-``An algorithm for solving parametric linear systems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Sit 92]{Sit92} Sit, W.Y.
+``An algorithm for solving parametric linear systems''
 Journal of Symbolic Computations, 13(4) pp353-394, April 1992 CODEN JSYCEH 
 ISSN 0747-7171
 \verb|www.sciencedirect.com/science/article/pii/S0747717108801046/pdf|
 \verb|?md5=00aa65e18e6ea5c4a008c8dfdfcd4b83&|
 \verb|pid=1-s2.0-S0747717108801046-main.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Sit92.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present a theoretical foundation for studying parametric systesm of
@@ -1975,23 +3200,35 @@ complexity analysis of the Gaussian elimination method and compare
 that with our algorithm.
 \end{adjustwidth}
 
-\bibitem[Sit 06]{Sit06} Sit, Emil\\
-``Tools for Repeatable Research''\\
+\begin{chunk}{ignore}
+\bibitem[Sit 06]{Sit06} Sit, Emil
+``Tools for Repeatable Research''
 \verb|www.emilsit.net/blog/archives/tools-for-repeatable-research|
+  keywords = "axiomref",
 
-\bibitem[Smedley 92]{Sme92} Smedley, Trevor J.\\
-``Using pictorial and object oriented programming for computer algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Smedley 92]{Sme92} Smedley, Trevor J.
+``Using pictorial and object oriented programming for computer algebra''
 In Hal Berghel et al., editors. Applied computing --
 technologicial challenges of the 199s: proceedings of the 1992 ACM/SIGAPP
 Symposium on Applied Computing, Kansas City Convention Center, March 1-3, 1992
 pp1243-1247. ACM Press, New York, NY 10036, USA, 1992. ISBN 0-89791-502-X
 LCCN QA76.76.A65 S95 1992
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Smith 07]{SDJ07} Smith, Jacob; Dos Reis, Gabriel; Jarvi, Jaakko\\
-``Algorithmic differentiation in Axiom''\\
+\begin{chunk}{ignore}
+\bibitem[Smith 07]{SDJ07} Smith, Jacob; Dos Reis, Gabriel; Jarvi, Jaakko
+``Algorithmic differentiation in Axiom''
 ACM SIGSAM ISSAC Proceedings 2007 Waterloo, Canada 2007 pp347-354 
 ISBN 978-1-59593-743-8
 %\verb|axiom-developer.org/axiom-website/papers/SDJ07.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper describes the design and implementation of an algorithmic
@@ -2000,43 +3237,71 @@ implementation works by transformations on Spad programs at the level
 of the typed abstract syntax tree.
 \end{adjustwidth}
 
-\bibitem[SSC92]{SSC92}.\\
+\begin{chunk}{ignore}
+\bibitem[SSC92]{SSC92}.
 ``Algorithmic Methods For Lie Pseudogroups'' 
 In N. Ibragimov, M. Torrisi and A. Valenti, editors, Proc. Modern Group
 Analysis: Advanced Analytical and Computational Methods in Mathematical
-Physics, pp337-344, Acireale (Italy), 1992 Kluwer, Dordrecht 1993\\
+Physics, pp337-344, Acireale (Italy), 1992 Kluwer, Dordrecht 1993
 \verb|iaks-www.ira.uka.de/iaks-calmet/werner/Papers/Acireale92.ps.gz|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[SSV87]{SSV87} Senechaud, P.; Siebert, F.; Villard G.\\
-``Scratchpad II: Pr{\'e}sentation d'un nouveau langage de calcul formel''\\
+\begin{chunk}{ignore}
+\bibitem[SSV87]{SSV87} Senechaud, P.; Siebert, F.; Villard G.
+``Scratchpad II: Pr{\'e}sentation d'un nouveau langage de calcul formel''
 Technical Report 640-M, TIM 3 (IMAG), Grenoble, France, Feb 1987
+  keywords = "axiomref",
 
-\bibitem[Steele]{Steele} Steele, Guy L.; Gabriel, Richard P.\\
-``The Evolution of Lisp''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Steele]{Steele} Steele, Guy L.; Gabriel, Richard P.
+``The Evolution of Lisp''
 \verb|www.dreamsongs.com/Files/HOPL2-Uncut.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Sutor 85]{Sut85} Sutor, R.S.\\
-``The Scratchpad II computer algebra language and system''\\
+\begin{chunk}{ignore}
+\bibitem[Sutor 85]{Sut85} Sutor, R.S.
+``The Scratchpad II computer algebra language and system''
 In Buchberger and Caviness [BC85], pp32-33 ISBN 0-387-15983-5 (vol. 1),
 0-387-15984-3 (vol. 2) LCCN QA155.7.E4 E86 1985 Two volumes.
+  keywords = "axiomref",
 
-\bibitem[Sutor 87a]{SJ87a} Sutor, R. S.; Jenks, R. D.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Sutor 87a]{SJ87a} Sutor, R. S.; Jenks, R. D.
 ``The type inference and coercion facilities in
 the Scratchpad II interpreter'' In Wexelblat [Wex87], pp56-63
 ISBN 0-89791-235-7 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, v22 n7 (July 1987)
 %\verb|axiom-developer.org/axiom-website/papers/SJ87a.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Sutor 87b]{Su87} Sutor, Robert S.\\
+\begin{chunk}{ignore}
+\bibitem[Sutor 87b]{Su87} Sutor, Robert S.
 ``The Scratchpad II Computer Algebra System. Using and
-Programming the Interpreter''\\
+Programming the Interpreter''
 IBM Course presentation slide deck Spring 1987
+  keywords = "axiomref",
 
-\bibitem[Sutor 87c]{SJ87c} Sutor, Robert S.; Jenks, Richard\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Sutor 87c]{SJ87c} Sutor, Robert S.; Jenks, Richard
 ``The type inference and coercion facilities
-in the Scratchpad II interpreter''\\ 
+in the Scratchpad II interpreter'' 
 Research report RC 12595 (\#56575),
 IBM Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1987, 11pp
 %\verb|axiom-developer.org/axiom-website/papers/SJ87c.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 The Scratchpad II system is an abstract datatype programming language,
@@ -2051,15 +3316,23 @@ friendly and relatively weakly typed front end for the strongly typed
 programming language.
 \end{adjustwidth}
 
-\bibitem[Sutor 88]{Su88} Sutor, Robert S.\\
-``A guide to programming in the scratchpad 2 interpreter''\\
+\begin{chunk}{ignore}
+\bibitem[Sutor 88]{Su88} Sutor, Robert S.
+``A guide to programming in the scratchpad 2 interpreter''
 IBM Manual, March 1988
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{T} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Thompson 00]{Tho00} Thompson, Simon\\
+\begin{chunk}{ignore}
+\bibitem[Thompson 00]{Tho00} Thompson, Simon
 ``Logic and dependent types in the Aldor Computer Algebra System''
 %\verb|axiom-developer.org/axiom-website/papers/Tho00.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We show how the Aldor type system can represent propositions of
@@ -2071,9 +3344,13 @@ is used to provide an axiomatisation of a number of familiar Aldor
 categories as well as a type of vectors.
 \end{adjustwidth}
 
-\bibitem[Thompson (a)]{TTxx} Thompson, Simon; Timochouk, Leonid\\
+\begin{chunk}{ignore}
+\bibitem[Thompson (a)]{TTxx} Thompson, Simon; Timochouk, Leonid
 ``The Aldor\-\- language''
 %\verb|axiom-developer.org/axiom-website/papers/TTxx.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper introduces the \verb|Aldor--| language, which is a
@@ -2090,117 +3367,249 @@ of logic within \verb|Aldor--| and notes on the implementation of the
 system.
 \end{adjustwidth}
 
-\bibitem[Touratier 98]{Tou98} Touratier, Emmanuel\\
-``Etude du typage dans le syst\`eme de calcul scientifique Aldor''\\
+\begin{chunk}{ignore}
+\bibitem[Touratier 98]{Tou98} Touratier, Emmanuel
+``Etude du typage dans le syst\`eme de calcul scientifique Aldor''
 Universit\'e de Limoges 1998
 %\verb|axiom-developer.org/axiom-website/papers/Tou98.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{V} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[van der Hoeven 14]{JvdH14} van der Hoeven, Joris\\
-``Computer algebra systems and TeXmacs''\\
+\begin{chunk}{ignore}
+\bibitem[van der Hoeven 14]{JvdH14} van der Hoeven, Joris
+``Computer algebra systems and TeXmacs''
 \verb|www.texmacs.org/tmweb/plugins/cas.en.html|
-
-\bibitem[van Hoeij 94]{vH94} van Hoeij, M.\\
-``An algorithm for computing an integral basis in an algebraic
-function field''\\
-Journal of Symbolic Computation, 18(4) pp353-363 Oct. 1994
-CODEN JSYCEH ISSN 0747-7171
-
-\bibitem[Vasconcelos 99]{Vas99} Vasconcelos, Wolmer\\
-``Computational Methods in Commutative Algebra and Algebraic Geometry''\\
+  keywords = "axiomref",
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Hoei94,
+  author = "{van Hoeij}, M.",
+  title = "An algorithm for computing an integral basis in an algebraic function field",
+  journal = "Journal of Symbolic Computation",
+  volume = "18",
+  number = "4",
+  year = "1994",
+  pages = "353-363",
+  issn = "0747-7171",
+  keywords = "axiomref",
+  paper = "Hoei94.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+Algorithms for computing integral bases of an algebraic function field
+are implemented in some computer algebra systems. They are used e.g.
+for the integration of algebraic functions. The method used by Maple
+5.2 and AXIOM is given by Trager in [Trag84]. He adapted an algorithm
+of Ford and Zassenhaus [Ford, 1978], that computes the ring of
+integers in an algebraic number field, to the case of a function field.
+
+It turns out that using algebraic geometry one can write a faster
+algorithm. The method we will give is based on Puiseux expansions.
+One cas see this as a variant on the Coates' algorithm as it is
+described in [Davenport, 1981]. Some difficulties in computing with
+Puiseux expansions can be avoided using a sharp bound for the number
+of terms required which will be given in Section 3. In Section 5 we
+derive which denominator is needed in the integral basis. Using this
+result 'intermediate expression swell' can be avoided.
+
+The Puiseux expansions generally introduce algebraic extensions. These
+extensions will not appear in the resulting integral basis.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@misc{Hoei08,
+  author = "{van Hoeij}, Mark and Novocin, Andrew",
+  title = "A Reduction Algorithm for Algebraic Function Fields",
+  year = "2008",
+  month = "April",
+  url = "http://andy.novocin.com/pro/algext.pdf",
+  paper = "Hoei08.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+Computer algebra systesm often produce large expressions involving
+complicated algebraic numbers. In this paper we study variations of
+the {\tt polred} algorithm that can often be used to find better
+representations for algebraic numbers. The main new algorithm
+presented here is an algorithm that treats the same problem for the
+function field case.
+\end{adjustwidth}
+
+\begin{chunk}{ignore}
+\bibitem[Vasconcelos 99]{Vas99} Vasconcelos, Wolmer
+``Computational Methods in Commutative Algebra and Algebraic Geometry''
 Springer, Algorithms and Computation in Mathematics, Vol 2 1999
 ISBN 3-540-21311-2
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{W} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Wang 89]{Wan89} Wang, D.\\
+\begin{chunk}{ignore}
+\bibitem[Wang 89]{Wan89} Wang, D.
 ``A program for computing the Liapunov functions and Liapunov
-constants in Scratchpad II''\\
+constants in Scratchpad II''
 SIGSAM Bulletin (ACM Special Interest Group
 on Symbolic and Algebraic Manipulation), 23(4) pp25-31, Oct. 1989,
 CODEN SIGSBZ ISSN 0163-5824
+  keywords = "axiomref",
 
-\bibitem[Wang 91]{Wan91} Wang, Dongming\\ 
-``Mechanical manipulation for a class of differential systems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wang 91]{Wan91} Wang, Dongming 
+``Mechanical manipulation for a class of differential systems''
 Journal of Symbolic Computation, 12(2) pp233-254 Aug. 1991
 CODEN JSYCEH ISSN 0747-7171
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Wang 92]{Wan92} Wang, Paul S. (ed)\\
+\begin{chunk}{ignore}
+\bibitem[Wang 92]{Wan92} Wang, Paul S. (ed)
 International System Symposium on Symbolic and
 Algebraic Computation 92 ACM Press, New York, NY 10036, USA, 1992
 ISBN 0-89791-489-9 (soft cover), 0-89791-490-2 (hard cover), 
 LCCN QA76.95.I59 1992
+  keywords = "axiomref",
 
-\bibitem[Watanabe 90]{WN90} Watanabe, Shunro; Nagata, Morio; (ed)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Watanabe 90]{WN90} Watanabe, Shunro; Nagata, Morio; (ed)
 ISSAC '90 Proceedings of the
 International Symposium on Symbolic and Algebraic Computation ACM Press,
 New York, NY, 10036, USA. 1990 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Watt 85]{Wat85} Watt, Stephen\\
-``Bounded Parallelism in Computer Algebra''\\
-PhD Thesis, University of Waterloo\\
+\begin{chunk}{ignore}
+\bibitem[Watt 85]{Wat85} Watt, Stephen
+``Bounded Parallelism in Computer Algebra''
+PhD Thesis, University of Waterloo
 \verb|www.csd.uwo.ca/~watt/pub/reprints/1985-smw-phd.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Watt 86]{Wat86} Watt, S.M.; Della Dora, J.\\
-``Algebra Snapshot: Linear Ordinary Differential Operators''\\
-Scratchpad II Newsletter: Vol 1 Num 2 (Jan 1986)\\
+\begin{chunk}{ignore}
+\bibitem[Watt 86]{Wat86} Watt, S.M.; Della Dora, J.
+``Algebra Snapshot: Linear Ordinary Differential Operators''
+Scratchpad II Newsletter: Vol 1 Num 2 (Jan 1986)
 \verb|www.csd.uwo.ca/~watt/pub/reprints/1986-snews-lodo.pdf|
+  keywords = "axiomref",
 
-\bibitem[Watt 87]{Wat87} Watt, Stephen\\
-``Domains and Subdomains in Scratchpad II''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Watt 87]{Wat87} Watt, Stephen
+``Domains and Subdomains in Scratchpad II''
 in [Wit87], pp3-5
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Watt 87a]{WB87} Watt, Stephen M.; Burge, William H.\\
-``Mapping as First Class Objects''\\
+\begin{chunk}{ignore}
+\bibitem[Watt 87a]{WB87} Watt, Stephen M.; Burge, William H.
+``Mapping as First Class Objects''
 in [Wit87], pp13-17
+  keywords = "axiomref",
 
-\bibitem[Watt 89]{Wat89} Watt, S. M.\\ 
-``A fixed point method for power series computation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Watt 89]{Wat89} Watt, S. M. 
+``A fixed point method for power series computation''
 In Gianni [Gia89], pp206-217 ISBN 3-540-51084-2 LCCN QA76.95.I57 
 1988 Conference held jointly with AAECC-6
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Watt 90]{WJST90} Watt, S.M.; Jenks, R.D.; Sutor, R.S.; Trager B.M.\\
-``The Scratchpad II type system: Domains and subdomains''\\
+\begin{chunk}{ignore}
+\bibitem[Watt 90]{WJST90} Watt, S.M.; Jenks, R.D.; Sutor, R.S.; Trager B.M.
+``The Scratchpad II type system: Domains and subdomains''
 in A.M. Miola, editor Computing Tools
 for Scientific Problem Solving, Academic Press, New York, 1990
+  keywords = "axiomref",
 
-\bibitem[Watt 91]{Wat91} Watt, Stephen M. (ed)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Watt 91]{Wat91} Watt, Stephen M. (ed)
 Proceedings of the 1991 International Symposium on
 Symbolic and Algebraic Computation, ISSAC'91, July 15-17, 1991, Bonn, Germany,
 ACM Press, New York, NY 10036, USA, 1991 ISBN 0-89791-437-6 
 LCCN QA76.95.I59 1991
+  keywords = "axiomref",
+
+\end{chunk}
 
+\begin{chunk}{ignore}
 \bibitem[Watt 94a]{Wat94a} Watt, Stephen M.; Dooley, S.S.; Morrison, S.C.;
-Steinback, J.M.; Sutor, R.S.\\
-``A\# User's Guide''\\
+Steinback, J.M.; Sutor, R.S.
+``A\# User's Guide''
 Version 1.0.0 O($\epsilon{}^1$) June 8, 1994
+  keywords = "axiomref",
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Watt 94b]{Wat94} Watt, Stephen M.; Broadbery, Peter A.; 
-Dooley, Samuel S.; Iglio, Pietro\\
-``A First Report on the A\# Compiler (including benchmarks)''\\
+Dooley, Samuel S.; Iglio, Pietro
+``A First Report on the A\# Compiler (including benchmarks)''
 IBM Research Report RC19529 (85075) May 12, 1994
 %\verb|axiom-developer.org/axiom-website/papers/Wat94.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Watt 94c]{Wat94c} Watt, Stephen M.\\
-``A\# Language Reference Version 0.35''\\
+\begin{chunk}{ignore}
+\bibitem[Watt 94c]{Wat94c} Watt, Stephen M.
+``A\# Language Reference Version 0.35''
 IBM Research Division Technical Report RC19530 May 1994
+  keywords = "axiomref",
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Watt 95]{Wat95} Watt, S.M.; Broadbery, P.A.; Dooley, S.S.; Iglio, P. 
-Steinbach, J.M.; Morrison, S.C.; Sutor, R.S.\\
-``AXIOM Library Compiler Users Guide''\\
+Steinbach, J.M.; Morrison, S.C.; Sutor, R.S.
+``AXIOM Library Compiler Users Guide''
 The Numerical Algorithms Group (NAG) Ltd, 1994
+  keywords = "axiomref",
+
+\end{chunk}
 
+\begin{chunk}{ignore}
 \bibitem[Watt 01]{Wat01} Watt, Stephen M.; Broadbery, Peter A.; Iglio, Pietro;
-Morrison, Scott C.; Steinbach, Jonathan M.\\
-``FOAM: A First Order Abstract Machine Version 0.35''\\
+Morrison, Scott C.; Steinbach, Jonathan M.
+``FOAM: A First Order Abstract Machine Version 0.35''
 IBM T. J. Watson Research Center (2001)
 %\verb|axiom-developer.org/axiom-website/papers/Wat01.pdf|
+  keywords = "axiomref",
 
-\bibitem[Weber 92]{Webe92} Weber, Andreas\\
-``Type Systems for Computer Algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Weber 92]{Webe92} Weber, Andreas
+``Type Systems for Computer Algebra''
 \verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber92a.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Webe92.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 An important feature of modern computer algebra systems is the support
@@ -2212,10 +3621,14 @@ family of types arising in computer algebra whose coercion relations
 cannot be captured by a finite set of first-order rewrite rules.
 \end{adjustwidth}
 
-\bibitem[Weber 92b]{Webe92b} Weber, Andreas\\
-``Structuring the Type System of a Computer Algebra System''\\
+\begin{chunk}{ignore}
+\bibitem[Weber 92b]{Webe92b} Weber, Andreas
+``Structuring the Type System of a Computer Algebra System''
 \verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber92a.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Webe92b.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Most existing computer algebra systems are pure symbol manipulating
@@ -2230,10 +3643,14 @@ a variety of examples which will show some of the problems that remain
 and that will require further research.
 \end{adjustwidth}
 
-\bibitem[Weber 93b]{Webe93b} Weber, Andreas\\
-``Type Systems for Computer Algebra''\\
+\begin{chunk}{ignore}
+\bibitem[Weber 93b]{Webe93b} Weber, Andreas
+``Type Systems for Computer Algebra''
 \verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber93b.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Webe93b.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We study type systems for computer algebra systems, which frequently
@@ -2251,10 +3668,14 @@ can be used to implement category theoretic constructs and there are
 many well known constructive interactions between category theory and
 algebra.  \end{adjustwidth}
 
-\bibitem[Weber 94]{Web94} Weber, Andreas\\
-``Algorithms for Type Inference with Coercions''\\
+\begin{chunk}{ignore}
+\bibitem[Weber 94]{Web94} Weber, Andreas
+``Algorithms for Type Inference with Coercions''
 ISSAC 94 ACM 0-89791-638-7/94/0007
 %\verb|axiom-developer.org/axiom-website/papers/Web94.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper presents algorithms that perform a type inference for a
@@ -2270,10 +3691,14 @@ the corresponding type inference problems were known to be
 undecidable.
 \end{adjustwidth}
 
-\bibitem[Weber 95]{Webe95} Weber, A.\\
-``On coherence in computer algebra''\\
+\begin{chunk}{ignore}
+\bibitem[Weber 95]{Webe95} Weber, A.
+``On coherence in computer algebra''
 \verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber94e.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Webe95.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Modern computer algebra systems (e.g. AXIOM) support a rich type
@@ -2288,10 +3713,14 @@ examples. Moreover, we will give some informal reasoning why the
 formally defined restrictions can be satisfied by an actual system.
 \end{adjustwidth}
 
-\bibitem[Weber 96]{Webe96} Weber, Andreas\\
-``Computing Radical Expressions for Roots of Unity''\\
+\begin{chunk}{ignore}
+\bibitem[Weber 96]{Webe96} Weber, Andreas
+``Computing Radical Expressions for Roots of Unity''
 \verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber96a.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Webe96.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We present an improvement of an algorithm given by Gauss to compute a
@@ -2300,11 +3729,15 @@ the algorithm is $O(p^3m^6log p)$, where $m$ is the largest prime
 factor of $p-1$.
 \end{adjustwidth}
 
-\bibitem[Weber 99]{Webe99} Weber, Andreas\\
-``Solving Cyclotomic Polynomials by Radical Expressions''\\
+\begin{chunk}{ignore}
+\bibitem[Weber 99]{Webe99} Weber, Andreas
+``Solving Cyclotomic Polynomials by Radical Expressions''
 \verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/|
 \verb|WeberA/WeberKeckeisen99a.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Webe99.pdf|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We describe a Maple package that allows the solution of cyclotomic
@@ -2316,107 +3749,201 @@ summary for computations up to degree 100, which could be done within
 a few hours of cpu time on a standard workstation.
 \end{adjustwidth}
 
-\bibitem[Wei-Jiang 12]{WJ12} Wei-Jiang\\
-``Top free algebra System''\\
+\begin{chunk}{ignore}
+\bibitem[Wei-Jiang 12]{WJ12} Wei-Jiang
+``Top free algebra System''
 \verb|wei-jiang.com/it/software/top-free-algebra-system-bye-mathematica-bye-maple|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Wester 99]{Wes99} Wester, Michael J.\\
-``Computer Algebra Systems''\\
+\begin{chunk}{ignore}
+\bibitem[Wester 99]{Wes99} Wester, Michael J.
+``Computer Algebra Systems''
 John Wiley and Sons 1999 ISBN 0-471-98353-5
+  keywords = "axiomref",
 
-\bibitem[Wexelblat 87]{Wex87} Wexelblat, Richard L. (ed)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wexelblat 87]{Wex87} Wexelblat, Richard L. (ed)
 Proceedings of the SIGPLAN '87 Symposium on
 Interpreter and Interpretive Techniques, St. Paul, Minnesota, June 24-26, 1987
 ACM Press, New York, NY 10036, USA, 1987 ISBN 0-89791-235-7
 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, vol 22, no 7 (July 1987)
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Wityak 87]{Wit87} Wityak, Sandra\\
-``Scratchpad II Newsletter''\\
+\begin{chunk}{ignore}
+\bibitem[Wityak 87]{Wit87} Wityak, Sandra
+``Scratchpad II Newsletter''
 Volume 2, Number 1, Nov 1987
+  keywords = "axiomref",
 
-\bibitem[WWW1]{WWW1}.\\
-Software Preservation Group\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[WWW1]{WWW1}.
+Software Preservation Group
 \verb|www.softwarepresentation.org/projects/LISP/common_lisp_family|
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{Y} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Yap 00]{Yap00} Yap, Chee Keng\\ 
-``Fundamental Problems of Algorithmic Algebra''\\
+\begin{chunk}{ignore}
+\bibitem[Yap 00]{Yap00} Yap, Chee Keng 
+``Fundamental Problems of Algorithmic Algebra''
 Oxford University Press (2000) ISBN0-19-512516-9
+  keywords = "axiomref",
 
-\bibitem[Yapp 07]{Yapp07} Yapp, Clifford; Hebisch, Waldek; Kaminski, Kai\\
-``Literate Programming Tools Implemented in ANSI Common Lisp''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Yapp 07]{Yapp07} Yapp, Clifford; Hebisch, Waldek; Kaminski, Kai
+``Literate Programming Tools Implemented in ANSI Common Lisp''
 \verb|brlcad.org/~starseeker/cl-web-v0.8.lisp.pamphlet|
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Yun 83]{Yun83} Yun, David Y.Y.\\
-``Computer Algebra and Complex Analysis''\\
+\begin{chunk}{ignore}
+\bibitem[Yun 83]{Yun83} Yun, David Y.Y.
+``Computer Algebra and Complex Analysis''
 Computational Aspects of Complex Analysis pp379-393
 D. Reidel Publishing Company H. Werner et. al. (eds.)
+  keywords = "axiomref",
+
+\end{chunk}
 
 \subsection{Z} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Zen92]{Zen92} Zenger, Ch.\\
+\begin{chunk}{ignore}
+\bibitem[Zen92]{Zen92} Zenger, Ch.
 ``Gr{\"o}bnerbasen f{\"u}r Differentialformen und ihre
-Implementierung in AXIOM''\\ 
+Implementierung in AXIOM'' 
 Diplomarbeit, Universit{\"a}t Karlsruhe,
 Karlsruhe, Germany, 1992
+  keywords = "axiomref",
+
+\end{chunk}
 
-\bibitem[Zip92]{Zip92} Zippel, Richard\\
-``Algebraic Computation''\\
+\begin{chunk}{ignore}
+\bibitem[Zip92]{Zip92} Zippel, Richard
+``Algebraic Computation''
 (unpublished) Cornell University Ithaca, NY Sept 1992
+  keywords = "axiomref",
 
-\bibitem[Zwi92]{Zwi92} Zwillinger, Daniel\\
-``Handbook of Integration''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Zwi92]{Zwi92} Zwillinger, Daniel
+``Handbook of Integration''
 Jones and Bartlett, 1992, ISBN 0-86720-293-9
+  keywords = "axiomref",
 
-\newpage
+\end{chunk}
 \section{Axiom Citations of External Sources}
 
 \subsection{A} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Ablamowicz 98]{Ab98} Ablamowicz, Rafal\\
-``Spinor Representations of Clifford Algebras: A Symbolic Approach''\\
-Computer Physics Communications
-Vol. 115, No. 2-3, December 11, 1998, pages 510-535.
-
-\bibitem[Abramowitz 64]{AS64} Abramowitz, Milton; Stegun, Irene A.\\
-``Handbook of Mathematical Functions''\\
+\begin{chunk}{axiom.bib}
+@article{Abla98,
+  author = "Ablamowicz, Rafal",
+  title = "Spinor Representations of Clifford Algebras: A Symbolic Approach",
+  journal = "Computer Physics Communications",
+  volume = "115",
+  number = "2-3",
+  month = "December",
+  year = "1998",
+  pages = "510-535"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Abra06,
+  author = "Abramov, Sergey A.",
+  title = "In Memory of Manuel Bronstein",
+  journal = "Programming and Computer Software",
+  volume = "32",
+  number = "1",
+  pages = "56-58",
+  publisher = "Pleiades Publishing Inc",
+  year = "2006",
+  paper = "Abra06.pdf"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Abramowitz 64]{AS64} Abramowitz, Milton; Stegun, Irene A.
+``Handbook of Mathematical Functions''
 (1964) Dover Publications, NY ISBN 0-486-61272-4
 
-\bibitem[Abramowitz 68]{AS68} Abramowitz M; Stegun I A\\
-``Handbook of Mathematical Functions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Abramowitz 68]{AS68} Abramowitz M; Stegun I A
+``Handbook of Mathematical Functions''
 Dover Publications. (1968) 
 
-\bibitem[Altmann 05]{Alt05} Altmann, Simon L.\\
-``Rotations, Quaternions, and Double Groups''\\
-Dover Publications, Inc. 2005 ISBN 0-486-44518-6
+\end{chunk}
 
-\bibitem[Ames 77]{Ames77} Ames W F\\
-``Nonlinear Partial Differential Equations in Engineering''\\
+\begin{chunk}{axiom.bib}
+@book{Altm05,
+  author = "Altmann, Simon L.",
+  title = "Rotations, Quaternions, and Double Groups",
+  publisher = "Dover Publications, Inc.",
+  year = "2005",
+  isbn = "0-486-44518-6"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ames 77]{Ames77} Ames W F
+``Nonlinear Partial Differential Equations in Engineering''
 Academic Press (2nd Edition). (1977)
 
-\bibitem[Amos 86]{Amos86} Amos D E\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Amos 86]{Amos86} Amos D E
 ``Algorithm 644: A Portable Package for Bessel Functions of a Complex 
-Argument and Nonnegative Order''\\
+Argument and Nonnegative Order''
 ACM Trans. Math. Softw. 12 265--273. (1986)
 
-\bibitem[Anderson 00]{And00} Anderson, Edward\\
-``Discontinuous Plane Rotations and the Symmetric Eigenvalue Problem''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Anderson 00]{And00} Anderson, Edward
+``Discontinuous Plane Rotations and the Symmetric Eigenvalue Problem''
 LAPACK Working Note 150, University of Tennessee, UT-CS-00-454,
 December 4, 2000.
 
-\bibitem[Anthony 82]{ACH82} Anthony G T; Cox M G; Hayes J G\\
-``DASL - Data Approximation Subroutine Library''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Anthony 82]{ACH82} Anthony G T; Cox M G; Hayes J G
+``DASL - Data Approximation Subroutine Library''
 National Physical Laboratory. (1982) 
 
-\bibitem[Arnon 88]{Arno88} Arno, D.S.; MIgnotte, M.\\
-``On Mechanical Quantifier Elimination for Elementary Algebra and Geometry''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Arnon 88]{Arno88} Arno, D.S.; MIgnotte, M.
+``On Mechanical Quantifier Elimination for Elementary Algebra and Geometry''
 J. Symbolic Computation 5, 237-259 (1988)
-\verb|http://www.sciencedirect.com/science/article/pii/S0747717188800142/|\\
+\verb|http://www.sciencedirect.com/science/article/pii/S0747717188800142/|
 \verb|pdf?md5=62052077d84e6078cc024bc8e29c23c1&|
 \verb|pid=1-s2.0-S0747717188800142-main.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Arno88.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We give solutions to two problems of elementary algebra and geometry:
 (1) find conditions on real numbers $p$, $q$, and $r$ so that the
@@ -2433,15 +3960,35 @@ obtaining unique ``simplest'' solutions to quantifier elimination
 problems of elementary algebra and geometry.
 \end{adjustwidth}
 
-\bibitem[Aubry 99]{ALM99} P. Aubry; D. Lazard; M. Moreno Maza\\
-``On the Theories of Triangular Sets''\\
-Journal of Symbolic Computation 1999 Vol 28 pp105-124
+\begin{chunk}{axiom.bib}
+@article{Aubr99,
+  author = "Aubry, Phillippe and Lazard, Daniel and {Moreno Maza}, Marc",
+  title = "On the Theories of Triangular Sets",
+  year = "1999",
+  pages = "105-124",
+  journal = "Journal of Symbolic Computation",
+  volume =  "28",
+  url = "http://www.csd.uwo.ca/~moreno/Publications/Aubry-Lazard-MorenoMaza-1999-JSC.pdf",
+  papers = "Aubr99.pdf"
+}
 
-\bibitem[Aubry 96]{Aub96} Aubry, Philippe; Maza, Marc Moreno\\
-``Triangular Sets for Solving Polynomial Systems: a Comparison of Four Methods''\\
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+Different notions of triangular sets are presented. The relationship
+between these notions are studied. The main result is that four
+different existing notions of {\sl good} triangular sets are
+equivalent.
+\end{adjustwidth}
+
+\begin{chunk}{ignore}
+\bibitem[Aubry 96]{Aub96} Aubry, Philippe; Maza, Marc Moreno
+``Triangular Sets for Solving Polynomial Systems: a Comparison of Four Methods''
 \verb|www.lip6.fr/lip6/reports/1997/lip6.1997.009.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Aub96.ps|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Four methods for solving polynomial systems by means of triangular
 sets are presented and implemented in a unified way. These methods are
@@ -2452,124 +3999,215 @@ legibility of the outputs.
 
 \subsection{B} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Bailey 66]{Bai66} Bailey P B\\
-``Sturm-Liouville Eigenvalues via a Phase Function''\\
+\begin{chunk}{ignore}
+\bibitem[Bailey 66]{Bai66} Bailey P B
+``Sturm-Liouville Eigenvalues via a Phase Function''
 SIAM J. Appl. Math . 14 242--249. (1966)
 
-\bibitem[Baker 96]{BGM96} Baker, George A.; Graves-Morris, Peter\\
-``Pade Approximants''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Baker 96]{BGM96} Baker, George A.; Graves-Morris, Peter
+``Pade Approximants''
 Cambridge University Press, March 1996 ISBN 9870521450072
 
-\bibitem[Baker 10]{Ba10} Baker, Martin\\
-``3D World Simulation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Baker 10]{Ba10} Baker, Martin
+``3D World Simulation''
 \verb|www.euclideanspace.com|
 
-\bibitem[Baker 14]{Ba14} Baker, Martin\\
-``Axiom Architecture''\\
-\verb|www.euclideanspace.com/prog/scratchpad/internals/ccode|
+\end{chunk}
 
-\bibitem[Banks 68]{BK68} Banks D O; Kurowski I\\
-``Computation of Eigenvalues of Singular Sturm-Liouville Systems''\\
+\begin{chunk}{axiom.bib}
+@misc{Bake14,
+ author = "Baker, Martin",
+ title = "Axiom Architecture",
+ year = "2014",
+ url = "http://www.euclideanspace.com/prog/scratchpad/internals/ccode"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Banks 68]{BK68} Banks D O; Kurowski I
+``Computation of Eigenvalues of Singular Sturm-Liouville Systems''
 Math. Computing. 22 304--310. (1968)
 
-\bibitem[Bard 74]{Bard74} Bard Y\\
-``Nonlinear Parameter Estimation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Bard 74]{Bard74} Bard Y
+``Nonlinear Parameter Estimation''
 Academic Press. 1974
 
-\bibitem[Barrodale 73]{BR73} Barrodale I; Roberts F D K\\
-``An Improved Algorithm for Discrete $ll_1$ Linear Approximation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Barrodale 73]{BR73} Barrodale I; Roberts F D K
+``An Improved Algorithm for Discrete $ll_1$ Linear Approximation''
 SIAM J. Numer. Anal. 10 839--848. (1973) 
 
-\bibitem[Barrodale 74]{BR74} Barrodale I; Roberts F D K\\
-``Solution of an Overdetermined System of Equations in the $ll_1-norm$.''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Barrodale 74]{BR74} Barrodale I; Roberts F D K
+``Solution of an Overdetermined System of Equations in the $ll_1-norm$.''
 Comm.  ACM. 17, 6 319--320. (1974) 
 
-\bibitem[Beauzamy 92]{Bea92} Beauzamy, Bernard\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Beauzamy 92]{Bea92} Beauzamy, Bernard
 ``Products of polynomials and a priori estimates for
-coefficients in polynomial decompositions: a sharp result''\\
+coefficients in polynomial decompositions: a sharp result''
 J. Symbolic Computation (1992) 13, 463-472
 %\verb|axiom-developer.org/axiom-website/papers/Bea92.pdf|
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Beauzamy 93]{Bea93} Beauzamy, Bernard; Trevisan, Vilmar; 
-Wang, Paul S.\\
-``Polynomial Factorization: Sharp Bounds, Efficient Algorithms''\\
+Wang, Paul S.
+``Polynomial Factorization: Sharp Bounds, Efficient Algorithms''
 J. Symbolic Computation (1993) 15, 393-413
 %\verb|axiom-developer.org/axiom-website/papers/Bea93.pdf|
 
-\bibitem[Bertrand 95]{Ber95} Bertrand, Laurent\\ 
-``Computing a hyperelliptic integral using arithmetic in the jacobian 
-of the curve''\\ 
-{\sl Applicable Algebra in Engineering, Communication and Computing}, 
-6:275-298, 1995
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Bert95,
+  author = "Bertrand, Laurent",
+  title = "Computing a hyperelliptic integral using arithmetic in the jacobian of the curve",
+  journal = "Applicable Algebra in Engineering, Communication and Computing",
+  volume = "6",
+  pages = "275-298",
+  year = "1995"
+}
 
-\bibitem[Berzins 87]{BBG87} Berzins M; Brankin R W; Gladwell I.\\
-``Design of the Stiff Integrators in the NAG Library''\\
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+In this paper, we describe an efficient algorithm for computing an
+elementary antiderivative of an algebraic function defined on a
+hyperelliptic curve. Our algorithm combines B.M. Trager's integration
+algorithm and a technique for computing in the Jacobian of a
+hyperelliptic curve introduced by D.G. Cantor. Our method has been
+implemented and successfully compared to Trager's general algorithm.
+\end{adjustwidth}
+
+
+\begin{chunk}{ignore}
+\bibitem[Berzins 87]{BBG87} Berzins M; Brankin R W; Gladwell I.
+``Design of the Stiff Integrators in the NAG Library''
 Technical Report. TR14/87 NAG. (1987) 
 
-\bibitem[Berzins 90]{Ber90} Berzins M\\
-``Developments in the NAG Library Software for Parabolic Equations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Berzins 90]{Ber90} Berzins M
+``Developments in the NAG Library Software for Parabolic Equations''
 Scientific Software Systems. (ed J C Mason and M G Cox) 
 Chapman and Hall. 59--72.  (1990)
 
-\bibitem[Birkhoff 62]{BR62} Birkhoff, G; Rota, G C\\
-``Ordinary Differential Equations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Birkhoff 62]{BR62} Birkhoff, G; Rota, G C
+``Ordinary Differential Equations''
 Ginn \& Co., Boston and New York. (1962)
 
-\bibitem[Boyd9 3a]{Boyd93a} Boyd, David W.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Boyd9 3a]{Boyd93a} Boyd, David W.
 ``Bounds for the Height of a Factor of a Polynomial in
-Terms of Bombieri's Norms: I. The Largest Factor''\\
+Terms of Bombieri's Norms: I. The Largest Factor''
 J. Symbolic Computation (1993) 16, 115-130
 %\verb|axiom-developer.org/axiom-website/Boyd93a.pdf|
 
-\bibitem[Boyd 93b]{Boyd93b} Boyd, David W.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Boyd 93b]{Boyd93b} Boyd, David W.
 ``Bounds for the Height of a Factor of a Polynomial in
-Terms of Bombieri's Norms: II. The Smallest Factor''\\
+Terms of Bombieri's Norms: II. The Smallest Factor''
 J. Symbolic Computation (1993) 16, 131-145
 %\verb|axiom-developer.org/axiom-website/Boyd93b.pdf|
 
-\bibitem[Braman 02a]{BBM02a} Braman, K.; Byers, R.; Mathias, R.\\ 
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Braman 02a]{BBM02a} Braman, K.; Byers, R.; Mathias, R. 
 ``The Multi-Shift QR Algorithm Part I: Maintaining Well Focused Shifts, 
-and Level 3 Performance''\\
+and Level 3 Performance''
 SIAM Journal of Matrix Analysis, volume 23, pages 929--947, 2002.
 
-\bibitem[Braman 02b]{BBM02b} Braman, K.; Byers, R.; Mathias, R.\\
-``The Multi-Shift QR Algorithm Part II: Aggressive Early Deflation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Braman 02b]{BBM02b} Braman, K.; Byers, R.; Mathias, R.
+``The Multi-Shift QR Algorithm Part II: Aggressive Early Deflation''
 SIAM Journal of Matrix Analysis, volume 23, pages 948--973, 2002.
 
-\bibitem[Brent 75]{Bre75} Brent, R. P.\\ 
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Brent 75]{Bre75} Brent, R. P. 
 ``Multiple-Precision Zero-Finding Methods and the Complexity 
-of Elementary Function Evaluation, Analytic Computational Complexity''\\
+of Elementary Function Evaluation, Analytic Computational Complexity''
 J. F. Traub, Ed., Academic Press, New York 1975, 151-176 
 
-\bibitem[Brent 78]{BK78} Brent, R. P.; Kung, H. T.\\
-``Fast Algorithms for Manipulating Formal Power Series''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Brent 78]{BK78} Brent, R. P.; Kung, H. T.
+``Fast Algorithms for Manipulating Formal Power Series''
 Journal of the Association for Computing Machinery, 
 Vol. 25, No. 4, October 1978, 581-595
 
-\bibitem[Brigham 73]{Bri73} Brigham E O\\
-``The Fast Fourier Transform''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Brigham 73]{Bri73} Brigham E O
+``The Fast Fourier Transform''
 Prentice-Hall. (1973)
 
-\bibitem[Brillhart 69]{Bri69} Brillhart, John\\
-``On the Euler and Bernoulli polynomials''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Brillhart 69]{Bri69} Brillhart, John
+``On the Euler and Bernoulli polynomials''
 J. Reine Angew. Math., v. 234, (1969), pp. 45-64
 
-\bibitem[Brillhart 90]{Bri90} Brillhart, John\\
-``Note on Irreducibility Testing''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Brillhart 90]{Bri90} Brillhart, John
+``Note on Irreducibility Testing''
 Mathematics of Computation, vol. 35, num. 35, Oct. 1980, 1379-1381
 
-\bibitem[Bronstein 98a]{Bro98a} Bronstein, M.; Grabmeier, J.; Weispfenning, V. (eds)\\
-``Symbolic Rewriting Techniques''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Bronstein 98a]{Bro98a} Bronstein, M.; Grabmeier, J.; Weispfenning, V. (eds)
+``Symbolic Rewriting Techniques''
 Progress in Computer Science and Applied Logic 15, Birkhauser-Verlag, Basel 
 ISBN 3-7643-5901-3 (1998)
 
-\bibitem[Bronstein 88]{Bro88} Bronstein, Manual\\
-``The Transcendental Risch Differential Equation''\\
-J. Symbolic Computation (1990) 9, pp49-60 Feb 1988\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Bronstein 88]{Bro88} Bronstein, Manual
+``The Transcendental Risch Differential Equation''
+J. Symbolic Computation (1990) 9, pp49-60 Feb 1988
 IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
 \verb|www.sciencedirect.com/science/article/pii/S0747717108800065|
 %\verb|axiom-developer.org/axiom-website/papers/Bro88.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We present a new rational algorithm for solving Risch differential
 equations in towers of transcendental elementary extensions. In
@@ -2580,47 +4218,18 @@ solution. Implementation timings show this approach to be faster than
 a Hermite-like reduction.
 \end{adjustwidth}
 
-\bibitem[Bronstein 90a]{Bro90a} Bronstein, Manuel\\
-``Integration of Elementary Functions''\\
-J. Symbolic Computation (1990) 9, pp117-173 September 1988
-%\verb|axiom-developer.org/axiom-website/papers/Bro90a.pdf|
-
-\begin{adjustwidth}{2.5em}{0pt}
-We extend a recent algorithm of Trager to a decision procedure for the
-indefinite integration of elementary functions. We can express the
-integral as an elementary function or prove that it is not
-elementary. We show that if the problem of integration in finite terms
-is solvable on a given elementary function field $k$, then it is
-solvable in any algebraic extension of $k(\theta)$, where $\theta$ is
-a logarithm or exponential of an element of $k$. Our proof considers
-an element of such an extension field to be an algebraic function of
-one variable over $k$.
-
-In his algorithm for the integration of algebraic functions, Trager
-describes a Hermite-type reduction to reduce the problem to an
-integrand with only simple finite poles on the associated Riemann
-surface. We generalize that technique to curves over liouvillian
-ground fields, and use it to simplify our integrands.  Once the
-multipe finite poles have been removed, we use the Puiseux expansions
-of the integrand at infinity and a generalization of the residues to
-compute the integral. We also generalize a result of Rothstein that
-gives us a necessary condition for elementary integrability, and
-provide examples of its use.
-\end{adjustwidth}
-
-\bibitem[Bronstein 90c]{Bro90c} Bronstein, M.\\
-``On the integration of elementary functions''\\
-{\sl Journal of Symbolic Computation} 9(2):117-173, February 1990
-
-\bibitem[Bronstein 93]{REF-BS93} Bronstein, Manuel; Salvy, Bruno\\
-``Full partial fraction decomposition of rational functions''\\
-In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993\\
-\verb|www.acm.org/pubs/citations/proceedings/issac/164081/|
+\begin{chunk}{axiom.bib}
+@techreport{Bron98,
+  author = "Bronstein, Manuel",
+  title = "The lazy hermite reduction",
+  type = "Rapport de Recherche",
+  number = "RR-3562",
+  year = "1998",
+  institution = "French Institute for Research in Computer Science",
+  paper = "Bron98.pdf"
+}
 
-\bibitem[Bronstein 98]{REF-Bro98} Bronstein, M.\\
-``The lazy hermite reduction''\\
-Rapport de Recherche RR-3562, INRIA, 1998
-%\verb|axiom-developer.org/axiom-website/papers/REF-Bro98.pdf|
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 The Hermite reduction is a symbolic integration technique that reduces
@@ -2635,18 +4244,28 @@ element or integral basis, computing the smallest order necessary for
 a particular integrand along the way.
 \end{adjustwidth}
 
-\bibitem[Bronstein 98b]{Bro98b} Bronstein, Manuel\\
-``Symbolic Integration Tutorial''\\
-INRIA Sophia Antipolis ISSAC 1998 Rostock
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac98.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Bro98b.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Bro98b,
+  author = "Bronstein, Manuel",
+  title = "Symbolic Integration Tutorial",
+  series = "ISSAC'98",
+  year = "1998",
+  address = "INRIA Sophia Antipolis",
+  url = "http://www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac98.pdf",
+  paper = "Bro98b.pdf"
+}
 
-\bibitem[Brown 99]{Brow99} Brown, Christopher W.\\
-``Solution Formula Construction for Truth Invariant CADs''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Brown 99]{Brow99} Brown, Christopher W.
+``Solution Formula Construction for Truth Invariant CADs''
 Ph.D Thesis, Univ. Delaware (1999)
 \verb|www.usna.edu/Users/cs/wcbrown/research/thesis.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Brow99.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The CAD-based quantifier elimination algorithm takes a formula from
 the elementary theory of real closed fields as input, and constructs a
@@ -2674,10 +4293,13 @@ implementation of quantifier elimination by CAD. Example computations
 based on these implementations are discussed.
 \end{adjustwidth}
 
-\bibitem[Brown 02]{Brow02} Brown, Christopher W.\\
-``QEPCAD B -- A program for computing with semi-algebraic sets using CADs''\\
+\begin{chunk}{ignore}
+\bibitem[Brown 02]{Brow02} Brown, Christopher W.
+``QEPCAD B -- A program for computing with semi-algebraic sets using CADs''
 %\verb|axiom-developer.org/axiom-website/papers/Brow02.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This report introduces QEPCAD B, a program for computing with real
 algebraic sets using cylindrical algebraic decomposition (CAD). QEPCAD
@@ -2692,39 +4314,91 @@ basic CAD implementation and to the SACLIB library on which QEPCAD is
 based are the results of many people's work.
 \end{adjustwidth}
 
+\begin{chunk}{axiom.bib}
+@article{Burg74,
+  author = "William H. Burge",
+  title = "Stream Processing Functions",
+  year = "1974",
+  month = "January",
+  journal = "IBM Journal of Research and Development",
+  volume = "19",
+  issue = "1",
+  pages = "12-25",
+  papers = "Burg74.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+One principle of structured programming is that a program should be
+separated into meaningful independent subprograms, which are then
+combined so that the relation of the parts to the whole can be clearly
+established.  This paper describes several alternative ways to compose
+programs. The main method used is to permit the programmer to denote
+by an expression the sequence of values taken on by a variable. The
+sequence is represented by a function called a stream, which is a
+functional analog of a coroutine. The conventional while and for loops
+of structured programming may be composed by a technique of stream
+processing (analogous to list processing), which results in more
+structured programs than the orignals. This technique makes it
+possible to structure a program in a natural way into its logically
+separate parts, which can then be considered independently.
+\end{adjustwidth}
+
 \subsection{C} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Carlson 65]{Car65} Carlson B C\\
-``On Computing Elliptic Integrals and Functions''\\
+\begin{chunk}{ignore}
+\bibitem[Carlson 65]{Car65} Carlson B C
+``On Computing Elliptic Integrals and Functions''
 J Math Phys. 44 36--51. (1965)
 
-\bibitem[Carlson 77a]{Car77a} Carlson B C\\
-``Elliptic Integrals of the First Kind''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Carlson 77a]{Car77a} Carlson B C
+``Elliptic Integrals of the First Kind''
 SIAM J Math Anal. 8 231--242. (1977)
 
-\bibitem[Carlson 77b]{Car77b} Carlson B C\\
-``Special Functions of Applied Mathematics''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Carlson 77b]{Car77b} Carlson B C
+``Special Functions of Applied Mathematics''
 Academic Press. (1977)
 
-\bibitem[Carlson 78]{Car78} Carlson B C,\\
-``Computing Elliptic Integrals by Duplication''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Carlson 78]{Car78} Carlson B C,
+``Computing Elliptic Integrals by Duplication''
 (Preprint) Department of Physics, Iowa State University. (1978)
 
-\bibitem[Carlson 88]{Car88} Carlson B C,\\
-``A Table of Elliptic Integrals of the Third Kind''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Carlson 88]{Car88} Carlson B C,
+``A Table of Elliptic Integrals of the Third Kind''
 Math. Comput. 51 267--280. (1988)
 
-\bibitem[Cauchy 1829]{Cau1829} Augustin-Lux Cauchy\\
-``Exercices de Math\'ematiques Quatri\`eme Ann\'ee. De Bure Fr\`eres''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Cauchy 1829]{Cau1829} Augustin-Lux Cauchy
+``Exercices de Math\'ematiques Quatri\`eme Ann\'ee. De Bure Fr\`eres''
 Paris 1829 (reprinted Oeuvres, II S\'erie, Tome IX,
 Gauthier-Villars, Paris, 1891).
 
-\bibitem[Ch\`eze 07]{Chez07} Ch\'eze, Guillaume; Lecerf, Gr\'egoire\\
-``Lifting and recombination techniques for absolute factorization''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ch\`eze 07]{Chez07} Ch\'eze, Guillaume; Lecerf, Gr\'egoire
+``Lifting and recombination techniques for absolute factorization''
 Journal of Complexity, VOl 23 Issue 3 June 2007 pp 380-420
 \verb|www.sciencedirect.com/science/article/pii/S0885064X07000465|
 %\verb|axiom-developer.org/axiom-website/papers/Chez07.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In the vein of recent algorithmic advances in polynomial factorization
 based on lifting and recombination techniques, we present new faster
@@ -2733,198 +4407,322 @@ polynomial. The running time of our probabilistic algorithm is less
 than quadratic in the dense size of the polynomial to be factored.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Childs 79]{CSDDN79} Childs B; Scott M; Daniel J W; Denman E; 
-Nelson P (eds)\\
-``Codes for Boundary-value Problems in Ordinary Differential Equations''\\
+Nelson P (eds)
+``Codes for Boundary-value Problems in Ordinary Differential Equations''
 Lecture Notes in Computer Science. 76 (1979) Springer-Verlag
 
-\bibitem[Clausen 89]{Cla89} Clausen, M.; Fortenbacher, A.\\
-``Efficient Solution of Linear Diophantine Equations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Clausen 89]{Cla89} Clausen, M.; Fortenbacher, A.
+``Efficient Solution of Linear Diophantine Equations''
 JSC (1989) 8, 201-216
 
-\bibitem[Clenshaw 55]{Cle55} Clenshaw C W,\\
-``A Note on the Summation of Chebyshev Series''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Clenshaw 55]{Cle55} Clenshaw C W,
+``A Note on the Summation of Chebyshev Series''
 Math. Tables Aids Comput. 9 118--120. (1955) 
 
-\bibitem[Clenshaw 60]{Cle60} Clenshaw C W\\
-``Curve Fitting with a Digital Computer''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Clenshaw 60]{Cle60} Clenshaw C W
+``Curve Fitting with a Digital Computer''
 Comput. J. 2 170--173. (1960)
 
-\bibitem[Clenshaw 62]{Cle62} Clenshaw C W\\
-``Mathematical Tables. Chebyshev Series for Mathematical Functions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Clenshaw 62]{Cle62} Clenshaw C W
+``Mathematical Tables. Chebyshev Series for Mathematical Functions''
 HMSO. (1962)
 
-\bibitem[Cline 84]{CR84} Cline A K; Renka R L,\\
-``A Storage-efficient Method for Construction of a Thiessen Triangulation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Cline 84]{CR84} Cline A K; Renka R L,
+``A Storage-efficient Method for Construction of a Thiessen Triangulation''
 Rocky Mountain J. Math. 14 119--139. (1984) 
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Conway 87]{CCNPW87} Conway, J.; Curtis, R.; Norton, S.; Parker, R.;
-Wilson, R.\\
-``Atlas of Finite Groups''\\
+Wilson, R.
+``Atlas of Finite Groups''
 Oxford, Clarendon Press, 1987
 
-\bibitem[Conway 03]{CS03} Conway, John H.; Smith, Derek, A.\\
-``On Quaternions and Octonions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Conway 03]{CS03} Conway, John H.; Smith, Derek, A.
+``On Quaternions and Octonions''
 A.K Peters, Natick, MA. (2003) ISBN 1-56881-134-9
 
-\bibitem[Cox 72]{Cox72} Cox M G\\
-``The Numerical Evaluation of B-splines''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Cox 72]{Cox72} Cox M G
+``The Numerical Evaluation of B-splines''
 J. Inst. Math. Appl. 10 134--149. (1972)
 
-\bibitem[CH 73]{CH73} Cox M G; Hayes J G\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[CH 73]{CH73} Cox M G; Hayes J G
 ``Curve fitting: a guide and suite of algorithms for the 
-non-specialist user''\\
+non-specialist user''
 Report NAC26. National Physical Laboratory.  (1973) 
 
-\bibitem[Cox 74a]{Cox74a} Cox M G\\
-``A Data-fitting Package for the Non-specialist User''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Cox 74a]{Cox74a} Cox M G
+``A Data-fitting Package for the Non-specialist User''
 Software for Numerical Mathematics. (ed D J Evans) Academic Press. (1974) 
 
-\bibitem[Cox 74b]{Cox74b} Cox M G\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Cox 74b]{Cox74b} Cox M G
 ``Numerical methods for the interpolation and approximation of data 
-by spline functions''\\
+by spline functions''
 PhD Thesis. City University, London. (1975) 
 
-\bibitem[Cox 75]{Cox75} Cox M G\\
-``An Algorithm for Spline Interpolation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Cox 75]{Cox75} Cox M G
+``An Algorithm for Spline Interpolation''
 J. Inst. Math. Appl. 15 95--108. (1975) 
 
-\bibitem[Cox 77]{Cox77} Cox M G\\
-``A Survey of Numerical Methods for Data and Function Approximation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Cox 77]{Cox77} Cox M G
+``A Survey of Numerical Methods for Data and Function Approximation''
 The State of the Art in Numerical Analysis. (ed D A H Jacobs) 
 Academic Press. 627--668. (1977)
+ keywords = "survey",
+
+\end{chunk}
 
-\bibitem[Cox 78]{Cox78} Cox M G\\
-``The Numerical Evaluation of a Spline from its B-spline Representation''\\
+\begin{chunk}{ignore}
+\bibitem[Cox 78]{Cox78} Cox M G
+``The Numerical Evaluation of a Spline from its B-spline Representation''
 J. Inst. Math. Appl. 21 135--143. (1978) 
 
-\bibitem[Curtis 74]{CPR74} Curtis A R; Powell M J D; Reid J K\\
-``On the Estimation of Sparse Jacobian Matrices''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Curtis 74]{CPR74} Curtis A R; Powell M J D; Reid J K
+``On the Estimation of Sparse Jacobian Matrices''
 J. Inst. Maths Applics. 13 117--119. (1974) 
 
+\end{chunk}
+
 \subsection{D} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Dahlquist 74]{DB74} Dahlquist G; Bjork A\\
-``Numerical Methods''\\
+\begin{chunk}{ignore}
+\bibitem[Dahlquist 74]{DB74} Dahlquist G; Bjork A
+``Numerical Methods''
 Prentice- Hall. (1974)
 
-\bibitem[Dalmas 98]{DA98} Dalmas, Stephane; Arsac, Olivier\\
-``The INRIA OpenMath Library''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dalmas 98]{DA98} Dalmas, Stephane; Arsac, Olivier
+``The INRIA OpenMath Library''
 Projet SAFIR, INRIA Sophia Antipolis Nov 25, 1998
 
-\bibitem[Dantzig 63]{Dan63} Dantzig G B\\
-``Linear Programming and Extensions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dantzig 63]{Dan63} Dantzig G B
+``Linear Programming and Extensions''
 Princeton University Press. (1963) 
 
-\bibitem[Davenport]{Dav} Davenport, James\\
-``On Brillhart Irreducibility.''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport]{Dav} Davenport, James
+``On Brillhart Irreducibility.''
 To appear.
 
-\bibitem[Davenport 93]{Ref-Dav93} Davenport, J.H.\\
-``Primality testing revisited''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 93]{Ref-Dav93} Davenport, J.H.
+``Primality testing revisited''
 Technical Report TR2/93
 (ATR/6)(NP2556) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA
-and Oxford, UK, August 1993\\
+and Oxford, UK, August 1993
 \verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
-\bibitem[Davis 67]{DR67} Davis P J; Rabinowitz P\\
-``Numerical Integration''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davis 67]{DR67} Davis P J; Rabinowitz P
+``Numerical Integration''
 Blaisdell Publishing Company. 33--52. (1967) 
 
-\bibitem[Davis 75]{DR75} Davis P J; Rabinowitz P\\
-``Methods of Numerical Integration''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davis 75]{DR75} Davis P J; Rabinowitz P
+``Methods of Numerical Integration''
 Academic Press. (1975) 
 
-\bibitem[DeBoor 72]{DeB72} De Boor C\\
-``On Calculating with B-splines''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[DeBoor 72]{DeB72} De Boor C
+``On Calculating with B-splines''
 J. Approx. Theory. 6 50--62. (1972) 
 
-\bibitem[De Doncker 78]{DeD78} De Doncker E,\\
-``An Adaptive Extrapolation Algorithm for Automatic Integration''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[De Doncker 78]{DeD78} De Doncker E,
+``An Adaptive Extrapolation Algorithm for Automatic Integration''
 Signum Newsletter. 13 (2) 12--18. (1978) 
 
-\bibitem[Demmel 89]{Dem89} Demmel J W\\
-``On Floating-point Errors in Cholesky''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Demmel 89]{Dem89} Demmel J W
+``On Floating-point Errors in Cholesky''
 LAPACK Working Note No. 14. University of Tennessee, Knoxville. 1989
 
-\bibitem[Dennis 77]{DM77} Dennis J E Jr; More J J\\
-``Quasi-Newton Methods, Motivation and Theory''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dennis 77]{DM77} Dennis J E Jr; More J J
+``Quasi-Newton Methods, Motivation and Theory''
 SIAM Review. 19 46--89. 1977
 
-\bibitem[Dennis 81]{DS81} Dennis J E Jr; Schnabel R B\\
-``A New Derivation of Symmetric Positive-Definite Secant Updates''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dennis 81]{DS81} Dennis J E Jr; Schnabel R B
+``A New Derivation of Symmetric Positive-Definite Secant Updates''
 Nonlinear Programming 4. (ed O L Mangasarian, R R Meyer and S M. Robinson) 
 Academic Press. 167--199. (1981) 
 
-\bibitem[Dennis 83]{DS83} Dennis J E Jr; Schnabel R B\\
-``Numerical Methods for Unconstrained Optimixation and Nonlinear Equations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dennis 83]{DS83} Dennis J E Jr; Schnabel R B
+``Numerical Methods for Unconstrained Optimixation and Nonlinear Equations''
 Prentice-Hall.(1983) 
 
-\bibitem[Dierckx 75]{Die75} Dierckx P\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dierckx 75]{Die75} Dierckx P
 ``An Algorithm for Smoothing, Differentiating and Integration of 
-Experimental Data Using Spline Functions''\\
+Experimental Data Using Spline Functions''
 J. Comput. Appl. Math. 1 165--184. (1975) 
 
-\bibitem[Dierckx 81]{Die81} Dierckx P\\
-``An Improved Algorithm for Curve Fitting with Spline Functions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dierckx 81]{Die81} Dierckx P
+``An Improved Algorithm for Curve Fitting with Spline Functions''
 Report TW54. Dept. of Computer Science, Katholieke Universiteit Leuven. 1981
 
-\bibitem[Dierckx 82]{Die82} Dierckx P\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Dierckx 82]{Die82} Dierckx P
 ``A Fast Algorithm for Smoothing Data on a Rectangular Grid while using 
-Spline Functions''\\
+Spline Functions''
 SIAM J. Numer. Anal. 19 1286--1304. (1982) 
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Dongarra 79]{DMBS79} Dongarra J J; Moler C B; Bunch J R; 
-Stewart G W\\
-``LINPACK Users' Guide''\\
+Stewart G W
+``LINPACK Users' Guide''
 SIAM, Philadelphia. (1979)
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Dongarra 85]{DCHH85} Dongarra J J; Du Croz J J; Hammarling S;
-Hanson R J\\
+Hanson R J
 ``A Proposal for an Extended set of Fortran Basic Linear 
-Algebra Subprograms''\\
+Algebra Subprograms''
 SIGNUM Newsletter. 20 (1) 2--18. (1985) 
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Dongarra 88]{REF-DON88} Dongarra, Jack J.; Du Croz, Jeremy; 
-Hammarling, Sven; Hanson, Richard J.\\
-``An Extended Set of FORTRAN Basic Linear Algebra Subroutines''\\
+Hammarling, Sven; Hanson, Richard J.
+``An Extended Set of FORTRAN Basic Linear Algebra Subroutines''
 ACM Transactions on Mathematical Software, Vol 14, No 1, March 1988,
 pp 1-17
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Dongarra 88a]{REF-DON88a} Dongarra, Jack J.; Du Croz, Jeremy;
-Hammarling, Sven; Hanson, Richard J.\\
+Hammarling, Sven; Hanson, Richard J.
 ``ALGORITHM 656: An Extended Set of Basic Linear Algebra Subprograms:
-Model Implementation and Test Programs''\\
+Model Implementation and Test Programs''
 ACM Transactions on Mathematical Software, Vol 14, No 1, March 1988,
 pp 18-32
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Dongarra 90]{REF-DON90} Dongarra, Jack J.; Du Croz, Jeremy;
-Hammarling, Sven; Duff, Iain S.\\
-``A Set of Level 3 Basic Linear Algebra Subprograms''\\
+Hammarling, Sven; Duff, Iain S.
+``A Set of Level 3 Basic Linear Algebra Subprograms''
 ACM Transactions on Mathematical Software, Vol 16, No 1, March 1990,
 pp 1-17
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Dongarra 90a]{REF-DON90a} Dongarra, Jack J.; Du Croz, Jeremy;
-Hammarling, Sven; Duff, Iain S.\\
+Hammarling, Sven; Duff, Iain S.
 ``ALGORITHM 679: A Set of Level 3 Basic Linear Algebra Subprograms: 
-Model Implementation and Test Programs''\\
+Model Implementation and Test Programs''
 ACM Transactions on Mathematical Software, Vol 16, No 1, March 1990,
 pp 18-28
 
-\bibitem[Ducos 00]{Duc00} Ducos, Lionel\\
-``Optimizations of the subresultant algorithm''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ducos 00]{Duc00} Ducos, Lionel
+``Optimizations of the subresultant algorithm''
 Journal of Pure and Applied Algebra V145 No 2 Jan 2000 pp149-163
 
-\bibitem[Duff 77]{Duff77} Duff I S,\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Duff 77]{Duff77} Duff I S,
 ``MA28 -- a set of Fortran subroutines for sparse unsymmetric linear 
-equations''\\
+equations''
 A.E.R.E. Report R.8730. HMSO. (1977) 
 
-\bibitem[Duval 96a]{Duva96a} Duval, D.; Gonz\'alez-Vega, L.\\
-``Dynamic Evaluation and Real Closure''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Duval 96a]{Duva96a} Duval, D.; Gonz\'alez-Vega, L.
+``Dynamic Evaluation and Real Closure''
 Mathematics and Computers in Simulation 42 pp 551-560 (1996)
 %\verb|axiom-developer.org/axiom-website/papers/Duva96a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The aim of this paper is to present how the dynamic evaluation method
 can be used to deal with the real closure of an ordered field. Two
@@ -2935,11 +4733,14 @@ field. Sign tests are handled throug a structure called ``Tarski data
 type''.
 \end{adjustwidth}
 
-\bibitem[Duval 96]{Duva96} Duval, D.; Reynaud, J.C.\\
-``Sketches and Computations over Fields''\\
+\begin{chunk}{ignore}
+\bibitem[Duval 96]{Duva96} Duval, D.; Reynaud, J.C.
+``Sketches and Computations over Fields''
 Mathematics and Computers in Simulation 42 pp 363-373 (1996)
 %\verb|axiom-developer.org/axiom-website/papers/Duva96.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The goal of this short paper is to describe one possible use of
 sketches in computer algebra. We show that sketches are a powerful
@@ -2947,12 +4748,15 @@ tool for the description of mathematical structures and for the
 description of computations.
 \end{adjustwidth}
 
-\bibitem[Duval 94a]{Duva94a} Duval, D.; Reynaud, J.C.\\
-``Sketches and Computation (Part I): Basic Definitions and Static Evaluation''\\
+\begin{chunk}{ignore}
+\bibitem[Duval 94a]{Duva94a} Duval, D.; Reynaud, J.C.
+``Sketches and Computation (Part I): Basic Definitions and Static Evaluation''
 Mathematical Structures in Computer Science, 4, p 185-238 Cambridge University Press (1994)
 \verb|journals.cambridge.org/abstract_S0960129500000438|
 %\verb|axiom-developer.org/axiom-website/papers/Duva94a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We define a categorical framework, based on the notion of {\sl
 sketch}, for specification and evaluation in the sense of algebraic
@@ -2969,12 +4773,15 @@ general process, called {\sl dynamic evaluation}, for structures that
 may have no initial model.
 \end{adjustwidth}
 
-\bibitem[Duval 94b]{Duva94b} Duval, D.; Reynaud, J.C.\\
-``Sketches and Computation (Part II): Dynamic Evaluation and Applications''\\
-Mathematical Structures in Computer Science, 4, p 239-271. Cambridge University Press (1994)\\
+\begin{chunk}{ignore}
+\bibitem[Duval 94b]{Duva94b} Duval, D.; Reynaud, J.C.
+``Sketches and Computation (Part II): Dynamic Evaluation and Applications''
+Mathematical Structures in Computer Science, 4, p 239-271. Cambridge University Press (1994)
 \verb|journals.cambridge.org/abstract_S096012950000044X|
 %\verb|axiom-developer.org/axiom-website/papers/Duva94b.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In the first part of this paper (Duval and Reynaud 1994), we defined a
 categorical framework, based on the notion of {\sl sketch}, for
@@ -2989,12 +4796,15 @@ give some applications of dynamic evaluation to computation in field
 extensions.
 \end{adjustwidth}
 
-\bibitem[Duval 94c]{Duva94c} Duval, Dominique\\
-``Algebraic Numbers: An Example of Dynamic Evaluation''\\
-J. Symbolic Computation 18, 429-445 (1994)\\
+\begin{chunk}{ignore}
+\bibitem[Duval 94c]{Duva94c} Duval, Dominique
+``Algebraic Numbers: An Example of Dynamic Evaluation''
+J. Symbolic Computation 18, 429-445 (1994)
 \verb|www.sciencedirect.com/science/article/pii/S0747717106000551|
 %\verb|axiom-developer.org/axiom-website/papers/Duva94c.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Dynamic evaluation is presented through examples: computations
 involving algebraic numbers, automatic case discussion according to
@@ -3005,11 +4815,14 @@ according to the approach of sketch theory.
 
 \subsection{F} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Fateman 08]{Fat08} Fateman, Richard\\
-``Revisiting numeric/symbolic indefinite integration of rational functions, and extensions''\\
+\begin{chunk}{ignore}
+\bibitem[Fateman 08]{Fat08} Fateman, Richard
+``Revisiting numeric/symbolic indefinite integration of rational functions, and extensions''
 \verb|www.eecs.berkeley.edu/~fateman/papers/integ.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Fat08.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We know we can solve this problem: Given any rational function
 $f(x)=p(x)/q(x)$, where $p$ and $q$ are univariate polynomials over
@@ -3023,37 +4836,63 @@ best answer the more useful questions?  Finally, what if the integrand
 is not a ratio of polynomials, but something more challenging?
 \end{adjustwidth}
 
-\bibitem[Fletcher 01]{Fl01} Fletcher, John P.\\
-``Symbolic processing of Clifford Numbers in C++''\\
-Paper 25, AGACSE 2001.
+\begin{chunk}{axiom.bib}
+@misc{Flet01,
+  author = "Fletcher, John P.",
+  title = "Symbolic processing of Clifford Numbers in C++",
+  year = "2001",
+  journal = "Paper 25, AGACSE 2001."
+}
+
+\end{chunk}
 
-\bibitem[Fletcher 09]{Fl09} Fletcher, John P.\\
-``Clifford Numbers and their inverses calculated using the matrix 
-representation.''\\
-Chemical Engineering and
-Applied Chemistry, School of Engineering and Applied Science, Aston
-University, Aston Triangle, Birmingham B4 7 ET, U. K. \\
-\verb|www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php|
+\begin{chunk}{axiom.bib}
+@misc{Flet09,
+  author = "Fletcher, John P.",
+  title = "Clifford Numbers and their inverses calculated using the matrix representation",
+  publisher = "Chemical Engineering and Applied Chemistry, School of Engineering and Applied Science, Aston University, Aston Triangle, Birmingham B4 7 ET, U. K.",
+  url = "http://www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php"
+}
 
-\bibitem[Fletcher 81]{Fle81} Fletcher R\\
-``Practical Methods of Optimization''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Fletcher 81]{Fle81} Fletcher R
+``Practical Methods of Optimization''
 Vol 2. Constrained Optimization. Wiley. (1981) 
 
-\bibitem[Floyd 63]{Flo63} Floyd, R. W.\\
-``Semantic Analysis and Operator Precedence''\\
-JACM 10, 3, 316-333 (1963)
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Floy63,
+  author = "Floyd, R. W.",
+  title = "Semantic Analysis and Operator Precedence",
+  journal = "JACM",
+  volume = "10",
+  number = "3",
+  pages = "316-333",
+  year = "1963"
+}
+
+\end{chunk}
 
-\bibitem[Forsythe 57]{For57} Forsythe G E,\\
+\begin{chunk}{ignore}
+\bibitem[Forsythe 57]{For57} Forsythe G E,
 ``Generation and use of orthogonal polynomials for data fitting 
-with a digital computer''\\
+with a digital computer''
 J. Soc. Indust. Appl. Math. 5 74--88. (1957) 
 
-\bibitem[Fortenbacher 90]{REF-For90} Fortenbacher, A.\\
-``Efficient type inference and coercion in computer algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Fortenbacher 90]{REF-For90} Fortenbacher, A.
+``Efficient type inference and coercion in computer algebra''
 Design and Implementation of Symbolic Computation Systems (DISCO 90)
 A. Miola, (ed) vol 429 of Lecture Notes in Computer Science
 Springer-Verlag, pp56-60
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Computer algebra systems of the new generation, like Scratchpad, are
 characterized by a very rich type concept, which models the
@@ -3069,38 +4908,59 @@ efficient coercion algorith for Scratchpad is constructed using graph
 techniques.
 \end{adjustwidth}
 
-\bibitem[Fox 68]{Fox68} Fox L.; Parker I B.\\
-``Chebyshev Polynomials in Numerical Analysis''\\
+\begin{chunk}{ignore}
+\bibitem[Fox 68]{Fox68} Fox L.; Parker I B.
+``Chebyshev Polynomials in Numerical Analysis''
 Oxford University Press. (1968)
 
-\bibitem[Franke 80]{FN80} Franke R.; Nielson G\\
-``Smooth Interpolation of Large Sets of Scattered Data''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Franke 80]{FN80} Franke R.; Nielson G
+``Smooth Interpolation of Large Sets of Scattered Data''
 Internat. J. Num. Methods Engrg. 15 1691--1704. (1980) 
 
-\bibitem[Fritsch 82]{Fri82} Fritsch F N\\
-``PCHIP Final Specifications''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Fritsch 82]{Fri82} Fritsch F N
+``PCHIP Final Specifications''
 Report UCID-30194. Lawrence Livermore National Laboratory. (1982) 
 
-\bibitem[Fritsch 84]{FB84} Fritsch F N.; Butland J.\\
-``A Method for Constructing Local Monotone Piecewise Cubic Interpolants''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Fritsch 84]{FB84} Fritsch F N.; Butland J.
+``A Method for Constructing Local Monotone Piecewise Cubic Interpolants''
 SIAM J. Sci. Statist. Comput. 5 300--304. (1984) 
 
-\bibitem[Froberg 65]{Fro65} Froberg C E.\\
-``Introduction to Numerical Analysis''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Froberg 65]{Fro65} Froberg C E.
+``Introduction to Numerical Analysis''
 Addison-Wesley. 181--187. (1965) 
 
+\end{chunk}
+
 \subsection{G} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Garcia 95]{Ga95} Garcia, A.; Stichtenoth, H.\\
+\begin{chunk}{ignore}
+\bibitem[Garcia 95]{Ga95} Garcia, A.; Stichtenoth, H.
 ``A tower of Artin-Schreier extensions of function fields attaining the 
-Drinfeld-Vladut bound''\\
+Drinfeld-Vladut bound''
 Invent. Math., vol. 121, 1995, pp. 211--222.
 
-\bibitem[Gathen 90a]{Gat90a} Gathen, Joachim von zur; Giesbrecht, Mark\\
-``Constructing Normal Bases in Finite Fields''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gathen 90a]{Gat90a} Gathen, Joachim von zur; Giesbrecht, Mark
+``Constructing Normal Bases in Finite Fields''
 J. Symbolic Computation pp 547-570 (1990)
 %\verb|axiom-developer.org/axiom-website/papers/Gat90a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 An efficient probabilistic algorithm to find a normal basis in a
 finite field is presented. It can, in fact, find an element of
@@ -3110,165 +4970,274 @@ polynomial-time reduction from finding primitive normal elements to
 finding primitive elements.
 \end{adjustwidth}
 
-\bibitem[Gathen 90]{Gat90} Gathen, Joachim von zur\\
-``Functional Decomposition Polynomials: the Tame Case''\\
+\begin{chunk}{ignore}
+\bibitem[Gathen 90]{Gat90} Gathen, Joachim von zur
+``Functional Decomposition Polynomials: the Tame Case''
 Journal of Symbolic Computation (1990) 9, 281-299
 
-\bibitem[Gathen 99]{GG99} Gathen, Joachim von zur; Gerhard, J\"urgen\\
-``Modern Computer Algebra''\\
-Cambridge University Press 1999 ISBN 0-521-64176-4
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@book{Gath99,
+  author = {{von zur Gathen}, Joachim and Gerhard, J\"urgen},
+  title = "Modern Computer Algebra",
+  publisher = "Cambridge University Press",
+  year = "1999",
+  isbn = "0-521-64176-4"
+}
 
-\bibitem[Gautschi 79a]{Gau79a} Gautschi W.\\
-``A Computational Procedure for Incomplete Gamma Functions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gautschi 79a]{Gau79a} Gautschi W.
+``A Computational Procedure for Incomplete Gamma Functions''
 ACM Trans. Math. Softw. 5 466--481. (1979)
 
-\bibitem[Gautschi 79b]{Gau79b} Gautschi W.\\
-``Algorithm 542: Incomplete Gamma Functions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gautschi 79b]{Gau79b} Gautschi W.
+``Algorithm 542: Incomplete Gamma Functions''
 ACM Trans. Math. Softw. 5 482--489.  (1979)
 
-\bibitem[Gentlemen 69]{Gen69} Gentlemen W M\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gentlemen 69]{Gen69} Gentlemen W M
 ``An Error Analysis of Goertzel's (Watt's) Method for Computing 
-Fourier Coefficients''\\
+Fourier Coefficients''
 Comput. J. 12 160--165. (1969) 
 
-\bibitem[Gentleman 73]{Gen73} Gentleman W M.\\ 
-``Least-squares Computations by Givens Transformations without Square Roots''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gentleman 73]{Gen73} Gentleman W M. 
+``Least-squares Computations by Givens Transformations without Square Roots''
 J. Inst. Math. Applic. 12 329--336. (1973) 
 
-\bibitem[Gentleman 74]{Gen74} Gentleman W M.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gentleman 74]{Gen74} Gentleman W M.
 ``Algorithm AS 75. Basic Procedures for Large Sparse or 
-Weighted Linear Least-squares Problems''\\
+Weighted Linear Least-squares Problems''
 Appl. Statist. 23 448--454. (1974) 
 
-\bibitem[Gentlemen 74a]{GM74a} Gentleman W. M.; Marovich S. B.\\ 
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gentlemen 74a]{GM74a} Gentleman W. M.; Marovich S. B. 
 ``More on algorithms  that reveal properties of floating point 
-arithmetic units''\\
+arithmetic units''
 Comms. of the ACM, 17, 276-277.  (1974)
 
-\bibitem[Genz 80]{GM80} Genz A C.;  Malik A A.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Genz 80]{GM80} Genz A C.;  Malik A A.
 ``An Adaptive Algorithm for Numerical Integration over an N-dimensional 
-Rectangular Region''\\
+Rectangular Region''
 J. Comput. Appl. Math. 6 295--302.  (1980) 
 
-\bibitem[Gill 72]{GM72} Gill P E.; Miller G F.\\
-``An Algorithm for the Integration of Unequally Spaced Data''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 72]{GM72} Gill P E.; Miller G F.
+``An Algorithm for the Integration of Unequally Spaced Data''
 Comput. J. 15 80--83. (1972) 
 
-\bibitem[Gill 74b]{GM74b} Gill P E.; Murray W. (eds)\\
-``Numerical Methods for Constrained Optimization''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 74b]{GM74b} Gill P E.; Murray W. (eds)
+``Numerical Methods for Constrained Optimization''
 Academic Press. (1974) 
 
-\bibitem[Gill 76a]{GM76a} Gill P E.; Murray W.\\
-``Minimization subject to bounds on the variables''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 76a]{GM76a} Gill P E.; Murray W.
+``Minimization subject to bounds on the variables''
 Report NAC 72. National Physical Laboratory. (1976) 
 
-\bibitem[Gill 76b]{GM76b} Gill P E.; Murray W.\\
-``Algorithms for the Solution of the Nonlinear Least-squares Problem''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 76b]{GM76b} Gill P E.; Murray W.
+``Algorithms for the Solution of the Nonlinear Least-squares Problem''
 NAC 71 National Physical Laboratory. (1976)
 
-\bibitem[Gill 78]{GM78} Gill P E.; Murray W.\\
-``Algorithms for the Solution of the Nonlinear Least-squares Problem''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 78]{GM78} Gill P E.; Murray W.
+``Algorithms for the Solution of the Nonlinear Least-squares Problem''
 SIAM J. Numer. Anal. 15 977--992. (1978) 
 
-\bibitem[Gill 79]{GM79} Gill P E.;  Murray W;\\
-``Conjugate-gradient Methods for Large-scale Nonlinear Optimization''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 79]{GM79} Gill P E.;  Murray W;
+``Conjugate-gradient Methods for Large-scale Nonlinear Optimization''
 Technical Report SOL 79-15. Department of Operations Research, 
 Stanford University. (1979) 
 
-\bibitem[Gill 81]{GMW81} Gill P E.; Murray W.; Wright M H.\\
-``Practical Optimization''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 81]{GMW81} Gill P E.; Murray W.; Wright M H.
+``Practical Optimization''
 Academic Press. 1981
 
-\bibitem[Gill 82]{GMW82} Gill P E.; Murray W.; Saunders M A.; Wright M H.\\
-``The design and implementation of a quadratic programming algorithm''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 82]{GMW82} Gill P E.; Murray W.; Saunders M A.; Wright M H.
+``The design and implementation of a quadratic programming algorithm''
 Report SOL 82-7. Department of Operations Research, 
 Stanford University. (1982) 
 
-\bibitem[Gill 84a]{GMSW84a} Gill P E.; Murray W.; Saunders M A.; Wright M H\\
-``User's Guide for SOL/QPSOL Version 3.2''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 84a]{GMSW84a} Gill P E.; Murray W.; Saunders M A.; Wright M H
+``User's Guide for SOL/QPSOL Version 3.2''
 Report SOL 84-5. Department of Operations Research, Stanford University. 1984
 
-\bibitem[Gill 84b]{GMSW84b} Gill P E.; Murray W.; Saunders M A.; Wright M H\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 84b]{GMSW84b} Gill P E.; Murray W.; Saunders M A.; Wright M H
 ``Procedures for Optimization Problems with a Mixture of
-Bounds and General Linear Constraints''\\
+Bounds and General Linear Constraints''
 ACM Trans. Math. Softw. 10 282--298. 1984
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Gill 86a]{GMSW86a} Gill P E.; Hammarling S.; Murray W.; 
-Saunders M A.; Wright M H.\\
-``User's Guide for LSSOL (Version 1.0)''\\
+Saunders M A.; Wright M H.
+``User's Guide for LSSOL (Version 1.0)''
 Report SOL 86-1. Department of Operations Research, Stanford University. 1986
 
-\bibitem[Gill 86b]{GMSW86b} Gill P E.; Murray W.; Saunders M A.; Wright M H.\\
-``Some Theoretical Properties of an Augmented Lagrangian Merit Function''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gill 86b]{GMSW86b} Gill P E.; Murray W.; Saunders M A.; Wright M H.
+``Some Theoretical Properties of an Augmented Lagrangian Merit Function''
 Report SOL 86-6R. Department of Operations Research, Stanford University. 1986
 
-\bibitem[Gladwell 79]{Gla79} Gladwell I\\
-``Initial Value Routines in the NAG Library''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gladwell 79]{Gla79} Gladwell I
+``Initial Value Routines in the NAG Library''
 ACM Trans Math Softw. 5 386--400. (1979) 
 
-\bibitem[Gladwell 80]{GS80} Gladwell I.; Sayers D K\\
-``Computational Techniques for Ordinary Differential Equations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gladwell 80]{GS80} Gladwell I.; Sayers D K
+``Computational Techniques for Ordinary Differential Equations''
 Academic Press. 1980
 
-\bibitem[Gladwell 86]{Gla86} Gladwell I\\
-``Vectorisation of one dimensional quadrature codes''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gladwell 86]{Gla86} Gladwell I
+``Vectorisation of one dimensional quadrature codes''
 Techincal Report. TR7/86  NAG. (1986) 
 
-\bibitem[Gladwell 87]{Gla87} Gladwell I\\
-``The NAG Library Boundary Value Codes''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gladwell 87]{Gla87} Gladwell I
+``The NAG Library Boundary Value Codes''
 Numerical Analysis Report. 134 Manchester University. (1987) 
 
-\bibitem[Goedel 40]{God40} Goedel\\
-``The consistency of the continuum hypothesis''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Goedel 40]{God40} Goedel
+``The consistency of the continuum hypothesis''
 Ann. Math. Studies, Princeton Univ. Press, 1940
 
-\bibitem[Goldman 87]{Gold87} Goldman, L.\\
-``Integrals of multinomial systems of ordinary differential equations''\\
-J. of Pure and Applied Algebra, 45, 225-240 (1987)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Goldman 87]{Gold87} Goldman, L.
+``Integrals of multinomial systems of ordinary differential equations''
+J. of Pure and Applied Algebra, 45, 225-240 (1987)
 \verb|www.sciencedirect.com/science/article/pii/0022404987900727/pdf|
 \verb|?md5=5a0c70643eab514ccf47d80e4fc6ec5a&|
 \verb|pid=1-s2.0-0022404987900727-main.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Gold87.pdf|
 
-\bibitem[Gollan 90]{GG90} H. Gollan; J. Grabmeier\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gollan 90]{GG90} H. Gollan; J. Grabmeier
 ``Algorithms in Representation Theory and
-their Realization in the Computer Algebra System Scratchpad''\\
+their Realization in the Computer Algebra System Scratchpad''
 Bayreuther Mathematische Schriften, Heft 33, 1990, 1-23
 
-\bibitem[Golub 89]{GL89} Golub, Gene H.; Van Loan, Charles F.\\
-``Matrix Computations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Golub 89]{GL89} Golub, Gene H.; Van Loan, Charles F.
+``Matrix Computations''
 Johns Hopkins University Press ISBN 0-8018-3772-3 (1989)
 
-\bibitem[Golub 96]{GL96} Golub, Gene H.; Van Loan, Charles F.\\
-``Matrix Computations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Golub 96]{GL96} Golub, Gene H.; Van Loan, Charles F.
+``Matrix Computations''
 Johns Hopkins University Press ISBN 978-0-8018-5414-9 (1996)
 
-\bibitem[Grabmeier]{Grab} Grabmeier, J.\\
-``On Plesken's root finding algorithm''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Grabmeier]{Grab} Grabmeier, J.
+``On Plesken's root finding algorithm''
 in preparation
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Grebmeier 87]{GK87} Grabmeier, J.; Kerber, A.;
 ``The Evaluation of Irreducible Polynomial Representations of the General 
-Linear Groups and of the Unitary Groups over Fields of Characteristic 0''\\
+Linear Groups and of the Unitary Groups over Fields of Characteristic 0''
 Acta Appl. Math. 8 (1987), 271-291
 
-\bibitem[Grabmeier 92]{REF-GS92} Grabmeier, J.; Scheerhorn, A.\\
-``Finite fields in Axiom''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Grabmeier 92]{REF-GS92} Grabmeier, J.; Scheerhorn, A.
+``Finite fields in Axiom''
 AXIOM Technical Report TR7/92 (ATR/5)(NP2522), 
 Numerical Algorithms Group, Inc., Downer's
-Grove, IL, USA and Oxford, UK, 1992\\
+Grove, IL, USA and Oxford, UK, 1992
 \verb|www.nag.co.uk/doc/TechRep/axiomtr.html|
 
-\bibitem[Granville 1911]{Gran1911} Granville, William Anthony\\
-``Elements of the Differential and Integral Calculus''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Granville 1911]{Gran1911} Granville, William Anthony
+``Elements of the Differential and Integral Calculus''
 \verb|djm.cc/library/Elements_Differential_Integral_Calculus_Granville_edited_2.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Gran1911.pdf|
 
-\bibitem[Gruntz 93]{Gru93} Gruntz, Dominik\\
-``Limit computation in computer algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gruntz 93]{Gru93} Gruntz, Dominik
+``Limit computation in computer algebra''
 \verb|algo.inria.fr/seminars/sem92-93/gruntz.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Gru93.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The automatic computation of limits can be reduced to two main
 sub-problems. The first one is asymptotic comparison where one must
@@ -3292,100 +5261,189 @@ discussed.
 
 \subsection{H} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Hache 95]{HL95} Hach\'e, G.; Le Brigand, D.\\
-``Effective construction of algebraic geometry codes''\\
-IEEE Transaction on Information Theory, vol. 41, n27 6, 
-November 1995, pp. 1615--1628.
-
-\bibitem[Hache 95a]{Ha95} Hach\'e, G.\\
-``Computation in algebraic function fields for effective 
-construction of algebraic-geometric codes''\\
-Lecture Notes in Computer Science, vol. 948, 1995, pp. 262--278.
-
-\bibitem[Hache 96]{Ha96} Hach\'e, G.\\
-``Construction effective des codes g\'eom\'etriques''\\
-Th\'ese de doctorat de l'Universit\'e Pierre et Marie Curie (Paris 6), 
-Septembre 1996.
-
+\begin{chunk}{axiom.bib}
+@article{Hach95,
+  author = "Hach\'e, G. and Le Brigand, D.",
+  title = "Effective construction of algebraic geometry codes",
+  journal = "IEEE Transaction on Information Theory",
+  volume = "41",
+  month = "November",
+  year = "1995",
+  pages = "1615--1628"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Hach95a,
+  author = "Hach\'e, G.",
+  title = "Computation in algebraic function fields for effective construction of algebraic-geometric codes",
+  journal = "Lecture Notes in Computer Science",
+  volume = "948",
+  year = "1995",
+  pages = "262--278"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@phdthesis{Hach96,
+  author = "Hach\'e, G.",
+  title = "Construction effective des codes g\'eom\'etriques",
+  school = "l'Universit\'e Pierre et Marie Curie (Paris 6)",
+  year = "1996",
+  month = "Septembre"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Hall 76]{HW76} Hall G.; Watt J M. (eds), 
-``Modern Numerical Methods for Ordinary Differential Equations''\\
+``Modern Numerical Methods for Ordinary Differential Equations''
 Clarendon Press. (1976)
 
-\bibitem[Hamdy 04]{Ham04} Hamdy, S.\\
-``LiDIA A library for computational number theory''\\
-Reference manual Edition 2.1.1 May 2004\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Hamdy 04]{Ham04} Hamdy, S.
+``LiDIA A library for computational number theory''
+Reference manual Edition 2.1.1 May 2004
 \verb|www.cdc.informatik.tu-darmstadt.de/TI/LiDIA|
 
-\bibitem[Hammarling 85]{Ham85} Hammarling S.\\
-`` The Singular Value Decomposition in Multivariate Statistics''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Hammarling 85]{Ham85} Hammarling S.
+`` The Singular Value Decomposition in Multivariate Statistics''
 ACM Signum Newsletter. 20, 3 2--25. (1985) 
 
-\bibitem[Hammersley 67]{HH67} Hammersley J M; Handscomb D C.\\
-``Monte-Carlo Methods''\\
-Methuen. (1967)
+\end{chunk}
 
-\bibitem[Hathway 1896]{Ha1896} Hathway, Arthur S.\\
-``A Primer Of Quaternions''\\
-(1896)
+\begin{chunk}{ignore}
+\bibitem[Hammersley 67]{HH67} Hammersley J M; Handscomb D C.
+``Monte-Carlo Methods''
+Methuen. (1967)
 
-\bibitem[Hayes 70]{Hay70} Hayes J G.\\
-``Curve Fitting by Polynomials in One Variable''\\
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Hath1896,
+  author = "Hathway, Arthur S.",
+  title = "A Primer Of Quaternions",
+  year = "1896"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@book{Haya05,
+  author = "Hayashi, K. and Kangkook, J. and Lascu, O. and Pienaar, H. and Schreitmueller, S. and Tarquinio, T. and Thompson, J.",
+  title = "AIX 5L Practical Performance Tools and Tuning Guide",
+  publisher = "IBM",
+  year = "2005",
+  url = "http://www.redbooks.ibm.com/redbooks/pdfs/sg246478.pdf",
+  paper = "Haya05.pdf"
+}
+
+\end{chunk}
+\begin{chunk}{ignore}
+\bibitem[Hayes 70]{Hay70} Hayes J G.
+``Curve Fitting by Polynomials in One Variable''
 Numerical Approximation to Functions and Data. 
 (ed J G Hayes) Athlone Press, London. (1970) 
 
-\bibitem[Hayes 74]{Hay74} Hayes J G.\\
-``Numerical Methods for Curve and Surface Fitting''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Hayes 74]{Hay74} Hayes J G.
+``Numerical Methods for Curve and Surface Fitting''
 Bull Inst Math Appl. 10 144--152. (1974) 
 
-\bibitem[Hayes 74a]{HH74} Hayes J G.; Halliday J,\\
-``The Least-squares Fitting of Cubic Spline Surfaces to General Data Sets''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Hayes 74a]{HH74} Hayes J G.; Halliday J,
+``The Least-squares Fitting of Cubic Spline Surfaces to General Data Sets''
 J. Inst. Math. Appl. 14 89--103. (1974) 
 
-\bibitem[Henrici 56]{Hen56} Henrici, Peter\\
-``Automatic Computations with Power Series''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Henrici 56]{Hen56} Henrici, Peter
+``Automatic Computations with Power Series''
 Journal of the Association for Computing Machinery, Volume 3, No. 1,
 January 1956, 10-15
 
-\bibitem[Higham 88]{Hig88} Higham, N.J.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Higham 88]{Hig88} Higham, N.J.
 ``FORTRAN codes for estimating the one-norm of a
-real or complex matrix, with applications to condition estimation''\\
+real or complex matrix, with applications to condition estimation''
 ACM Trans. Math. Soft., vol. 14, no. 4, pp. 381-396, December 1988.
 
-\bibitem[Higham 02]{Hig02} Higham, Nicholas J.\\
-``Accuracy and stability of numerical algorithms''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Higham 02]{Hig02} Higham, Nicholas J.
+``Accuracy and stability of numerical algorithms''
 SIAM Philadelphia, PA ISBN 0-89871-521-0 (2002)
 
-\bibitem[Hock 81]{HS81} Hock W.; Schittkowski K.\\
-``Test Examples for Nonlinear Programming Codes''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Hock 81]{HS81} Hock W.; Schittkowski K.
+``Test Examples for Nonlinear Programming Codes''
 Lecture Notes in Economics and Mathematical Systems. 187 Springer-Verlag. 1981
 
-\bibitem[Householder 70]{Hou70} Householder A S.\\
-``The Numerical Treatment of a Single Nonlinear Equation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Householder 70]{Hou70} Householder A S.
+``The Numerical Treatment of a Single Nonlinear Equation''
 McGraw-Hill. (1970)
 
-\bibitem[Householder 81]{Hou81} Householder, Alston S.\\
-``Principles of Numerical Analysis''\\
-Dover Publications, Mineola, NY ISBN 0-486-45312-X (1981)
+\end{chunk}
 
-\bibitem[Huang 96]{HI96} Huang, M.D.; Ierardi, D.\\
+\begin{chunk}{axiom.bib}
+@book{Hous81,
+  author = "Householder, Alston S.",
+  title = "Principles of Numerical Analysis",
+  publisher = "Dover Publications, Mineola, NY",
+  year = "1981",
+  isbn = "0-486-45312-X"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Huang 96]{HI96} Huang, M.D.; Ierardi, D.
 ``Efficient algorithms for Riemann-Roch problem and for addition in the 
-jacobian of a curve''\\
+jacobian of a curve''
 Proceedings 32nd Annual Symposium on Foundations of Computer Sciences. 
 IEEE Comput. Soc. Press, pp. 678--687.
 
+\end{chunk}
+
 \subsection{I} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[IBM]{IBM}.\\
+\begin{chunk}{ignore}
+\bibitem[IBM]{IBM}.
 SCRIPT Mathematical Formula Formatter User's Guide, SH20-6453,
 IBM Corporation, Publishing Systems Information Development,
 Dept. G68, P.O. Box 1900, Boulder, Colorado, USA 80301-9191.
 
-\bibitem[Itoh 88]{Itoh88} Itoh, T.;, Tsujii, S.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Itoh 88]{Itoh88} Itoh, T.;, Tsujii, S.
 ``A fast algorithm for computing multiplicative inverses
-in $GF(2^m)$ using normal bases''\\
+in $GF(2^m)$ using normal bases''
 Inf. and Comp. 78, pp.171-177, 1988
 %\verb|axiom-developer.org/axiom-website/Itoh88.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This paper proposes a fast algorithm for computing multiplicative
 inverses in $GF(2^m)$ using normal bases. Normal bases have the
@@ -3404,526 +5462,975 @@ algorithm is applicable to the general power operation in $GF(2^m)$
 and the computation of multiplicative inverses in $GF(q^m)$ $(q=2^n)$.
 \end{adjustwidth}
 
-\bibitem[Iyanaga 77]{Iya77} Iyanaga, Shokichi; Iyanaga, Yukiyosi Kawada\\
-``Encyclopedic Dictionary of Mathematics''\\
+\begin{chunk}{ignore}
+\bibitem[Iyanaga 77]{Iya77} Iyanaga, Shokichi; Iyanaga, Yukiyosi Kawada
+``Encyclopedic Dictionary of Mathematics''
 1977
 
+\end{chunk}
+
 \subsection{J} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Jacobson 68]{Jac68} Jacobson, N.\\
-``Structure and Representations of Jordan Algebras''\\
+\begin{chunk}{ignore}
+\bibitem[Jacobson 68]{Jac68} Jacobson, N.
+``Structure and Representations of Jordan Algebras''
 AMS, Colloquium Publications Volume 39
 
-\bibitem[James 81]{JK81} James, Gordon; Kerber, Adalbert\\
-``The Representation Theory of the Symmetric Group''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[James 81]{JK81} James, Gordon; Kerber, Adalbert
+``The Representation Theory of the Symmetric Group''
 Encyclopedia of Mathematics and its Applications Vol. 16
 Addison-Wesley, 1981
 
-\bibitem[Jaswon 77]{JS77} Jaswon, M A.; Symm G T.\\ 
-``Integral Equation Methods in Potential Theory and Elastostatics''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jaswon 77]{JS77} Jaswon, M A.; Symm G T. 
+``Integral Equation Methods in Potential Theory and Elastostatics''
 Academic Press. (1977)
 
-\bibitem[Jeffrey 04]{Je04} Jeffrey, Alan\\
-``Handbook of Mathematical Formulas and Integrals''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jeffrey 04]{Je04} Jeffrey, Alan
+``Handbook of Mathematical Formulas and Integrals''
 Third Edition, Elsevier Academic Press ISBN 0-12-382256-4
 
-\bibitem[Jenning 66]{Jen66} Jennings A\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Jenning 66]{Jen66} Jennings A
 ``A Compact Storage Scheme for the Solution of Symmetric Linear 
-Simultaneous Equations''\\
+Simultaneous Equations''
 Comput. J. 9 281--285. (1966) 
 
+\end{chunk}
+
 \subsection{K} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Kalkbrener 91]{Kal91} Kalkbrener, M.\\
-``Three contributions to elimination theory''\\
+\begin{chunk}{ignore}
+\bibitem[Kalkbrener 91]{Kal91} Kalkbrener, M.
+``Three contributions to elimination theory''
 Ph. D. Thesis, University of Linz, Austria, 1991
 
-\bibitem[Kalkbrener 98]{Kal98} Kalkbrener, M.\\
-``Algorithmic properties of polynomial rings''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kalkbrener 98]{Kal98} Kalkbrener, M.
+``Algorithmic properties of polynomial rings''
 Journal of Symbolic Computation 1998
 
-\bibitem[Kantor 89]{Kan89} Kantor,I.L.; Solodovnikov, A.S.\\
-``Hypercomplex Numbers''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kantor 89]{Kan89} Kantor,I.L.; Solodovnikov, A.S.
+``Hypercomplex Numbers''
 Springer Verlag Heidelberg, 1989, ISBN 0-387-96980-2
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Kaufmann 00]{KMJ00} Kaufmann, Matt; Manolios, Panagiotis; 
-Moore J Strother\\
-``Computer-Aided Reasoning: An Approach''\\
+Moore J Strother
+``Computer-Aided Reasoning: An Approach''
 Springer, July 31. 2000 ISBN 0792377443
 
-\bibitem[Knuth 71]{Knu71} Knuth, Donald\\
-``The Art of Computer Programming''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Knuth 71]{Knu71} Knuth, Donald
+``The Art of Computer Programming''
 2nd edition Vol. 2 (Seminumerical Algorithms) 1st edition, 2nd printing, 
 Addison-Wesley 1971, p. 397-398
 
-\bibitem[Knuth 84]{Knu84} Knuth, Donald\\
-{\it The \TeX{}book}.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Knuth 84]{Knu84} Knuth, Donald
+{\it The \TeX{}book}.
 Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
 1984. ISBN 0-201-13448-9
 
-\bibitem[Knuth 92]{Kn92} Knuth, Donald E.\\
-``Literate Programming''\\
-Center for the Study of Language and Information
-ISBN 0-937073-81-4 Stanford CA (1992) 
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@book{Knut92,
+  author = "Knuth, Donald E.",
+  title = "Literate Programming",
+  publisher = "Center for the Study of Language and Information, Stanford CA",
+  year = "1992",
+  isbn = "0-937073-81-4"
+} 
 
-\bibitem[Knu98]{Knu98} Donald Knuth\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Knu98]{Knu98} Donald Knuth
 ``The Art of Computer Programming'' Vol. 3
 (Sorting and Searching)
 Addison-Wesley 1998
 
-\bibitem[Kobayashi 89]{Koba89} Kobayashi, H.; Moritsugu, S.; Hogan, R.W.\\
-``On Radical Zero-Dimensional Ideals''\\
-J. Symbolic Computations 8, 545-552 (1989)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kobayashi 89]{Koba89} Kobayashi, H.; Moritsugu, S.; Hogan, R.W.
+``On Radical Zero-Dimensional Ideals''
+J. Symbolic Computations 8, 545-552 (1989)
 \verb|www.sciencedirect.com/science/article/pii/S0747717189800604/pdf|
 \verb|?md5=f06dc6269514c90dcae57f0184bcbe65&|
 \verb|pid=1-s2.0-S0747717189800604-main.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Koba88.pdf|
 
-\bibitem[Kolchin 73]{Kol73} Kolchin, E.R.\\
-``Differential Algebra and Algebraic Groups''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kolchin 73]{Kol73} Kolchin, E.R.
+``Differential Algebra and Algebraic Groups''
 (Academic Press, 1973).
 
-\bibitem[Koutschan 10]{Kou10} Koutschan, Christoph\\
-``Axiom / FriCAS''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Koutschan 10]{Kou10} Koutschan, Christoph
+``Axiom / FriCAS''
 \verb|www.risc.jku.at/education/courses/ws2010/cas/axiom.pdf|
 
-\bibitem[Kozen 86]{KL86} Kozen, Dexter; Landau, Susan\\
-``Polynomial Decomposition Algorithms''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kozen 86]{KL86} Kozen, Dexter; Landau, Susan
+``Polynomial Decomposition Algorithms''
 Journal of Symbolic Computation (1989) 7, 445-456
 
+\end{chunk}
+
 \subsection{L} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Lamport 86]{La86} Lamport, Leslie\\
-{\it LaTeX: A Document Preparation System,}.\\
-Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
-1986. ISBN 0-201-15790-X
 
-\bibitem[Lautrup 71]{Lau71} Lautrup B.\\
-``An Adaptive Multi-dimensional Integration Procedure''\\
+\begin{chunk}{axiom.bib}
+@book{Lamp86,
+  author = "Lamport, Leslie",
+  title = "LaTeX: A Document Preparation System",
+  publisher = "Addison-Wesley Publishing Company, Reading, Massachusetts",
+  year = "1986",
+  isbn = "0-201-15790-X"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lautrup 71]{Lau71} Lautrup B.
+``An Adaptive Multi-dimensional Integration Procedure''
 Proc. 2nd Coll. on Advanced Methods in Theoretical Physics, Marseille. (1971) 
 
-\bibitem[Lawson 77]{Law77} Lawson C L.\\
-``Software for C  Surface Interpolation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lawson 77]{Law77} Lawson C L.
+``Software for C  Surface Interpolation''
 Mathematical Software III. (ed J R Rice) Academic Press. 161--194. (1977) 
 
-\bibitem[Lawson 74]{LH74} Lawson C L.;  Hanson R J.\\
-``Solving Least-squares Problems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lawson 74]{LH74} Lawson C L.;  Hanson R J.
+``Solving Least-squares Problems''
 Prentice-Hall. (1974) 
 
-\bibitem[Lawson 79]{REF-LAW79} Lawson, C.L.; Hanson R.J.; Kincaid, D.R.; 
-Krogh, F.T.\\
-``Algorithm 539: Basic linear algebra subprograms for FORTRAN usage''\\
-ACM Transactions on Mathematical Software, Vol 5 No 3 September 1979
-pp 308-323
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Laws79,
+  author = "Lawson, C.L. and Hanson R.J. and Kincaid, D.R. and Krogh, F.T.",
+  title = "Algorithm 539: Basic linear algebra subprograms for FORTRAN usage",
+  journal = "ACM Transactions on Mathematical Software",
+  volume = "5",
+  number = "3",
+  month = "September",
+  year = "1979",
+  pages = "308-323"
+}
+
+\end{chunk}
 
+\begin{chunk}{ignore}
 \bibitem[Lawson 79]{LHKK79} Lawson C L; Hanson R J; Kincaid D R;
- Krogh F T\\
-``Basic Linear Algebra Subprograms for Fortran Usage''\\
+ Krogh F T
+``Basic Linear Algebra Subprograms for Fortran Usage''
 ACM Trans. Math. Softw. 5 308--325. (1979)
 
-\bibitem[Lazard 91]{Laz91} Lazard, D.\\
-``A new method for solving algebraic systems of positive dimension''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lazard 91]{Laz91} Lazard, D.
+``A new method for solving algebraic systems of positive dimension''
 Discr. App. Math. 33:147-160,1991
 
-\bibitem[Lazard92]{Laz92} Lazard, D.\\
-``Solving Zero-dimensional Algebraic Systems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lazard92]{Laz92} Lazard, D.
+``Solving Zero-dimensional Algebraic Systems''
 Journal of Symbolic Computation, 1992, 13, 117-131
 
-\bibitem[Lazard 90]{LR90} Lazard, Daniel; Rioboo, Renaud\\
-``Integration of rational functions: Rational computation of the 
-logarithmic part''\\
-{\sl Journal of Symbolic Computation}, 9:113-116:1990
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Laza90,
+  author = "Lazard, Daniel and Rioboo, Renaud",
+  title = "Integration of rational functions: Rational computation of the logarithmic part",
+  journal = "Journal of Symbolic Computation",
+  volume = "9",
+  number = "2",
+  year = "1990",
+  month = "February",
+  pages = "113-115",
+  keywords = "axiomref",
+  paper = "Laza90.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+A new formula is given for the logarithmic part of the integral of a
+rational function, one that strongly improves previous algorithms and
+does not need any computation in an algebraic extension of the field
+of constants, nor any factorisation since only polynomial arithmetic
+and GCD computations are used. This formula was independently found
+and implemented in SCRATCHPAD by B.M. Trager.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{LeBr88,
+  author =  "Le Brigand, D.; Risler, J.J.",
+  title = "Algorithme de Brill-Noether et codes de Goppa",
+  journal = "Bull. Soc. Math. France",
+  volume = "116",
+  year = "1988",
+  pages = "231--253"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@book{Lege11,
+  author = "Legendre, George L. and Grazini, Stefano",
+  title = "Pasta by Design",
+  publisher = "Thames and Hudson",
+  isbn = "978-0-500-51580-8",
+  year = "2011"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lenstra 87]{LS87} Lenstra, H. W.; Schoof, R. J.
+``Primitivive Normal Bases for Finite Fields''
+Math. Comp. 48, 1987, pp. 217-231
 
-\bibitem[Le Brigand 88]{LR88} Le Brigand, D.; Risler, J.J.\\
-``Algorithme de Brill-Noether et codes de Goppa''\\
-Bull. Soc. Math. France, vol. 116, 1988, pp. 231--253.
+\end{chunk}
 
-\bibitem[Legendre 11]{LG11} Legendre, George L.; Grazini, Stefano\\
-``Pasta by Design''\\
-Thames and Hudson, ISBN 978-0-500-51580-8 (2011)
+\begin{chunk}{axiom.bib}
+@misc{Leop03,
+  author = "Leopardi, Paul",
+  title = "A quick introduction to Clifford Algebras",
+  publisher = "School of Mathematics, University of New South Wales",
+  year = "2003",
+  paper = "Leop03.pdf"
+}
 
-\bibitem[Lenstra 87]{LS87} Lenstra, H. W.; Schoof, R. J.\\
-``Primitivive Normal Bases for Finite Fields''\\
-Math. Comp. 48, 1987, pp. 217-231
+\end{chunk}
 
-\bibitem[Lewis 77]{Lew77} Lewis J G,\\
-``Algorithms for sparse matrix eigenvalue problems''\\
+\begin{chunk}{ignore}
+\bibitem[Lewis 77]{Lew77} Lewis J G,
+``Algorithms for sparse matrix eigenvalue problems''
 Technical Report STAN-CS-77-595. Computer Science Department, 
 Stanford University. (1977) 
 
-\bibitem[Lidl 83]{LN83} Lidl, R.; Niederreiter, H.\\
-``Finite Field, Encycoldia of Mathematics and Its Applications''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lidl 83]{LN83} Lidl, R.; Niederreiter, H.
+``Finite Field, Encycoldia of Mathematics and Its Applications''
 Vol. 20, Cambridge Univ. Press, 1983 ISBN 0-521-30240-4
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Linger 79]{LMW79} Linger, Richard C.; Mills, Harlan D.; 
-Witt, Bernard I.\\
-``Structured Programming: Theory and Practice''\\
+Witt, Bernard I.
+``Structured Programming: Theory and Practice''
 Addison-Wesley (March 1979) ISBN 0201144611
 
-\bibitem[Lipson 81]{Lip81} Lipson, D.\\
-``Elements of Algebra and Algebraic Computing''\\
-The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
-
-\bibitem[Loetzsch 09]{Loe09} Loetzsch, M.\\
-``GTFL - A graphical terminal for Lisp''\\
-\verb|martin-loetzsch.de/gtfl/|
+\end{chunk}
 
-\bibitem[Losch 60]{Los60} L\"osch, Friedrich\\
-``Tables of Higher Functions''\\
-McGraw-Hill Book Company 1960
+\begin{chunk}{ignore}
+\bibitem[Lipson 81]{Lip81} Lipson, D.
+``Elements of Algebra and Algebraic Computing''
+The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
 
-\bibitem[LTU10]{LTU10}.\\
-``Lambda the Ultimate''\\
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Loet09,
+  author = "Loetzsch, Martin; Bleys, Joris; Wellens, Pieter",
+  title = "Understanding the Dynamics of Complex Lisp Programs",
+  year = "2009",
+  url = "http://www.martin-loetzsch.de/papers/loetzsch09understanding.pdf",
+  paper = "Loet09.pdf"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Loet00,
+  author = "Loetzsch, M.",
+  title = "GTFL - A graphical terminal for Lisp",
+  year = "2000",
+  url = "http://martin-loetzsch.de/gtfl"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@book{Losc60,
+  author = {L\"osch, Friedrich},
+  title = "Tables of Higher Functions",
+  publisher = "McGraw-Hill Book Company",
+  year = "1960"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[LTU10]{LTU10}.
+``Lambda the Ultimate''
 \verb|lambda-the-ultimate.org/node/3663#comment-62440|
 
-\bibitem[Luke 169]{Luk169} Luke, Yudell L.\\
-``The Special Functions and their Approximations''\\
-Volume I Academic Press (1969) 
-Mathematics in Science and Engineering Volume 53-I
-
-\bibitem[Luke 269]{Luk269} Luke, Yudell L.\\
-``The Special Functions and their Approximations''\\
-Volume II
-Academic Press (1969) Mathematics in Science and Engineering Volume 53-II
-
-\bibitem[Lyness 83]{Lyn83} Lyness J N.\\
-``When not to use an automatic quadrature routine''\\
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@book{Luke69a,
+  author = "Luke, Yudell L.",
+  title = "The Special Functions and their Approximations",
+  volume = "1",
+  publisher = "Academic Press",
+  year = "1969",
+  booktitle = "Mathematics in Science and Engineering Volume 53-I"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@book{Luke69b,
+  author = "Luke, Yudell L.",
+  title = "The Special Functions and their Approximations",
+  volume = "2",
+  publisher = "Academic Press",
+  year = "1969",
+  booktitle = "Mathematics in Science and Engineering Volume 53-I"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lyness 83]{Lyn83} Lyness J N.
+``When not to use an automatic quadrature routine''
 SIAM Review. 25 63--87. (1983) 
 
+\end{chunk}
+
 \subsection{M} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Mac Lane 79]{MB79} Mac Lane, Saunders; Birkhoff, Garret\\
-``Algebra''\\
+\begin{chunk}{ignore}
+\bibitem[Mac Lane 79]{MB79} Mac Lane, Saunders; Birkhoff, Garret
+``Algebra''
 AMS Chelsea Publishing ISBN 0821816462
 
-\bibitem[Malcolm 72]{Mal72} Malcolm M. A.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Malcolm 72]{Mal72} Malcolm M. A.
 ``Algorithms to reveal properties of floating-point arithmetic''
 Comms. of the ACM, 15, 949-951.  (1972) 
 
-\bibitem[Malcolm 76]{MS76} Malcolm M A.; Simpson R B.\\
-``Local Versus Global Strategies for Adaptive Quadrature''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Malcolm 76]{MS76} Malcolm M A.; Simpson R B.
+``Local Versus Global Strategies for Adaptive Quadrature''
 ACM Trans. Math. Softw. 1 129--146. (1976) 
 
-\bibitem[Marden 66]{Mar66} Marden M.\\
-``Geometry of Polynomials''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Marden 66]{Mar66} Marden M.
+``Geometry of Polynomials''
 Mathematical Surveys. 3 Am. Math. Soc., Providence, RI. (1966)
 
-\bibitem[Marshak 07]{Mar07} Marshak, U.\\
-``HT-AJAX - AJAX framework for Hunchentoot''\\
-\verb|common-lisp.net/project/ht-ajax/ht-ajax.html|
+\end{chunk}
 
-\bibitem[Maza 95]{MR95} Maza, M. Moreno; Rioboo, R.\\
-``Computations of gcd over algebraic towers of simple extensions''\\
+\begin{chunk}{axiom.bib}
+@misc{Mars07,
+  author = "Marshak, U.",
+  title = "HT-AJAX - AJAX framework for Hunchentoot",
+  year = "2007",
+  url = "http://common-lisp.net/project/ht-ajax/ht-ajax.html"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Maza 95]{MR95} Maza, M. Moreno; Rioboo, R.
+``Computations of gcd over algebraic towers of simple extensions''
 In proceedings of AAECC11 Paris, 1995.
 
-\bibitem[Maza 97]{Maz97} Maza, M. Moreno\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Maza 97]{Maz97} Maza, M. Moreno
 ``Calculs de pgcd au-dessus des tours
-d'extensions simples et resolution des systemes d'equations algebriques''\\
+d'extensions simples et resolution des systemes d'equations algebriques''
 These, Universite P.etM. Curie, Paris, 1997.
 
-\bibitem[Maza 98]{Maz98} Maza, M. Moreno\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Maza 98]{Maz98} Maza, M. Moreno
 ``A new algorithm for computing triangular
-decomposition of algebraic varieties''\\
+decomposition of algebraic varieties''
  NAG Tech. Rep. 4/98.
 
-\bibitem[Mignotte 82]{Mig82} Mignotte, Maurice\\
-``Some Useful Bounds''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Mignotte 82]{Mig82} Mignotte, Maurice
+``Some Useful Bounds''
 Computing, Suppl. 4, 259-263 (1982), Springer-Verlag
 
-\bibitem[McCarthy 83]{McC83} McCarthy G J.\\
-``Investigation into the Multigrid Code MGD1''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[McCarthy 83]{McC83} McCarthy G J.
+``Investigation into the Multigrid Code MGD1''
 Report AERE-R 10889. Harwell. (1983)
 
-\bibitem[Mie97]{Mie97} Mielenz, Klaus D.\\
-``Computation of Fresnel Integrals''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Mie97]{Mie97} Mielenz, Klaus D.
+``Computation of Fresnel Integrals''
 J. Res. Natl. Inst. Stand. Technol. (NIST) V102 No3 May-June 1997 pp363-365
 
-\bibitem[Mie00]{Mie00} Mielenz, Klaus D.\\
-``Computation of Fresnel Integrals II''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Mie00]{Mie00} Mielenz, Klaus D.
+``Computation of Fresnel Integrals II''
 J. Res. Natl. Inst. Stand. Technol. (NIST) V105 No4 July-Aug 2000 pp589-590
 
-\bibitem[Millen 68]{Mil68} Millen, J. K.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Millen 68]{Mil68} Millen, J. K.
 ``CHARYBDIS: A LISP program to display mathematical expressions on 
-typewriter-like devices''\\
+typewriter-like devices''
 Interactive Systems for Experimental and Applied Mathematics
 M. Klerer and J. Reinfelds, eds., Academic Press, New York 1968, pp79-90
 %\verb|axiom-developer.org/axiom-website/papers/Mil68.pdf|
 
-\bibitem[Minc 79]{Min79} Henryk Minc\\
-``Evaluation of Permanents''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Minc 79]{Min79} Henryk Minc
+``Evaluation of Permanents''
 Proc. of the Edinburgh Math. Soc.(1979), 22/1 pp 27-32.
 
-\bibitem[More 74]{MGH74} More J J.; Garbow B S.;  Hillstrom K E.\\
-``User Guide for Minpack-1''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[More 74]{MGH74} More J J.; Garbow B S.;  Hillstrom K E.
+``User Guide for Minpack-1''
 ANL-80-74 Argonne National Laboratory. (1974)
 
-\bibitem[Mikhlin 67]{MS67} Mikhlin S G.; Smolitsky K L.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Mikhlin 67]{MS67} Mikhlin S G.; Smolitsky K L.
 ``Approximate Methods for the Solution of Differential and 
-Integral Equations''\\
+Integral Equations''
 Elsevier.  (1967)
 
-\bibitem[Mitchell 80]{MG80} Mitchell A R.; Griffiths D F.\\
-``The Finite Difference Method in Partial Differential Equations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Mitchell 80]{MG80} Mitchell A R.; Griffiths D F.
+``The Finite Difference Method in Partial Differential Equations''
 Wiley. (1980)
 
-\bibitem[Moler 73]{MS73} Moler C B.;  Stewart G W.\\
-``An Algorithm for Generalized Matrix Eigenproblems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Moler 73]{MS73} Moler C B.;  Stewart G W.
+``An Algorithm for Generalized Matrix Eigenproblems''
 SIAM J. Numer. Anal. 10 241--256. 1973
 
-\bibitem[Mulders 97]{Mul97} Mulders. Thom\\
-``A note on subresultants and a correction to the lazard/rioboo/trager 
-formula in rational function integration''\\
-{\sl Journal of Symbolic Computation}, 24(1):45-50, 1997
+\end{chunk}
 
-\bibitem[Munksgaard 80]{Mun80} Munksgaard N.\\
+\begin{chunk}{axiom.bib}
+@article{Muld97,
+  author = "Mulders, Thom",
+  title = "A Note on Subresultants and the Lazard/Rioboo/Trager Formula in Rational Function Integration",
+  journal = "Journal of Symbolic Computation",
+  year = "1997",
+  volume = "24",
+  number = "1",
+  month = "July",
+  pages = "45-50",
+  paper = "Muld97.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+An ambiguity in a formula of Lazard, Rioboo and Trager, connecting
+subresultants and rational function integration, is indicated and
+examples of incorrect interpretations are given.
+\end{adjustwidth}
+
+\begin{chunk}{ignore}
+\bibitem[Munksgaard 80]{Mun80} Munksgaard N.
 ``Solving Sparse Symmetric Sets of Linear Equations by Pre-conditioned 
-Conjugate Gradients''\\
+Conjugate Gradients''
 ACM Trans. Math. Softw. 6 206--219. (1980) 
 
-\bibitem[Murray 72]{Mur72} Murray W, (ed)\\
-``Numerical Methods for Unconstrained Optimization''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Murray 72]{Mur72} Murray W, (ed)
+``Numerical Methods for Unconstrained Optimization''
 Academic Press. (1972) 
 
-\bibitem[Murtagh 83]{MS83} Murtagh B A.; Saunders M A\\
-``MINOS 5.0 User's Guide''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Murtagh 83]{MS83} Murtagh B A.; Saunders M A
+``MINOS 5.0 User's Guide''
 Report SOL 83-20. Department of Operations Research, Stanford University 1983
 
-\bibitem[Musser 78]{Mus78} Musser, David R.\\
-``On the Efficiency of a Polynomial Irreducibility Test''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Musser 78]{Mus78} Musser, David R.
+``On the Efficiency of a Polynomial Irreducibility Test''
 Journal of the ACM, Vol. 25, No. 2, April 1978, pp. 271-282
 
+\end{chunk}
+
 \subsection{N} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Nijenhuis 78]{NW78} Nijenhuis and Wilf\\
-``Combinatorical Algorithms''\\
+\begin{chunk}{ignore}
+\bibitem[Nijenhuis 78]{NW78} Nijenhuis and Wilf
+``Combinatorical Algorithms''
 Academic Press, New York 1978.
 
-\bibitem[Nikolai 79]{Nik79} Nikolai P J.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Nikolai 79]{Nik79} Nikolai P J.
 ``Algorithm 538: Eigenvectors and eigenvalues of real generalized 
-symmetric matrices by simultaneous iteration''\\
+symmetric matrices by simultaneous iteration''
 ACM Trans. Math. Softw. 5 118--125. (1979) 
 
+\end{chunk}
+
 \subsection{O} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Ollagnier 94]{Olla94} Ollagnier, Jean Moulin\\
-``Algorithms and methods in differential algebra''\\
+\begin{chunk}{axiom.bib}
+@misc{OCAM14,
+  author = "unknown",
+  title = "The OCAML website",
+  url = "http://ocaml.org"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ollagnier 94]{Olla94} Ollagnier, Jean Moulin
+``Algorithms and methods in differential algebra''
 \verb|www.lix.polytechnique.fr/~moulin/papiers/atelier.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Olla94.pdf|
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Olver 10]{NIST10} Olver, Frank W.; Lozier, Daniel W.; 
-Boisvert, Ronald F.; Clark, Charles W. (ed)\\
-``NIST Handbook of Mathematical Functions''\\
+Boisvert, Ronald F.; Clark, Charles W. (ed)
+``NIST Handbook of Mathematical Functions''
 (2010) Cambridge University Press ISBN 978-0-521-19225-5
 
-\bibitem[OpenM]{OpenM}.\\
-``OpenMath Technical Overview''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[OpenM]{OpenM}.
+``OpenMath Technical Overview''
 \verb|www.openmath.org/overview/technical.html|
 
-\bibitem[Ortega 70]{OR70} Ortega J M.; Rheinboldt W C.\\
-``Iterative Solution of Nonlinear Equations in Several Variables''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ortega 70]{OR70} Ortega J M.; Rheinboldt W C.
+``Iterative Solution of Nonlinear Equations in Several Variables''
 Academic Press. (1970)
 
-\bibitem[Ostrogradsky 1845]{Ost1845} Ostrogradsky. M.W.\\
-``De l'int\'{e}gration des fractions rationelles.''\\
-{\sl Bulletin de la Classe Physico-Math\'{e}matiques de
-l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,}
-IV:145-167,286-300, 1845
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Ostr1845,
+  author = "Ostrogradsky. M.W.",
+  title = "De l'int\'{e}gration des fractions rationelles.",
+  journal = "Bulletin de la Classe Physico-Math\'{e}matiques de l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,",
+  volume = "IV",
+  pages = "145-167,286-300",
+  year = "1845"
+}
+
+\end{chunk}
 
 \subsection{P} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Paige 75]{PS75} Paige C C.; Saunders M A.\\
-``Solution of Sparse Indefinite Systems of Linear Equations''\\
+\begin{chunk}{ignore}
+\bibitem[Paige 75]{PS75} Paige C C.; Saunders M A.
+``Solution of Sparse Indefinite Systems of Linear Equations''
 SIAM J. Numer. Anal. 12 617--629. (1975) 
 
-\bibitem[Paige 82a]{PS82a} Paige C C.; Saunders M A.\\
-``LSQR: An Algorithm for Sparse Linear Equations and Sparse Least-squares''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Paige 82a]{PS82a} Paige C C.; Saunders M A.
+``LSQR: An Algorithm for Sparse Linear Equations and Sparse Least-squares''
 ACM Trans. Math. Softw. 8 43--71. (1982) 
 
-\bibitem[Paige 82b]{PS82b} Paige C C.; Saunders M A.\\
-``ALGORITHM 583 LSQR: Sparse Linear Equations and Least-squares Problems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Paige 82b]{PS82b} Paige C C.; Saunders M A.
+``ALGORITHM 583 LSQR: Sparse Linear Equations and Least-squares Problems''
 ACM Trans. Math. Softw. 8 195--209. (1982) 
 
-\bibitem[Parker 84]{Par84} Parker, R. A.\\
-``The Computer Calculation of Modular Characters (The Meat-Axe)''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Parker 84]{Par84} Parker, R. A.
+``The Computer Calculation of Modular Characters (The Meat-Axe)''
 M. D. Atkinson (Ed.), Computational Group Theory
 Academic Press, Inc., London 1984
 
-\bibitem[Parlett 80]{Par80} Parlett B N.\\
-``The Symmetric Eigenvalue Problem''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Parlett 80]{Par80} Parlett B N.
+``The Symmetric Eigenvalue Problem''
 Prentice-Hall. 1980
 
-\bibitem[Parnas 10]{PJ10} Parnas, David Lorge; Jin, Ying\\
-``Defining the meaning of tabular mathematical expressions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Parnas 10]{PJ10} Parnas, David Lorge; Jin, Ying
+``Defining the meaning of tabular mathematical expressions''
 Science of Computer Programming V75 No.11 Nov 2010 pp980-1000 Elesevier
 
-\bibitem[Parnas 95]{PM95} Parnas, David Lorge; Madey, Jan\\
-``Functional Documents for Computer Systems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Parnas 95]{PM95} Parnas, David Lorge; Madey, Jan
+``Functional Documents for Computer Systems''
 Science of Computer Programming V25 No.1 Oct 1995 pp41-61 Elesevier
 
-\bibitem[Paul 81]{Paul81} Paul, Richard\\
-``Robot Manipulators''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Paul 81]{Paul81} Paul, Richard
+``Robot Manipulators''
 MIT Press 1981
 
-\bibitem[Pearcey 56]{Pea56} Pearcey, T.\\
-``Table of the Fresnel Integral''\\
-Cambridge University Press 1956
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@book{Pear56,
+  author = "Pearcey, T.",
+  title = "Table of the Fresnel Integral",
+  publisher = "Cambridge University Press",
+  year = "1956"
+}
 
-\bibitem[Pereyra 79]{Per79} Pereyra V.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Pereyra 79]{Per79} Pereyra V.
 ``PASVA3: An Adaptive Finite-Difference Fortran Program for First Order 
-Nonlinear, Ordinary Boundary Problems''\\
+Nonlinear, Ordinary Boundary Problems''
 Codes for Boundary Value Problems in Ordinary Differential Equations. 
 Lecture Notes in Computer Science.
 (ed B Childs, M Scott, J W Daniel, E Denman and P Nelson) 76
 Springer-Verlag.  (1979) 
 
-\bibitem[Peters 67a]{Pet67a} Peters G.\\
-``NPL Algorithms Library''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Peters 67a]{Pet67a} Peters G.
+``NPL Algorithms Library''
 Document No. F2/03/A. (1967)
 
-\bibitem[Peters 67b]{Pet67b} Peters G.\\
-``NPL Algorithms Library''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Peters 67b]{Pet67b} Peters G.
+``NPL Algorithms Library''
 Document No.F1/04/A (1967) 
 
-\bibitem[Peters 70]{PW70} Peters G.; Wilkinson J H.\\
-``The Least-squares Problem and Pseudo-inverses''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Peters 70]{PW70} Peters G.; Wilkinson J H.
+``The Least-squares Problem and Pseudo-inverses''
 Comput. J. 13 309--316. (1970) 
 
-\bibitem[Peters 71]{PW71} Peters G.; Wilkinson J H.\\
-``Practical Problems Arising in the Solution of Polynomial Equations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Peters 71]{PW71} Peters G.; Wilkinson J H.
+``Practical Problems Arising in the Solution of Polynomial Equations''
 J. Inst. Maths Applics. 8 16--35. (1971)
 
-\bibitem[Pierce 82]{Pie82} R.S. Pierce\\
-``Associative Algebras''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Pierce 82]{Pie82} R.S. Pierce
+``Associative Algebras''
 Graduate Texts in Mathematics 88
 Springer-Verlag,  Heidelberg, 1982, ISBN 0-387-90693-2
 
-\bibitem[Piessens 73]{Pie73} Piessens R.\\
-``An Algorithm for Automatic Integration''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Piessens 73]{Pie73} Piessens R.
+``An Algorithm for Automatic Integration''
 Angewandte Informatik. 15 399--401. (1973) 
 
-\bibitem[Piessens 74]{PMB74} Piessens R.;; Mertens I.; Branders M.\\
-``Integration of Functions having End-point Singularities''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Piessens 74]{PMB74} Piessens R.;; Mertens I.; Branders M.
+``Integration of Functions having End-point Singularities''
 Angewandte Informatik. 16 65--68. (1974) 
 
-\bibitem[Piessens 75]{PB75} Piessens R.; Branders M.\\
-``Algorithm 002. Computation of Oscillating Integrals''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Piessens 75]{PB75} Piessens R.; Branders M.
+``Algorithm 002. Computation of Oscillating Integrals''
 J. Comput. Appl. Math. 1 153--164. (1975) 
 
-\bibitem[Piessens 76]{PVRBM76} Piessens R.; Van Roy-Branders M.; Mertens I.\\
-``The Automatic Evaluation of Cauchy Principal Value Integrals''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Piessens 76]{PVRBM76} Piessens R.; Van Roy-Branders M.; Mertens I.
+``The Automatic Evaluation of Cauchy Principal Value Integrals''
 Angewandte Informatik. 18 31--35. (1976) 
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Piessens 83]{PDUK83} Piessens R.; De Doncker-Kapenga E.; 
-Uberhuber C.; Kahaner D.\\
-``QUADPACK, A Subroutine Package for Automatic Integration''\\
+Uberhuber C.; Kahaner D.
+``QUADPACK, A Subroutine Package for Automatic Integration''
 Springer-Verlag.(1983) 
 
-\bibitem[Polya 37]{Pol37} Polya, G.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Polya 37]{Pol37} Polya, G.
 ``Kombinatorische Anzahlbestimmungen fur Gruppen,
-Graphen und chemische Verbindungen''\\
+Graphen und chemische Verbindungen''
 Acta Math. 68 (1937) 145-254.
 
-\bibitem[Powell 70]{Pow70} Powell M J D.\\ 
-``A Hybrid Method for Nonlinear Algebraic Equations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Powell 70]{Pow70} Powell M J D. 
+``A Hybrid Method for Nonlinear Algebraic Equations''
 Numerical Methods for Nonlinear Algebraic Equations. 
 (ed P Rabinowitz) Gordon and Breach. (1970)
 
-\bibitem[Powell 74]{Pow74} Powell M J D.\\
-``Introduction to Constrained Optimization''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Powell 74]{Pow74} Powell M J D.
+``Introduction to Constrained Optimization''
 Numerical Methods for Constrained Optimization. 
 (ed P E Gill and W Murray) Academic Press. pp1-28. 1974
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Powell 83]{Pow83} Powell M J D.
-``Variable Metric Methods in Constrained Optimization''\\
+``Variable Metric Methods in Constrained Optimization''
 Mathematical Programming: The State of the Art. 
 (ed A Bachem, M Groetschel and B Korte) Springer-Verlag. pp288--311. 1983
 
-\bibitem[Pratt 73]{Pra73} Pratt, Vaughan R.\\
-``Top down operator precedence''\\
-POPL '73 Proceedings of the 1st annual ACM SIGACT-SIGPLAN symposium on
-Principles of programming languages \\
-\verb|hall.org.ua/halls/wizzard/pdf/Vaughan.Pratt.TDOP.pdf|
+\end{chunk}
 
+\begin{chunk}{axiom.bib}
+@inproceedings{Prat73,
+  author = "Pratt, Vaughan R.",
+  title = "Top down operator precedence",
+  booktitle = "Proc. 1st annual ACM SIGACT-SIGPLAN Symposium on Principles of Programming Languages",
+  series = "POPL'73",
+  pages = "41-51",
+  year = "1973",
+  url = "http://hall.org.ua/halls/wizzard/pdf/Vaughan.Pratt.TDOP.pdf",
+  keywords = "axiomref",
+  paper = "Prat73.pdf"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Press 95]{PTVF95} Press, William H.; Teukolsky, Saul A.; 
-Vetterling, William T.; Flannery, Brian P.\\
-``Numerical Recipes in C''\\
+Vetterling, William T.; Flannery, Brian P.
+``Numerical Recipes in C''
 Cambridge University Press (1995) ISBN 0-521-43108-5
 
-\bibitem[Pryce 77]{PH77} Pryce J D.; Hargrave B A.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Pryce 77]{PH77} Pryce J D.; Hargrave B A.
 ``The Scale Pruefer Method for one-parameter and multi-parameter eigenvalue 
-problems in ODEs''\\
+problems in ODEs''
 Inst. Math. Appl., Numerical Analysis Newsletter. 1(3)  (1977)
 
-\bibitem[Pryce 81]{Pry81} Pryce J D.\\ 
-``Two codes for Sturm-Liouville problems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Pryce 81]{Pry81} Pryce J D. 
+``Two codes for Sturm-Liouville problems''
 Technical Report CS-81-01. Dept of Computer Science, Bristol University (1981)
 
-\bibitem[Pryce 86]{Pry86} Pryce J D.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Pryce 86]{Pry86} Pryce J D.
 ``Error Estimation for Phase-function Shooting Methods for 
-Sturm-Liouville Problems''\\
+Sturm-Liouville Problems''
 J. Num. Anal. 6 103--123. (1986)
 
-\bibitem[Puffinware 09]{Pu09} Puffinware LLC.\\
-``Singular Value Decomposition (SVD) Tutorial''\\
-\verb|www.puffinwarellc.com/p3a.htm|
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Puff09,
+  author = "Puffinware LLC",
+  title = "Singular Value Decomposition (SVD) Tutorial",
+  url = "http://www.puffinwarellc.com/p3a.htm"
+}
+
+\end{chunk}
 
 \subsection{Q} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\begin{chunk}{ignore}
 \bibitem[Quintana-Orti 06]{QG06} Quintana-Orti, Gregorio; 
-van de Geijn, Robert\\
-``Improving the performance of reduction to Hessenberg form''\\
+van de Geijn, Robert
+``Improving the performance of reduction to Hessenberg form''
 ACM Transactions on Mathematical Software, 32(2):180-194, June 2006.
 
+\end{chunk}
+
 \subsection{R} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Rabinowitz 70]{Rab70} Rabinowitz P.\\
-``Numerical Methods for Nonlinear Algebraic Equations''\\
+\begin{chunk}{ignore}
+\bibitem[Rabinowitz 70]{Rab70} Rabinowitz P.
+``Numerical Methods for Nonlinear Algebraic Equations''
 Gordon and Breach. (1970)
 
-\bibitem[Ralston 65]{Ral65} Ralston A.\\
-``A First Course in Numerical Analysis''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ralston 65]{Ral65} Ralston A.
+``A First Course in Numerical Analysis''
 McGraw-Hill. 87--90. (1965) 
 
-\bibitem[Ramakrishnan 03]{Ram03} Ramakrishnan, Maya\\
-``A Gentle Introduction to Lyapunov Functions''\\
-ORSUM August 2003\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ramakrishnan 03]{Ram03} Ramakrishnan, Maya
+``A Gentle Introduction to Lyapunov Functions''
+ORSUM August 2003
 \verb|www.or.ms.unimelb.edu.au/handouts/lyaptalk.1.pdf|
 
-\bibitem[Ramsey 03]{Ra03} Ramsey, Norman\\
-``Noweb--A Simple, Extensible Tool for Literate Programming''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ramsey 03]{Ra03} Ramsey, Norman
+``Noweb--A Simple, Extensible Tool for Literate Programming''
 \verb|www.eecs.harvard.edu/~nr/noweb|
 
-\bibitem[Redfield 27]{Red27} Redfield, J.H.\\
-``The Theory of Group-Reduced Distributions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Redfield 27]{Red27} Redfield, J.H.
+``The Theory of Group-Reduced Distributions''
 American J. Math., 49 (1927) 433-455.
 
-\bibitem[Reinsch 67]{Rei67} Reinsch C H.\\
-``Smoothing by Spline Functions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Reinsch 67]{Rei67} Reinsch C H.
+``Smoothing by Spline Functions''
 Num. Math. 10 177--183. (1967) 
 
-\bibitem[Renka 84]{Ren84} Renka R L.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Renka 84]{Ren84} Renka R L.
 ``Algorithm 624: Triangulation and Interpolation of Arbitrarily Distributed 
-Points in the Plane''\\
+Points in the Plane''
 ACM Trans. Math. Softw. 10 440--442. (1984) 
 
-\bibitem[Renka 84]{RC84} Renka R L.; Cline A K.\\
-``A Triangle-based C Interpolation Method''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Renka 84]{RC84} Renka R L.; Cline A K.
+``A Triangle-based C Interpolation Method''
 Rocky Mountain J. Math. 14 223--237. (1984) 
 
-\bibitem[Reutenauer 93]{Re93} Reutenauer, Christophe\\
-``Free Lie Algebras''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Reutenauer 93]{Re93} Reutenauer, Christophe
+``Free Lie Algebras''
 Oxford University Press, June 1993 ISBN 0198536798
 
-\bibitem[Reznick 93]{Rezn93} Reznick, Bruce\\
-``An Inequality for Products of Polynomials''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Reznick 93]{Rezn93} Reznick, Bruce
+``An Inequality for Products of Polynomials''
 Proc. AMS Vol 117 No 4 April 1993
 %\verb|axiom-developer.org/axiom-website/papers/Rezn93.pdf|
 
-\bibitem[Rich xx]{Rixx} Rich, A.D.; Jeffrey, D.J.\\
-``Crafting a Repository of Knowledge Based on Transformation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Rich xx]{Rixx} Rich, A.D.; Jeffrey, D.J.
+``Crafting a Repository of Knowledge Based on Transformation''
 \verb|www.apmaths.uwo.ca/~djeffrey/Offprints/IntegrationRules.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Rixx.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We describe the development of a repository of mathematical knowledge
 based on transformation rules. The specific mathematical problem is
@@ -3937,87 +6444,145 @@ approach are illustrated with examples, and with the results of
 comparisons with other approaches.
 \end{adjustwidth}
 
-\bibitem[Rich 10]{Ri10} Rich, Albert D.\\
-``Rule-based Mathematics''\\
+\begin{chunk}{ignore}
+\bibitem[Rich 10]{Ri10} Rich, Albert D.
+``Rule-based Mathematics''
 \verb|www.apmaths.uwo.ca/~arich|
 
-\bibitem[Richardson 94]{RF94} Richardson, Dan; Fitch, John\\
-``The identity problem for elementary functions and constants''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Richardson 94]{RF94} Richardson, Dan; Fitch, John
+``The identity problem for elementary functions and constants''
 ACM Proc. of ISSAC 94 pp285-290 ISBN 0-89791-638-7
 
-\bibitem[Richtmyer 67]{RM67} Richtmyer R D.; Morton K W.\\
-``Difference Methods for Initial-value Problems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Richtmyer 67]{RM67} Richtmyer R D.; Morton K W.
+``Difference Methods for Initial-value Problems''
 Interscience (2nd Edition).  (1967)
 
-\bibitem[Rioboo 92]{REF-Rio92} Rioboo, R.\\
-``Real algebraic closure of an ordered field, implementation in Axiom''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Rioboo 92]{REF-Rio92} Rioboo, R.
+``Real algebraic closure of an ordered field, implementation in Axiom''
 In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
 In proceedings of the ISSAC'92 Conference, Berkeley 1992 pp. 206-215.
 0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992
 
-\bibitem[Rioboo 96]{Rio96} Rioboo, R.\\
-``Generic computation of the real closure of an ordered field''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Rioboo 96]{Rio96} Rioboo, R.
+``Generic computation of the real closure of an ordered field''
 In Mathematics and Computers in Simulation Volume 42, Issue 4-6,
 November 1996.
 
-\bibitem[Ritt 50]{Ritt50} Ritt, Joseph Fels\\
-``Differential Algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ritt 50]{Ritt50} Ritt, Joseph Fels
+``Differential Algebra''
 AMS Colloquium Publications Volume 33 ISBN 978-0-8218-4638-4
 
-\bibitem[Rote 01]{Rote01} Rote, G\"unter\\
-``Division-free algorithms for the determinant and the Pfaffian''\\
-in Computational Discrete Mathematics ISBN 3-540-42775-9 pp119-135\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Rote 01]{Rote01} Rote, G\"unter
+``Division-free algorithms for the determinant and the Pfaffian''
+in Computational Discrete Mathematics ISBN 3-540-42775-9 pp119-135
 \verb|page.mi.fu-berlin.de/rote/Papers/pdf/Division-free+algorithms.pdf|
 
-\bibitem[Rubey 07]{Rub07} Rubey, Martin\\
-``Formula Guessing with Axiom''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Rubey 07]{Rub07} Rubey, Martin
+``Formula Guessing with Axiom''
 April 2007
 
-\bibitem[Rutishauser 69]{Rut69} Rutishauser H.\\
-``Computational aspects of F L Bauer's simultaneous iteration method''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Rutishauser 69]{Rut69} Rutishauser H.
+``Computational aspects of F L Bauer's simultaneous iteration method''
 Num. Math. 13 4--13.  (1969) 
 
-\bibitem[Rutishauser 70]{Rut70} Rutishauser H.\\
-``Simultaneous iteration method for symmetric matrices''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Rutishauser 70]{Rut70} Rutishauser H.
+``Simultaneous iteration method for symmetric matrices''
 Num. Math. 16 205--223. (1970) 
 
+\end{chunk}
+
 \subsection{S} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Schafer 66]{Sch66} Schafer, R.D.\\
-``An Introduction to Nonassociative Algebras''\\
+\begin{chunk}{ignore}
+\bibitem[Schafer 66]{Sch66} Schafer, R.D.
+``An Introduction to Nonassociative Algebras''
 Academic Press, New York, 1966
 
-\bibitem[Schoenberg 53]{SW53} Schoenberg I J.; Whitney A.\\
-``On Polya Frequency Functions III''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Schoenberg 53]{SW53} Schoenberg I J.; Whitney A.
+``On Polya Frequency Functions III''
 Trans. Amer. Math. Soc. 74  246--259. (1953) 
 
-\bibitem[Schoenhage 82]{Sch82} Schoenhage, A.\\
-``The fundamental theorem of algebra in terms of computational complexity''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Schoenhage 82]{Sch82} Schoenhage, A.
+``The fundamental theorem of algebra in terms of computational complexity''
 preliminary report, Univ. Tuebingen, 1982
 
-\bibitem[Schonfelder 76]{Sch76} Schonfelder J L.\\
-``The Production of Special Function Routines for a Multi-Machine Library''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Schonfelder 76]{Sch76} Schonfelder J L.
+``The Production of Special Function Routines for a Multi-Machine Library''
 Software Practice and Experience. 6(1) (1976)
 
-\bibitem[Seggern 93]{S93} von Seggern, David Henry\\
-``CRC Standard Curves and Surfaces''\\
-CRC Press (1993) ISBN 0-8493-0196-3
+\end{chunk}
 
-\bibitem[Seiler 95a]{Sei95a} Seiler, W.M.; Calmet, J.\\
+\begin{chunk}{axiom.bib}
+@book{Segg93,
+  author = "{von Seggern}, David Henry",
+  title = "CRC Standard Curves and Surfaces",
+  publisher = "CRC Press",
+  year = "1993",
+  isbn = "0-8493-0196-3"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Seiler 95a]{Sei95a} Seiler, W.M.; Calmet, J.
 ``JET -- An Axiom Environment for Geometric Computations with Differential
 Equations''
 %\verb|axiom-developer.org/axiom-website/papers/Sei95a.pdf|
 
-\bibitem[Shepard 68]{She68} Shepard D.\\
-``A Two-dimensional Interpolation Function for Irregularly Spaced Data''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Shepard 68]{She68} Shepard D.
+``A Two-dimensional Interpolation Function for Irregularly Spaced Data''
 Proc. 23rd Nat. Conf. ACM. Brandon/Systems Press Inc., 
 Princeton. 517--523. 1968
 
-\bibitem[Shirayanagi 96]{Shir96} Shirayanagi, Kiyoshi\\
-``Floating point Gr\"obner bases''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Shirayanagi 96]{Shir96} Shirayanagi, Kiyoshi
+``Floating point Gr\"obner bases''
 Mathematics and Computers in Simulation 42 pp 509-528 (1996)
 %\verb|axiom-developer.org/axiom-website/papers/Shir96.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Bracket coefficients for polynomials are introduced. These are like
 specific precision floating point numbers together with error
@@ -4034,15 +6599,22 @@ $G_\mu$ and $G$ are exactly the same. The practical usefulness of the
 algorithm is suggested by experimental results.
 \end{adjustwidth}
 
-\bibitem[Sims 71]{Sims71} Sims, C.\\
-``Determining the Conjugacy Classes of a Permutation Group''\\
+\begin{chunk}{ignore}
+\bibitem[Sims 71]{Sims71} Sims, C.
+``Determining the Conjugacy Classes of a Permutation Group''
 Computers in Algebra and Number Theory, SIAM-AMS Proc., Vol. 4,
 American Math. Soc., 1991, pp191-195
 
-\bibitem[Singer 89]{Sing89} Singer, M.F.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Singer 89]{Sing89} Singer, M.F.
 ``Formal Solutions of Differential Equations''
 J. Symbolic COmputation 10, No.1 59-94 (1990)
 %\verb|axiom-developer.org/axiom-website/papers/Sing89.pdf|
+ keywords = "survey",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We give a survey of some methods for finding formal solutions of
@@ -4052,38 +6624,62 @@ theoretic methods, transform methods, asymptotic methods. A brief
 discussion of difference equations is also included.
 \end{adjustwidth}
 
-\bibitem[Sit 92]{REF-Sit92} Sit, William\\
-``An Algorithm for Parametric Linear Systems''\\
+\begin{chunk}{ignore}
+\bibitem[Sit 92]{REF-Sit92} Sit, William
+``An Algorithm for Parametric Linear Systems''
 J. Sym. Comp., April 1992
 
-\bibitem[Smith 67]{Smi67} Smith B T.\\
-``ZERPOL: A Zero Finding Algorithm for Polynomials Using Laguerre's Method''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Smith 67]{Smi67} Smith B T.
+``ZERPOL: A Zero Finding Algorithm for Polynomials Using Laguerre's Method''
 Technical Report. Department of Computer Science, University of Toronto,
 Canada.  (1967)
 
-\bibitem[Smith 85]{Smi85} Smith G D.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Smith 85]{Smi85} Smith G D.
 ``Numerical Solution of Partial Differential Equations: Finite Difference 
-Methods''\\
+Methods''
 Oxford University Press (3rd Edition). (1985)
 
-\bibitem[Sobol 74]{Sob74} Sobol I M.\\
-``The Monte Carlo Method''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Sobol 74]{Sob74} Sobol I M.
+``The Monte Carlo Method''
 The University of Chicago Press. 1974
 
-\bibitem[Steele 90]{Ste90} Steele, Guy L.\\
-``Common Lisp The Language''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Steele 90]{Ste90} Steele, Guy L.
+``Common Lisp The Language''
 Second Edition ISBN 1-55558-041-6 Digital Press (1990)
 
-\bibitem[Stichtenoth 93]{St93} Stichtenoth, H.\\
-``Algebraic function fields and codes''\\
-Springer-Verlag, 1993, University Text.
+\end{chunk}
 
-\bibitem[Stinson 90]{Stin90} Stinson, D.R.\\
+\begin{chunk}{axiom.bib}
+@misc{Stic93,
+  author = "Stichtenoth, H.",
+  title = "Algebraic function fields and codes",
+  publisher = "Springer-Verlag",
+  year = "1993"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Stinson 90]{Stin90} Stinson, D.R.
 ``Some observations on parallel Algorithms for fast exponentiation 
-in $GF(2^n)$''\\
+in $GF(2^n)$''
 Siam J. Comp., Vol.19, No.4, pp.711-717, August 1990
 %\verb|axiom-developer.org/axiom-website/Stin90.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 A normal basis represention in $GF(2^n)$ allows squaring to be
 accomplished by a cyclic shift. Algorithms for multiplication in
@@ -4093,192 +6689,342 @@ in $GF(2^n)$ using a normal basis, and how they can be speeded up by
 using parallelization, are investigated.
 \end{adjustwidth}
 
-\bibitem[Stroud 66]{SS66} Stroud A H.; Secrest D.\\
-``Gaussian Quadrature Formulas''\\
+\begin{chunk}{ignore}
+\bibitem[Stroud 66]{SS66} Stroud A H.; Secrest D.
+``Gaussian Quadrature Formulas''
 Prentice-Hall. (1966) 
 
-\bibitem[Stroud 71]{Str71} Stroud A H.\\
-``Approximate Calculation of Multiple Integrals''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Stroud 71]{Str71} Stroud A H.
+``Approximate Calculation of Multiple Integrals''
 Prentice-Hall 1971
 
-\bibitem[Swarztrauber 79]{SS79} Swarztrauber P N.; Sweet R A.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Swarztrauber 79]{SS79} Swarztrauber P N.; Sweet R A.
 ``Efficient Fortran Subprograms for the Solution of Separable Elliptic Partial
-Differential Equations''\\
+Differential Equations''
 ACM Trans. Math. Softw. 5 352--364. (1979)
 
-\bibitem[Swarztrauber 84]{SS84} Swarztrauber P N.\\
-``Fast Poisson Solvers''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Swarztrauber 84]{SS84} Swarztrauber P N.
+``Fast Poisson Solvers''
 Studies in Numerical Analysis. (ed G H Golub) 
 Mathematical Association of America. (1984)
 
+\end{chunk}
+
 \subsection{T} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Tait 1890]{Ta1890} Tait, P.G.\\
-``An Elementary Treatise on Quaternions''\\
-C.J. Clay and Sons, Cambridge University Press Warehouse, Ave Maria Lane 1890
+\begin{chunk}{axiom.bib}
+@book{Tait1890,
+  author = "Tait, P.G.",
+  title = "An Elementary Treatise on Quaternions",
+  publisher = "C.J. Clay and Sons, Cambridge University Press Warehouse, Ave Maria Lane",
+  year = "1890"
+}
 
-\bibitem[Taivalsaari 96]{Tai96} Taivalsaari, Antero\\
-``On the Notion of Inheritance''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Taivalsaari 96]{Tai96} Taivalsaari, Antero
+``On the Notion of Inheritance''
 ACM Computing Surveys, Vol 28 No 3 Sept 1996 pp438-479
 
-\bibitem[Temme 87]{Tem87} Temme N M.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Temme 87]{Tem87} Temme N M.
 ``On the Computation of the Incomplete Gamma Functions for Large Values of 
-the Parameters''\\
+the Parameters''
 Algorithms for Approximation. (ed J C Mason and M G Cox) 
 Oxford University Press. (1987)
 
-\bibitem[Temperton 83a]{Tem83a} Temperton C.\\
-``Self-sorting Mixed-radix Fast Fourier Transforms''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Temperton 83a]{Tem83a} Temperton C.
+``Self-sorting Mixed-radix Fast Fourier Transforms''
 J. Comput. Phys. 52 1--23. (1983)
 
-\bibitem[Temperton 83b]{Tem83b} Temperton C.\\
-``Fast Mixed-Radix Real Fourier Transforms''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Temperton 83b]{Tem83b} Temperton C.
+``Fast Mixed-Radix Real Fourier Transforms''
 J. Comput. Phys. 52 340--350. (1983)
 
-\bibitem[Thurston 94]{Thur94} Thurston, William P.\\
-``On Proof and Progress in Mathematics''\\
-Bulletin AMS Vol 30, No 2, April 1994\\
-\verb|www.ams.org/journals/bull/1994-30-02/S0273-0979-1994-00502-6/|
-\verb|S0273-0979-1994-00502-6.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Thur94.pdf|
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Thur94,
+  author = "Thurston, William P.",
+  title = "On Proof and Progress in Mathematics",
+  journal = "Bulletin AMS",
+  volume = "30",
+  number = "2",
+  month = "April",
+  year = "1994",
+  url = "http://www.ams.org/journals/bull/1994-30-02/S0273-0979-1994-00502-6/S0273-0979-1994-00502-6.pdf",
+  paper = "Thur94.pdf"
+}
+
+\end{chunk}
 
 \subsection{U} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Unknown 61]{Unk61} Unknown\\
-``Chebyshev-series''\\
+\begin{chunk}{ignore}
+\bibitem[Unknown 61]{Unk61} Unknown
+``Chebyshev-series''
 Modern Computing Methods
 Chapter 8. NPL Notes on Applied Science (2nd Edition). 16 HMSO. 1961
 
+\end{chunk}
+
 \subsection{V} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Van Dooren 76]{vDDR76} Van Dooren P.;  De Ridder L.\\
+\begin{chunk}{ignore}
+\bibitem[Van Dooren 76]{vDDR76} Van Dooren P.;  De Ridder L.
 ``An Adaptive Algorithm for Numerical Integration over an N-dimensional 
-Cube''\\
+Cube''
 J. Comput. Appl. Math. 2 207--217. (1976) 
 
-\bibitem[van Hoeij 94]{REF-vH94} van Hoeij, M.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[van Hoeij 94]{REF-vH94} van Hoeij, M.
 ``An algorithm for computing an integral
-basis in an algebraic function field''\\
+basis in an algebraic function field''
 {\sl J. Symbolic Computation}
 18(4):353-364, October 1994
 
-\bibitem[Van Loan 92]{Van92} Van Loan, C.\\
-``Computational Frameworks for the Fast Fourier Transform''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Van Loan 92]{Van92} Van Loan, C.
+``Computational Frameworks for the Fast Fourier Transform''
 SIAM Philadelphia. (1992)
 
+\end{chunk}
+
 \subsection{W} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Wait 85]{WM85} Wait R.; Mitchell A R.\\
-``Finite Element Analysis and Application''\\
+\begin{chunk}{ignore}
+\bibitem[Wait 85]{WM85} Wait R.; Mitchell A R.
+``Finite Element Analysis and Application''
 Wiley. (1985)
 
-\bibitem[Wang 92]{Wang92} Wang, D.M.\\
-``An implementation of the characteristic set method in Maple''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wang 92]{Wang92} Wang, D.M.
+``An implementation of the characteristic set method in Maple''
 Proc. DISCO'92 Bath, England
 
-\bibitem[Ward 75]{War75} Ward, R C.\\
-``The Combination Shift QZ Algorithm''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ward 75]{War75} Ward, R C.
+``The Combination Shift QZ Algorithm''
 SIAM J. Numer. Anal. 12 835--853. 1975
 
-\bibitem[Watt 03]{Wa03} Watt, Stephen\\
-``Aldor''\\
-\verb|www.aldor.org|
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Watt03,
+  author = "Watt, Stephen",
+  title = "Aldor",
+  url = "http://www.aldor.org",
+  year = "2003"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Weil71,
+  author = "Weil, Andr\'{e}",
+  title = "Courbes alg\'{e}briques et vari\'{e}t\'{e}s Abeliennes",
+  year = "1971"
+}
 
-\bibitem[Weil 71]{We71} Weil, Andr\'{e}\\
-``Courbes alg\'{e}briques et vari\'{e}t\'{e}s Abeliennes''\\
-Hermann, Paris, 1971
+\end{chunk}
 
-\bibitem[Weisstein]{Wein} Weisstein, Eric W.\\
-``Hypergeometric Function''\\
-MathWorld - A Wolfram Web Resource\\
+\begin{chunk}{ignore}
+\bibitem[Weisstein]{Wein} Weisstein, Eric W.
+``Hypergeometric Function''
+MathWorld - A Wolfram Web Resource
 \verb|mathworld.wolfram.com/HypergeometricFunction.html|
 
-\bibitem[Weitz 03]{Wei03} Weitz, E.\\
-``CL-WHO -Yet another Lisp markup language''\\
-\verb|www.weitz.de/cl-who/|
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Weit03,
+  author = "Weitz, E.",
+  title = "CL-WHO -Yet another Lisp markup language",
+  year = "2003",
+  url = "http://www.weitz.de/cl-who/"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Weit06,
+  author = "Weitz, E.",
+  title = "HUNCHENTOOT - The Common Lisp web server formerly known as TBNL",
+  year = "2006",
+  url = "http://www.weitz.de/hunchentoot"
+}
 
-\bibitem[Weitz 06]{Wei06} Weitz, E.\\
-``HUNCHENTOOT - The Common Lisp web server formerly known as TBNL''\\
-\verb|www.weitz.de/hunchentoot/|
+\end{chunk}
 
-\bibitem[Wesseling 82a]{Wes82a} Wesseling, P.\\
-``MGD1 - A Robust and Efficient Multigrid Method''\\
+\begin{chunk}{ignore}
+\bibitem[Wesseling 82a]{Wes82a} Wesseling, P.
+``MGD1 - A Robust and Efficient Multigrid Method''
 Multigrid Methods. Lecture Notes in Mathematics. 960
 Springer-Verlag. 614--630. (1982)
 
-\bibitem[Wesseling 82b]{Wes82b} Wesseling, P.\\
-``Theoretical Aspects of a Multigrid Method''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wesseling 82b]{Wes82b} Wesseling, P.
+``Theoretical Aspects of a Multigrid Method''
 SIAM J. Sci. Statist. Comput. 3 387--407. (1982)
 
-\bibitem[Wicks 89]{Wic89} Wicks, Mark; Carlisle, David, Rahtz, Sebastian\\
-``dvipdfm.def''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wicks 89]{Wic89} Wicks, Mark; Carlisle, David, Rahtz, Sebastian
+``dvipdfm.def''
 \verb|web.mit.edu/texsrc/source/latex/graphics/dvipdfm.def|
 
-\bibitem[Wiki 3]{Wiki3}.\\
-``Givens Rotations''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wiki 3]{Wiki3}.
+``Givens Rotations''
 \verb|en.wikipedia.org/wiki/Givens_rotation|
 
-\bibitem[Williamson 85]{Wil85} Williamson, S.G.\\
-``Combinatorics for Computer Science''\\
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Wiki14a,
+  author = "ProofWiki",
+  title = "Euclidean Algorithm",
+  url = "http://proofwiki.org/wiki/Euclidean_Algorithm"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@misc{Wiki14b,
+  author = "ProofWiki",
+  title = "Division Theorem",
+  url = "http://proofwiki.org/wiki/Division_Theorem"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Williamson 85]{Wil85} Williamson, S.G.
+``Combinatorics for Computer Science''
 Computer Science Press, 1985.
 
-\bibitem[Wilkinson 71]{WR71} Wilkinson J H.; Reinsch C.\\
-``Handbook for Automatic Computation II, Linear Algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wilkinson 71]{WR71} Wilkinson J H.; Reinsch C.
+``Handbook for Automatic Computation II, Linear Algebra''
 Springer-Verlag. 1971
 
-\bibitem[Wilkinson 63]{Wil63} Wilkinson J H.\\
-``Rounding Errors in Algebraic Processes''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wilkinson 63]{Wil63} Wilkinson J H.
+``Rounding Errors in Algebraic Processes''
  Chapter 2. HMSO. (1963)
 
-\bibitem[Wilkinson 65]{Wil65} Wilkinson J H.\\
-``The Algebraic Eigenvalue Problem''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wilkinson 65]{Wil65} Wilkinson J H.
+``The Algebraic Eigenvalue Problem''
  Oxford University Press. (1965) 
 
-\bibitem[Wilkinson 78]{Wil78} Wilkinson J H.\\
-``Singular Value Decomposition -- Basic Aspects''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wilkinson 78]{Wil78} Wilkinson J H.
+``Singular Value Decomposition -- Basic Aspects''
 Numerical Software -- Needs and Availability. 
 (ed D A H Jacobs) Academic Press. (1978) 
 
-\bibitem[Wilkinson 79]{Wil79} Wilkinson J H.\\
-``Kronecker's Canonical Form and the QZ Algorithm''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wilkinson 79]{Wil79} Wilkinson J H.
+``Kronecker's Canonical Form and the QZ Algorithm''
 Linear Algebra and Appl. 28 285--303. 1979
 
-\bibitem[Wisbauer 91]{Wis91} Wisbauer, R.\\
-``Bimodule Structure of Algebra''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wisbauer 91]{Wis91} Wisbauer, R.
+``Bimodule Structure of Algebra''
 Lecture Notes Univ. Duesseldorf 1991
 
-\bibitem[Woerz-Busekros 80]{Woe80} Woerz-Busekros, A.\\
-``Algebra in Genetics''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Woerz-Busekros 80]{Woe80} Woerz-Busekros, A.
+``Algebra in Genetics''
 Lectures Notes in Biomathematics 36, Springer-Verlag,  Heidelberg, 1980
 
-\bibitem[Wolberg 67]{Wol67} Wolberg J R.\\
-``Prediction Analysis''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wolberg 67]{Wol67} Wolberg J R.
+``Prediction Analysis''
 Van Nostrand. (1967)
 
-\bibitem[Wolfram 09]{Wo09} Wolfram Research\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wolfram 09]{Wo09} Wolfram Research
 \verb|mathworld.wolfram.com/Quaternion.html|
 
-\bibitem[Wu 87]{WU87} Wu, W.T.\\
-``A Zero Structure Theorem for polynomial equations solving''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wu 87]{WU87} Wu, W.T.
+``A Zero Structure Theorem for polynomial equations solving''
 MM Research Preprints, 1987
 
-\bibitem[Wynn 56]{Wynn56} Wynn P.\\
-``On a Device for Computing the $e_m(S_n )$ Transformation''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wynn 56]{Wynn56} Wynn P.
+``On a Device for Computing the $e_m(S_n )$ Transformation''
 Math. Tables Aids Comput. 10 91--96. (1956) 
 
-\subsection{Y} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\end{chunk}
 
-\bibitem[Yun 76]{Yu76} Yun, D.Y.Y.\\
-``On square-free decomposition algorithms''\\
-{\sl Proceedings of SYMSAC'76} pages 26-35, 1976
+\subsection{Y} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \subsection{Z} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Zakrajsek 02]{Zak02} Zakrajsek, Helena\\
-``Applications of Hermite transform in computer algebra''\\
+\begin{chunk}{ignore}
+\bibitem[Zakrajsek 02]{Zak02} Zakrajsek, Helena
+``Applications of Hermite transform in computer algebra''
 \verb|www.imfm.si/preprinti/PDF/00835.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Zak02.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 let $L$ be a linear differential operator with polynomial coefficients.
 We show that there is an isomorphism of differential operators 
@@ -4291,11 +7037,23 @@ $({\bf D_\alpha}{\bf L})f(x)=0$ has a rational solution with $n$
 distinct finite poles.
 \end{adjustwidth}
 
-\bibitem[Zhi 97]{Zhi97} Zhi, Lihong\\
-``Optimal Algorithm for Algebraic Factoring''\\
+\begin{chunk}{axiom.bib}
+@misc{Zdan14,
+  author = "Zdancewic, Steve and Martin, Milo M.K.",
+  title = "Vellvm: Verifying the LLVM",
+  url = "http://www.cis.upenn.edu/~stevez/vellvm"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Zhi 97]{Zhi97} Zhi, Lihong
+``Optimal Algorithm for Algebraic Factoring''
 \verb|www.mmrc.iss.ac.cn/~lzhi/Publications/zopfac.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Zhi97.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This paper presents an optimized method for factoring multivariate
 polynomials over algebraic extension fields which defined by an
@@ -4312,10 +7070,13 @@ included.
 
 \subsection{Solving Systems of Equations} %%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Bronstein 86]{Bro86} Bronstein, Manuel\\
-``Gsolve: a faster algorithm for solving systems of algebraic equations''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 86]{Bro86} Bronstein, Manuel
+``Gsolve: a faster algorithm for solving systems of algebraic equations''
 Proc of 5th ACM SYMSAC (1986) pp247-249 ISBN 0-89791-199-7
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We apply the elimination property of Gr\"obner bases with respect to
 pure lexicographic ordering to solve systems of algebraic equations.
@@ -4326,11 +7087,14 @@ faster and more correct, than MACSYMA's solve.
 
 \subsection{Numerical Algorithms} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Bronstein 99]{Bro99} Bronstein, Manuel\\
-``Fast Deterministic Computation of Determinants of Dense Matrices''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 99]{Bro99} Bronstein, Manuel
+``Fast Deterministic Computation of Determinants of Dense Matrices''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
 %\verb|axiom-developer.org/axiom-website/papers/Bro99.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In this paper we consider deterministic computation of the exact
 determinant of a dense matrix $M$ of integers. We present a new
@@ -4346,11 +7110,14 @@ timing data to compare this algorithm with existing ones. Our result
 does not depend on ``fast'' integer or matrix techniques.
 \end{adjustwidth}
 
-\bibitem[Kelsey 00]{Kel00} Kelsey, Tom\\
-``Exact Numerical Computation via Symbolic Computation''\\
+\begin{chunk}{ignore}
+\bibitem[Kelsey 00]{Kel00} Kelsey, Tom
+``Exact Numerical Computation via Symbolic Computation''
 \verb|tom.host.cs.st-andrews.ac.uk/pub/ccapaper.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kel00.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We provide a method for converting any symbolic algebraic expression
 that can be converted into a floating point number into an exact
@@ -4361,21 +7128,27 @@ represented by potentially infinite lists of binary digits, and
 interpreted as sums of negative powers of the golden ratio.
 \end{adjustwidth}
 
-\bibitem[Yang 14]{Yang14} Yang, Xiang; Mittal, Rajat\\
+\begin{chunk}{ignore}
+\bibitem[Yang 14]{Yang14} Yang, Xiang; Mittal, Rajat
 ``Acceleration of the Jacobi iterative method by factors exceeding 100
-using scheduled relation''\\
+using scheduled relation''
 \verb|engineering.jhu.edu/fsag/wp-content/uploads/sites/23/2013/10|
 \verb|JCP_revised_WebPost.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Yang14.pdf|
 
+\end{chunk}
+
 \subsection{Special Functions} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\begin{chunk}{ignore}
 \bibitem[Corless 05]{Corl05} Corless, Robert M.; Jeffrey, David J.;
-Watt, Stephen M.; Bradford, Russell; Davenport, James H.\\
-``Reasoning about the elementary functions of complex analysis''\\
+Watt, Stephen M.; Bradford, Russell; Davenport, James H.
+``Reasoning about the elementary functions of complex analysis''
 \verb|www.csd.uwo.ca/~watt/pub/reprints/2002-amai-reasoning.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Corl05.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 There are many problems with the simplification of elementary
 functions, particularly over the complex plane. Systems tend to make
@@ -4388,11 +7161,14 @@ to the techniques of artificial intelligence and theorem proving than
 the original problem of complex-variable analysis.
 \end{adjustwidth}
 
-\bibitem[Ng 68]{Ng68} Ng, Edward W.; Geller, Murray\\
-``A Table of Integrals of the Error functions''\\
+\begin{chunk}{ignore}
+\bibitem[Ng 68]{Ng68} Ng, Edward W.; Geller, Murray
+``A Table of Integrals of the Error functions''
 \verb|nvlpubs.nist.gov/nistpubs/jres/73B/jresv73Bn1p1_A1b.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Ng68.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This is a compendium of indefinite and definite integrals of products
 of the Error functions with elementary and transcendental functions.
@@ -4400,21 +7176,31 @@ of the Error functions with elementary and transcendental functions.
 
 \subsubsection{Exponential Integral $E_1(x)$} %%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Geller 69]{Gell69} Geller, Murray; Ng, Edward W.\\
-``A Table of Integrals of the Exponential Integral''\\
+\begin{chunk}{ignore}
+\bibitem[Geller 69]{Gell69} Geller, Murray; Ng, Edward W.
+``A Table of Integrals of the Exponential Integral''
 \verb|nvlpubs.nist.gov/nistpubs/jres/73B/jresv73Bn3p191_A1b.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Gell69.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This is a compendium of indefinite and definite integrals of products
 of the Exponential Integral with elementary or transcendental functions.
 \end{adjustwidth}
 
-\bibitem[Segletes 98]{Se98} Segletes, S.B.\\
-``A compact analytical fit to the exponential integral $E_1(x)$\\
-Technical Report ARL-TR-1758, U.S. Army Ballistic Research Laboratory,\\
-Aberdeen Proving Ground, MD, September 1998
-%\verb|axiom-developer.org/axiom-website/papers/Se98.pdf|
+\begin{chunk}{axiom.bib}
+@techreport{Segl98,
+  author = "Segletes, S.B.",
+  title = "A compact analytical fit to the exponential integral $E_1(x)$",
+  year = "1998",
+  institution = "U.S. Army Ballistic Research Laboratory, Aberdeen Proving Ground, MD",
+  type = "Technical Report",
+  number = "ARL-TR-1758",
+  paper = "Segl98.pdf"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 A four-parameter fit is developed for the class of integrals known as
@@ -4437,12 +7223,15 @@ to develop this fit is outlined, since it may be used for other
 problems as well.
 \end{adjustwidth}
 
-\bibitem[Segletes 09]{Se09} Segletes, S.B.\\
-``Improved fits for $E_1(x)$ {\sl vis-\'a-vis} those presented in ARL-TR-1758\\
-Technical Report ARL-TR-1758, U.S. Army Ballistic Research Laboratory,\\
+\begin{chunk}{ignore}
+\bibitem[Segletes 09]{Se09} Segletes, S.B.
+``Improved fits for $E_1(x)$ {\sl vis-\'a-vis} those presented in ARL-TR-1758
+Technical Report ARL-TR-1758, U.S. Army Ballistic Research Laboratory,
 Aberdeen Proving Ground, MD, September 1998
 %\verb|axiom-developer.org/axiom-website/papers/Se09.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This is a writeup detailing the more accurate fits to $E_1(x)$,
 relative to those presented in ARL-TR-1758.  My actual fits are to 
@@ -4457,19 +7246,25 @@ which avoids some of the problems associated with piecewise domain splicing.
 
 \subsection{Polynomial GCD} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Knuth 71]{ST-PGCD-Knu71} Knuth, Donald\\
-``The Art of Computer Programming''\\
-2nd edition Vol. 2 (Seminumerical Algorithms) 1st edition, 2nd printing,\\
+\begin{chunk}{ignore}
+\bibitem[Knuth 71]{ST-PGCD-Knu71} Knuth, Donald
+``The Art of Computer Programming''
+2nd edition Vol. 2 (Seminumerical Algorithms) 1st edition, 2nd printing,
 Addison-Wesley 1971, section 4.6 pp399-505
 
-\bibitem[Ma 90]{ST-PGCD-Ma90} Ma, Keju; Gathen, Joachim von zur\\
-``Analysis of Euclidean Algorithms for Polynomials over Finite Fields''\\
-J. Symbolic Computation (1990) Vol 9 pp429-455\hfill{}\\
-\verb|www.researchgate.net/publication/220161718_Analysis_of_Euclidean_|\\
-\verb|Algorithms_for_Polynomials_over_Finite_Fields/file/|\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ma 90]{ST-PGCD-Ma90} Ma, Keju; Gathen, Joachim von zur
+``Analysis of Euclidean Algorithms for Polynomials over Finite Fields''
+J. Symbolic Computation (1990) Vol 9 pp429-455\hfill{}
+\verb|www.researchgate.net/publication/220161718_Analysis_of_Euclidean_|
+\verb|Algorithms_for_Polynomials_over_Finite_Fields/file/|
 \verb|60b7d52b326a1058e4.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Ma90.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This paper analyzes the Euclidean algorithm and some variants of it 
 for computing the greatest common divisor of two univariate polynomials
@@ -4478,12 +7273,15 @@ arithmetic operations both on polynomials and in the ground field
 are derived.
 \end{adjustwidth}
 
-\bibitem[Naylor 00a]{N00} Naylor, Bill\\
-``Polynomial GCD Using Straight Line Program Representation''\\
-PhD. Thesis, University of Bath, 2000\\
+\begin{chunk}{ignore}
+\bibitem[Naylor 00a]{N00} Naylor, Bill
+``Polynomial GCD Using Straight Line Program Representation''
+PhD. Thesis, University of Bath, 2000
 \verb|www.sci.csd.uwo.ca/~bill/thesis.ps|
 %\verb|axiom-developer.org/axiom-website/papers/N00.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This thesis is concerned with calculating polynomial greatest common
 divisors using straight line program representation.
@@ -4516,13 +7314,16 @@ Finally we terminate with a number of appendices discussing side
 subjects encountered during the thesis.
 \end{adjustwidth}
 
-\bibitem[Shoup 93]{ST-PGCD-Sh93} Shoup, Victor\\
+\begin{chunk}{ignore}
+\bibitem[Shoup 93]{ST-PGCD-Sh93} Shoup, Victor
 ``Factoring Polynomials over Finite Fields: Asymptotic Complexity vs
-Reality*''\\
-Proc. IMACS Symposium, Lille, France, (1993)\\
+Reality*''
+Proc. IMACS Symposium, Lille, France, (1993)
 \verb|www.shoup.net/papers/lille.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Sh93.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This paper compares the algorithms by Berlekamp, Cantor and Zassenhaus,
 and Gathen and Shoup to conclude that 
@@ -4534,11 +7335,15 @@ of $f$ is small.
 algorithm should be used
 \end{adjustwidth}
 
-\bibitem[Gathen 01]{ST-PGCD-Ga01} Gathen, Joachim von zur; Panario, Daniel\\
-``Factoring Polynomials Over Finite Fields: A Survey''\\
-J. Symbolic Computation (2001) Vol 31, pp3-17\hfill{}\\
+\begin{chunk}{ignore}
+\bibitem[Gathen 01]{ST-PGCD-Ga01} Gathen, Joachim von zur; Panario, Daniel
+``Factoring Polynomials Over Finite Fields: A Survey''
+J. Symbolic Computation (2001) Vol 31, pp3-17\hfill{}
 \verb|people.csail.mit.edu/dmoshdov/courses/codes/poly-factorization.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Ga01.pdf|
+ keywords = "survey",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This survey reviews several algorithms for the factorization of
@@ -4550,11 +7355,14 @@ The first and second algorithms are deterministic, the third is
 probabilistic.
 \end{adjustwidth}
 
-\bibitem[van Hoeij]{Hoeij04} Hoeij, Mark van; Monagen, Michael\\
-``Algorithms for Polynomial GCD Computation over Algebraic Function Fields''\\
+\begin{chunk}{ignore}
+\bibitem[van Hoeij]{Hoeij04} Hoeij, Mark van; Monagen, Michael
+``Algorithms for Polynomial GCD Computation over Algebraic Function Fields''
 \verb|www.cecm.sfu.ca/personal/mmonagan/papers/AFGCD.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Hoeij04.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Let $L$ be an algebraic function field in $k \ge 0$ parameters
 $t_1,\ldots,t)k$. Let $f_1$, $f_2$ be non-zero polynomials in
@@ -4568,13 +7376,16 @@ coefficient grownth in $L$ to be linear.  We give an empirical
 comparison of the two algorithms using implementations in Maple.
 \end{adjustwidth}
 
-\bibitem[Wang 78]{Wang78} Wang, Paul S.\\
-``An Improved Multivariate Polynomial Factoring Algorithm''\\
-Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231\\
+\begin{chunk}{ignore}
+\bibitem[Wang 78]{Wang78} Wang, Paul S.
+``An Improved Multivariate Polynomial Factoring Algorithm''
+Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231
 \verb|www.ams.org/journals/mcom/1978-32-144/S0025-5718-1978-0568284-3/|
 \verb|S0025-5718-1978-0568284-3.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Wang78.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 A new algorithm for factoring multivariate polynomials over the
 integers based on an algorithm by Wang and Rothschild is described.
@@ -4589,17 +7400,23 @@ requires less store than the original algorithm. Machine examples with
 comparative timing are included.
 \end{adjustwidth}
 
-\bibitem[Wiki 4]{Wiki4}.\\
-``Polynomial greatest common divisor''\\
+\begin{chunk}{ignore}
+\bibitem[Wiki 4]{Wiki4}.
+``Polynomial greatest common divisor''
 \verb|en.wikipedia.org/wiki/Polynomial_greatest_common_divisor|
 
+\end{chunk}
+
 \subsection{Category Theory} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Baez 09]{Baez09} Baez, John C.; Stay, Mike\\
-``Physics, Topology, Logic and Computation: A Rosetta Stone''\\
+\begin{chunk}{ignore}
+\bibitem[Baez 09]{Baez09} Baez, John C.; Stay, Mike
+``Physics, Topology, Logic and Computation: A Rosetta Stone''
 \verb|arxiv.org/pdf/0903.0340v3.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Baez09.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In physics, Feynman diagrams are used to reason about quantum
 processes.  In the 1980s, it became clear that underlying these
@@ -4617,11 +7434,14 @@ symmetric monodial category''. We assume no prior knowledge of
 category theory, proof theory or computer science.
 \end{adjustwidth}
 
-\bibitem[Meijer 91]{Meij91} Meijer, Erik; Fokkinga, Maarten; Paterson, Ross\\
-``Functional Programming with Bananas, Lenses, Envelopes and Barbed Wire''\\
+\begin{chunk}{ignore}
+\bibitem[Meijer 91]{Meij91} Meijer, Erik; Fokkinga, Maarten; Paterson, Ross
+``Functional Programming with Bananas, Lenses, Envelopes and Barbed Wire''
 \verb|eprints.eemcs.utwente.nl/7281/01/db-utwente-40501F46.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Meij91.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We develop a calculus for lazy functional programming based on
 recursion operators associated with data type definitions. For these
@@ -4631,11 +7451,14 @@ Bird and Wadler's ``Introduction to Functional Programming'' can be
 expressed using these operators.
 \end{adjustwidth}
 
-\bibitem[Youssef 04]{You04} Youssef, Saul\\
-``Prospects for Category Theory in Aldor''\\
+\begin{chunk}{ignore}
+\bibitem[Youssef 04]{You04} Youssef, Saul
+``Prospects for Category Theory in Aldor''
 October 2004
 %\verb|axiom-developer.org/axiom-website/papers/You04.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Ways of encorporating category theory constructions and results into
 the Aldor language are discussed. The main features of Aldor which
@@ -4646,12 +7469,15 @@ for rigorous results.
 
 \subsection{Proving Axiom Correct} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\begin{chunk}{ignore}
 \bibitem[Adams 99]{Adam99} Adams, A.A.; Gottlieben, H.; Linton, S.A.; 
-Martin, U.\\
-``Automated theorem proving in support of computer algebra:''\\
-`` symbolic definite integration as a case study''\\
+Martin, U.
+``Automated theorem proving in support of computer algebra:''
+`` symbolic definite integration as a case study''
 %\verb|axiom-developer.org/axiom-website/papers/Adam99.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We assess the current state of research in the application of computer
 aided formal reasoning to computer algebra, and argue that embedded
@@ -4671,12 +7497,15 @@ by including parametric limits of integration and queries with side
 conditions.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Adams 01]{Adam01} Adams, Andrew; Dunstan, Martin; Gottliebsen, Hanne;
-Kelsey, Tom; Martin, Ursula; Owre, Sam\\
-``Computer Algebra Meets Automated Theorem Proving: Integrating Maple and PVS''\\
+Kelsey, Tom; Martin, Ursula; Owre, Sam
+``Computer Algebra Meets Automated Theorem Proving: Integrating Maple and PVS''
 \verb|www.csl.sri.com/~owre/papers/tphols01/tphols01.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Adam01.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We describe an interface between version 6 of the Maple computer
 algebra system with the PVS automated theorem prover. The interface is
@@ -4688,11 +7517,34 @@ library. These examples provide proofs which are both illustrative and
 applicable to genuine symbolic computation problems.
 \end{adjustwidth}
 
-\bibitem[Ballarin 99]{Ball99} Ballarin, Clemens; Paulson, Lawrence C.\\
-``A Pragmatic Approach to Extending Provers by Computer Algebra -- with Applications to Coding Theory''\\
+\begin{chunk}{axiom.bib}
+@article{Mahb06,
+  author = "Mahboubi, Assia",
+  title = "Proving Formally the Implementation of an Efficient gcd Algorithm for Polynomials",
+  journal = "Lecture Notes in Computer Science",
+  volume = "4130",
+  year = "2006",
+  pages = "438-452",
+  paper = "Mahb06.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+We describe here a formal proof in the Coq system of the structure
+theorem for subresultants which allows to prove formally the
+correctness of our implementation of the subresultants algorithm.
+Up to our knowledge it is the first mechanized proof of this result.
+\end{adjustwidth}
+
+\begin{chunk}{ignore}
+\bibitem[Ballarin 99]{Ball99} Ballarin, Clemens; Paulson, Lawrence C.
+``A Pragmatic Approach to Extending Provers by Computer Algebra -- with Applications to Coding Theory''
 \verb|www.cl.cam.ac.uk/~lp15/papers/Isabelle/coding.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Ball99.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The use of computer algebra is usually considered beneficial for
 mechanised reasoning in mathematical domains. We present a case study,
@@ -4714,10 +7566,13 @@ system on the tactic-level of Isabelle and its integration into proof
 procedures.
 \end{adjustwidth}
 
-\bibitem[Bertot 04]{Bert04} Bertot, Yves; Cast\'eran, Pierre\\
-``Interactive Theorem Proving and Program Development''\\
+\begin{chunk}{ignore}
+\bibitem[Bertot 04]{Bert04} Bertot, Yves; Cast\'eran, Pierre
+``Interactive Theorem Proving and Program Development''
 Springer ISBN 3-540-20854-2
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Coq is an interactive proof assistant for the development of
 mathematical theories and formally certified software. It is based on
@@ -4731,10 +7586,13 @@ students, and engineers interested in formal methods and the
 development of zero-fault software.
 \end{adjustwidth}
 
-\bibitem[Boulme 00]{BHR00} Boulm\'e, S.; Hardin, T.; Rioboo, R.\\
+\begin{chunk}{ignore}
+\bibitem[Boulme 00]{BHR00} Boulm\'e, S.; Hardin, T.; Rioboo, R.
 ``Polymorphic Data Types, Objects, Modules and Functors,: is it too much?''
 %\verb|axiom-developer.org/axiom-website/papers/BHR00.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Abstraction is a powerful tool for developers and it is offered by
 numerous features such as polymorphism, classes, modules, and
@@ -4750,12 +7608,15 @@ library is made of one hundred units of functional code and behaves
 faster than analogous ones such as Axiom.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Boulme 01]{BHHMR01}
-Boulm\'e, S.; Hardin, T.; Hirschkoff, D.; M\'enissier-Morain, V.; Rioboo, R.\\
-``On the way to certify Computer Algebra Systems''\\
+Boulm\'e, S.; Hardin, T.; Hirschkoff, D.; M\'enissier-Morain, V.; Rioboo, R.
+``On the way to certify Computer Algebra Systems''
 Calculemus-2001
 %\verb|axiom-developer.org/axiom-website/papers/BHHMR01.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The FOC project aims at supporting, within a coherent software system,
 the entire process of mathematical computation, starting with proved
@@ -4775,11 +7636,14 @@ exactly the mathematical dependencies between different structures.
 This may ease the achievement of proofs.
 \end{adjustwidth}
 
-\bibitem[Daly 10]{Daly10} Daly, Timothy\\
-``Intel Instruction Semantics Generator''\\
+\begin{chunk}{ignore}
+\bibitem[Daly 10]{Daly10} Daly, Timothy
+``Intel Instruction Semantics Generator''
 \verb|daly.axiom-developer.org/TimothyDaly_files/publications/sei/intel/intel.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Daly10.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Given an Intel x86 binary, extract the semantics of the instruction
 stream as Conditional Concurrent Assignments (CCAs). These CCAs 
@@ -4787,12 +7651,15 @@ represent the semantics of each individual instruction. They can be
 composed to represent higher level semantics.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Danielsson 06]{Dani06} Danielsson, Nils Anders; Hughes, John;
-Jansson, Patrik; Gibbons, Jeremy\\
-``Fast and Loose Reasoning is Morally Correct''\\
+Jansson, Patrik; Gibbons, Jeremy
+``Fast and Loose Reasoning is Morally Correct''
 ACM POPL'06 January 2005, Charleston, South Carolina, USA
 %\verb|axiom-developer.org/axiom-website/papers/Dani06.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Functional programmers often reason about programs as if they were
 written in a total language, expecting the results to carry over to
@@ -4813,13 +7680,16 @@ closed category which can be used to reason about values in the domain
 of the relation.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Davenport 12]{Davenp12} Davenport, James H.; Bradford, Russell;
-England, Matthew; Wilson, David\\
+England, Matthew; Wilson, David
 ``Program Verification in the presence of complex numbers, functions with
-branch cuts etc.''\\
+branch cuts etc.''
 \verb|arxiv.org/pdf/1212.5417.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Davenp12.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In considering the reliability of numerical programs, it is normal to
 ``limit our study to the semantics dealing with numerical precision''.
@@ -4841,11 +7711,14 @@ still a long way to go before implementations match the theoretical
 possibilities.
 \end{adjustwidth}
 
-\bibitem[Dolzmann 97]{Dolz97} Dolzmann, Andreas; Sturm, Thomas\\
-``Guarded Expressions in Practice''\\
+\begin{chunk}{ignore}
+\bibitem[Dolzmann 97]{Dolz97} Dolzmann, Andreas; Sturm, Thomas
+``Guarded Expressions in Practice''
 \verb|redlog.dolzmann.de/papers/pdf/MIP-9702.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Dolz97.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Computer algebra systems typically drop some degenerate cases when
 evaluating expressions, e.g. $x/x$ becomes 1 dropping the case
@@ -4862,13 +7735,16 @@ described in this paper is implemented in the REDUCE package GUARDIAN,
 which is freely available on the WWW.
 \end{adjustwidth}
 
-\bibitem[Dos Reis 11]{DR11} Dos Reis, Gabriel; Matthews, David; Li, Yue\\
+\begin{chunk}{ignore}
+\bibitem[Dos Reis 11]{DR11} Dos Reis, Gabriel; Matthews, David; Li, Yue
 ``Retargeting OpenAxiom to Poly/ML: Towards an Integrated Proof Assistants
-and Computer Algebra System Framework''\\
+and Computer Algebra System Framework''
 Calculemus (2011) Springer
 \verb|paradise.caltech.edu/~yli/paper/oa-polyml.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/DR11.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This paper presents an ongoing effort to integrate the Axiom family of
 computer algebra systems with Poly/ML-based proof assistants in the
@@ -4880,10 +7756,13 @@ a modest cost. Our approach is based on retargeting the code generator
 of the OpenAxiom compiler to the Poly/ML abstract machine.
 \end{adjustwidth}
 
-\bibitem[Dunstan 00a]{Dun00a} Dunstan, Martin N.\\
+\begin{chunk}{ignore}
+\bibitem[Dunstan 00a]{Dun00a} Dunstan, Martin N.
 ``Adding Larch/Aldor Specifications to Aldor''
 %\verb|axiom-developer.org/axiom-website/papers/Dunxx.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We describe a proposal to add Larch-style annotations to the Aldor
 programming language, based on our PhD research. The annotations
@@ -4894,12 +7773,15 @@ available and describe the changes which would need to be made to
 the compiler to make use of this technology.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Dunstan 98]{Dun98} Dunstan, Martin; Kelsey, Tom; Linton, Steve;
-Martin, Ursula\\
-``Lightweight Formal Methods For Computer Algebra Systems''\\
+Martin, Ursula
+``Lightweight Formal Methods For Computer Algebra Systems''
 \verb|www.cs.st-andrews.ac.uk/~tom/pub/issac98.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Dun98.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Demonstrates the use of formal methods tools to provide a semantics for
 the type hierarchy of the Axiom computer algebra system, and a methodology
@@ -4907,12 +7789,15 @@ for Aldor program analysis and verification. There are examples of
 abstract specifications of Axiom primitives.
 \end{adjustwidth}
 
-\bibitem[Dunstan 99a]{Dun99a} Dunstan, MN\\
-``Larch/Aldor - A Larch BISL for AXIOM and Aldor''\\
-PhD Thesis, 1999\\
+\begin{chunk}{ignore}
+\bibitem[Dunstan 99a]{Dun99a} Dunstan, MN
+``Larch/Aldor - A Larch BISL for AXIOM and Aldor''
+PhD Thesis, 1999
 \verb|www.cs.st-andrews.uk/files/publications/Dun99.php|
 %\verb|axiom-developer.org/axiom-website/papers/Dun99a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In this thesis we investigate the use of lightweight formal methods
 and verification conditions (VCs) to help improve the reliability of
@@ -4926,13 +7811,16 @@ generator and review our implementation of a prototype verification
 condition generator for Larch/Aldor.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Dunstan 00]{Dun00} Dunstan, Martin; Kelsey, Tom; Martin, Ursula;
-Linton, Steve\\
-``Formal Methods for Extensions to CAS''\\
+Linton, Steve
+``Formal Methods for Extensions to CAS''
 FME'99, Toulouse, France, Sept 20-24, 1999, pp 1758-1777
 \verb|tom.host.cs.st-andrews.ac.uk/pub/fm99.ps|
 %\verb|axiom-developer.org/axiom-website/papers/Dun00.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We demonstrate the use of formal methods tools to provide a semantics
 for the type hierarchy of the AXIOM computer algebra system, and a
@@ -4941,11 +7829,15 @@ case study of abstract specifications of AXIOM primitives, and provide
 an interface between these abstractions and Aldor code.
 \end{adjustwidth}
 
-\bibitem[Hardin 13]{Hard13} Hardin, David S.; McClurg, Jedidiah R.; 
-Davis, Jennifer A.\\
-``Creating Formally Verified Components for Layered Assurance with an LLVM to ACL2 Translator''\\
-\verb|www.jrmcclurg.com/papers/law_2013_paper.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Hard13.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Hard13,
+  author = "Hardin, David S. and McClurg, Jedidiah R. and Davis, Jennifer A.",
+  title = "Creating Formally Verified Components for Layered Assurance with an LLVM to ACL2 Translator",
+  url = "http://www.jrmcclurg.com/papers/law_2013_paper.pdf",
+  paper = "Hard13.pdf"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper describes an effort to create a library of formally
@@ -4956,11 +7848,15 @@ Lisp accepted by the ACL2 theorem prover. They perform verification of
 the component model using ACL2's automated reasoning capabilities.
 \end{adjustwidth}
 
-\bibitem[Hardin 14]{Hard14} Hardin, David S.; Davis, Jennifer A.; 
-Greve, David A.; McClurg, Jedidiah R.\\
-``Development of a Translator from LLVM to ACL2''\\
-\verb|arxiv.org/pdf/1406.1566|
-%\verb|axiom-developer.org/axiom-website/papers/Hard14.pdf|
+\begin{chunk}{axiom.bib}
+@misc{Hard14,
+  author = "Hardin, David S. and Davis, Jennifer A. and Greve, David A. and McClurg, Jedidiah R.",
+  title = "Development of a Translator from LLVM to ACL2",
+  url = "http://arxiv.org/pdf/1406.1566",
+  paper = "Hard14.pdf"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 In our current work a library of formally verified software components
@@ -4983,17 +7879,23 @@ including both a functional correctness theorem as well as a
 validation test for that example.
 \end{adjustwidth}
 
-\bibitem[Lamport 02]{Lamp02} Lamport, Leslie\\
-``Specifying Systems''\\
+\begin{chunk}{ignore}
+\bibitem[Lamport 02]{Lamp02} Lamport, Leslie
+``Specifying Systems''
 \verb|research.microsoft.com/en-us/um/people/lamport/tla/book-02-08-08.pdf|
 Addison-Wesley ISBN 0-321-14306-X
 %\verb|axiom-developer.org/axiom-website/papers/Lamp02.pdf|
 
-\bibitem[Martin 97]{Mart97} Martin, U.; Shand, D.\\
-``Investigating some Embedded Verification Techniques for Computer Algebra Systems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Martin 97]{Mart97} Martin, U.; Shand, D.
+``Investigating some Embedded Verification Techniques for Computer Algebra Systems''
 \verb|www.risc.jku.at/conferences/Theorema/papers/shand.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Mart97.ps|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This paper reports some preliminary ideas on a collaborative project
 between St. Andrews University in the UK and NAG Ltd. The project aims
@@ -5005,9 +7907,16 @@ disadvantages of these approaches. We also discuss some possible case
 studies.
 \end{adjustwidth}
 
-\bibitem[Mason 86]{Mason86} Mason, Ian A.\\
-``The Semantics of Destructive Lisp''\\
-Center for the Study of Language and Information ISBN 0-937073-06-7
+\begin{chunk}{axiom.bib}
+@book{Maso86,
+  author = "Mason, Ian A.",
+  title = "The Semantics of Destructive Lisp",
+  publisher = "Center for the Study of Language and Information",
+  year = "1986",
+  isbn = "0-937073-06-7"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 Our basic premise is that the ability to construct and modify programs
@@ -5022,12 +7931,15 @@ improvement in ways that properly link verification, documentation and
 adaptability.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Newcombe 13]{Newc13} Newcombe, Chris; Rath, Tim; Zhang, Fan;
-Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael\\
-``Use of Formal Methods at Amazon Web Services''\\
+Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael
+``Use of Formal Methods at Amazon Web Services''
 \verb|research.microsoft.com/en-us/um/people/lamport/tla/|
 \verb|formal-methods-amazon.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In order to find subtle bugs in a system design, it is necessary to
 have a precise description of that design. There are at least two
@@ -5052,21 +7964,27 @@ ecosystem of tools.  We found what we were looking for in TLA+, a
 formal specification language.
 \end{adjustwidth}
 
-\bibitem[Poll 99a]{P99a} Poll, Erik\\
-``The Type System of Axiom''\\
+\begin{chunk}{ignore}
+\bibitem[Poll 99a]{P99a} Poll, Erik
+``The Type System of Axiom''
 \verb|www.cs.ru.nl/E.Poll/talks/axiom.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/P99a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This is a slide deck from a talk on the correspondence between
 Axiom/Aldor types and Logic.
 \end{adjustwidth}
 
-\bibitem[Poll 99]{PT99} Poll, Erik; Thompson, Simon\\
-``The Type System of Aldor''\\
+\begin{chunk}{ignore}
+\bibitem[Poll 99]{PT99} Poll, Erik; Thompson, Simon
+``The Type System of Aldor''
 \verb|www.cs.kent.ac.uk/pubs/1999/874/content.ps|
 %\verb|axiom-developer.org/axiom-website/papers/PT99.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This paper gives a formal description of -- at least a part of --
 the type system of Aldor, the extension language of the Axiom.
@@ -5074,12 +7992,15 @@ In the process of doing this a critique of the design of the system
 emerges.
 \end{adjustwidth}
 
-\bibitem[Poll (a)]{PTxx} Poll, Erik; Thompson, Simon\\
+\begin{chunk}{ignore}
+\bibitem[Poll (a)]{PTxx} Poll, Erik; Thompson, Simon
 ``Adding the axioms to Axiom. Toward a system of automated reasoning in
-Aldor''\\
+Aldor''
 \verb|citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.7.1457&rep=rep1&type=ps|
 %\verb|axiom-developer.org/axiom-website/papers/PTxx.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This paper examines the proposal of using the type system of Axiom to
 represent a logic, and thus to use the constructions of Axiom to
@@ -5105,11 +8026,14 @@ One element type        Triv          True proposition
 \end{verbatim}
 \end{adjustwidth}
 
-\bibitem[Poll 00]{PT00} Poll, Erik; Thompson, Simon\\
+\begin{chunk}{ignore}
+\bibitem[Poll 00]{PT00} Poll, Erik; Thompson, Simon
 ``Integrating Computer Algebra and Reasoning through the Type System
 of Aldor''
 %\verb|axiom-developer.org/axiom-website/papers/PT00.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 A number of combinations of reasoning and computer algebra systems
 have been proposed; in this paper we describe another, namely a way to
@@ -5124,23 +8048,32 @@ in Haskell.
 
 \subsection{Interval Arithmetic} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\begin{chunk}{ignore}
 \bibitem[Boehm 86]{Boe86} Boehm, Hans-J.; Cartwright, Robert; Riggle, Mark;
-O'Donnell, Michael J.\\
-``Exact Real Arithmetic: A Case Study in Higher Order Programming''\\
+O'Donnell, Michael J.
+``Exact Real Arithmetic: A Case Study in Higher Order Programming''
 \verb|dev.acm.org/pubs/citations/proceedings/lfp/319838/p162-boehm|
 %\verb|axiom-developer.org/axiom-website/papers/Boe86.pdf|
 
-\bibitem[Briggs 04]{Bri04} Briggs, Keith\\
-``Exact real arithmetic''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Briggs 04]{Bri04} Briggs, Keith
+``Exact real arithmetic''
 \verb|keithbriggs.info/documents/xr-kent-talk-pp.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Bri04.pdf|
 
-\bibitem[Fateman 94]{Fat94} Fateman, Richard J.; Yan, Tak W.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Fateman 94]{Fat94} Fateman, Richard J.; Yan, Tak W.
 ``Computation with the Extended Rational Numbers and an Application to 
-Interval Arithmetic''\\
+Interval Arithmetic''
 \verb|www.cs.berkeley.edu/~fateman/papers/extrat.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Fat94.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Programming languages such as Common Lisp, and virtually every
 computer algebra system (CAS), support exact arbitrary-precision
@@ -5152,18 +8085,29 @@ useful, especially to support robust interval computation. We describe
 techniques for implementing these changes.
 \end{adjustwidth}
 
-\bibitem[Lambov 06]{Lambov06} Lambov, Branimir\\
-``Interval Arithmetic Using SSE-2''\\
-in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
-(2006) pp102-113
+\begin{chunk}{axiom.bib}
+@incollection{Lamb06,
+  author = "Lambov, Branimir",
+  title = "Interval Arithmetic Using SSE-2",
+  booktitle = "Lecture Notes in Computer Science",
+  publisher = "Springer-Verlag",
+  year = "2006",
+  isbn = "978-3-540-85520-0",
+  pages = "102-113"
+}
+
+\end{chunk}
 
 \subsection{Numerics} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Atkinson 09]{Atk09} Atkinson, Kendall; Han, Welmin; Stewear, David\\
-``Numerical Solution of Ordinary Differential Equations''\\
+\begin{chunk}{ignore}
+\bibitem[Atkinson 09]{Atk09} Atkinson, Kendall; Han, Welmin; Stewear, David
+``Numerical Solution of Ordinary Differential Equations''
 \verb|homepage.math.uiowa.edu/~atkinson/papers/NAODE_Book.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Atk09.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This book is an expanded version of supplementary notes that we used
 for a course on ordinary differential equations for upper-division
@@ -5180,20 +8124,26 @@ method is closely connected to the stability of the differential
 equation problem being solved.
 \end{adjustwidth}
 
-\bibitem[Crank 96]{Cran96} Crank, J.; Nicolson, P.\\
-``A practical method for numerical evaluations of solutions of partial differential equations of heat-conduction type''\\
-Advances in Computational Mathematics Vol 6 pp207-226 (1996)\\
+\begin{chunk}{ignore}
+\bibitem[Crank 96]{Cran96} Crank, J.; Nicolson, P.
+``A practical method for numerical evaluations of solutions of partial differential equations of heat-conduction type''
+Advances in Computational Mathematics Vol 6 pp207-226 (1996)
 \verb|www.acms.arizona.edu/FemtoTheory/MK_personal/opti547/literature/|
 \verb|CNMethod-original.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Cran96.pdf|
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Lef\'evre 06]{Lef06} Lef\'evre, Vincent; Stehl\'e, Damien;
-Zimmermann, Paul\\
+Zimmermann, Paul
 ``Worst Cases for the Exponential Function 
-in the IEEE-754r decimal64 Format''\\
+in the IEEE-754r decimal64 Format''
 in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 (2006) pp114-125
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We searched for the worst cases for correct rounding of the 
 exponential function in the IEEE 754r decimal64 format, and computed
@@ -5209,25 +8159,38 @@ format and allows the design of reasonably fast routines that will
 evaluate these functions with correct rounding, at least in some situations.
 \end{adjustwidth}
 
-\bibitem[Hamming 62]{Ham62} Hamming R W.\\
-``Numerical Methods for Scientists and Engineers''\\
-Dover (1973) ISBN 0-486-65241-6
+\begin{chunk}{axiom.bib}
+@book{Hamm62,
+  author = "Hamming R W.",
+  title = "Numerical Methods for Scientists and Engineers",
+  publisher = "Dover",
+  year = "1973",
+  isbn = "0-486-65241-6"
+}
+
+\end{chunk}
 
 \subsection{Advanced Documentation} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem [Bostock 14]{Bos14} Bostock, Mike\\
-``Visualizing Algorithms''\\
+\begin{chunk}{ignore}
+\bibitem [Bostock 14]{Bos14} Bostock, Mike
+``Visualizing Algorithms''
 \verb|bost.ocks.org/mike/algorithms|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This website hosts various ways of visualizing algorithms. The hope is
 that these kind of techniques can be applied to Axiom.
 \end{adjustwidth}
 
-\bibitem[Leeuwen]{Leexx} van Leeuwen, Andr\'e M.A.\\
+\begin{chunk}{ignore}
+\bibitem[Leeuwen]{Leexx} van Leeuwen, Andr\'e M.A.
 ``Representation of mathematical object in interactive books''
 %\verb|axiom-developer.org/axiom-website/papers/Leexx.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We present a model for the representation of mathematical objects in
 structured electronic documents, in a way that allows for interaction
@@ -5244,11 +8207,14 @@ computer algebra system to verify an equation involving a symbolic
 computation.
 \end{adjustwidth}
 
-\bibitem[Soiffer 91]{Soif91} Soiffer, Neil Morrell\\
-``The Design of a User Interface for Computer Algebra Systems''\\
+\begin{chunk}{ignore}
+\bibitem[Soiffer 91]{Soif91} Soiffer, Neil Morrell
+``The Design of a User Interface for Computer Algebra Systems''
 \verb|www.eecs.berkeley.edu/Pubs/TechRpts/1991/CSD-91-626.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Soif91.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This thesis discusses the design and implementation of natural user
 interfaces for Computer Algebra Systems. Such an interface must not
@@ -5260,20 +8226,26 @@ by Computer Algebra Systems and should be able to accommodate new
 notational forms.
 \end{adjustwidth}
 
-\bibitem[Victor 11]{Vict11} Victor, Bret\\
-``Up and Down the Ladder of Abstraction''\\
+\begin{chunk}{ignore}
+\bibitem[Victor 11]{Vict11} Victor, Bret
+``Up and Down the Ladder of Abstraction''
 \verb|worrydream.com/LadderOfAbstraction|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This interactive essay presents the ladder of abstraction, a technique for
 thinking explicitly about these levels, so a designer can move among
 them consciously and confidently. 
 \end{adjustwidth}
 
-\bibitem[Victor 12]{Vict12} Victor, Bret\\
-``Inventing on Principle''\\
+\begin{chunk}{ignore}
+\bibitem[Victor 12]{Vict12} Victor, Bret
+``Inventing on Principle''
 \verb|www.youtube.com/watch?v=PUv66718DII|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This video raises the level of discussion about human-computer interaction
 from a technical question to a question of effectively capturing ideas.
@@ -5282,17 +8254,23 @@ In particular, this applies well to Axiom's focus on literate programming.
 
 \subsection{Differential Equations} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\begin{chunk}{ignore}
 \bibitem[Abramov 95]{Abra95} Abramov, Sergei A.; Bronstein, Manuel; 
-Petkovsek, Marko\\
-``On Polynomial Solutions of Linear Operator Equations''\\
+Petkovsek, Marko
+``On Polynomial Solutions of Linear Operator Equations''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
 %\verb|axiom-developer.org/axiom-website/papers/Abra95.pdf|
 
-\bibitem[Abramov 01]{Abra01} Abramov, Sergei; Bronstein, Manuel\\
-``On Solutions of Linear Functional Systems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Abramov 01]{Abra01} Abramov, Sergei; Bronstein, Manuel
+``On Solutions of Linear Functional Systems''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
 %\verb|axiom-developer.org/axiom-website/papers/Abra01.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We describe a new direct algorithm for transforming a linear system of
 recurrences into an equivalent one with nonsingular leading or
@@ -5305,11 +8283,14 @@ general linear functional systems such as systems of differential or
 ($q$)-difference equations.
 \end{adjustwidth}
 
-\bibitem[Bronstein 96b]{Bro96b} Bronstein, Manuel\\
-``On the Factorization of Linear Ordinary Differential Operators''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 96b]{Bro96b} Bronstein, Manuel
+``On the Factorization of Linear Ordinary Differential Operators''
 Mathematics and Computers in Simulation 42 pp 387-389 (1996)
 %\verb|axiom-developer.org/axiom-website/papers/Bro96b.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 After reviewing the arithmetic of linear ordinary differential
 operators, we describe the current status of the factorisation
@@ -5319,12 +8300,15 @@ and Ulmer that reduce determining the differential Galois group of an
 operator to factoring.
 \end{adjustwidth}
 
-\bibitem[Bronstein 96a]{Bro96a} Bronstein, Manuel; Petkovsek, Marko\\
-``An introduction to pseudo-linear algebra''\\
-Theoretical Computer Science V157 pp3-33 (1966)\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 96a]{Bro96a} Bronstein, Manuel; Petkovsek, Marko
+``An introduction to pseudo-linear algebra''
+Theoretical Computer Science V157 pp3-33 (1966)
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
 %\verb|axiom-developer.org/axiom-website/papers/Bro96a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Pseudo-linear algebra is the study of common properties of linear
 differential and difference operators. We introduce in this paper its
@@ -5335,12 +8319,15 @@ uncoupling and solving systems of linear differential and difference
 equations in closed form.
 \end{adjustwidth}
 
-\bibitem[Bronstein xb]{Broxb} Bronstein, Manuel\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein xb]{Broxb} Bronstein, Manuel
 ``Computer Algebra Algorithms for Linear Ordinary Differential and
-Difference equations''\\
+Difference equations''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/ecm3.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Broxb.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Galois theory has now produced algorithms for solving linear ordinary
 differential and difference equations in closed form. In addition,
@@ -5350,11 +8337,14 @@ relevant parts of the theory, we describe the latest algorithms for
 solving such equations.
 \end{adjustwidth}
 
-\bibitem[Bronstein 94]{Bro94} Bronstein, Manuel\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 94]{Bro94} Bronstein, Manuel
 ``An improved algorithm for factoring linear ordinary differential
-operators''\\
+operators''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We describe an efficient algorithm for computing the associated
 equations appearing in the Beke-Schlesinger factorisation method for
@@ -5368,12 +8358,15 @@ some fast heuristics that can produce some factorizations while using
 only linear computations.
 \end{adjustwidth}
 
-\bibitem[Bronstein 90]{Bro90} Bronstein, Manuel\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 90]{Bro90} Bronstein, Manuel
 ``On Solutions of Linear Ordinary Differential Equations in their 
-Coefficient Field''\\
+Coefficient Field''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
 %\verb|axiom-developer.org/axiom-website/papers/Bro90.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We describe a rational algorithm for finding the denominator of any
 solution of a linear ordinary differential equation in its coefficient
@@ -5385,11 +8378,14 @@ in algorithms that either factor or search for Liouvillian solutions
 of such equations with Liouvillian coefficients.
 \end{adjustwidth}
 
-\bibitem[Bronstein 96]{Bro96} Bronstein, Manuel\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 96]{Bro96} Bronstein, Manuel
 ``$\sum^{IT}$ -- A strongly-typed embeddable computer algebra library''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
 %\verb|axiom-developer.org/axiom-website/papers/Bro96.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We describe the new computer algebra library $\sum^{IT}$ and its
 underlying design. The development of $\sum^{IT}$ is motivated by the
@@ -5402,12 +8398,15 @@ substrate) which is designed to be ``plugged'' with minimal efforts
 into different types of client applications.
 \end{adjustwidth}
 
-\bibitem[Bronstein 99a]{Bro99a} Bronstein, Manuel\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 99a]{Bro99a} Bronstein, Manuel
 ``Solving linear ordinary differential equations over 
-$C(x,e^{\int{f(x)dx}})$\\
+$C(x,e^{\int{f(x)dx}})$
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
 %\verb|axiom-developer.org/axiom-website/papers/Bro99a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We describe a new algorithm for computing the solutions in
 \[F=C(x,e^{\int{f(x)dx}})\] of linear ordinary differential equations
@@ -5418,11 +8417,14 @@ differential systems over $C(x)$. Our method is effective and has been
 implemented.
 \end{adjustwidth}
 
-\bibitem[Bronstein 00]{Bro00} Bronstein, Manuel\\
-``On Solutions of Linear Ordinary Differential Equations in their Coefficient Field''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 00]{Bro00} Bronstein, Manuel
+``On Solutions of Linear Ordinary Differential Equations in their Coefficient Field''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
 %\verb|axiom-developer.org/axiom-website/papers/Bro00.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We extend the notion of monomial extensions of differential fields,
 i.e. simple transcendental extensions in which the polynomials are
@@ -5439,12 +8441,15 @@ for computing the rational solutions of $q$-difference equations with
 polynomial coefficients.
 \end{adjustwidth}
 
-\bibitem[Bronstein 02]{Bro02} Bronstein, Manuel; Lafaille, S\'ebastien\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 02]{Bro02} Bronstein, Manuel; Lafaille, S\'ebastien
 ``Solutions of linear ordinary differential equations in terms of 
-special functions''\\
+special functions''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac2002.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Bro02.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We describe a new algorithm for computing special function solutions
 of the form $y(x) = m(x)F(\eta(x))$ of second order linear ordinary
@@ -5461,11 +8466,14 @@ of the parameters entering those special functions, and can be
 generalized to equations of higher order.
 \end{adjustwidth}
 
-\bibitem[Bronstein 03]{Bro03} Bronstein, Manuel; Trager, Barry M.\\
-``A Reduction for Regular Differential Systems''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 03]{Bro03} Bronstein, Manuel; Trager, Barry M.
+``A Reduction for Regular Differential Systems''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mega2003.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Bro03.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We propose a definition of regularity of a linear differential system
 with coefficients in a monomial extension of a differential field, as
@@ -5477,11 +8485,14 @@ obtaining algorithms for computing the number of irreducible
 components and the genus of algebraic curves.
 \end{adjustwidth}
 
-\bibitem[Bronstein 03a]{Bro03a} Bronstein, Manuel; Sol\'e, Patrick\\
-``Linear recurrences with polynomial coefficients''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 03a]{Bro03a} Bronstein, Manuel; Sol\'e, Patrick
+``Linear recurrences with polynomial coefficients''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/mb_papers.html|
 %\verb|axiom-developer.org/axiom-website/papers/Bro03a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We relate sequences generated by recurrences with polynomial
 coefficients to interleaving and multiplexing of sequences generated
@@ -5490,11 +8501,14 @@ finite fields, we show that such sequences are periodic and provide
 linear complexity estimates for all three constructions.
 \end{adjustwidth}
 
-\bibitem[Bronstein 05]{Bro05} Bronstein, Manuel; Li, Ziming; Wu, Min\\
-``Picard-Vessiot Extensions for Linear Functional Systems''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 05]{Bro05} Bronstein, Manuel; Li, Ziming; Wu, Min
+``Picard-Vessiot Extensions for Linear Functional Systems''
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/publications/issac2005.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Bro05.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Picard-Vessiot extensions for ordinary differential and difference
 equations are well known and are at the core of the associated Galois
@@ -5505,11 +8519,14 @@ to show that all the solutions of a factor of such a system can be
 completed to solutions of the original system.
 \end{adjustwidth}
 
-\bibitem[Davenport 86]{Dav86} Davenport, J.H.\\
-``The Risch Differential Equation Problem''\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 86]{Dav86} Davenport, J.H.
+``The Risch Differential Equation Problem''
 SIAM J. COMPUT. Vol 15, No. 4 1986
 %\verb|axiom-developer.org/axiom-website/papers/Dav86.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We propose a new algorithm, similar to Hermite's method for the
 integration of rational functions, for the resolution of Risch
@@ -5526,12 +8543,15 @@ in their main variables, and we conjecture (after Risch and Norman)
 that this is true in all variables.
 \end{adjustwidth}
 
-\bibitem[Singer 9]{Sing91.pdf} singer, Michael F.\\
-``Liouvillian Solutions of Linear Differential Equations with Liouvillian Coefficients''\\
-J. Symbolic Computation V11 No 3 pp251-273 (1991)\\
+\begin{chunk}{ignore}
+\bibitem[Singer 9]{Sing91.pdf} singer, Michael F.
+``Liouvillian Solutions of Linear Differential Equations with Liouvillian Coefficients''
+J. Symbolic Computation V11 No 3 pp251-273 (1991)
 \verb|www.sciencedirect.com/science/article/pii/S074771710880048X|
 %\verb|axiom-developer.org/axiom-website/papers/Sing91.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Let $L(y)=b$ be a linear differential equation with coefficients in a
 differential field $K$. We discuss the problem of deciding if such an
@@ -5544,17 +8564,23 @@ solutions, liouvillian over $K$, of $L(y)=0$ where $K$ is such a field
 and $L(y)$ has coefficients in $K$.
 \end{adjustwidth}
 
-\bibitem[Von Mohrenschildt 94]{Mohr94} Von Mohrenschildt, Martin\\
-``Symbolic Solutions of Discontinuous Differential Equations''\\
+\begin{chunk}{ignore}
+\bibitem[Von Mohrenschildt 94]{Mohr94} Von Mohrenschildt, Martin
+``Symbolic Solutions of Discontinuous Differential Equations''
 \verb|e-collection.library.ethz.ch/eserv/eth:39463/eth-39463-01.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Mohr94.pdf|
 
-\bibitem[Von Mohrenschildt 98]{Mohr98} Von Mohrenschildt, Martin\\
-``A Normal Form for Function Rings of Piecewise Functions''\\
-J. Symbolic Computation (1998) Vol 26 pp607-619\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Von Mohrenschildt 98]{Mohr98} Von Mohrenschildt, Martin
+``A Normal Form for Function Rings of Piecewise Functions''
+J. Symbolic Computation (1998) Vol 26 pp607-619
 \verb|www.cas.mcmaster.ca/~mohrens/JSC.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Mohr98.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Computer algebra systems often have to deal with piecewise continuous
 functions. These are, for example, the absolute value function,
@@ -5571,10 +8597,14 @@ presented. Finally, we give a ``user interface'' to the algebraic
 representation of the piecewise functions.
 \end{adjustwidth}
 
-\bibitem[Weber 06]{Webe06} Weber, Andreas\\
-``Quantifier Elimination on Real Closed Fields and Differential Equations''\\
+\begin{chunk}{ignore}
+\bibitem[Weber 06]{Webe06} Weber, Andreas
+``Quantifier Elimination on Real Closed Fields and Differential Equations''
 \verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber2006a.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Webe06.pdf|
+ keywords = "survey",
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper surveys some recent applications of quantifier elimination
@@ -5590,12 +8620,15 @@ formulae the method has gained practical applications, e.g. in the
 context of computing threshold conditions in epidemic modeling.
 \end{adjustwidth}{2.5em}{0pt}
 
-\bibitem[Ulmer 03]{Ulm03} Ulmer, Felix\\
-``Liouvillian solutions of third order differential equations''\\
+\begin{chunk}{ignore}
+\bibitem[Ulmer 03]{Ulm03} Ulmer, Felix
+``Liouvillian solutions of third order differential equations''
 J. Symbolic COmputations 36 pp 855-889 (2003)
 \verb|www.sciencedirect.com/science/article/pii/S0747717103000658|
 %\verb|axiom-developer.org/axiom-website/papers/Ulm03.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The Kovacic algorithm and its improvements give explicit formulae for
 the Liouvillian solutions of second order linear differential
@@ -5614,11 +8647,14 @@ have been constructed, illustrating the possibilities and limitations.
 
 \subsection{Expression Simplification} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Carette 04]{Car04} Carette, Jacques\\
-``Understanding Expression Simplification''\\
+\begin{chunk}{ignore}
+\bibitem[Carette 04]{Car04} Carette, Jacques
+``Understanding Expression Simplification''
 \verb|www.cas.mcmaster.ca/~carette/publications/simplification.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Car04.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We give the first formal definition of the concept of {\sl
 simplification} for general expressions in the context of Computer
@@ -5633,16 +8669,22 @@ implementations of simplification routines.
 
 \subsection{Integration} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Adamchik xx]{Adamxx} Adamchik, Victor\\
-``Definite Integration''\\
+\begin{chunk}{ignore}
+\bibitem[Adamchik xx]{Adamxx} Adamchik, Victor
+``Definite Integration''
 \verb|www.cs.cmu.edu/~adamchik/articles/integr/mj.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Adamxx.pdf|
 
-\bibitem[Adamchik 97]{Adam97} Adamchik, Victor\\
-``A Class of Logarithmic Integrals''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Adamchik 97]{Adam97} Adamchik, Victor
+``A Class of Logarithmic Integrals''
 \verb|www.cs.cmu.edu/~adamchik/articles/issac/issac97.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Adam97.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 A class of definite integrals involving cyclotomic polynomials and
 nested logarithms is considered. The results are given in terms of
@@ -5650,11 +8692,14 @@ derivatives of the Hurwitz Zeta function. Some special cases for which
 such derivatives can be expressed in closed form are also considered.
 \end{adjustwidth}
 
-\bibitem[Avgoustis 77]{Avgo77} Avgoustis, Ioannis Dimitrios\\
-``Definite Integration using the Generalized Hypergeometric Functions''\\
+\begin{chunk}{ignore}
+\bibitem[Avgoustis 77]{Avgo77} Avgoustis, Ioannis Dimitrios
+``Definite Integration using the Generalized Hypergeometric Functions''
 \verb|dspace.mit.edu/handle/1721.1/16269|
 %\verb|axiom-developer.org/axiom-websitep/papers/Avgo77.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 A design for the definite integration of approximately fifty Special
 Functions is described. The Generalized Hypergeometric Functions are
@@ -5670,11 +8715,14 @@ transforms are given and some actual examples with their corresponding
 timing are provided.
 \end{adjustwidth}
 
-\bibitem[Baddoura 89]{Bad89} Baddoura, Jamil\\
-``A Dilogarithmic Extension of Liouville's Theorem on Integration in Finite Terms''\\
+\begin{chunk}{ignore}
+\bibitem[Baddoura 89]{Bad89} Baddoura, Jamil
+``A Dilogarithmic Extension of Liouville's Theorem on Integration in Finite Terms''
 \verb|www.dtic.mil/dtic/tr/fulltext/u2/a206681.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Bad89.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The result obtained generalizes Liouville's Theorem by allowing, in
 addition to the elementary functions, dilogarithms to appear in the
@@ -5684,11 +8732,14 @@ integral, appears linearly, with logarithms appearing in a non-linear
 way.
 \end{adjustwidth}
 
-\bibitem[Baddoura 94]{Bad94} Baddoura, Mohamed Jamil\\
-``Integration in Finite Terms with Elementary Functions and Dilogarithms''\\
+\begin{chunk}{ignore}
+\bibitem[Baddoura 94]{Bad94} Baddoura, Mohamed Jamil
+``Integration in Finite Terms with Elementary Functions and Dilogarithms''
 \verb|dspace.mit.edu/bitstream/handle/1721.1/26864/30757785.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Bad94.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In this thesis, we report on a new theorem that generalizes
 Liouville's theorem on integration in finite terms. The new theorem
@@ -5700,11 +8751,14 @@ functions by taking transcendental exponentials, dilogarithms, and
 logarithms.
 \end{adjustwidth}
 
-\bibitem[Baddoura 10]{Bad10} Baddoura, Jamil\\
-``A Note on Symbolic Integration with Polylogarithms''\\
+\begin{chunk}{ignore}
+\bibitem[Baddoura 10]{Bad10} Baddoura, Jamil
+``A Note on Symbolic Integration with Polylogarithms''
 J. Math Vol 8 pp229-241 (2011)
 %\verb|axiom-developer.org/axiom-website/papers/Bad10.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We generalize partially Liouville's theorem on integration in finite
 terms to allow polylogarithms of any order to occur in the integral in
@@ -5716,11 +8770,14 @@ function to the nth polylogarithm appears linearly with logarithms
 appearing possibly in a polynomial way with non-constant coefficients.
 \end{adjustwidth}
 
-\bibitem[Bajpai 70]{Bajp70} Bajpai, S.D.\\
-``A contour integral involving legendre polynomial and Meijer's G-function''\\
+\begin{chunk}{ignore}
+\bibitem[Bajpai 70]{Bajp70} Bajpai, S.D.
+``A contour integral involving legendre polynomial and Meijer's G-function''
 \verb|link.springer.com/article/10.1007/BF03049565|
 %\verb|axiom-developer.org/axiom-website/papers/Bajp70.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In this paper a countour integral involving Legendre polynomial and
 Meijer's G-function is evaluated. the integral is of general character
@@ -5729,11 +8786,14 @@ MacRobert and others.  An integral involving regular radial Coulomb
 wave function is also obtained as a particular case.
 \end{adjustwidth}
 
-\bibitem[Bronstein 89]{Bro89a} Bronstein, M.\\ 
-``An Algorithm for the Integration of Elementary Functions''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 89]{Bro89a} Bronstein, M. 
+``An Algorithm for the Integration of Elementary Functions''
 Lecture Notes in Computer Science Vol 378 pp491-497 (1989)
 %\verb|axiom-developer.org/axiom-website/papers/Bro89a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Trager (1984) recently gave a new algorithm for the indefinite
 integration of algebraic functions. His approach was ``rational'' in
@@ -5745,10 +8805,66 @@ the integrand, and to check a necessary condition for elementary
 integrability.
 \end{adjustwidth}
 
-\bibitem[Bronstein 90]{Bro90b} Bronstein, Manuel\\
-``A Unification of Liouvillian Extensions''\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 90a]{Bro90a} Bronstein, Manuel
+``Integration of Elementary Functions''
+J. Symbolic Computation (1990) 9, pp117-173 September 1988
+%\verb|axiom-developer.org/axiom-website/papers/Bro90a.pdf|
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+We extend a recent algorithm of Trager to a decision procedure for the
+indefinite integration of elementary functions. We can express the
+integral as an elementary function or prove that it is not
+elementary. We show that if the problem of integration in finite terms
+is solvable on a given elementary function field $k$, then it is
+solvable in any algebraic extension of $k(\theta)$, where $\theta$ is
+a logarithm or exponential of an element of $k$. Our proof considers
+an element of such an extension field to be an algebraic function of
+one variable over $k$.
+
+In his algorithm for the integration of algebraic functions, Trager
+describes a Hermite-type reduction to reduce the problem to an
+integrand with only simple finite poles on the associated Riemann
+surface. We generalize that technique to curves over liouvillian
+ground fields, and use it to simplify our integrands.  Once the
+multipe finite poles have been removed, we use the Puiseux expansions
+of the integrand at infinity and a generalization of the residues to
+compute the integral. We also generalize a result of Rothstein that
+gives us a necessary condition for elementary integrability, and
+provide examples of its use.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Bron90c,
+  author = "Bronstein, Manuel",
+  title = "On the integration of elementary functions",
+  journal = "Journal of Symbolic Computation",
+  volume = "9",
+  number = "2",
+  pages = "117-173",
+  year = "1990",
+  month = "February"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Bronstein 93]{REF-BS93} Bronstein, Manuel; Salvy, Bruno
+``Full partial fraction decomposition of rational functions''
+In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993
+\verb|www.acm.org/pubs/citations/proceedings/issac/164081/|
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Bronstein 90]{Bro90b} Bronstein, Manuel
+``A Unification of Liouvillian Extensions''
 %\verb|axiom-developer.org/axiom-website/papers/Bro90b.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We generalize Liouville's theory of elementary functions to a larger
 class of differential extensions. Elementary, Liouvillian and
@@ -5759,24 +8875,91 @@ unified presentation which does not require separate cases for
 different monomials.
 \end{adjustwidth}
 
-\bibitem[Bronstein 97]{Bro97} Bronstein, M.\\ 
-``Symbolic Integration I--Transcendental Functions.''\\
-Springer, Heidelberg, 1997 ISBN 3-540-21493-3\\
-\verb|evil-wire.org/arrrXiv/Mathematics/Bronstein,_Symbolic_Integration_I,1997.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Bro97.pdf|
+\begin{chunk}{axiom.bib}
+@book{Bron97,
+  author = "Bronstein, Manuel",
+  title = "Symbolic Integration I--Transcendental Functions",
+  publisher = "Springer, Heidelberg",
+  year = "1997",
+  isbn = "3-540-21493-3",
+  url = "http://evil-wire.org/arrrXiv/Mathematics/Bronstein,_Symbolic_Integration_I,1997.pdf",
+  paper = "Bron97.pdf"
+}
+
+\end{chunk}
 
-\bibitem[Bronstein 05a]{Bro05a} Bronstein, Manuel\\
-``The Poor Man's Integrator, a parallel integration heuristic''\\
-\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/pmint/pmint.txt|\\
+\begin{chunk}{ignore}
+\bibitem[Bronstein 05a]{Bro05a} Bronstein, Manuel
+``The Poor Man's Integrator, a parallel integration heuristic''
+\verb|www-sop.inria.fr/cafe/Manuel.Bronstein/pmint/pmint.txt|
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/pmint/examples|
 %\verb|axiom-developer.org/axiom-website/papers/Bro05a.txt|
 
-\bibitem[Charlwood 07]{Charl07} Charlwood, Kevin\\
-``Integration on Computer Algebra Systems''\\
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Bron06,
+  author = "Bronstein, M.",
+  title = "Parallel integration",
+  journal = "Programming and Computer Software",
+  year = "2006",
+  issn = "0361-7688",
+  volume = "32",
+  number = "1",
+  doi = "10.1134/S0361768806010075",
+  url = "http://dx.doi.org/10.1134/S0361768806010075",
+  publisher = "Nauka/Interperiodica",
+  pages = "59-60",
+  paper = "Bron06.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+Parallel integration is an alternative method for symbolic
+integration.  While also based on Liouville's theorem, it handles all
+the generators of the differential field containing the integrand ``in
+parallel'', i.e.  all at once rather than considering only the topmost
+one in a recursive fasion. Although it still contains heuristic
+aspects, its ease of implementation, speed, high rate of success, and
+ability to integrate functions that cannot be handled by the Risch
+algorithm make it an attractive alternative.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Bron07,
+  author = "Bronstein, Manuel",
+  title = "Structure theorems for parallel integration",
+  journal = "Journal of Symbolic Computation",
+  volume = "42",
+  number = "7",
+  pages = "757-769",
+  year = "2007",
+  month = "July",
+  paper = "Bron07.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+We introduce structure theorems that refine Liouville's Theorem on
+integration in closed form for general derivations on multivariate
+rational function fields. By predicting the arguments of the new
+logarithms that an appear in integrals, as well as the denominator of
+the rational part, those theorems provide theoretical backing for the
+Risch-Norman integration method.  They also generalize its applicability 
+to non-monomial extensions, for example the Lambert W function.
+\end{adjustwidth}
+
+\begin{chunk}{ignore}
+\bibitem[Charlwood 07]{Charl07} Charlwood, Kevin
+``Integration on Computer Algebra Systems''
 The Electronic J of Math. and Tech. Vol 2, No 3, ISSN 1933-2823
 \verb|12000.org/my_notes/ten_hard_integrals/paper.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Charl07.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In this article, we consider ten indefinite integrals and the ability
 of three computer algebra systems (CAS) to evaluate them in
@@ -5789,11 +8972,14 @@ this occurs, we consider what a user may do to find a solution with
 the aid of a CAS.
 \end{adjustwidth}
 
-\bibitem[Charlwood 08]{Charl08} Charlwood, Kevin\\
-``Symbolic Integration Problems''\\
+\begin{chunk}{ignore}
+\bibitem[Charlwood 08]{Charl08} Charlwood, Kevin
+``Symbolic Integration Problems''
 \verb|www.apmaths.uwo.ca/~arich/IndependentTestResults/CharlwoodIntegrationProblems.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Charl08.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 A list of the 50 example integration problems from Kevin Charlwood's 2008
 article ``Integration on Computer Algebra Systems''. Each integral along
@@ -5801,11 +8987,14 @@ with its optimal antiderivative (that is, the best antiderivative found
 so far) is shown.
 \end{adjustwidth}
 
-\bibitem[Cherry 84]{Che84} Cherry, G.W.\\
-``Integration in Finite Terms with Special Functions: The Error Function''\\
+\begin{chunk}{ignore}
+\bibitem[Cherry 84]{Che84} Cherry, G.W.
+``Integration in Finite Terms with Special Functions: The Error Function''
 J. Symbolic Computation (1985) Vol 1 pp283-302
 %\verb|axiom-developer.org/axiom-website/papers/Che84.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 A decision procedure for integrating a class of transcendental
 elementary functions in terms of elementary functions and error
@@ -5820,16 +9009,22 @@ presented here is the key procuedure to a more general algorithm which
 is described fully in Cherry (1983).
 \end{adjustwidth}
 
-\bibitem[Cherry 86]{Che86} Cherry, G.W.\\
+\begin{chunk}{ignore}
+\bibitem[Cherry 86]{Che86} Cherry, G.W.
 ``Integration in Finite Terms with Special Functions: 
-The Logarithmic Integral''\\
+The Logarithmic Integral''
 SIAM J. Comput. Vol 15 pp1-21 February 1986
 
-\bibitem[Cherry 89]{Che89} Cherry, G.W.\\
-``An Analysis of the Rational Exponential Integral''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Cherry 89]{Che89} Cherry, G.W.
+``An Analysis of the Rational Exponential Integral''
 SIAM J. Computing Vol 18 pp 893-905 (1989)
 %\verb|axiom-developer.org/axiom-website/papers/Che89.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In this paper an algorithm is presented for integrating expressions of
 the form $\int{ge^f~dx}$, where $f$ and $g$ are rational functions of
@@ -5849,11 +9044,14 @@ differential equation $y^\prime + fy = g$. Instead, a more direct
 method of undetermined coefficients is used.
 \end{adjustwidth}
 
-\bibitem[Churchill 06]{Chur06} Churchill, R.C.\\
-``Liouville's Theorem on Integration Terms of Elementary Functions''\\
+\begin{chunk}{ignore}
+\bibitem[Churchill 06]{Chur06} Churchill, R.C.
+``Liouville's Theorem on Integration Terms of Elementary Functions''
 \verb|www.sci.ccny.cuny.edu/~ksda/PostedPapers/liouv06.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Chur06.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This talk should be regarded as an elementary introduction to
 differential algebra. It culminates in a purely algebraic proof, due
@@ -5871,16 +9069,22 @@ cannot be expressed in terms of elementary functions.
 \end{itemize}
 \end{adjustwidth}
 
-\bibitem[Davenport 79b]{Dav79b} Davenport, James Harold\\
-``On the Integration of Algebraic Functions''\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 79b]{Dav79b} Davenport, James Harold
+``On the Integration of Algebraic Functions''
 Springer-Verlag Lecture Notes in Computer Science 102
 ISBN 0-387-10290-6
 
-\bibitem[Davenport 79c]{Dav79c} Davenport, J. H.\\
-``Algorithms for the Integration of Algebraic Functions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 79c]{Dav79c} Davenport, J. H.
+``Algorithms for the Integration of Algebraic Functions''
 Lecture Notes in Computer Science V 72 pp415-425 (1979)
 %\verb|axiom-developer.org/axiom-website/papers/Dav79c.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The problem of finding elementary integrals of algebraic functions has
 long been recognized as difficult, and has sometimes been thought
@@ -5894,10 +9098,13 @@ where the algebraic expressions depend on a parameter as well as on
 the variable of integration.
 \end{adjustwidth}
 
-\bibitem[Davenport 82a]{Dav82a} Davenport, J.H.\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 82a]{Dav82a} Davenport, J.H.
 ``The Parallel Risch Algorithm (I)
 %\verb|axiom-developer.org/axiom-website/papers/Dav82a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In this paper we review the so-called ``parallel Risch'' algorithm for
 the integration of transcendental functions, and explain what the
@@ -5905,42 +9112,92 @@ problems with it are. We prove a positive result in the case of
 logarithmic integrands.
 \end{adjustwidth}
 
-\bibitem[Davenport 82]{Dav82} Davenport, J.H.\\
-``On the Parallel Risch Algorithm (III): Use of Tangents''\\
+\begin{chunk}{ignore}
+\bibitem[Davenport 82]{Dav82} Davenport, J.H.
+``On the Parallel Risch Algorithm (III): Use of Tangents''
 SIGSAM V16 no. 3 pp3-6 August 1982
 
-\bibitem[Davenport 03]{Dav03} Davenport, James H.\\
-``The Difficulties of Definite Integration''\\
-\verb|www.researchgate.net/publication/|\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Davenport 03]{Dav03} Davenport, James H.
+``The Difficulties of Definite Integration''
+\verb|www.researchgate.net/publication/|
 \verb|247837653_The_Diculties_of_Definite_Integration/file/72e7e52a9b1f06e196.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Dav03.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Indefinite integration is the inverse operation to differentiation,
 and, before we can understand what we mean by indefinite integration,
 we need to understand what we mean by differentiation.
 \end{adjustwidth}
 
-\bibitem[Fateman 02]{Fat02} Fateman, Richard\\
-``Symbolic Integration''\\
+\begin{chunk}{ignore}
+\bibitem[Fateman 02]{Fat02} Fateman, Richard
+``Symbolic Integration''
 \verb|inst.eecs.berkeley.edu/~cs282/sp02/lects/14.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Fat02.pdf|
 
-\bibitem[Geddes 92a]{GCL92a} Geddes, K.O.; Czapor, S.R.; Labahn, G.\\
-``The Risch Integration Algorithm''\\
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@inproceedings{Gedd89,
+ author = "Geddes, K. O. and Stefanus, L. Y.",
+ title = "On the Risch-norman Integration Method and Its Implementation in MAPLE",
+ booktitle = "Proceedings of the ACM-SIGSAM 1989 International Symposium on Symbolic and Algebraic Computation",
+ series = "ISSAC '89",
+ year = "1989",
+ isbn = "0-89791-325-6",
+ location = "Portland, Oregon, USA",
+ pages = "212--217",
+ numpages = "6",
+ url = "http://doi.acm.org/10.1145/74540.74567",
+ doi = "10.1145/74540.74567",
+ acmid = "74567",
+ publisher = "ACM",
+ address = "New York, NY, USA",
+ paper = "Gedd89.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+Unlike the Recursive Risch Algorithm for the integration of
+transcendental elementary functions, the Risch-Norman Method processes
+the tower of field extensions directly in one step. In addition to
+logarithmic and exponential field extensions, this method can handle
+extentions in terms of tangents. Consequently, it allows trigonometric
+functions to be treated without converting them to complex exponential
+form. We review this method and describe its implementation in
+MAPLE. A heuristic enhancement to this method is also presented.
+\end{adjustwidth}
+
+\begin{chunk}{ignore}
+\bibitem[Geddes 92a]{GCL92a} Geddes, K.O.; Czapor, S.R.; Labahn, G.
+``The Risch Integration Algorithm''
 Algorithms for Computer Algebra, Ch 12 pp511-573 (1992)
 %\verb|axiom-developer.org/axiom-website/papers/GCL92a.pdf|
 
-\bibitem[Hardy 1916]{Hard16} Hardy, G.H.\\
-``The Integration of Functions of a Single Variable''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Hardy 1916]{Hard16} Hardy, G.H.
+``The Integration of Functions of a Single Variable''
 Cambridge Unversity Press, Cambridge, 1916
 % REF:00002
 
-\bibitem[Harrington 78]{Harr87} Harrington, S.J.\\
-``A new symbolic integration system in reduce''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Harrington 78]{Harr87} Harrington, S.J.
+``A new symbolic integration system in reduce''
 \verb|comjnl.oxfordjournals.or/content/22/2/127.full.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Harr87.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 A new integration system, employing both algorithmic and pattern match
 integration schemes is presented. The organization of the system
@@ -5954,18 +9211,27 @@ is both fast and powerful, and can be easily modified to incorporate
 anticipated developments in symbolic integration.
 \end{adjustwidth}
 
-\bibitem[Hermite 1872]{Her1872} Hermite, E.\\
-``Sur l'int\'{e}gration des fractions rationelles.''\\
-{\sl Nouvelles Annales de Math\'{e}matiques}
-($2^{eme}$ s\'{e}rie), 11:145-148, 1872
-% REF:00022
+\begin{chunk}{axiom.bib}
+@misc{Herm1872,
+  author = "Hermite, E.",
+  title = "Sur l'int\'{e}gration des fractions rationelles",
+  journal = "Nouvelles Annales de Math\'{e}matiques",
+  volume = "11",
+  pages = "145-148",
+  year = "1872"
+}
 
-\bibitem[Horowitz 71]{Horo71} Horowitz, Ellis\\
-``Algorithms for Partial Fraction Decomposition and Rational Function Integration''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Horowitz 71]{Horo71} Horowitz, Ellis
+``Algorithms for Partial Fraction Decomposition and Rational Function Integration''
 SYMSAC '71 Proc. ACM Symp. on Symbolic and Algebraic Manipulation (1971) 
 pp441-457
 %\verb|axiom-developer.org/axiom-website/papers/Horo71.pdf| REF:00018
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Algorithms for symbolic partial fraction decomposition and indefinite
 integration of rational functions are described. Two types of
@@ -5980,11 +9246,14 @@ decomposition can then be directly obtained and it is shown that the
 computing time for this process is also bounded by $O(n^4(ln nf)^2)$.
 \end{adjustwidth}
 
-\bibitem[Jeffrey 97]{Jeff97} Jeffrey, D.J.; Rich, A.D.\\
-``Recursive integration of piecewise-continuous functions''\\
+\begin{chunk}{ignore}
+\bibitem[Jeffrey 97]{Jeff97} Jeffrey, D.J.; Rich, A.D.
+``Recursive integration of piecewise-continuous functions''
 \verb|www.cybertester.com/data/recint.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Jeff97.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 An algorithm is given for the integration of a class of
 piecewise-continuous functions. The integration is with respect to a
@@ -5997,12 +9266,15 @@ has the property of ensuring that integrals are continuous on domains
 of maximum extent.
 \end{adjustwidth}
 
+\begin{chunk}{ignore}
 \bibitem[Jeffrey 99]{Jeff99} Jeffrey, D.J.; Labahn, G.; Mohrenschildt, M.v.;
-Rich, A.D.\\
-``Integration of the signum, piecewise and related functions''\\
+Rich, A.D.
+``Integration of the signum, piecewise and related functions''
 \verb|cs.uwaterloo.ca/~glabahn/Papers/issac99-2.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Jeff99.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 When a computer algebra system has an assumption facility, it is
 possible to distinguish between integration problems with respect to a
@@ -6013,35 +9285,73 @@ and integration is with respect to a real variable.  Algorithms are
 given for evaluating such integrals.
 \end{adjustwidth}
 
-\bibitem[Kiymaz 04]{Kiym04} Kiymaz, Onur; Mirasyedioglu, Seref\\
-``A new symbolic computation for formal integration with exact power series''\\
+\begin{chunk}{ignore}
+\bibitem[Kiymaz 04]{Kiym04} Kiymaz, Onur; Mirasyedioglu, Seref
+``A new symbolic computation for formal integration with exact power series''
 %\verb|axiom-developer.org/axiom-website/Kiym04.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 This paper describes a new symbolic algorithm for formal integration
 of a class of functions in the context of exact power series by using
 generalized hypergeometric series and computer algebraic technique.
 \end{adjustwidth}
 
-\bibitem[Knowles 93]{Know93} Knowles, P.\\
+\begin{chunk}{ignore}
+\bibitem[Knowles 93]{Know93} Knowles, P.
 ``Integration of a class of transcendental liouvillian
-functions with error-functions i''\\
+functions with error-functions i''
 Journal of Symbolic Computation Vol 13 pp525-543 (1993)
 
-\bibitem[Knowles 95]{Know95} Knowles, P.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Knowles 95]{Know95} Knowles, P.
 ``Integration of a class of transcendental liouvillian
-functions with error-functions ii''\\
+functions with error-functions ii''
 Journal of Symbolic Computation Vol 16 pp227-241 (1995)
 
-\bibitem[Lang 93]{Lang93} Lang, S.\\
-``Algebra''\\
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Krag09,
+  author = "Kragler, R.",
+  title = "On Mathematica Program for Poor Man's Integrator Algorithm",
+  journal = "Programming and Computer Software",
+  volume = "35",
+  number = "2",
+  pages = "63-78",
+  year = "2009",
+  issn = "0361-7688",
+  paper = "Krag09.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+In this paper by means of computer experiment we study advantages and
+disadvantages of the heuristical method of ``parallel integrator''. For
+this purpose we describe and use implementation of the method in
+Mathematica. In some cases we compare this implementation with the original
+one in Maple.
+\end{adjustwidth}
+
+\begin{chunk}{ignore}
+\bibitem[Lang 93]{Lang93} Lang, S.
+``Algebra''
 Addison-Wesly, New York, 3rd edition 1993
 
-\bibitem[Leerawat 02]{Leer02} Leerawat, Utsanee; Laohakosol, Vichian\\
-``A Generalization of Liouville's Theorem on Integration in Finite Terms''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Leerawat 02]{Leer02} Leerawat, Utsanee; Laohakosol, Vichian
+``A Generalization of Liouville's Theorem on Integration in Finite Terms''
 \verb|www.mathnet.or.kr/mathnet/kms_tex/113666.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Leer02.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 A generalization of Liouville's theorem on integration in finite
 terms, by enlarging the class of fields to an extension called
@@ -6050,17 +9360,23 @@ $\mathcal{E}\mathcal{L}$-elementary extensions of Singer, Saunders and
 Caviness and contains the Gamma function.
 \end{adjustwidth}
 
-\bibitem[Leslie 09]{Lesl09} Leslie, Martin\\
-``Why you can't integrate exp($x^2$)''\\
+\begin{chunk}{ignore}
+\bibitem[Leslie 09]{Lesl09} Leslie, Martin
+``Why you can't integrate exp($x^2$)''
 \verb|math.arizona.edu/~mleslie/files/integrationtalk.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Lesl09.pdf|
 
-\bibitem[Lichtblau 11]{Lich11} Lichtblau, Daniel\\
-``Symbolic definite (and indefinite) integration: methods and open issues''\\
-ACM Comm. in Computer Algebra Issue 175, Vol 45, No.1 (2011)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Lichtblau 11]{Lich11} Lichtblau, Daniel
+``Symbolic definite (and indefinite) integration: methods and open issues''
+ACM Comm. in Computer Algebra Issue 175, Vol 45, No.1 (2011)
 \verb|www.sigsam.org/bulletin/articles/175/issue175.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Lich11.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The computation of definite integrals presents one with a variety of
 choices. There are various methods such as Newton-Leibniz or Slater's
@@ -6072,45 +9388,73 @@ considerations moreover interact with one another in a multitude of
 ways. Herein we discuss these various issues and illustrate with examples.
 \end{adjustwidth}
 
-\bibitem[Liouville 1833a]{Lio1833a} Liouville, Joseph\\
-``Premier m\'{e}moire sur la
-d\'{e}termination des int\'{e}grales dont la valeur est
-alg\'{e}brique''\\
-{\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
-
-\bibitem[Liouville 1833b]{Lio1833b} Liouville, Joseph\\ 
-``Second m\'{e}moire sur la d\'{e}termination des int\'{e}grales 
-dont la valeur est alg\'{e}brique''\\
-{\sl Journal de l'Ecole Polytechnique}, 14:149-193, 1833
-
-\bibitem[Liouville 1833c]{Lio1833c} Liouville, Joseph\\
+\begin{chunk}{axiom.bib}
+@article{Liou1833a,
+  author = "Liouville, Joseph",
+  title = "Premier m\'{e}moire sur la d\'{e}termination des int\'{e}grales dont la valeur est alg\'{e}brique",
+  journal = "Journal de l'Ecole Polytechnique",
+  volume = "14",
+  pages = "124-128",
+  year = "1833"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Liou1833b,
+  author = "Liouville, Joseph",
+  title = "Second m\'{e}moire sur la d\'{e}termination des int\'{e}grales dont la valeur est alg\'{e}brique",
+  journal = "Journal de l'Ecole Polytechnique",
+  volume = "14",
+  pages = "149-193",
+  year = "1833"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Liouville 1833c]{Lio1833c} Liouville, Joseph
 ``Note sur la determination des int\'egrales dont la
-valeur est alg\'ebrique''\\
+valeur est alg\'ebrique''
 Journal f\"ur die Reine und Angewandte Mathematik,
 Vol 10 pp 247-259, (1833)
 
-\bibitem[Liouville 1833d]{Lio1833d} Liouville, Joseph\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Liouville 1833d]{Lio1833d} Liouville, Joseph
 ``Sur la determination des int\'egrales dont la valeur est
-alg\'ebrique''\\
+alg\'ebrique''
 {\sl Journal de l'Ecole Polytechnique}, 14:124-193, 1833
 
-\bibitem[Liouville 1835]{Lio1835} Liouville, Joseph\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Liouville 1835]{Lio1835} Liouville, Joseph
 ``M\'emoire sur l'int\'gration d'une classe de fonctions
-transcendentes''\\
+transcendentes''
 Journal f\"ur die Reine und Angewandte Mathematik,
 Vol 13(2) pp 93-118, (1835)
 
-\bibitem[Marc 94]{Marc94} Marchisotto, Elena Anne; Zakeri, Gholem-All\\
-``An Invitation to Integration in Finite Terms''\\
-College Mathematics Journal Vol 25 No 4 (1994) pp295-308\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Marc 94]{Marc94} Marchisotto, Elena Anne; Zakeri, Gholem-All
+``An Invitation to Integration in Finite Terms''
+College Mathematics Journal Vol 25 No 4 (1994) pp295-308
 \verb|www.rangevoting.org/MarchisottoZint.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Marc94.pdf|
 
-\bibitem[Marik 91]{Mari91} Marik, Jan\\
-``A note on integration of rational functions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Marik 91]{Mari91} Marik, Jan
+``A note on integration of rational functions''
 \verb|dml.cz/bitstream/handle/10338.dmlcz/126024/MathBohem_116-1991-4_9.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Mari91.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Let $P$ and $Q$ be polynomials in one variable with complex coefficients
 and let $n$ be a natural number. Suppose that $Q$ is not constant and
@@ -6120,11 +9464,14 @@ functions $Q^\prime$, $(Q^2)^\prime,\ldots\,(Q^n)^\prime$,$P$ is
 divisible by $Q$.
 \end{adjustwidth}
 
-\bibitem[Moses 76]{Mos76} Moses, Joel\\
-``An introduction to the Risch Integration Algorithm''\\
+\begin{chunk}{ignore}
+\bibitem[Moses 76]{Mos76} Moses, Joel
+``An introduction to the Risch Integration Algorithm''
 ACM Proc. 1976 annual conference pp425-428
 %\verb|axiom-developer.org/axiom-website/papers/Mos76.pdf| REF:00048 
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Risch's decision procedure for determining the integrability in closed
 form of the elementary functions of the calculus is presented via
@@ -6134,12 +9481,15 @@ implementation of the algebraic case of the algorithm is the subject
 of current research.
 \end{adjustwidth}
 
-\bibitem[Moses 71a]{Mos71a} Moses, Joel\\
-``Symbolic Integration: The Stormy Decade''\\
+\begin{chunk}{ignore}
+\bibitem[Moses 71a]{Mos71a} Moses, Joel
+``Symbolic Integration: The Stormy Decade''
 CACM Aug 1971 Vol 14 No 8 pp548-560
 \verb|www-inst.eecs.berkeley.edu/~cs282/sp02/readings/moses-int.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Mos71a.pdf| REF:00017
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Three approaches to symbolic integration in the 1960's are
 described. The first, from artificial intelligence, led to Slagle's
@@ -6154,10 +9504,13 @@ functions and programs for solving differential equations and for
 finding the definite integral are also described.
 \end{adjustwidth}
 
-\bibitem[Norman 79]{Nor79} Norman, A.C.; Davenport, J.H.\\
-``Symbolic Integration -- The Dust Settles?''\\
+\begin{chunk}{ignore}
+\bibitem[Norman 79]{Nor79} Norman, A.C.; Davenport, J.H.
+``Symbolic Integration -- The Dust Settles?''
 %\verb|axiom-developer.org/axiom-website/papers/Nor79.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 By the end of the 1960s it had been shown that a computer could find
 indefinite integrals with a competence exceeding that of typical
@@ -6171,17 +9524,23 @@ the above-mentioned early results, showing where the development has
 been smooth and where it has spurred work in seemingly unrelated fields.
 \end{adjustwidth}
 
-\bibitem[Ostrowski 46]{Ost46} Ostrowski, A.\\
+\begin{chunk}{ignore}
+\bibitem[Ostrowski 46]{Ost46} Ostrowski, A.
 ``Sur l'int\'egrabilit\'e \'el\'ementaire de quelques classes
-d'expressions''\\
+d'expressions''
 Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 % REF:00008
 
-\bibitem[Raab 12]{Raab12} Raab, Clemens G.\\
-``Definite Integration in Differential Fields''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Raab 12]{Raab12} Raab, Clemens G.
+``Definite Integration in Differential Fields''
 \verb|www.risc.jku.at/publications/download/risc_4583/PhD_CGR.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Raab12.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 The general goal of this thesis is to investigate and develop computer
 algebra tools for the simplification resp. evaluation of definite
@@ -6233,11 +9592,14 @@ the work of other researchers can be solved with the software, e.g.,
 an integral arising in analyzing the entropy of certain processes.
 \end{adjustwidth}
 
-\bibitem[Raab 13]{Raab13} Raab, Clemens G.\\
-``Generalization of Risch's Algorithm to Special Functions''\\
+\begin{chunk}{ignore}
+\bibitem[Raab 13]{Raab13} Raab, Clemens G.
+``Generalization of Risch's Algorithm to Special Functions''
 \verb|arxiv.org/pdf/1305.1481|
 %\verb|axiom-developer.org/axiom-website/papers/Raab13.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Symbolic integration deals with the evaluation of integrals in closed
 form. We present an overview of Risch's algorithm including recent
@@ -6251,11 +9613,14 @@ community of computer algebra algorithms for indefinite and definite
 integration.
 \end{adjustwidth}
 
-\bibitem[Raab xx]{Raabxx} Raab, Clemens G.\\
-``Integration in finite terms for Liouvillian functions''\\
+\begin{chunk}{ignore}
+\bibitem[Raab xx]{Raabxx} Raab, Clemens G.
+``Integration in finite terms for Liouvillian functions''
 \verb|www.mmrc.iss.ac.cn/~dart4/posters/Raab.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Raabxx.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Computing integrals is a common task in many areas of science,
 antiderivatives are one way to accomplish this.  The problem of
@@ -6279,11 +9644,14 @@ example, this means that
 can be computed without including log(x) in the differential field.
 \end{adjustwidth}
 
-\bibitem[Rich 09]{Rich09} Rich, A.D.; Jeffrey, D.J.\\
-``A Knowledge Repository for Indefinite Integration Based on Transformation Rules''\\
+\begin{chunk}{ignore}
+\bibitem[Rich 09]{Rich09} Rich, A.D.; Jeffrey, D.J.
+``A Knowledge Repository for Indefinite Integration Based on Transformation Rules''
 \verb|www.apmaths.uwo.ca/~arich/A%2520Rule-based%2520Knowedge%2520Repository.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Rich09.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Taking the specific problem domain of indefinite integration, we
 describe the on-going development of a repository of mathematical
@@ -6297,26 +9665,64 @@ minimality. The benefits of the approach are illustrated with
 examples, and with the results of comparisons with other approaches.
 \end{adjustwidth}
 
-\bibitem[Risch 68]{Ris68} Risch, Robert\\
-``On the integration of elementary functions
-which are built up using algebraic operations''\\
-Research Report
-SP-2801/002/00, System Development Corporation, Santa Monica, CA, USA, 1968
+\begin{chunk}{axiom.bib}
+@techreport{Risc68,
+  author = "Risch, Robert",
+  title = "On the integration of elementary functions which are built up using algebraic operations",
+  type = "Research Report",
+  number = "SP-2801/002/00",
+  institution = "System Development Corporation, Santa Monica, CA, USA", 
+  year = "1968"
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@techreport{Risc69a,
+  author = "Risch, Robert",
+  title = "Further results on elementary functions",
+  type = "Research Report",
+  number = "RC-2042",
+  institution = "IBM Research, Yorktown Heights, NY, USA",
+  year = "1969"
+
+}
+
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@article{Risc69b,
+  author = "Risch, Robert",
+  title = "The problem of integration in finite terms",
+  journal = "Transactions of the American Mathematical Society",
+  volume = "139",
+  year = "1969",
+  pages = "167-189",
+  paper = "Ris69b.pdf"
 
-\bibitem[Risch 69a]{Ris69a} Risch, Robert\\
-``Further results on elementary functions''\\
-Research Report RC-2042, IBM Research, Yorktown Heights, NY, USA, 1969
+}
 
-\bibitem[Risch 69b]{Ris69b} Risch, Robert\\
-``The problem of integration in finite terms''\\
-{\sl Transactions of the American Mathematical Society} 139:167-189, 1969
-%\verb|axiom-developer.org/axiom-website/papers/Ris69b.pdf|
+\end{chunk}
 
-\bibitem[Risch 70]{Ris70} Risch, Robert\\
-``The Solution of the Problem of Integration in Finite Terms''\\
-\verb|www.ams.org/journals/bull/1970-76-03/S0002-9904-1970-12454-5/|
-\verb|S0002-9904-1970-12454-5.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Ris70.pdf| REF:00013
+\begin{adjustwidth}{2.5em}{0pt}
+This paper deals with the problem of telling whether a given elementary
+function, in the sense of analysis, has an elementary indefinite integral.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Risc70,
+  author = "Risch, Robert",
+  title = "The Solution of the Problem of Integration in Finite Terms",
+  journal = "Bull. AMS",
+  year = "1970",
+  issn = "0002-9904",
+  volume = "76",
+  number = "3",
+  pages = "605-609",
+  paper = "Risc70.pdf"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 The problem of integration in finite terms asks for an algorithm for
@@ -6332,21 +9738,35 @@ present note is intended to indiciate some of the ideas and techniques
 involved.
 \end{adjustwidth}
 
-\bibitem[Risch 79]{Ris79} Risch, Robert\\
-``Algebraic properties of the elementary functions of analysis''\\
-{\sl American Journal of Mathematics}, 101:743-759, 1979
+\begin{chunk}{axiom.bib}
+@article{Risc79,
+  author = "Risch, Robert",
+  title = "Algebraic properties of the elementary functions of analysis",
+  journal = "American Journal of Mathematics",
+  volume = "101",
+  pages = "743-759",
+  year = "1979"
+}
 
-\bibitem[Ritt 48]{Ritt48} Ritt, J.F.\\
-``Integration in Finite Terms''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Ritt 48]{Ritt48} Ritt, J.F.
+``Integration in Finite Terms''
 Columbia University Press, New York 1948
 % REF:00046
 
-\bibitem[Rosenlicht 68]{Ro68} Rosenlicht, Maxwell\\
-``Liouville's Theorem on Functions with Elementary Integrals''\\
-Pacific Journal of Mathematics Vol 24 No 1 (1968)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Rosenlicht 68]{Ro68} Rosenlicht, Maxwell
+``Liouville's Theorem on Functions with Elementary Integrals''
+Pacific Journal of Mathematics Vol 24 No 1 (1968)
 \verb|msp.org/pjm/1968/24-1/pjm-v24-n1-p16-p.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Ro68.pdf| REF:00047
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Defining a function with one variable to be elemetary if it has an
 explicit representation in terms of a finite number of algebraic
@@ -6364,18 +9784,29 @@ probelm, making a few new points in addition to the resulting
 simplicity and generalization.
 \end{adjustwidth}
 
-\bibitem[Rosenlicht 72]{Ro72} Rosenlicht, Maxwell\\
-``Integration in finite terms''\\
-{\sl American Mathematical Monthly}, 79:963-972, 1972
-%\verb|axiom-developer.org/axiom-website/papers/Ro72.pdf| REF:00045
+\begin{chunk}{axiom.bib}
+@article{Rose72,
+  author = "Rosenlicht, Maxwell",
+  title = "Integration in finite terms",
+  journal = "American Mathematical Monthly",
+  year = "1972",
+  volume = "79",
+  pages = "963-972",
+  paper = "Rose72.pdf"
+}
+
+\end{chunk}
 
-\bibitem[Rothstein 76]{Ro76} Rothstein, Michael\\
+\begin{chunk}{ignore}
+\bibitem[Rothstein 76]{Ro76} Rothstein, Michael
 ``Aspects of symbolic integration and simplifcation of exponential
-and primitive functions''\\
+and primitive functions''
 PhD thesis, University of Wisconsin-Madison (1976)
 \verb|www.cs.kent.edu/~rothstei/dis.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Ro76.pdf| REF:00051
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In this thesis we cover some aspects of the theory necessary to obtain
 a canonical form for functions obtained by integration and
@@ -6395,11 +9826,14 @@ logarithm can satify is given by the law of exponents or the law of
 logarithms.
 \end{adjustwidth}
 
-\bibitem[Rothstein 76a]{Ro76a} Rothstein, Michael; Caviness, B.F.\\
-``A structure theorem for exponential and primitive functions: a preliminary report''\\
+\begin{chunk}{ignore}
+\bibitem[Rothstein 76a]{Ro76a} Rothstein, Michael; Caviness, B.F.
+``A structure theorem for exponential and primitive functions: a preliminary report''
 ACM Sigsam Bulletin Vol 10 Issue 4 (1976)
 %\verb|axiom-developer.org/axiom-website/papers/Ro76a.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In this paper a generalization of the Risch Structure Theorem is reported.
 The generalization applies to fields $F(t_1,\ldots,t_n)$ where $F$ 
@@ -6411,11 +9845,14 @@ If $t_i$ is an integral and can be expressed using logarithms, it must be
 so expressed for the generalized structure theorem to apply.
 \end{adjustwidth}
 
-\bibitem[Rothstein 76b]{Ro76b} Rothstein, Michael; Caviness, B.F.\\
-``A structure theorem for exponential and primitive functions''\\
+\begin{chunk}{ignore}
+\bibitem[Rothstein 76b]{Ro76b} Rothstein, Michael; Caviness, B.F.
+``A structure theorem for exponential and primitive functions''
 SIAM J. Computing Vol 8 No 3 (1979)
 %\verb|axiom-developer.org/axiom-website/papers/Ro76b.pdf| REF:00104
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In this paper a new theorem is proved that generalizes a result of
 Risch.  The new theorem gives all the possible algebraic relationships
@@ -6427,26 +9864,41 @@ among a given set of exponential and primitive functions is derived.
 The algorithm is then applied to a problem in computer algebra.
 \end{adjustwidth}
 
-\bibitem[Rothstein 77]{Ro77} Rothstein, Michael\\
-``A new algorithm for the integration of 
-exponential and logarithmic functions''\\
-In {\sl Proceedings of the 1977 MACSYMA Users Conference}, 
-pages 263-274. NASA Pub CP-2012, 1977
+\begin{chunk}{axiom.bib}
+@article{Roth77,
+  author = "Rothstein, Michael",
+  title = "A new algorithm for the integration of exponential and logarithmic functions",
+  journal = "Proceedings of the 1977 MACSYMA Users Conference",
+  year = "1977",
+  pages = "263-274",
+  publisher = "NASA Pub CP-2012"
+}
+
+\end{chunk}
 
-\bibitem[Seidenberg 58]{Sei58} Seidenberg, Abraham\\
-``Abstract differential algebra and the analytic case''\\
+\begin{chunk}{ignore}
+\bibitem[Seidenberg 58]{Sei58} Seidenberg, Abraham
+``Abstract differential algebra and the analytic case''
 Proc. Amer. Math. Soc. Vol 9 pp159-164 (1958)
 
-\bibitem[Seidenberg 69]{Sei69} Seidenberg, Abraham\\
-``Abstract differential algebra and the analytic case. II''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Seidenberg 69]{Sei69} Seidenberg, Abraham
+``Abstract differential algebra and the analytic case. II''
 Proc. Amer. Math. Soc. Vol 23 pp689-691 (1969)
 
-\bibitem[Singer 85]{Sing85} Singer, M.F.; Saunders, B.D.; Caviness, B.F.\\
-``An extension of Liouville's theorem on integration in finite terms''\\
-SIAM J. of Comp. Vol 14 pp965-990 (1985)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Singer 85]{Sing85} Singer, M.F.; Saunders, B.D.; Caviness, B.F.
+``An extension of Liouville's theorem on integration in finite terms''
+SIAM J. of Comp. Vol 14 pp965-990 (1985)
 \verb|www4.ncsu.edu/~singer/papers/singer_saunders_caviness.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Sing85.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 In Part 1 of this paper, we give an extension of Liouville's Theorem
 and give a number of examples which show that integration with special
@@ -6463,15 +9915,21 @@ rational operations has an integral which can be expressed in terms of
 elementary functions and error functions.
 \end{adjustwidth}
 
-\bibitem[Slagle 61]{Slag61} Slagle, J.\\
-``A heuristic program that solves symbolic integration problems in freshman calculus''\\
+\begin{chunk}{ignore}
+\bibitem[Slagle 61]{Slag61} Slagle, J.
+``A heuristic program that solves symbolic integration problems in freshman calculus''
 Ph.D Diss. MIT, May 1961; also Computers and Thought, Feigenbaum and Feldman.
 % REF:00014
 
-\bibitem[Terelius 09]{Tere09} Terelius, Bjorn\\
-``Symbolic Integration''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Terelius 09]{Tere09} Terelius, Bjorn
+``Symbolic Integration''
 %\verb|axiom-developer.org/axiom-website/papers/Tere09.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Symbolic integration is the problem of expressing an indefinite integral
 $\int{f}$ of a given function $f$ as a finite combination $g$ of elementary
@@ -6498,10 +9956,17 @@ the rule-based approach and how it can be used, not only to compute
 integrals, but also to generate readable derivations of the results.
 \end{adjustwidth}
 
-\bibitem[Trager 76]{Tr76} Trager, Barry\\
-``Algebraic factoring and rational function integration''\\
-In {Proceedings of SYMSAC'76} pages 219-226, 1976
-%\verb|axiom-developer.org/axiom-website/papers/Tr76.pdf|
+\begin{chunk}{axiom.bib}
+@article{Trag76,
+  author = "Trager, Barry",
+  title = "Algebraic factoring and rational function integration",
+  journal = "Proceedings of SYMSAC'76",
+  year = "1976",
+  pages = "219-226",
+  paper = "Trag76.pdf"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 This paper presents a new, simple, and efficient algorithm for
@@ -6515,12 +9980,15 @@ for finding a least degree extension field in which the integral can
 be expressed.
 \end{adjustwidth}
 
-\bibitem[Trager 76a]{Tr76a} Trager, Barry Marshall\\
-``Algorithms for Manipulating Algebraic Functions''\\
-MIT Master's Thesis.\\
+\begin{chunk}{ignore}
+\bibitem[Trager 76a]{Tr76a} Trager, Barry Marshall
+``Algorithms for Manipulating Algebraic Functions''
+MIT Master's Thesis.
 \verb|www.dm.unipi.it/pages/gianni/public_html/Alg-Comp/fattorizzazione-EA.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Tr76a.pdf| REF:00050
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Given a base field $k$, of characteristic zero, with effective
 procedures for performing arithmetic and factoring polynomials, this
@@ -6542,11 +10010,17 @@ the algebraic part of integrals whose function fields are defined by a
 single radical extension of the rational functions.
 \end{adjustwidth}
 
-\bibitem[Trager 84]{Tr84} Trager, Barry\\
-``On the integration of algebraic functions''\\
-PhD thesis, MIT, Computer Science, 1984\\
-\verb|www.dm.unipi.it/pages/gianni/public_html/Alg-Comp/thesis.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Tr84.pdf|
+\begin{chunk}{axiom.bib}
+@phdthesis{Trag84,
+  author = "Trager, Barry",
+  title = "On the integration of algebraic functions",
+  school = "MIT",
+  year = "1984",
+  url = "http://www.dm.unipi.it/pages/gianni/public_html/Alg-Comp/thesis.pdf",
+  paper = "Trag76.pdf"
+}
+
+\end{chunk}
 
 \begin{adjustwidth}{2.5em}{0pt}
 We show how the ``rational'' approach for integrating algebraic
@@ -6556,11 +10030,14 @@ whether a given elementary function has an elementary antiderivative,
 and for computing it if it exists.
 \end{adjustwidth}
 
-\bibitem[W\"urfl 07]{Wurf07} W\"urfl, Andreas\\
-``Basic Concepts of Differential Algebra''\\
+\begin{chunk}{ignore}
+\bibitem[W\"urfl 07]{Wurf07} W\"urfl, Andreas
+``Basic Concepts of Differential Algebra''
 \verb|www14.in.tum.de/konferenzen/Jass07/courses/1/Wuerfl/wuerfl_paper.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Wurf07.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Modern computer algebra systems symbolically integrate a vast variety
 of functions. To reveal the underlying structure it is necessary to
@@ -6575,53 +10052,73 @@ mentioned algorithms in the field of ODE's conclude this paper.
 
 \subsection{Partial Fraction Decomposition} %%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Angell]{Angell} Angell, Tom\\
-``Guidelines for Partial Fraction Decomposition''\\
+\begin{chunk}{ignore}
+\bibitem[Angell]{Angell} Angell, Tom
+``Guidelines for Partial Fraction Decomposition''
 \verb|www.math.udel.edu/~angell/partfrac_I.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Angell.pdf|
 
-\bibitem[Laval 08]{Lava08} Laval, Philippe B.\\
-``Partial Fractions Decomposition''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Laval 08]{Lava08} Laval, Philippe B.
+``Partial Fractions Decomposition''
 \verb|www.math.wisc.edu/~park/Fall2011/integration/Partial%20Fraction.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Lava08.pdf|
 
-\bibitem[Mudd 14]{Mudd14} Harvey Mudd College\\
-``Partial Fractions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Mudd 14]{Mudd14} Harvey Mudd College
+``Partial Fractions''
 \verb|www.math.hmc.edu/calculus/tutorials/partial_fractions/partial_fractions.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Mudd14.pdf|
 
-\bibitem[Rajasekaran 14]{Raja14} Rajasekaran, Raja\\
-``Partial Fraction Expansion''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Rajasekaran 14]{Raja14} Rajasekaran, Raja
+``Partial Fraction Expansion''
 \verb|www.utdallas.edu/~raja1/EE4361%20Spring%2014/Lecture%20Notes/|
 \verb|Partial%20Fractions.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Raja14.pdf|
 
-\bibitem[Wootton 14]{Woot14} Wootton, Aaron\\
-``Integration of Rational Functions by Partial Fractions''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Wootton 14]{Woot14} Wootton, Aaron
+``Integration of Rational Functions by Partial Fractions''
 \verb|faculty.up.edu/wootton/calc2/section7.4.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Woot14.pdf|
 
+\end{chunk}
 \subsection{Ore Rings} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 This is used as a reference for the LeftOreRing category, in particular,
 the least left common multiple (lcmCoef) function.
 
-\bibitem[Abramov 97]{Abra97} Abramov, Sergei A.; van Hoeij, Mark\\
-``A method for the Integration of Solutions of Ore Equations''\\
+\begin{chunk}{ignore}
+\bibitem[Abramov 97]{Abra97} Abramov, Sergei A.; van Hoeij, Mark
+``A method for the Integration of Solutions of Ore Equations''
 Proc ISSAC 97 pp172-175 (1997)
 %\verb|axiom-developer.org/axiom-website/papers/Abra97.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We introduce the notion of the adjoint Ore ring and give a definition
 of adjoint polynomial, operator and equation. We apply this for
 integrating solutions of Ore equations.
 \end{adjustwidth}
 
-\bibitem[Delenclos 06]{DL06} Delenclos, Jonathon; Leroy, Andr\'e\\
-``Noncommutative Symmetric functions and $W$-polynomials''\\
+\begin{chunk}{ignore}
+\bibitem[Delenclos 06]{DL06} Delenclos, Jonathon; Leroy, Andr\'e
+``Noncommutative Symmetric functions and $W$-polynomials''
 \verb|arxiv.org/pdf/math/0606614.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/DL06.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 Let $K$, $S$, $D$ be a division ring an endomorphism and a
 $S$-derivation of $K$, respectively. In this setting we introduce
@@ -6635,11 +10132,14 @@ polynomials with coefficients in a ring and the left duo property are
 established at the end of the paper.
 \end{adjustwidth}
 
-\bibitem[Abramov 05]{Abra05} Abramov, S.A.; Le, H.Q.; Li, Z.\\
-``Univariate Ore Polynomial Rings in Computer Algebra''\\
+\begin{chunk}{ignore}
+\bibitem[Abramov 05]{Abra05} Abramov, S.A.; Le, H.Q.; Li, Z.
+``Univariate Ore Polynomial Rings in Computer Algebra''
 \verb|www.mmrc.iss.ac.cn/~zmli/papers/oretools.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Abra05.pdf|
 
+\end{chunk}
+
 \begin{adjustwidth}{2.5em}{0pt}
 We present some algorithms related to rings of Ore polynomials (or,
 briefly, Ore rings) and describe a computer algebra library for basic
@@ -6650,445 +10150,1182 @@ differential, shift, and $q$-shift rings.
 
 \subsection{Number Theory} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Shoup 08]{Sho08} Shoup, Victor\\
-``A Computational Introduction to Number Theory''\\
+\begin{chunk}{ignore}
+\bibitem[Shoup 08]{Sho08} Shoup, Victor
+``A Computational Introduction to Number Theory''
 \verb|shoup.net/ntb/ntb-v2.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Sho08.pdf|
 
+\end{chunk}
+
 \subsection{Polynomial Factorization} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\subsection{Branch Cuts} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\begin{chunk}{axiom.bib}
+@article{Beau03,
+  author = "Beaumont, James and Bradford, Russell and Davenport, James H.",
+  title = "Better simplification of elementary functions through power series",
+  journal = "2003 International Symposium on Symbolic and Algebraic Computation",
+  series = "ISSAC'03",
+  year = "2003",
+  month = "August",
+  paper = "Beau03.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+In [5], we introduced an algorithm for deciding whether a proposed
+simplification of elementary functions was correct in the presence of
+branch cuts. This algorithm used multivalued function simplification
+followed by verification that the branches were consistent.
+
+In [14] an algorithm was presented for zero-testing functions defined
+by ordinary differential equations, in terms of their power series.
+
+The purpose of the current paper is to investigate merging the two
+techniques. In particular, we will show an explicit reduction to the
+constant problem [16].
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Beau07,
+  author = "Beaumont, James C. and Bradford, Russell J. and Davenport, James H. and Phisanbut, Nalina",
+  title = "Testing elementary function identities using CAD",
+  journal = "Applicable Algebra in Engineering, Communication and Computing",
+  year = "2007",
+  volume = "18",
+  number = "6",
+  issn = "0938-1279",
+  publisher = "Springer-Verlag",
+  pages = "513-543",
+  paper = "Beau07.pdf"
+}
+   
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+One of the problems with manipulating function identities in computer
+algebra systems is that they often involve functions which are
+multivalued, whilst most users tend to work with single-valued
+functions.  The problem is that many well-known identities may no
+longer be true everywhere in the complex plane when working with their
+single-valued counterparts. Conversely, we cannot ignore them, since
+in particular contexts they may be valid. We investigate the
+practicality of a method to verify such identities by means of an
+experiment; this is based on a set of test examples which one might
+realistically meet in practice.  Essentially, the method works as
+follows. We decompose the complex plane via means of cylindrical
+algebraic decomposition into regions with respect to the branch cuts
+of the functions. We then test the identity numerically at a sample
+point in the region. The latter step is facilitated by the notion of
+the {\sl adherence} of a branch cut, which was previously introduced
+by the authors. In addition to presenting the results of the
+experiment, we explain how adherence relates to the proposal of 
+{\sl signed zeros} by W. Kahan, and develop this idea further in order to
+allow us to cover previously untreatable cases. Finally, we discuss
+other ways to improve upon our general methodology as well as topics
+for future research.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Brad02,
+  author="Bradford, Russell and Corless, RobertM. and Davenport, JamesH. and Jeffrey, DavidJ. and Watt, StephenM.",
+  title="Reasoning about the Elementary Functions of Complex Analysis",
+  journal="Annals of Mathematics and Artificial Intelligence",
+  year="2002",
+  issn="1012-2443",
+  volume="36",
+  number="3",
+  doi="10.1023/A:1016007415899",
+  url="http://dx.doi.org/10.1023/A%3A1016007415899",
+  publisher="Kluwer Academic Publishers",
+  keywords="elementary functions; branch cuts; complex identities",
+  pages="303-318",
+  paper = "Brad02.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+There are many problems with the simplification of elementary
+functions, particularly over the complex plane, though not
+exclusively. Systems tend to make ``howlers'' or not to simplify
+enough. In this paper we outline the ``unwinding number'' approach to
+such problems, and show how it can be used to prevent errors and to
+systematise such simplification, even though we have not yet reduced
+the simplification process to a complete algorithm. The unsolved
+problems are probably more amenable to the techniques of artificial
+intelligence and theorem proving than the original problem of complex
+variable analysis.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@inproceedings{Chyz11,
+  author = "Chyzak, Fr\'ed\'eric and Davenport, James H. and Koutschan, Christoph and Salvy, Bruno",
+  title = "On Kahan's Rules for Determining Branch Cuts",
+  booktitle = "Proc. 13th Int. Symp. on Symbolic and Numeric Algorithms for Scientific Computing",
+  year = "2011",
+  isbn = "978-1-4673-0207-4",
+  location = "Timisoara",
+  pages = "47-51",
+  doi = "10.1109/SYNASC.2011.51",
+  acmid = "258794",
+  publisher = "IEEE",
+  paper = "Chyz11.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+In computer algebra there are different ways of approaching the
+mathematical concept of functions, one of which is by defining them as
+solutions of differential equations. We compare different such
+appraoches and discuss the occurring problems. The main focus is on
+the question of determining possible branch cuts. We explore the
+extent to which the treatment of branch cuts can be rendered (more)
+algorithmic, by adapting Kahan's rules to the differential equation
+setting.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Dave10,
+  author = "Davenport, James",
+  title = {The Challenges of Multivalued "Functions"},
+  journal = "Lecture Notes in Computer Science",
+  volume = "6167",
+  year = "2010",
+  pages = "1-12",
+  paper = "Dave10.pdf"
+}
+  
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+Although, formally, mathematics is clear that a function is a
+single-valued object, mathematical practice is looser, particularly
+with n-th roots and various inverse functions. In this paper, we point
+out some of the looseness, and ask what the implications are, both for
+Artificial Intelligence and Symbolic Computation, of these practices.
+In doing so, we look at the steps necessary to convert existing tests
+into
+\begin{itemize}
+\item (a) rigorous statements
+\item (b) rigorously proved statements
+\end{itemize}
+In particular we ask whether there might be a constant ``de Bruij factor''
+[18] as we make these texts more formal, and conclude that the answer
+depends greatly on the interpretation being placed on the symbols.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Dave12,
+  author = "Davenport, James H. and Bradford, Russell and England, Matthew and Wilson, David",
+  title = "Program Verification in the presence of complex numbers, functions with branch cuts etc",
+  journal = "14th Int. Symp. on Symbolic and Numeric Algorithms for Scientific Computing",
+  year = "2012",
+  series = "SYNASC'12",
+  pages = "83-88",
+  publisher = "IEEE",
+  paper = "Dave12.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+In considering the reliability of numerical programs, it is normal to
+``limit our study to the semantics dealing with numerical precision''.
+On the other hand, there is a great deal of work on the reliability of
+programs that essentially ignores the numerics. The thesis of this
+paper is that there is a class of problems that fall between the two,
+which could be described as ``does the low-level arithmetic implement
+the high-level mathematics''. Many of these problems arise because
+mathematics, particularly the mathematics of the complex numbers, is
+more difficult than expected; for example the complex function log is
+not continuous, writing down a program to compute an inverse function
+is more complicated than just solving an equation, and many algebraic
+simplification rules are not universally valid.
+
+The good news is that these problems are theoretically capable of
+being solved, and are practically close to being solved, but not yet
+solved, in several real-world examples. However, there is still a long
+way to go before implementations match the theoretical possibilities.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Jeff04,
+  author = "Jeffrey, D. J. and Norman, A. C.",
+  title = "Not Seeing the Roots for the Branches: Multivalued Functions in Computer Algebra",
+  journal = "SIGSAM Bull.",
+  issue_date = "September 2004",
+  volume = "38",
+  number = "3",
+  month = "September",
+  year = "2004",
+  issn = "0163-5824",
+  pages = "57--66",
+  numpages = "10",
+  url = "http://doi.acm.org/10.1145/1040034.1040036",
+  doi = "10.1145/1040034.1040036",
+  acmid = "1040036",
+  publisher = "ACM",
+  address = "New York, NY, USA",
+  paper = "Jeff04.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+We discuss the multiple definitions of multivalued functions and their
+suitability for computer algebra systems. We focus the discussion by
+taking one specific problem and considering how it is solved using
+different definitions. Our example problem is the classical one of
+calculating the roots of a cubic polynomial from the Cardano formulae,
+which contains fractional powers. We show that some definitions of
+these functions result in formulae that are correct only in the sense
+that they give candidates for solutions; these candidates must then be
+tested. Formulae that are based on single-valued functions, in
+contract, are efficient and direct.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@inproceedings{Kaha86,
+  author = "Kahan, W.",
+  title = "Branch cuts for complex elementary functions",
+  booktitle = "The State of the Art in Numerical Analysis",
+  year = "1986",
+  month = "April",
+  editor = "Powell, M.J.D and Iserles, A.",
+  publisher = "Oxford University Press"
+}
+
+\end{chunk}  
+
+\begin{chunk}{axiom.bib}
+@article{Rich96,
+ author = "Rich, Albert D. and Jeffrey, David J.",
+ title = "Function Evaluation on Branch Cuts",
+ journal = "SIGSAM Bull.",
+ issue_date = "June 1996",
+ volume = "30",
+ number = "2",
+ month = "June",
+ year = "1996",
+ issn = "0163-5824",
+ pages = "25--27",
+ numpages = "3",
+ url = "http://doi.acm.org/10.1145/235699.235704",
+ doi = "10.1145/235699.235704",
+ acmid = "235704",
+ publisher = "ACM",
+ address = "New York, NY, USA"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+Once it is decided that a CAS will evaluate multivalued functions on
+their principal branches, questions arise concerning the branch
+definitions. The first questions concern the standardization of the
+positions of the branch cuts. These questions have largely been
+resolved between the various algebra systems and the numerical
+libraries, although not completely. In contrast to the computer
+systems, many mathematical textbooks are much further behind: for
+example, many popular textbooks still specify that the argument of a
+complex number lies between 0 and $2\pi$. We do not intend to discuss
+these first questions here, however. Once the positions of the branch
+cuts have been fixed, a second set of questions arises concerning the
+evaluation of functions on their branch cuts.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Patt96,
+ author = "Patton, Charles M.",
+ title = "A Representation of Branch-cut Information",
+ journal = "SIGSAM Bull.",
+ issue_date = "June 1996",
+ volume = "30",
+ number = "2",
+ month = "June",
+ year = "1996",
+ issn = "0163-5824",
+ pages = "21--24",
+ numpages = "4",
+ url = "http://doi.acm.org/10.1145/235699.235703",
+ doi = "10.1145/235699.235703",
+ acmid = "235703",
+ publisher = "ACM",
+ address = "New York, NY, USA",
+ paper = "Patt96.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+Handling (possibly) multi-valued functions is a problem in all current
+computer algebra systems. The problem is not an issue of technology.
+Its solution, however, is tied to a uniform handling of the issues by
+the mathematics community.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Squi91,
+ author = "Squire, Jon S.",
+ title = "Rationale for the Proposed Standard for a Generic Package of Complex Elementary Functions",
+ journal = "Ada Lett.",
+ issue_date = "Fall 1991",
+ volume = "XI",
+ number = "7",
+ month = "September",
+ year = "1991",
+ issn = "1094-3641",
+ pages = "166--179",
+ numpages = "14",
+ url = "http://doi.acm.org/10.1145/123533.123545",
+ doi = "10.1145/123533.123545",
+ acmid = "123545",
+ publisher = "ACM",
+ address = "New York, NY, USA",
+ paper = "Squi91.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+This document provides the background on decisions that were made
+during the development of the specification for Generic Complex
+Elementary fuctions. It also rovides some information that was used to
+develop error bounds, range, domain and definitions of complex
+elementary functions.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Squi91a,
+ editor = "Squire, Jon S.",
+ title = "Proposed Standard for a Generic Package of Complex Elementary Functions",
+ journal = "Ada Lett.",
+ issue_date = "Fall 1991",
+ volume = "XI",
+ number = "7",
+ month = "September",
+ year = "1991",
+ issn = "1094-3641",
+ pages = "140--165",
+ numpages = "26",
+ url = "http://doi.acm.org/10.1145/123533.123544",
+ doi = "10.1145/123533.123544",
+ acmid = "123544",
+ publisher = "ACM",
+ address = "New York, NY, USA"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+This document defines the specification of a generic package of
+complex elementary functions called Generic Complex Elementary
+Functions. It does not provide the body of the package.
+\end{adjustwidth}
+
+\subsection{Square-free Decomposition } %%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\begin{chunk}{axiom.bib}
+@article{Bern97,
+  author = "Bernardin, Laurent",
+  title = "On square-free factorization of multivariate polynomials over a finite field",
+  journal = "Theoretical Computer Science",
+  volume = "187",
+  number = "1-2",
+  year = "1997",
+  month = "November",
+  pages = "105-116",
+  keywords = "axiomref",
+  paper = "Bern97.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+In this paper we present a new deterministic algorithm for computing
+the square-free decomposition of multivariate polynomials with
+coefficients from a finite field.
+
+Our algorithm is based on Yun's square-free factorization algorithm
+for characteristic 0. The new algorithm is more efficient than
+existing, deterministic algorithms based on Musser's squarefree
+algorithm
+
+We will show that the modular approach presented by Yun has no
+significant performance advantage over our algorithm. The new
+algorithm is also simpler to implement and it can rely on any existing
+GCD algorithm without having to worry about choosing "good" evaluation
+points.
+
+To demonstrate this, we present some timings using implementations in
+Maple (Char et al. 1991), where the new algorithm is used for Release
+4 onwards, and Axiom (Jenks and Sutor, 1992) which is the only system
+known to the author to use and implementation of Yun's modular
+algorithm mentioned above.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Chez07,
+  author = "Ch\'eze, Guillaume and Lecerf, Gr\'egoire",
+  title = "Lifting and recombination techniques for absolute factorization",
+  journal = "Journal of Complexity",
+  volume = "23",
+  number = "3",
+  year = "2007",
+  month = "June",
+  pages = "380-420",
+  paper = "Chez07.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+In the vein of recent algorithmic advances in polynomial factorization
+based on lifting and recombination techniques, we present new faster
+algorithms for computing the absolute factorization of a bivariate
+polynomial. The running time of our probabilistic algorithm is less
+than quadratic in the dense size of the polynomial to be factored.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Lece07,
+  author = "Lecerf, Gr\'egoire",
+  title = "Improved dense multivariate polynomial factorization algorithms",
+  journal = "Journal of Symbolic Computation",
+  volume = "42",
+  number = "4",
+  year = "2007",
+  month = "April",
+  pages = "477-494",
+  paper = "Lece07.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+We present new deterministic and probabilistic algorithms that reduce
+the factorization of dense polynomials from several variables to one
+variable.  The deterministic algorithm runs in sub-quadratic time in
+the dense size of the input polynomial, and the probabilistic
+algorithm is softly optimal when the number of variables is at least
+three. We also investigate the reduction from several to two variables
+and improve the quantitative versions of Bertini's irreducibility theorem.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Wang77,
+  author = "Wang, Paul S.",
+  title = "An efficient squarefree decomposition algorithm",
+  journal = "ACM SIGSAM Bulletin",
+  volume = "11",
+  number = "2",
+  year = "1977",
+  month = "May",
+  pages = "4-6",
+  paper = "Wang77.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+The concept of polynomial squarefree decomposition is an important one
+in algebraic computation. The squarefree decomposition process has
+many uses in computer symbolic computation. A recent survey by D. Yun
+[3] describes many useful algorithms for this purpose. All of these
+methods depend on computing the greated common divisor (gcd) of the
+polynomial to be decomposed and its first derivative (with repect to
+some variable). In the multivariate case, this gcd computation is
+non-trivial and dominates the cost for the squarefree decompostion.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@article{Wang79,
+  author = "Wang, Paul S. and Trager, Barry M.",
+  title = "New Algorithms for Polynomial Square-Free Decomposition over the Integers",
+  journal = "SIAM Journal on Computing",
+  volume = "8",
+  number = "3",
+  year = "1979",
+  publisher = "Society for Industrial and Applied Mathematics",
+  issn = "00975397",
+  paper = "Wang79.pdf"
+}
+
+\end{chunk}
+
+\begin{adjustwidth}{2.5em}{0pt}
+Previously known algorithms for polynomial square-free decomposition
+rely on greatest common divisor (gcd) computations over the same
+coefficient domain where the decomposition is to be performed. In
+particular, gcd of the given polynomial and its first derivative (with
+respect to some variable) is obtained to begin with. Application of
+modular homomorphism and $p$-adic construction (multivariate case) or
+the Chinese remainder algorithm (univariate case) results in new
+square-free decomposition algorithms which, generally speaking, take
+less time than a single gcd between the given polynomial and its first
+derivative. The key idea is to obtain one or several ``correct''
+homomorphic images of the desired square-free decomposition
+first. This provides information as to how many different square-free
+factors there are, their multiplicities and their homomorphic
+images. Since the multiplicities are known, only the square-free
+factors need to be constructed. Thus, these new algorithms are
+relatively insensitive to the multiplicities of the square-free factors.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@inproceedings{Yun76,
+  author = "Yun, D.Y.Y",
+  title = "On square-free decomposition algorithms",
+  booktitle = "Proceedings of SYMSAC'76",
+  year = "1976",
+  keywords = "survey",
+  pages = "26-35"
+}
+
+\end{chunk}
+
+
 \subsection{To Be Classified} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Kaltofen 82]{Kalt82} Kaltofen, E.\\
-``On the complexity of factoring polynomials with integer coefficients''\\
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 82]{Kalt82} Kaltofen, E.
+``On the complexity of factoring polynomials with integer coefficients''
 PhD thesis, Rensselaer Polytechnic Instit. Troy, N.Y. Dec (1982)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_thesis.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt82.pdf|
 
-\bibitem[Kaltofen 82a]{Kalt82a} Kaltofen, E.\\
-``A polynomial-time reduction from bivariate to univariate integral polynomial factorization''\\
-Proc. 23rd Annual Symp. Foundations of Comp. Sci pp 57-64 IEEE (1982)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 82a]{Kalt82a} Kaltofen, E.
+``A polynomial-time reduction from bivariate to univariate integral polynomial factorization''
+Proc. 23rd Annual Symp. Foundations of Comp. Sci pp 57-64 IEEE (1982)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_focs.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt82a.pdf|
 
-\bibitem[Kaltofen 82b]{Kalt82b} Kaltofen, E.\\
-``Polynomial Factorization''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 82b]{Kalt82b} Kaltofen, E.
+``Polynomial Factorization''
 B. Buchberger, G. Collins, and R. Loos, editors, Computer Algebra pp 95-113
-Springer-Verlag Germany 2nd ed (1982)\\
+Springer-Verlag Germany 2nd ed (1982)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_survey.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt82b.ps|
+ keywords = "survey",
 
-\bibitem[Kaltofen 83]{Kalt83} Kaltofen, E.\\
-``On the complexity of finding short vectors in integer lattices''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 83]{Kalt83} Kaltofen, E.
+``On the complexity of finding short vectors in integer lattices''
 Proc. EUROCAL'83 Vol 162 of LNCS, pp 236-244, Heidelberg, Germany,
-Springer-Verlag (1983)\\
+Springer-Verlag (1983)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/83/Ka83_eurocal.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt83.pdf|
 
-\bibitem[Kaltofen 84]{Kalt84} Kaltofen, E.\\
-``A Note on the Risch Differential Equation''\\
-Proc. EUROSAM pp 359-366 (1984)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 84]{Kalt84} Kaltofen, E.
+``A Note on the Risch Differential Equation''
+Proc. EUROSAM pp 359-366 (1984)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/84/Ka84_risch.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt84.ps|
 
-\bibitem[Kaltofen 84a]{Kalt84a} Kaltofen, E.; Yui, N.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 84a]{Kalt84a} Kaltofen, E.; Yui, N.
 ``Explicit construction of the Hilbert class field of imaginary quadratic
-fields with class number 7 and 11''\\
-Proc. EUROSAM'84 pp 310-320\\
+fields with class number 7 and 11''
+Proc. EUROSAM'84 pp 310-320
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/84/KaYui84_eurosam.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt84a.ps|
 
-\bibitem[Kaltofen 84b]{Kalt84b} Kaltofen, E.\\
-``The algebraic theory of integration''\\
-Lect. Notes, Rensselaer Polytechnic Instit. Dept. Comput. Sci. troy, NY 1984\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 84b]{Kalt84b} Kaltofen, E.
+``The algebraic theory of integration''
+Lect. Notes, Rensselaer Polytechnic Instit. Dept. Comput. Sci. troy, NY 1984
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/84/Ka84_integration.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt84b.pdf|
 
-\bibitem[Kaltofen 85]{Kalt85} Kaltofen, E.\\
-``Effective Hilbert irreducibility''\\
-Information and Control, 66 pp 123-137 (1985)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 85]{Kalt85} Kaltofen, E.
+``Effective Hilbert irreducibility''
+Information and Control, 66 pp 123-137 (1985)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_infcontr.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt85.ps|
 
-\bibitem[Kaltofen 85a]{Kalt85a} Kaltofen, E.\\
-``Fast parallel absolute irreducibility testing''\\
-J. Symbolic Comput. 1(1) pp 57-67 (1985)\\
-Corrections: J. Symbolic Comput. vol 9 p 320 (1989)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 85a]{Kalt85a} Kaltofen, E.
+``Fast parallel absolute irreducibility testing''
+J. Symbolic Comput. 1(1) pp 57-67 (1985)
+Corrections: J. Symbolic Comput. vol 9 p 320 (1989)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_jsc.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt85a.pdf|
 
-\bibitem[Kaltofen 85b]{Kalt85b} Kaltofen, E.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 85b]{Kalt85b} Kaltofen, E.
 ``Computing with polynomials given by straight-line programs II; sparse 
-factorization''\\
-Proc. 26th Annual Symp. Foundations of Comp. Sci. pp 451-458 IEEE (1985)\\
+factorization''
+Proc. 26th Annual Symp. Foundations of Comp. Sci. pp 451-458 IEEE (1985)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_focs.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt85b.ps|
 
-\bibitem[Kaltofen 85c]{Kalt85c} Kaltofen, E.\\
-``Sparse Hensel lifting''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 85c]{Kalt85c} Kaltofen, E.
+``Sparse Hensel lifting''
 Technical Report 85-12, Rensselaer Polytechnic Instit. Dept. Comp. Sci.,
-Troy, NY 1985\\
+Troy, NY 1985
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_techrep.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt85c.pdf|
 
-\bibitem[Kaltofen 85d]{Kalt85d} Kaltofen, E.\\
-``Sparse Hensel lifting''\\
-EUROCAL 85 European COnf. Comput. Algebra Proc. Vol 2 pp 4-17\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 85d]{Kalt85d} Kaltofen, E.
+``Sparse Hensel lifting''
+EUROCAL 85 European COnf. Comput. Algebra Proc. Vol 2 pp 4-17
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_eurocal.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt85d.pdf|
 
-\bibitem[Kaltofen 85e]{Kalt85e} Kaltofen, E.\\
-``Polynomial-time reductions from multivariate to bi- and univariate integral polynomial factorization''\\
-SIAM J. Comput. 14(2) pp 469-489 (1985)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 85e]{Kalt85e} Kaltofen, E.
+``Polynomial-time reductions from multivariate to bi- and univariate integral polynomial factorization''
+SIAM J. Comput. 14(2) pp 469-489 (1985)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_sicomp.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt85e.pdf|
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Gathen 85]{Gath85} Gathen, Joachim von zur; Kaltofen, E.
-``Factoring multivariate polynomials over finite fields''\\
-Math. Comput. 45 pp 251-261 (1985)\\
+``Factoring multivariate polynomials over finite fields''
+Math. Comput. 45 pp 251-261 (1985)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/85/GaKa85_mathcomp.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Gath85.ps|
 
-\bibitem[Kaltofen 86]{Kalt86} Kaltofen, E.\\
-``Uniform closure properties of p-computable functions''\\
-Proc. 18th Annual ACM Symp. Theory Comput. pp 330-337 ACM (1986)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 86]{Kalt86} Kaltofen, E.
+``Uniform closure properties of p-computable functions''
+Proc. 18th Annual ACM Symp. Theory Comput. pp 330-337 ACM (1986)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/86/Ka86_stoc.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt86.pdf|
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Kaltofen 87]{Kalt87} Kaltofen, E.; Krishnamoorthy, M.S.; 
-Saunders, B.D.\\
-``Fast parallel computation of Hermite and Smith forms of polynomial matrices''\\
-SIAM J. Alg. Discrete Math. 8 pp 683-690 (1987)\\
+Saunders, B.D.
+``Fast parallel computation of Hermite and Smith forms of polynomial matrices''
+SIAM J. Alg. Discrete Math. 8 pp 683-690 (1987)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/87/KKS87.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt87.pdf|
 
-\bibitem[Kaltofen 87a]{Kalt87a} Kaltofen, E.\\
-``Computer algebra algorithms''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 87a]{Kalt87a} Kaltofen, E.
+``Computer algebra algorithms''
 in J.F. Traub, ed. Annual Review in Computer Science, vol 2 pp 91-118
-Annual Reviews Inc. Palo Alto, CA 1987\\
+Annual Reviews Inc. Palo Alto, CA 1987
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_annrev.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt87a.pdf|
 
-\bibitem[Kaltofen 87b]{Kalt87b} Kaltofen, E.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 87b]{Kalt87b} Kaltofen, E.
 ``Single-factor Hensel lifting and its application to the straight-line
-complexity of certain polynomial.''\\
-Proc. 19th Annual ACM Symp. Theory Comput. pp 443-452 ACM 1987\\
+complexity of certain polynomial.''
+Proc. 19th Annual ACM Symp. Theory Comput. pp 443-452 ACM 1987
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_stoc.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt87b.pdf|
 
-\bibitem[Kaltofen 87c]{Kalt87c} Kaltofen, E.\\
-``Deterministic irreducibility testing of polynomials over large finite fields''\\
-J. Symbolic Comput. 4 pp 77-82 (1987)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 87c]{Kalt87c} Kaltofen, E.
+``Deterministic irreducibility testing of polynomials over large finite fields''
+J. Symbolic Comput. 4 pp 77-82 (1987)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_jsc.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt87c.ps|
 
-\bibitem[Kaltofen 88]{Kalt88} Kaltofen, E.; Trager, B.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 88]{Kalt88} Kaltofen, E.; Trager, B.
 ``Computing with polynomials given by black boxes for their evaluations: 
 Greatest common divisors, factorization, separation of numerators and 
-denominators''\\
-Proc. 29th Annual Symp. Foundations of Comp. Sci. pp 296-305 IEEE (1988)\\
+denominators''
+Proc. 29th Annual Symp. Foundations of Comp. Sci. pp 296-305 IEEE (1988)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/88/focs88.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt88.ps|
 
-\bibitem[Miller 88]{Mill88} Miller, G.L.; Ramachandran, V.; Kaltofen, E.\\
-``Efficient parallel evaluation of straight-line code and arithmetic circuits''\\
-SIAM J. Comput. 17(4) pp 687-695 (1988)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Miller 88]{Mill88} Miller, G.L.; Ramachandran, V.; Kaltofen, E.
+``Efficient parallel evaluation of straight-line code and arithmetic circuits''
+SIAM J. Comput. 17(4) pp 687-695 (1988)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/88/MRK88.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Mill88.pdf|
 
-\bibitem[Kaltofen 88a]{Kalt88a} Kaltofen, E.; Yagati, Lakshman\\
-``Improved sparse multivariate polynomial interpolation algorithms''\\
-in Symbolic Algebraic Comput. Internat. Symp. ISSAC'88 pp 467-474\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 88a]{Kalt88a} Kaltofen, E.; Yagati, Lakshman
+``Improved sparse multivariate polynomial interpolation algorithms''
+in Symbolic Algebraic Comput. Internat. Symp. ISSAC'88 pp 467-474
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/88/KaLa88.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt88a.pdf|
 
-\bibitem[Kaltofen 88b]{Kalt88b} Kaltofen, E.\\
-``Greatest common divisors of polynomials given by straight-line programs''\\
-J. ACM 35(1) pp 231-264 (1988)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 88b]{Kalt88b} Kaltofen, E.
+``Greatest common divisors of polynomials given by straight-line programs''
+J. ACM 35(1) pp 231-264 (1988)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/88/Ka88_jacm.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt88b.pdf|
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Freeman 88]{Free88} Freeman, T.S.; Imirzian, G.; Kaltofen, E.;
-Yagati, Lakshman\\
+Yagati, Lakshman
 ``DAGWOOD: A system for manipulating polynomials given by straight-line
-programs''\\
-ACM Trans. Math. Software 14(3) pp 218-240 (1988)\\
+programs''
+ACM Trans. Math. Software 14(3) pp 218-240 (1988)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/88/FIKY88.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Free88.pdf|
 
-\bibitem[Gregory 88]{Greg88} Gregory, B.; Kaltofen, E.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Gregory 88]{Greg88} Gregory, B.; Kaltofen, E.
 ``Analysis of the binary complexity of asymptotically fast algorithms for
-linear system solving''\\
-SIGSAM Bulletin 22(2) pp 41-49 (1988)\\
+linear system solving''
+SIGSAM Bulletin 22(2) pp 41-49 (1988)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/88/GrKa88.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Greg88.pdf|
 
-\bibitem[Kaltofen 89]{Kalt89} Kaltofen, E.\\
-``Factorization of polynomials given by straight-line programs''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 89]{Kalt89} Kaltofen, E.
+``Factorization of polynomials given by straight-line programs''
 in S. Micali ed. Randomness and Computation, Vol 5 of Advances in Computer
-Research, pp 375-412, JAI Press, Greenwhich, CT 1989\\
+Research, pp 375-412, JAI Press, Greenwhich, CT 1989
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_slpfac.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt89.pdf|
 
-\bibitem[Kaltofen 89a]{Kalt89a} Kaltofen, E.; Rolletschek, H.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 89a]{Kalt89a} Kaltofen, E.; Rolletschek, H.
 ``Computing greatest common divisors and factorizations in quadratic number 
-fields''\\
-Math. Comput. 53(188) pp 697-720 (1989)\\
+fields''
+Math. Comput. 53(188) pp 697-720 (1989)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/89/KaRo89.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt89a.pdf|
 
-\bibitem[Kaltofen 89b]{Kalt89b} Kaltofen, E.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 89b]{Kalt89b} Kaltofen, E.
 ``Processor efficient parallel computation of polynomial greatest common 
-divisors''\\
+divisors''
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_gcd.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt89b.ps|
 
-\bibitem[Kaltofen 89c]{Kalt89c} Kaltofen, E.\\
-``Parallel algebraic algorithm design''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 89c]{Kalt89c} Kaltofen, E.
+``Parallel algebraic algorithm design''
 Lect. Notes, Rensselaer Polytechnic Instit. Dept. Comput. Sci. Troy, NY
-(1989); Tutorial 1989 Int. Symp. Symb. Algebraic Comput. Portland, OR\\
+(1989); Tutorial 1989 Int. Symp. Symb. Algebraic Comput. Portland, OR
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_parallel.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt89c.ps|
 
-\bibitem[Canny 89]{Cann89} Canny, J.; Kaltofen, E.; Yagati, Lakshman\\
-``Solving systems of non-linear polynomial equations faster''\\
-Proc 1989 Int. Symp. Symbolic Algebraic Comput. (ISSAC'89) pp 121-128\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Canny 89]{Cann89} Canny, J.; Kaltofen, E.; Yagati, Lakshman
+``Solving systems of non-linear polynomial equations faster''
+Proc 1989 Int. Symp. Symbolic Algebraic Comput. (ISSAC'89) pp 121-128
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/89/CKL89.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Cann89.pdf|
 
-\bibitem[Kaltofen 89d]{Kalt89d} Kaltofen, E.; Valente, T.; Yui, N.\\
-``An improved Las Vegas primality test''\\
-Proc 1989 Int. Symp. Symbolic Algebraic Comput. (ISSAC'89) pp 26-33\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 89d]{Kalt89d} Kaltofen, E.; Valente, T.; Yui, N.
+``An improved Las Vegas primality test''
+Proc 1989 Int. Symp. Symbolic Algebraic Comput. (ISSAC'89) pp 26-33
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/89/KVY89.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt89d.pdf|
 
-\bibitem[Kaltofen 90]{Kalt90} Kaltofen, E.; Lakshman, Y.N.; Wiley, J.M.\\
-``Modular rational sparse multivariate polynomial inerpolation''\\
-ISSAC'90 pp 135-139 ACM Press (1990)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 90]{Kalt90} Kaltofen, E.; Lakshman, Y.N.; Wiley, J.M.
+``Modular rational sparse multivariate polynomial inerpolation''
+ISSAC'90 pp 135-139 ACM Press (1990)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/90/KLW90.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt90.pdf|
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Kaltofen 90a]{Kalt90a} Kaltofen, E.; Krishnamoorthy, M.S.;
-Saunders, B.D.\\
-``Parallel algorithms for matrix normal forms''\\
-Linear Algebra and Applications 136 pp 189-208 (1990)\\
+Saunders, B.D.
+``Parallel algorithms for matrix normal forms''
+Linear Algebra and Applications 136 pp 189-208 (1990)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/90/KKS90.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt90a.pdf|
 
-\bibitem[Kaltofen 90b]{Kalt90b} Kaltofen, E.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 90b]{Kalt90b} Kaltofen, E.
 ``Computing the irreducible real factors and components of an algebraic
-curve''\\
-Applic. Algebra Engin. Commun. Comput. 1(2) pp 135-148 (1990)\\
+curve''
+Applic. Algebra Engin. Commun. Comput. 1(2) pp 135-148 (1990)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/90/Ka90_aaecc.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt90b.pdf|
 
-\bibitem[Kaltofen 90c]{Kalt90c} Kaltofen, E.\\
-``Polynomial factorization 1982-1986''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 90c]{Kalt90c} Kaltofen, E.
+``Polynomial factorization 1982-1986''
 in D.V. Chudnovsky and R.D. Jenks (ed) Computers in Mathematics vol 125
 of Lecture Notes in Pure and Applied Mathematics pp 285-309 Marcel
-Dekker, Inc NY, 1990\\
+Dekker, Inc NY, 1990
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/90/Ka90_survey.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt90c.ps|
+ keywords = "survey",
 
-\bibitem[Kaltofen 90d]{Kalt90d} Kaltofen, E.; Trager, B.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 90d]{Kalt90d} Kaltofen, E.; Trager, B.
 ``Computing with polynomials given by black boxes for their evaluations: 
 Greatest common divisors, factorization, separation of numerators and
-denominators''\\
-J. Symbolic Comput. 9(3) pp 301-320 (1990)\\
+denominators''
+J. Symbolic Comput. 9(3) pp 301-320 (1990)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/90/KaTr90.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt90d.pdf|
 
-\bibitem[Kaltofen 91]{Kalt91} Kaltofen, E.; Saunders, B.D.\\
-``On Wiedemann's method of solving sparse linear systems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 91]{Kalt91} Kaltofen, E.; Saunders, B.D.
+``On Wiedemann's method of solving sparse linear systems''
 in H.F.Mattson, T.Mora, and T.R.N. Rao (ed) Proc. AAECC-9 Vol 539
-LNCS pp 29-38 Heidelberg, Germany 1991 Springer-Verlag\\
+LNCS pp 29-38 Heidelberg, Germany 1991 Springer-Verlag
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaSa91.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt91.pdf|
 
-\bibitem[Kaltofen 91a]{Kalt91a} Kaltofen, E.; Singer, M.F.\\
-``Size efficient parallel algebraic circuits for partial derivatives''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 91a]{Kalt91a} Kaltofen, E.; Singer, M.F.
+``Size efficient parallel algebraic circuits for partial derivatives''
 in D.V. Shirkov, V.A.Rostovtsev, and V.P.Gerdt (ed) IV Int. Conf. on
 Computer Algebra in Physical Research pp 133-145 Singapore 1991
-World Scientific Publ. Co.\\
+World Scientific Publ. Co.
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaSi91.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt91a.pdf|
 
-\bibitem[Kaltofen 91b]{Kalt91b} Kaltofen, E.; Yui, N.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 91b]{Kalt91b} Kaltofen, E.; Yui, N.
 ``Explicit construction of Hilbert class fields of imaginary quadratic
-fields by integer lattice reduction''\\
+fields by integer lattice reduction''
 in D.V. Chudnovsky, G.V. Chudnovsky, H. Cohn, and M.B. Nathason (ed)
 Number Theory New York Seminar 1989-1990 pp 150-202 Springer-Verlag
-Heidelberg, Germany 1991\\
+Heidelberg, Germany 1991
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaYui91.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt91b.pdf|
 
-\bibitem[Diaz 91]{Diaz91} Diaz, A.; Kaltofen,E.; Schmitz, K.; Valente, T.\\
-``DSC A system for distributed symbolic computation''\\
-ISSAC'91 pp 323-332\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Diaz 91]{Diaz91} Diaz, A.; Kaltofen,E.; Schmitz, K.; Valente, T.
+``DSC A system for distributed symbolic computation''
+ISSAC'91 pp 323-332
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/91/DKSV91.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Diaz91.pdf|
 
-\bibitem[Kaltofen 91c]{Kalt91c} Kaltofen, E.; Pan, V.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 91c]{Kalt91c} Kaltofen, E.; Pan, V.
 ``Processor efficient parallel solution of linear systems over an abstract
-field''\\
+field''
 Proc. SPAA'91 3rd Ann. ACM Symp. Parallel Algor. Architecture, pp 180-191,
-NY (1991) ACM Press\\
+NY (1991) ACM Press
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaPa91.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt91c.pdf|
 
-\bibitem[Cantor 91]{Cant91} Cantor, D.G.; Kaltofen, E.\\
-``On fast multiplication of polynomials over arbitrary algebras''\\
-Acta Inform. 28(7) pp 693-701 (1991)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Cantor 91]{Cant91} Cantor, D.G.; Kaltofen, E.
+``On fast multiplication of polynomials over arbitrary algebras''
+Acta Inform. 28(7) pp 693-701 (1991)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/91/CaKa91.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Cant91.pdf|
 
-\bibitem[Kaltofen 92]{Kalt92} Kaltofen, E.; Pan, V.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 92]{Kalt92} Kaltofen, E.; Pan, V.
 ``Processor-efficient parallel solution of linear systems II: the positive
-characteristic and singular cases''\\
+characteristic and singular cases''
 Proc. 33rd Annual Symp. Foundations of Comp. Sci. pp 714-723, Los Alamitos,
-CA (1992) IEEE Computer Society Press\\
+CA (1992) IEEE Computer Society Press
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/92/KaPa92.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt92.pdf|
 
-\bibitem[Kaltofen 92a]{Kalt92a} Kaltofen, E.\\
-``On computing determinants of matrices without divisions''\\
-ISSAC'92 pp 342-349 (1992)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 92a]{Kalt92a} Kaltofen, E.
+``On computing determinants of matrices without divisions''
+ISSAC'92 pp 342-349 (1992)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/92/Ka92_issac.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt92a.pdf|
 
-\bibitem[Kaltofen 92b]{Kalt92b} Kaltofen, E.\\
-``Polynomial factorization 1987-1991''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 92b]{Kalt92b} Kaltofen, E.
+``Polynomial factorization 1987-1991''
 I.Simon (ed) Proc. LATIN'92 Vol 583 of LNCS pp 294-313 Heidelberg,
-Germany (1992) Springer-Verlag\\
+Germany (1992) Springer-Verlag
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/92/Ka92_latin.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt92b.pdf|
 
-\bibitem[Kaltofen 93]{Kalt93} Kaltofen, E.\\
-``Computational differentiation and algebraic complexity theory''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 93]{Kalt93} Kaltofen, E.
+``Computational differentiation and algebraic complexity theory''
 in C.H.Bischof, A.Griewantk, and P.M.Khademi (ed) Workshop Report on First
 Theory Institute on Computational Differentiation, Vol ANL/MCS-TM-183
-of Tech. Rep. pp 28-30 Argone, IL, Argonne National Lab\\
+of Tech. Rep. pp 28-30 Argone, IL, Argonne National Lab
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_diff.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt93.pdf|
 
-\bibitem[Kaltofen 93a]{Kalt93a} Kaltofen, E.\\
-``Dynamic parallel evaluation of computational DAGs''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 93a]{Kalt93a} Kaltofen, E.
+``Dynamic parallel evaluation of computational DAGs''
 in J. Reif (ed) Synthesis of Parallel Algorithms pp 723-758 Morgan Kaufmann
-Publ. San Mateo CA\\
+Publ. San Mateo CA
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_synthesis.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt93a.ps|
 
-\bibitem[Diaz 93]{Diaz93} Diaz, A.; Kaltofen, E.; Lobo, A.; Valente, T.\\
-``Process scheduling in DSC and the large sparse linear systems challenge''\\
-in A. Miola (ed) DISCO'93 vol 722 of LNCS pp 66-80 Springer-Verlag\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Diaz 93]{Diaz93} Diaz, A.; Kaltofen, E.; Lobo, A.; Valente, T.
+``Process scheduling in DSC and the large sparse linear systems challenge''
+in A. Miola (ed) DISCO'93 vol 722 of LNCS pp 66-80 Springer-Verlag
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/93/DHKLV93.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Diaz93.pdf|
 
-\bibitem[Kaltofen 93b]{Kalt93b} Kaltofen, E.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 93b]{Kalt93b} Kaltofen, E.
 ``Analysis of Coppersmith's block Wiedemann algorithm for the parallel
-solution of sparse linear systems''\\
+solution of sparse linear systems''
 In G. Cohen, T. Mora, O. Moreno (eds) Proc AAECC-10, Vol 673 LNCS
-Heidelberg, Germany (1992) Springer-Verlag\\
+Heidelberg, Germany (1992) Springer-Verlag
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_sambull.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt93b.ps|
 
-\bibitem[Kaltofen 93c]{Kalt93c} Kaltofen, E.\\
-``Direct proof of a theorem by Kalkbrener, Sweedler, and Taylor''\\
-SIGSAM Bulletin, 27(4), 1993\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 93c]{Kalt93c} Kaltofen, E.
+``Direct proof of a theorem by Kalkbrener, Sweedler, and Taylor''
+SIGSAM Bulletin, 27(4), 1993
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_sambull.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt93b.ps|
 
-\bibitem[Kaltofen 94]{Kalt94} Kaltofen, E.; Pan, V.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 94]{Kalt94} Kaltofen, E.; Pan, V.
 ``Parallel solution of Toeplitz and Toeplitz-like linear systems over fields
-of small positive characteristic''\\
-PASCO'94 pp 225-233 (1994)\\
+of small positive characteristic''
+PASCO'94 pp 225-233 (1994)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/94/KaPa94.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt94.pdf|
 
-\bibitem[Chan 94]{Chan94} Chan, K.C.; Diaz, A.; Kaltofen, E.\\
-``A distributed approach to problem solving in Maple''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Chan 94]{Chan94} Chan, K.C.; Diaz, A.; Kaltofen, E.
+``A distributed approach to problem solving in Maple''
 in R.J. Lopez (ed) Maple V: Mathmatics and its Application, Proc. Maple
-Summer Workshop and Symposium (MSWS'94) pp 13-21, Boston 1994 Birkh\"auser\\
+Summer Workshop and Symposium (MSWS'94) pp 13-21, Boston 1994 Birkh\"auser
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/94/CDK94.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Chan94.ps|
 
-\bibitem[Kaltofen 94a]{Kalt94a} Kaltofen, E.; Lobo, A.\\
-``Factoring high-degree polynomials by the black box Berlekamp algorithm''\\
-ISSAC'94 pp 90-98\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 94a]{Kalt94a} Kaltofen, E.; Lobo, A.
+``Factoring high-degree polynomials by the black box Berlekamp algorithm''
+ISSAC'94 pp 90-98
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/94/KaLo94.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt94a.ps|
 
-\bibitem[Kaltofen 94b]{Kalt94b} Kaltofen, E.\\
-``Asymptotically fast solution of Toeplitz-like singular linear systems''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 94b]{Kalt94b} Kaltofen, E.
+``Asymptotically fast solution of Toeplitz-like singular linear systems''
 ISSAC'94, pp 297-304
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/94/Ka94_issac.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt94b.pdf|
 
-\bibitem[Samadani 95]{Sama95} Samadani, M.; Kaltofen, E.\\
-``Prediction based task scheduling in distributed computing''\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Samadani 95]{Sama95} Samadani, M.; Kaltofen, E.
+``Prediction based task scheduling in distributed computing''
 in B.K. Szymanski and B. Sinharoy (ed) Languages, Compilers and Run-Time
-Systems for Scalable Computers, pp 317-329, Boston 1996 Kluwer Academic Publ.\\
+Systems for Scalable Computers, pp 317-329, Boston 1996 Kluwer Academic Publ.
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/95/SaKa95_poster.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Sama95.ps|
 
-\bibitem[Kaltofen 95]{Kalt95} Kaltofen, E.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 95]{Kalt95} Kaltofen, E.
 ``Analysis of Coppersmith's blcok Wiedemann algorithm for the parallel 
-solution of sparse linear systems''\\
-Math. Comput. 64(210) pp 777-806 (1995)\\
+solution of sparse linear systems''
+Math. Comput. 64(210) pp 777-806 (1995)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/95/Ka95_mathcomp.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt95.pdf|
 
-\bibitem[Diaz 95]{Diaz95} Diaz, A.; Kaltofen, E.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Diaz 95]{Diaz95} Diaz, A.; Kaltofen, E.
 ``On computing greatest common divisors with polynomials given by black
-boxes for their evaluation''\\
-ISSAC'95 pp 232-239\\
+boxes for their evaluation''
+ISSAC'95 pp 232-239
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/95/DiKa95.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Diaz95.ps|
 
-\bibitem[Kaltofen 95a]{Kalt95a} Kaltofen, E.; Shoup, V.\\
-``Subquadratic-time factoring of polynomials over finite fields''\\
-Proc. 27th Annual ACM Symp. Theory Comput. pp 398-406 NY (1995) ACM Press\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 95a]{Kalt95a} Kaltofen, E.; Shoup, V.
+``Subquadratic-time factoring of polynomials over finite fields''
+Proc. 27th Annual ACM Symp. Theory Comput. pp 398-406 NY (1995) ACM Press
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/95/KaSh95.ps.gz|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt95a.ps|
 
-\bibitem[Hitz 95]{Hitz95} Kitz, M.A.; Kaltofen, E.\\
-``Integer division in residue number systems''\\
-IEEE Trans. Computers 44(8) pp 983-989 (1995)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Hitz 95]{Hitz95} Kitz, M.A.; Kaltofen, E.
+``Integer division in residue number systems''
+IEEE Trans. Computers 44(8) pp 983-989 (1995)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/95/HiKa95.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Hitz95.pdf|
 
+\end{chunk}
+
+\begin{chunk}{ignore}
 \bibitem[Diaz 95a]{Diaz95a} Diaz, A.; Hitz, M.; Kaltofen, E.; Lobo, A.; 
-Valtente, T.\\
-``Process scheduling in DSC and the large sparse linear systems challenge''\\
-J. Symbolic Comput 19(1-3) pp 269-282 (1995)\\
+Valtente, T.
+``Process scheduling in DSC and the large sparse linear systems challenge''
+J. Symbolic Comput 19(1-3) pp 269-282 (1995)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/95/DHKLV95.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Diaz95a.pdf|
 
-\bibitem[Kaltofen 95b]{Kalt95b} Kaltofen, E.\\
-``Effective Noether irreducibility forms and applications''\\
-J. Comput. System Sci. 50(2) pp 274-295 (1995)\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 95b]{Kalt95b} Kaltofen, E.
+``Effective Noether irreducibility forms and applications''
+J. Comput. System Sci. 50(2) pp 274-295 (1995)
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/95/Ka95_jcss.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt95b.pdf|
 
-\bibitem[Erlingsson 96]{Erli96} Erlingsson, U.; Kaltofen, E.; Musser, D.\\
-``Generic Gram-Schmidt orthgonalization by exact division''\\
-ISSAC'96 pp 275-282\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Erlingsson 96]{Erli96} Erlingsson, U.; Kaltofen, E.; Musser, D.
+``Generic Gram-Schmidt orthgonalization by exact division''
+ISSAC'96 pp 275-282
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/96/EKM96.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Erli96.pdf|
 
-\bibitem[Kaltofen 96]{Kalt96} Kaltofen, E.; Lobo, A.\\
-``On rank properties of Toeplitz matrices over finite fields''\\
-ISSAC'96 pp 241-249\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 96]{Kalt96} Kaltofen, E.; Lobo, A.
+``On rank properties of Toeplitz matrices over finite fields''
+ISSAC'96 pp 241-249
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/96/KaLo96_issac.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt96.pdf|
 
-\bibitem[Kaltofen 96a]{Kalt96a} Kaltofen, E.; Lobo, A.\\
+\end{chunk}
+
+\begin{chunk}{ignore}
+\bibitem[Kaltofen 96a]{Kalt96a} Kaltofen, E.; Lobo, A.
 ``Distributed matrix-free solution of large sparse linear systems over finite
-fields''\\
+fields''
 in A.M.Tentner (ed) Proc. High Performance Computing'96 pp 244-247 San Diego
-CA (1996) Soc. for Comp. Simultation, Simulation Councils, Inc.\\
+CA (1996) Soc. for Comp. Simultation, Simulation Councils, Inc.
 \verb|www.math.ncsu.edu/~kaltofen/bibliography/96/KaLo96_hpc.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Kalt96a.pdf|
 
-\end{thebibliography}
+\end{chunk}
+
+\eject
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{plain}
+\bibliography{axiom}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Index}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\printindex
 \end{document}
+
diff --git a/changelog b/changelog
index c666902..541a716 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,28 @@
+20140918 tpd src/axiom-website/patches.html 20140918.01.tpd.patch
+20190918 tpd Makefile rebuild Axiom books using bibtex
+20190918 tpd books/Makefile rebuild Axiom books using bibtex
+20190918 tpd books/bookvol0 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol1 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol10.1 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol10.3 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol10.4 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol10.5 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol10 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol11 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol12 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol13 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol14 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol2 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol3 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol4 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol5 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol6 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol7.1 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol7 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol8.1 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol8 rebuild Axiom books using bibtex
+20190918 tpd books/bookvol9 rebuild Axiom books using bibtex
+20190918 tpd books/bookvolbib rebuild Axiom books using bibtex
 20140914 tpd src/axiom-website/patches.html 20140914.03.tpd.patch
 20140914 tpd src/interp/vmlisp add signatures
 20140914 tpd books/bookvol9 add signatures
diff --git a/patch b/patch
index 9c6ddde..fafe63c 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-books/bookvol5, bookvol9.pamphlet, vmlisp.lisp add documentation
+rebuild Axiom using bibtex
 
-Begin documenting the interpreter.
+All of the books now use bibtex format for the biblography.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b16081c..cefc0b8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4640,6 +4640,8 @@ books/bookvolbib add Kaltofen references<br/>
 books/axiom.sty add \sig and \bfref<br/>
 <a href="patches/20140914.03.tpd.patch">20140914.03.tpd.patch</a>
 books/bookvol5 begin documenting the interpreter<br/>
+<a href="patches/20140918.01.tpd.patch">20140918.01.tpd.patch</a>
+books/bookvol*pamphlet rebuild Axiom using bibtex<br/>
  </body>
 </html>
 
